 package com.huatek.busi.controller;

import java.util.Map;

import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import com.alibaba.dubbo.config.annotation.Reference;
import com.github.pagehelper.PageInfo;
import com.huatek.busi.constant.ApiConstant.Tags;
import com.huatek.busi.dto.VideoProduceMonitorDto;
import com.huatek.busi.service.VideoProduceMonitorService;
import com.huatek.busi.vo.VideoProduceMonitorVo;
import com.huatek.torch.frame.tools.ConstantUtil;
import com.huatek.torch.frame.tools.ResultUtil;

import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;

 @Api(tags = {Tags.BUSI_VIDEO_PRODUCE})
 @RestController
 @RequestMapping("/api/VideoProduceMonitor")
 public class VideoProduceMonitorController {
    @Reference(check = false)
    private VideoProduceMonitorService videoProduceMonitorService;
    
    @ApiOperation(value = "列表分页查询", response = VideoProduceMonitorVo.class)
    @PostMapping(value = "/queryList", produces = { "application/json;charset=utf-8" })
    public Map<String, Object> queryList(@RequestBody VideoProduceMonitorDto videoProduceMonitorDto) {
	    PageInfo<VideoProduceMonitorVo> videoProduceMonitorVo = videoProduceMonitorService.findVideoProduceMonitorPage(videoProduceMonitorDto);
	    return ResultUtil.put(ConstantUtil.REQUEST_SUCCESS, videoProduceMonitorVo.getTotal(), "",
	        videoProduceMonitorVo.getList());
    }
}
