package com.huatek.busi.controller.remote;

import java.util.List;
import java.util.Map;

import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RestController;

import com.alibaba.dubbo.config.annotation.Reference;
import com.huatek.busi.constant.ApiConstant.Tags;
import com.huatek.busi.entity.BusiTransfromerSubTree;
import com.huatek.busi.service.transformer.BusiTransformerSubTreeService;
import com.huatek.torch.frame.tools.ConstantUtil;
import com.huatek.torch.frame.tools.ResultUtil;

import io.swagger.annotations.Api;

/**
 * 获取主变信息
 * @author buck_guo
 *
 */
@Api(tags = {Tags.BUSI_TRANSFORMER_SUB_TREE})
@RestController
@RequestMapping(value = "remote/busiTransformerRemote")
public class BusiTransformerRemoteController {

    @Reference(check = false)
    private BusiTransformerSubTreeService busiTransformerSubTreeService;

    @RequestMapping(value = "/findTransformerSubTree",method = RequestMethod.GET)
    public Map<String,Object> findTransformerSubTree() {
    	List<BusiTransfromerSubTree> list = busiTransformerSubTreeService.findTransformerSubTree();
//    	return list;
        return ResultUtil.put(ConstantUtil.REQUEST_SUCCESS, "", list);
    }
}