package com.huatek.busi.dto;

import com.huatek.torch.sql.beans.PageBean;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 * 附件计算 Dto
 *
 * @author vent
 * @date 2023-4-10 16:34:39
 */
@ApiModel(value = "AppendixCalDto", description = "附件计算 Dto", parent = PageBean.class)
@Data
@EqualsAndHashCode(callSuper = false)
public class AppendixCalDto extends PageBean implements Serializable {

    private static final long serialVersionUID = 1L;


    /**
     * 站点id
     */
    @ApiModelProperty(name = "siteId", value = "站点id")
    private String siteId;

    /**
     * mainTreeId
     */
    @ApiModelProperty(name = "mainTreeId", value = "mainTreeId")
    private String mainTreeId;


    /**
     *ω
     */
    @ApiModelProperty(name = "ω", value = "ω")
    private BigDecimal ω;


    /**
     *β
     */
    @ApiModelProperty(name = "β", value = "β")
    private BigDecimal β;

    /**
     *器身β
     */
    @ApiModelProperty(name = "β1", value = "β1")
    private BigDecimal β1;


}