package com.huatek.busi.dto;

import com.huatek.torch.sql.beans.PageBean;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springframework.web.bind.annotation.RequestParam;

import java.io.Serializable;
import java.math.BigDecimal;
import java.time.LocalDateTime;

/**
 * 避雷器读表、拍照数据 Dto
 *
 * @author anker_cheng
 * @date 2019-8-22 16:34:39
 */
@ApiModel(value = "ArresterReadTableDto", description = "避雷器计算 Dto", parent = PageBean.class)
@Data
@EqualsAndHashCode(callSuper = false)
public class ArresterCalDto extends PageBean implements Serializable {

    private static final long serialVersionUID = 1L;


    /**
     * 站点id
     */
    @ApiModelProperty(name = "siteId", value = "站点id")
    private String siteId;

    /**
     * mainTreeId
     */
    @ApiModelProperty(name = "mainTreeId", value = "mainTreeId")
    private String mainTreeId;

    /**
     * x1
     */
    @ApiModelProperty(name = "x1", value = "x1")
    private  BigDecimal x1;


    /**
     * x2
     */
    @ApiModelProperty(name = "x2", value = "x2")
    private BigDecimal x2;

    /**
     * x3
     */
    @ApiModelProperty(name = "x3", value = "x3")
    private BigDecimal x3;

    /**
     * x4
     */
    @ApiModelProperty(name = "x4", value = "x4")
    private BigDecimal x4;

    /**
     * x5
     */
    @ApiModelProperty(name = "x5", value = "x5")
    private BigDecimal x5;

    /**
     * x6
     */
    @ApiModelProperty(name = "x6", value = "x6")
    private BigDecimal x6;

    /**
     *ω
     */
    @ApiModelProperty(name = "ω", value = "ω")
    private BigDecimal ω;


    /**
     *β
     */
    @ApiModelProperty(name = "β", value = "β")
    private BigDecimal β;
}