package com.huatek.busi.dto;

import java.io.Serializable;
import java.time.LocalDateTime;

import com.huatek.torch.sql.beans.PageBean;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
/**
 * 避雷器-绝缘监测-阈值表：023001 Dto
 *
 * @author anker_cheng
 * @date Aug 5, 2019 5:29:11 PM
 */
@ApiModel(value = "ArresterInsulationMonitorThresholdDto", description = "避雷器-绝缘监测-阈值表：023001 Dto", parent = PageBean.class)
@Data
@EqualsAndHashCode(callSuper = false)
public class ArresterInsulationMonitorThresholdDto extends PageBean implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键ID
     */
    @ApiModelProperty(name = "id", value = "主键ID")
    private String id;

    /**
     * 站点ID
     */
    @ApiModelProperty(name = "siteId", value = "站点ID")
    private String siteId;

    /**
     * 站点设备树ID
     */
    @ApiModelProperty(name = "mainTreeId", value = "站点设备树ID")
    private String mainTreeId;

    /**
     * 传感器编码
     */
    @ApiModelProperty(name = "sensorCode", value = "传感器编码")
    private String sensorCode;

    /**
     * 设备运行状态：0-无  1-发电  2-抽水  3-空闲  
     */
    @ApiModelProperty(name = "runState", value = "设备运行状态：0-无  1-发电  2-抽水  3-空闲  ")
    private String runState;

    /**
     * A相全电流预警值
     */
    @ApiModelProperty(name = "aFullCurrentWarning", value = "A相全电流预警值")
    private String aFullCurrentWarning;

    /**
     * A相全电流阈值
     */
    @ApiModelProperty(name = "aFullCurrentThreshold", value = "A相全电流阈值")
    private String aFullCurrentThreshold;

    /**
     * A相全电流增长率
     */
    @ApiModelProperty(name = "aFullCurrentGrowthRate", value = "A相全电流增长率")
    private String aFullCurrentGrowthRate;

    /**
     * B相全电流预警值
     */
    @ApiModelProperty(name = "bFullCurrentWarning", value = "B相全电流预警值")
    private String bFullCurrentWarning;

    /**
     * B相全电流阈值
     */
    @ApiModelProperty(name = "bFullCurrentThreshold", value = "B相全电流阈值")
    private String bFullCurrentThreshold;

    /**
     * B相全电流增长率
     */
    @ApiModelProperty(name = "bFullCurrentGrowthRate", value = "B相全电流增长率")
    private String bFullCurrentGrowthRate;

    /**
     * C相全电流预警值
     */
    @ApiModelProperty(name = "cFullCurrentWarning", value = "C相全电流预警值")
    private String cFullCurrentWarning;

    /**
     * C相全电流阈值
     */
    @ApiModelProperty(name = "cFullCurrentThreshold", value = "C相全电流阈值")
    private String cFullCurrentThreshold;

    /**
     * C相全电流增长率
     */
    @ApiModelProperty(name = "cFullCurrentGrowthRate", value = "C相全电流增长率")
    private String cFullCurrentGrowthRate;

    /**
     * A相阻性电流预警值
     */
    @ApiModelProperty(name = "aResistiveCurrentWarning", value = "A相阻性电流预警值")
    private String aResistiveCurrentWarning;

    /**
     * A相阻性电流阈值
     */
    @ApiModelProperty(name = "aResistiveCurrentThreshold", value = "A相阻性电流阈值")
    private String aResistiveCurrentThreshold;

    /**
     * A相阻性电流增长率
     */
    @ApiModelProperty(name = "aResistiveCurrentGrowthRate", value = "A相阻性电流增长率")
    private String aResistiveCurrentGrowthRate;

    /**
     * B相阻性电流预警值
     */
    @ApiModelProperty(name = "bResistiveCurrentWarning", value = "B相阻性电流预警值")
    private String bResistiveCurrentWarning;

    /**
     * B相阻性电流阈值
     */
    @ApiModelProperty(name = "bResistiveCurrentThreshold", value = "B相阻性电流阈值")
    private String bResistiveCurrentThreshold;

    /**
     * B相阻性电流增长率
     */
    @ApiModelProperty(name = "bResistiveCurrentGrowthRate", value = "B相阻性电流增长率")
    private String bResistiveCurrentGrowthRate;

    /**
     * C相阻性电流预警值
     */
    @ApiModelProperty(name = "cResistiveCurrentWarning", value = "C相阻性电流预警值")
    private String cResistiveCurrentWarning;

    /**
     * C相阻性电流阈值
     */
    @ApiModelProperty(name = "cResistiveCurrentThreshold", value = "C相阻性电流阈值")
    private String cResistiveCurrentThreshold;

    /**
     * C相阻性电流增长率
     */
    @ApiModelProperty(name = "cResistiveCurrentGrowthRate", value = "C相阻性电流增长率")
    private String cResistiveCurrentGrowthRate;

    /**
     * A相容性电流预警值
     */
    @ApiModelProperty(name = "aCapacitanceCurrentWarning", value = "A相容性电流预警值")
    private String aCapacitanceCurrentWarning;

    /**
     * A相容性电流阈值
     */
    @ApiModelProperty(name = "aCapacitanceCurrentThreshold", value = "A相容性电流阈值")
    private String aCapacitanceCurrentThreshold;

    /**
     * A相容性电流增长率
     */
    @ApiModelProperty(name = "aCapacitanceCurrentGrowthRate", value = "A相容性电流增长率")
    private String aCapacitanceCurrentGrowthRate;

    /**
     * B相容性电流预警值
     */
    @ApiModelProperty(name = "bCapacitanceCurrentWarning", value = "B相容性电流预警值")
    private String bCapacitanceCurrentWarning;

    /**
     * B相容性电流阈值
     */
    @ApiModelProperty(name = "bCapacitanceCurrentThreshold", value = "B相容性电流阈值")
    private String bCapacitanceCurrentThreshold;

    /**
     * B相容性电流增长率
     */
    @ApiModelProperty(name = "bCapacitanceCurrentGrowthRate", value = "B相容性电流增长率")
    private String bCapacitanceCurrentGrowthRate;

    /**
     * C相容性电流预警值
     */
    @ApiModelProperty(name = "cCapacitanceCurrentWarning", value = "C相容性电流预警值")
    private String cCapacitanceCurrentWarning;

    /**
     * C相容性电流阈值
     */
    @ApiModelProperty(name = "cCapacitanceCurrentThreshold", value = "C相容性电流阈值")
    private String cCapacitanceCurrentThreshold;

    /**
     * C相容性电流增长率
     */
    @ApiModelProperty(name = "cCapacitanceCurrentGrowthRate", value = "C相容性电流增长率")
    private String cCapacitanceCurrentGrowthRate;

    /**
     * 创建时间
     */
    @ApiModelProperty(name = "createdTime", value = "创建时间")
    private LocalDateTime createdTime;

    /**
     * 创建人
     */
    @ApiModelProperty(name = "creator", value = "创建人")
    private String creator;

    /**
     * 修改时间
     */
    @ApiModelProperty(name = "modifiedTime", value = "修改时间")
    private LocalDateTime modifiedTime;

    /**
     * 修改人
     */
    @ApiModelProperty(name = "modifier", value = "修改人")
    private String modifier;
}