package com.huatek.busi.dto;

import java.io.Serializable;
import com.huatek.torch.sql.beans.PageBean;

import io.swagger.annotations.ApiModel;

import java.time.LocalDateTime;

import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * 避雷器监测装置sersorid表 Dto
 *
 * @author edward_luo
 * @date Jul 8, 2019 17:56:02 PM
 */
@ApiModel(value = "BusiArresterSensorDto", description = "避雷器例行实验Dto", parent = PageBean.class)
@Data
@EqualsAndHashCode(callSuper = false)
public class BusiArresterSensorDto extends PageBean implements Serializable {
    private static final long serialVersionUID = 1L;
    /**
     * 主键ID
     */
    private String id;
    /**
     * 传感器系统编码
     */
    private String sensorCode;
    /**
     * 传感器设备编码
     */
    private String sensorDeviceCode;
    /**
     * 类别状态 1-正常 ， 2-删除
     */
    private String status;
    /**
     * 安装位置   0：全相  1:A相  2:B 相   3:C相
     */
    private String position;
    /**
     * 安装位置描述
     */
    private String positionDes;
    /**
     * 外挂设备id
     */
    private String equipmentId;
    /**
     *  011：绝缘设备  
 021：红外套管设备
 031：容性设备设备
 041：气象装置设备  
 051： 图片数据设备 
     */
    private String equipmentType;
    /**
     * 站点id
     */
    private String siteId;
    /**
     * 创建时间
     */
    private LocalDateTime createTime;
}