package com.huatek.busi.dto;

import java.io.Serializable;
import java.time.LocalDateTime;
import com.huatek.torch.sql.beans.PageBean;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * 故障单
 * @author buck_guo
 * @date 2019/09/17
 */
@ApiModel(value = "BusiEqmMalfunctionDto", description = "故障表 Dto", parent = PageBean.class)
@Data
@EqualsAndHashCode(callSuper = false)
public class BusiEqmMalfunctionDto  extends PageBean implements Serializable{
    /**
     *
     */
    private static final long serialVersionUID = 1L;

    @ApiModelProperty(name = "id", value = "主键ID")
    private String id;

    /**
     * 告警单ID
     */
    @ApiModelProperty(name = "warning_id", value = "告警单ID")
    private String warningId;

    /**
     * 传感器ID
     */
    @ApiModelProperty(name = "sensor_id", value = "传感器ID")
    private String sensorId;

    /**
     *  故障大类1：变压器，2：gis，3：避雷器，4：测温柜 5：其他
     */
    @ApiModelProperty(name = "eq_type", value = "故障大类1：变压器，2：gis，3：避雷器，4：测温柜 5：其他")
    private String eqType;

    /**
     * 故障小类：
     * 1—油色谱  
     * 2—局放 
     * 3—铁芯接地 
     * 4-红外测温 
     * 5-SF6告警 
     * 6-避雷器告警 
     * 7-测温柜测温告警 
     * 8-铁芯夹件告警 
     * 9-运行工况告警 
     * 10-测温点增长率 
     * 11-读表数据告警 
     * 12-容性告
     */
    @ApiModelProperty(name = "gz_type", value = "故障小类")
    private String gzType;

    /**
     * 故障来源 1：告警，2：三比值
     */
    @ApiModelProperty(name = "malfunction_source", value = "故障来源 1：告警，2：三比值")
    private String malfunctionSource;

    /**
     * 告警类别编码
     */
    @ApiModelProperty(name = "warning_type_code", value = "告警类别编码") 
    private String warningTypeCode;

    /**
     * 告警信息
     */
    @ApiModelProperty(name = "warning_msg", value = "告警信息")  
    private String warningMsg;

    /**
     * 告警时间
     */
    @ApiModelProperty(name = "warning_time", value = "告警时间") 
    private LocalDateTime warningTime;

    /**
     * 故障单创建时间
     */
    @ApiModelProperty(name = "create_time", value = "故障单创建时间")
    private LocalDateTime createTime;

    /**
     * 删除标识 1:正常   2：删除
     */
    @ApiModelProperty(name = "del_flag", value = "删除标识 1:正常   2：删除")
    private String delFlag;

    /**
     * 处理状态  0—未处理、1—已处理
     */
    @ApiModelProperty(name = "deal_status", value = "处理状态  0—未处理、1—已处理")
    private String dealStatus;

    /**
     * 处理结果
     */
    @ApiModelProperty(name = "deal_msg", value = "处理结果")
    private String dealMsg;

    /**
     * 站点Id
     */
    @ApiModelProperty(name = "site_id", value = "站点Id")
    private String siteId;

    /**
     * 主设备ID
     */
    @ApiModelProperty(name = "mainEquipmentId", value = "主设备Id")
    private String mainEquipmentId;

    /**
     * 外挂设备ID
     */
    @ApiModelProperty(name = "sub_equipment_id", value = "外挂设备Id")
    private String subEquipmentId;

    /**
     * 处理时间
     */
    @ApiModelProperty(name = "processing_time", value = "处理时间")
    private LocalDateTime processingTime;

    /**
     * 处理人
     */
    @ApiModelProperty(name = "processing_user", value = "处理人")
    private String processingUser;

    /**
     * 外挂设备安装位置
     */
    @ApiModelProperty(name = "sub_equipment_install_location", value = "外挂设备安装位置") 
    private String subEquipmentInstallLocation;

    /**
     * 外挂设标牌
     */
    @ApiModelProperty(name = "sub_equipment_brand", value = "外挂设标牌")
    private String subEquipmentBrand;

    /**
     * 外挂设备生产厂家
     */
    @ApiModelProperty(name = "sub_equipment_manufactor", value = "外挂设备生产厂家")
    private String subEquipmentManufactor;

    /**
     * 传感器安装位置
     */
    @ApiModelProperty(name = "sensor_install_location", value = "传感器安装位置")
    private String sensorInstallLocation;

    /**
     * 传感器标牌
     */
    @ApiModelProperty(name = "sensor_brand", value = "传感器标牌")
    private String sensorBrand;

    /**
     * 传感器生产厂家
     */
    @ApiModelProperty(name = "sensor_manufactor", value = "传感器生产厂家")
    private String sensorManufactor;

    /**
     * 外挂设备名称
     */
    @ApiModelProperty(name = "sub_equipment_name", value = "外挂设备名称")
    private String subEquipmentName;

    /**
     * 传感器名称
     */
    @ApiModelProperty(name = "sensor_name", value = "传感器名称") 
    private String sensorName;

    /**
     * 外挂设备树id
     */
    @ApiModelProperty(name = "sub_tree_id", value = "外挂设备树id") 
    private String subTreeId;

    /**
     * 站点树ID
     */
    @ApiModelProperty(name = "main_tree_id", value = "站点树ID")
    private String mainTreeId;

    /**
     * 设备运行状态：0-无  1-发电  2-抽水  3-空闲
     */
    @ApiModelProperty(name = "run_state", value = "设备运行状态：0-无  1-发电  2-抽水  3-空闲")
    private String runState;
    
    /**
     * 创建人
     */
    @ApiModelProperty(name = "create_name", value = "创建人")
    private String createName;
    
    /**
     * 创建人Id
     */
    @ApiModelProperty(name = "create_user", value = "创建人ID")
    private String createUser;
    
    /**
     * 查询开始时间
     */
    private LocalDateTime startTime;
    
    /**
     * 查询结束时间
     */
    private LocalDateTime endTime;
    
    /**
     * 主设备名称
     */
    @ApiModelProperty(name = "mainEquipmentName", value = "主设备名称")
    private String mainEquipmentName;
    

    /**
     * 被监测设备
     */
    @ApiModelProperty(name = "equipmentType", value = "被监测设备:111-变压器，211-GIS,311-测温柜，411-避雷器，511-其它")
    private String equipmentType;
    
    /**
     * 监测装置类型
     */
    @ApiModelProperty(name = "subEquipmentType", value = "监测装置类型")
    private String subEquipmentType;
    

    
    /**
     * 查询开始时间
     */
    private LocalDateTime warnStartTime;
    
    /**
     * 查询结束时间
     */
    private LocalDateTime warnEndTime;
}