package com.huatek.busi.dto;

import java.io.Serializable;
import java.time.LocalDate;

import org.springframework.format.annotation.DateTimeFormat;

import com.huatek.torch.sql.beans.PageBean;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
/**
 * 站点外挂设备信息 Dto
 *
 * @author walker_wang
 * @date Jul 19, 2019 4:14:18 PM
 */
@ApiModel(value = "BusiExternalEquipmentDto", description = "站点外挂设备信息 Dto", parent = PageBean.class)
@Data
@EqualsAndHashCode(callSuper = false)
public class BusiExternalEquipmentDto extends PageBean implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 
     */
    @ApiModelProperty(name = "id", value = "")
    private String id;

    /**
     * 设备名称
     */
    @ApiModelProperty(name = "equipmentName", value = "设备名称")
    private String equipmentName;

    /**
     * 设备型号(标牌)
     */
    @ApiModelProperty(name = "equipmentBrand", value = "设备型号(标牌)")
    private String equipmentBrand;

    /**
     * 生产厂家
     */
    @ApiModelProperty(name = "manufactor", value = "生产厂家")
    private String manufactor;

    /**
     * 设备生产时间
     */
    @ApiModelProperty(name = "productionDate", value = "设备生产时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    private LocalDate productionDate;

    /**
     * 设备投运时间
     */
    @ApiModelProperty(name = "useDate", value = "设备投运时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    private LocalDate useDate;

    /**
     * 安装位置
     */
    @ApiModelProperty(name = "installLocation", value = "安装位置")
    private String installLocation;

    /**
     * 备注（其他信息）
     */
    @ApiModelProperty(name = "mark", value = "备注（其他信息）")
    private String mark;

    /**
     * 外挂设备树id
     */
    @ApiModelProperty(name = "equipmentId", value = "外挂设备树id")
    private String equipmentId;

    /**
     * 站点id
     */
    @ApiModelProperty(name = "siteId", value = "站点id")
    private String siteId;

    /**
     * 外挂设备所属  
 1：变压器   
2:GIS  
3:测温   
4：避雷器 
     */
    @ApiModelProperty(name = "externalType", value = "外挂设备所属  1：变压器   2:GIS 3:测温  4：避雷器 ")
    private String externalType;
}