package com.huatek.busi.dto;

import java.io.Serializable;
import java.time.LocalDateTime;

import org.springframework.format.annotation.DateTimeFormat;

import com.huatek.torch.sql.beans.PageBean;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * 避雷器例行实验Dto
 *
 * @author edward_luo
 * @date Jul 5, 2019 18:00:02 PM
 */
@ApiModel(value = "BusiOfflineArresterCheckDto", description = "避雷器例行实验Dto", parent = PageBean.class)
@Data
@EqualsAndHashCode(callSuper = false)
public class BusiOfflineArresterCheckDto extends PageBean implements Serializable{
	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;
	
	/**
	 * 主键ID
	 */
    @ApiModelProperty(name = "id", value = "主键ID")
	private String id;

    /**
     * 实验设备
     */
    @ApiModelProperty(name = "testEquipment", value = "实验设备")
    private String testEquipment;

    /**
     * 绝缘电阻A第一节阻值
     */
    @ApiModelProperty(name = "insulationResistancea1", value = "绝缘电阻A第一节阻值")
    private String insulationResistancea1;

    /**
     * 绝缘电阻A第二节阻值
     */
    @ApiModelProperty(name = "insulationResistancea2", value = "绝缘电阻A第二节阻值")
    private String insulationResistancea2;

    /**
     * 绝缘电阻A第三节阻值
     */
    @ApiModelProperty(name = "insulationResistancea3", value = "绝缘电阻A第三节阻值")
    private String insulationResistancea3;

    /**
     * 绝缘电阻A底座阻值
     */
    @ApiModelProperty(name = "insulationResistancea4", value = "绝缘电阻A底座阻值")
    private String insulationResistancea4;

    /**
     * 绝缘电阻B第一节阻值
     */
    @ApiModelProperty(name = "insulationResistanceb1", value = "绝缘电阻B第一节阻值")
    private String insulationResistanceb1;

    /**
     * 绝缘电阻B第二节阻值
     */
    @ApiModelProperty(name = "insulationResistanceb2", value = "绝缘电阻B第二节阻值")
    private String insulationResistanceb2;

    /**
     * 绝缘电阻B第三节阻值
     */
    @ApiModelProperty(name = "insulationResistanceb3", value = "绝缘电阻B第三节阻值")
    private String insulationResistanceb3;

    /**
     * 绝缘电阻B底座阻值
     */
    @ApiModelProperty(name = "insulationResistanceb4", value = "绝缘电阻B底座阻值")
    private String insulationResistanceb4;

    /**
     * 绝缘电阻C第一节阻值
     */
    @ApiModelProperty(name = "insulationResistancec1", value = "绝缘电阻C第一节阻值")
    private String insulationResistancec1;

    /**
     * 绝缘电阻C第二节阻值
     */
    @ApiModelProperty(name = "insulationResistancec2", value = "绝缘电阻C第二节阻值")
    private String insulationResistancec2;

    /**
     * 绝缘电阻C第三节阻值
     */
    @ApiModelProperty(name = "insulationResistancec3", value = "绝缘电阻C第三节阻值")
    private String insulationResistancec3;

    /**
     * 绝缘电阻C底座阻值
     */
    @ApiModelProperty(name = "insulationResistancec4", value = "绝缘电阻C底座阻值")
    private String insulationResistancec4;

    /**
     * 设备编号
     */
    @ApiModelProperty(name = "eqmCode", value = "设备编号")
    private String eqmCode;

    /**
     * 实验日期
     */

    @ApiModelProperty(name = "experiDate", value = "实验日期")
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    private LocalDateTime experiDate;
    
    @ApiModelProperty(name = "experiDateAfter", value = "实验日期")
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    private LocalDateTime experiDateAfter;
}
