package com.huatek.busi.dto;

import java.io.Serializable;
import java.time.LocalDateTime;

import org.springframework.format.annotation.DateTimeFormat;

import com.huatek.torch.sql.beans.PageBean;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * 出场线（避雷器）——检修单 Dto
 *
 * @author anker_cheng
 * @date Jul 26, 2019 5:21:27 PM
 */
@ApiModel(value = "BusiOfflineArresterRepairDto", description = "出场线（避雷器）——检修单 Dto", parent = PageBean.class)
@Data
@EqualsAndHashCode(callSuper = false)
public class BusiOfflineArresterRepairDto extends PageBean implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
    @ApiModelProperty(name = "id", value = "主键")
    private String id;

    /**
     * 站点ID
     */
    @ApiModelProperty(name = "siteId", value = "站点ID")
    private String siteId;

    /**
     * 主设备ID
     */
    @ApiModelProperty(name = "mainEquipmentId", value = "主设备ID")
    private String mainEquipmentId;

    /**
     * 外挂设备ID
     */
    @ApiModelProperty(name = "subEquipmentId", value = "外挂设备ID")
    private String subEquipmentId;

    /**
     * 告警ID
     */
    @ApiModelProperty(name = "warningId", value = "告警ID")
    private String warningId;
    
    /**
     * 告警编号
     */
    @ApiModelProperty(name = "warningCode", value = "告警编号")
    private String warningCode;

    /**
     * sensor_id
     */
    @ApiModelProperty(name = "sensorCode", value = "sensor_id")
    private String sensorCode;

    /**
     * 传感器名
     */
    @ApiModelProperty(name = "sensorName", value = "传感器名")
    private String sensorName;

    /**
     * 标牌
     */
    @ApiModelProperty(name = "signage", value = "标牌")
    private String signage;

    /**
     * 安装位置
     */
    @ApiModelProperty(name = "installLocation", value = "安装位置")
    private String installLocation;

    /**
     * 发现时间
     */
    @ApiModelProperty(name = "discoveryTime", value = "发现时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    private LocalDateTime discoveryTime;

    @DateTimeFormat(pattern = "yyyy-MM-dd")
    private LocalDateTime discoveryTimeAfter;

    /**
     * 清除时间
     */
    @ApiModelProperty(name = "clearTime", value = "清除时间")
    private LocalDateTime clearTime;

    /**
     * 缺陷类别：1-一般、2-重大、3-紧急
     */
    @ApiModelProperty(name = "defectCategory", value = "缺陷类别：1-一般、2-重大、3-紧急")
    private String defectCategory;

    /**
     * 检修结果：1-正常、2-未完成
     */
    @ApiModelProperty(name = "repairResult", value = "检修结果：1-正常、2-未完成")
    private String repairResult;

    /**
     * 缺陷内容
     */
    @ApiModelProperty(name = "defectContent", value = "缺陷内容")
    private String defectContent;

    /**
     * 泄漏电流(mA)
     */
    @ApiModelProperty(name = "leakageCurrent", value = "泄漏电流(mA)")
    private String leakageCurrent;

    /**
     * 电容量(pF)
     */
    @ApiModelProperty(name = "capacitance", value = "电容量(pF)")
    private String capacitance;

    /**
     * 介质损耗因数(tg)
     */
    @ApiModelProperty(name = "lossFactor", value = "介质损耗因数(tg)")
    private String lossFactor;

    /**
     * 全电流 (mA)
     */
    @ApiModelProperty(name = "totalCurrent", value = "全电流 (mA)")
    private String totalCurrent;

    /**
     * 阻性电流 (mA)
     */
    @ApiModelProperty(name = "resistiveCurrent", value = "阻性电流 (mA)")
    private String resistiveCurrent;

    /**
     * 创建人ID
     */
    @ApiModelProperty(name = "createUser", value = "创建人ID")
    private String createUser;

    /**
     * 创建时间
     */
    @ApiModelProperty(name = "createTime", value = "创建时间")
    private LocalDateTime createTime;

    /**
     * 创建人名称
     */
    @ApiModelProperty(name = "createName", value = "创建人名称")
    private String createName;

    /**
     * 修改人ID
     */
    @ApiModelProperty(name = "modifiedUser", value = "修改人ID")
    private String modifiedUser;

    /**
     * 修改时间
     */
    @ApiModelProperty(name = "modifiedTime", value = "修改时间")
    private LocalDateTime modifiedTime;

    /**
     * 修改人名称
     */
    @ApiModelProperty(name = "modifiedName", value = "修改人名称")
    private String modifiedName;

    /**
     * 故障描述
     */
    @ApiModelProperty(name = "failDescription", value = "故障描述")
    private String failDescription;

    /**
     * 处理状态（0未处理，1处理）
     */
    @ApiModelProperty(name = "dealStatus", value = "处理状态（0未处理，1处理）")
    private String dealStatus;

    /**
     * 处理结果
     */
    @ApiModelProperty(name = "dealResult", value = "处理结果")
    private String dealResult;

    /**
     * 是否删除:1——正常；2——删除
     */
    @ApiModelProperty(name = "isDelete", value = "是否删除:1——正常；2——删除")
    private String isDelete;
    
    /**
     * 被监测设备
     */
    @ApiModelProperty(name = "equipmentType", value = "被监测设备:111-变压器，211-GIS,411-避雷器，311-测温柜，511-其它")
    private String equipmentType;
    
    /**
     * 监测装置类型
     */
    @ApiModelProperty(name = "subEquipmentType", value = "监测装置类型")
    private String subEquipmentType;
    
    /**
     * 主设备名称
     */
    @ApiModelProperty(name = "mainEquipmentName", value = "主设备名称")
    private String mainEquipmentName;
    
    /**
     * 传感器生产厂家
     */
    @ApiModelProperty(name = "sensorManufactor", value = "传感器生产厂家")
    private String sensorManufactor;
    
    
    /**
     * 查询告警开始时间
     */
    private LocalDateTime warnStartTime;
    
    /**
     * 查询告警结束时间
     */
    private LocalDateTime warnEndTime;
}