package com.huatek.busi.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;
import java.time.LocalDate;
import java.time.LocalDateTime;

/**
 * 发电机标牌信息表 Vo
 *
 * @author mitchell_ma
 * @date
 */
@ApiModel(value = "BusiOfflineGeneratorBrandDto", description = "发电机标牌信息表 dto")
@Data
@EqualsAndHashCode(callSuper = false)
public class BusiOfflineGeneratorBrandDto implements Serializable {


    private static final long serialVersionUID = 1L;
    /**
     * 主键ID
     */
    @ApiModelProperty(name = "id", value = "主键ID")
    private String id;

    /**
     * 站点Id
     */
    @ApiModelProperty(name = "site_id", value = "站点Id")
    private String siteId;

    /**
     * 主设备ID
     */
    @ApiModelProperty(name = "main_equipment_id", value = "主设备ID")
    private String mainEquipmentId;

    /**
     * 开关名称
     */
    @ApiModelProperty(name = "generator_name", value = "开关名称")
    private String generatorName;

    /**
     * 设备投运时间
     */
    @ApiModelProperty(name = "equipment_delivery_time", value = "系统设备编号")
    private LocalDateTime equipmentDeliveryTime;

    /**
     * 系统设备编号
     */
    @ApiModelProperty(name = "equipment_code", value = "系统设备编号")
    private String equipmentCode;

    /**
     * 站点设备编号
     */
    @ApiModelProperty(name = "site_code", value = "站点设备编号")
    private String siteCode;

    /**
     * 设备型号
     */
    @ApiModelProperty(name = "equipment_model", value = "设备型号")
    private String equipmentModel;

    /**
     * 出厂年月
     */
    @ApiModelProperty(name = "factory_time", value = "出厂年月")
    private LocalDateTime factoryTime;

    /**
     * 厂家
     */
    @ApiModelProperty(name = "manufacturer", value = "厂家")
    private String manufacturer;


    /**
     * 设计寿命(年)
     */
    @ApiModelProperty(name = "design_life", value = "设计寿命(年)")
    private String designLife;


    /**
     * 健康评估起始时间
     */
    @ApiModelProperty(name = "health_aassessment_start_time", value = "健康评估起始时间")
    private LocalDateTime healthAassessmentStartTime;

    /**
     * 创建人ID
     */
    @ApiModelProperty(name = "create_user", value = "创建人ID")
    private String createUser;

    /**
     * 创建时间
     */
    @ApiModelProperty(name = "create_time", value = "创建时间")
    private LocalDateTime createTime;

    /**
     * 状态：A:可用 D:不可用
     */
    @ApiModelProperty(name = "status", value = "状态：A:可用   D:不可用")
    private String status;

    @ApiModelProperty(name = "chartRadius", value = "绘制发电机摆度圆曲线参照的标准圆半径")
    private String chartRadius;
}
