package com.huatek.busi.dto;

import java.io.Serializable;
import java.time.LocalDate;
import java.time.LocalDateTime;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.huatek.torch.sql.beans.PageBean;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
/**
 * 变压器标牌信息 Dto
 *
 * @author anker_cheng
 * @date Jul 17, 2019 4:45:56 PM
 */
@ApiModel(value = "BusiOfflineTransformerBrandDto", description = "变压器标牌信息 Dto", parent = PageBean.class)
@Data
@EqualsAndHashCode(callSuper = false)
public class BusiOfflineTransformerBrandDto extends PageBean implements Serializable {
    private static final long serialVersionUID = 1L;
   
    /**
     * 主键ID
     */
    @ApiModelProperty(name = "id", value = "主键ID")
    private String id;

    /**
     * 站点Id
     */
    @ApiModelProperty(name = "siteId", value = "站点Id")
    private String siteId;

    /**
     * 主设备ID
     */
    @ApiModelProperty(name = "mainEquipmentId", value = "主设备ID")
    private String mainEquipmentId;

    /**
     * 变压器名称
     */
    @ApiModelProperty(name = "transformerName", value = "变压器名称")
    private String transformerName;

    /**
     * 设备投运时间
     */
    @ApiModelProperty(name = "equipmentDeliveryTime", value = "设备投运时间")
	@JsonFormat(pattern="yyyy-MM-dd")
   private LocalDate equipmentDeliveryTime;

    /**
     * 系统设备编号
     */
    @ApiModelProperty(name = "equipmentCode", value = "系统设备编号")
    private String equipmentCode;

    /**
     * 站点设备编号
     */
    @ApiModelProperty(name = "siteCode", value = "站点设备编号")
    private String siteCode;

    /**
     * 油比重
     */
    @ApiModelProperty(name = "specificGravity", value = "油比重")
    private String specificGravity;

    /**
     * 设备型号
     */
    @ApiModelProperty(name = "equipmentModel", value = "设备型号")
    private String equipmentModel;

    /**
     * 出厂年月
     */
    @ApiModelProperty(name = "factoryTime", value = "出厂年月")
	@JsonFormat(pattern="yyyy-MM-dd")
    private LocalDate factoryTime;

    /**
     * 额定容量
     */
    @ApiModelProperty(name = "ratedCapacity", value = "额定容量")
    private String ratedCapacity;

    /**
     * 冷却方式
     */
    @ApiModelProperty(name = "coolingNode", value = "冷却方式")
    private String coolingNode;

    /**
     * 厂家
     */
    @ApiModelProperty(name = "manufacturer", value = "厂家")
    private String manufacturer;

    /**
     * 高压绕组额定电压(kV)
     */
    @ApiModelProperty(name = "ratedHighVoltage", value = "高压绕组额定电压(kV)")
    private String ratedHighVoltage;

    /**
     * 低压绕组额定电压(kV)
     */
    @ApiModelProperty(name = "ratedLowVoltage", value = "低压绕组额定电压(kV)")
    private String ratedLowVoltage;

    /**
     * 高压绕组额定电流(A)
     */
    @ApiModelProperty(name = "ratedHighCurrent", value = "高压绕组额定电流(A)")
    private String ratedHighCurrent;

    /**
     * 低压绕组额定电流(A)
     */
    @ApiModelProperty(name = "ratedLowCurrent", value = "低压绕组额定电流(A)")
    private String ratedLowCurrent;

    /**
     * 油重（吨）
     */
    @ApiModelProperty(name = "oilWeight", value = "油重（吨）")
    private String oilWeight;

    /**
     * 设计寿命(年)
     */
    @ApiModelProperty(name = "designLife", value = "设计寿命(年)")
    private String designLife;

    /**
     * 环境等级
     */
    @ApiModelProperty(name = "environmentLevel", value = "环境等级")
    private String environmentLevel;

    /**
     * 健康评估起始时间
     */
    @ApiModelProperty(name = "healthAassessmentStartTime", value = "健康评估起始时间")
	@JsonFormat(pattern="yyyy-MM-dd",timezone = "GMT+8")
    private LocalDate healthAassessmentStartTime;

    /**
     * 创建人ID
     */
    @ApiModelProperty(name = "createUser", value = "创建人ID")
    private String createUser;

    /**
     * 创建时间
     */
    @ApiModelProperty(name = "createTime", value = "创建时间")
	@JsonFormat(pattern="yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    private LocalDateTime createTime;

    /**
     * 状态：A:可用   D:不可用
     */
    @ApiModelProperty(name = "status", value = "状态：A:可用   D:不可用")
    private String status;

//    /**
//     * 排序
//     */
//    @ApiModelProperty(name = "sort")
//    private Integer sort;
}