package com.huatek.busi.dto;

import java.io.Serializable;
import java.time.LocalDate;
import java.time.LocalDateTime;

import com.huatek.torch.sql.annotation.FieldName;
import com.huatek.torch.sql.beans.PageBean;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * 测温柜/点信息表 Dto
 *
 * @author anker_cheng
 * @date Jul 24, 2019 5:10:02 PM
 */
@ApiModel(value = "BusiTemperPointDto", description = "测温柜/点信息表 Dto", parent = PageBean.class)
@Data
@EqualsAndHashCode(callSuper = false)
public class BusiTemperPointDto extends PageBean implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
    @ApiModelProperty(name = "id", value = "主键")
    private String id;


    /**
     * 关联标牌id
     */
    @FieldName("middle_id")
    private String middleId;


    /**
     * SensiorID
     */
    @ApiModelProperty(name = "sensorCode", value = "SensiorID")
    private String sensorCode;

    /**
     * 传感器名称
     */
    @ApiModelProperty(name = "sensorName", value = "传感器名称")
    private String sensorName;

    /**
     * 传感器设备编码（标牌）
     */
    @ApiModelProperty(name = "sensorBrand", value = "传感器设备编码（标牌）")
    private String sensorBrand;

    /**
     * 安装位置 1: A相进线 2: B相进线 3: C相进线 4: A相出线 5: B相出线 6: C相出线 7：柜内 8：柜外监测点
     */
    @ApiModelProperty(name = "position",
        value = "安装位置 1: A相进线  2: B相进线  3: C相进线  4: A相出线  5: B相出线  6: C相出线  7：柜内  8：柜外监测点")
    private String position;

    /**
     * 安装位置描述
     */
    @ApiModelProperty(name = "positionDes", value = "安装位置描述")
    private String positionDes;

    /**
     * 状态： 1-正常 ， 2-删除
     */
    @ApiModelProperty(name = "status", value = "状态： 1-正常 ， 2-删除")
    private String status;

    /**
     * 增长率
     */
    @ApiModelProperty(name = "growRate", value = "增长率")
    private String growRate;

    /**
     * 预警值
     */
    @ApiModelProperty(name = "warningValue", value = "预警值")
    private String warningValue;

    /**
     * 阈值
     */
    @ApiModelProperty(name = "thresholdValue", value = "阈值")
    private String thresholdValue;

    /**
     * 生产厂家
     */
    @ApiModelProperty(name = "manufactor", value = "生产厂家")
    private String manufactor;

    /**
     * 设备生产时间
     */
    @ApiModelProperty(name = "productionDate", value = "设备生产时间")
    private LocalDate productionDate;

    /**
     * 设备投运时间
     */
    @ApiModelProperty(name = "useDate", value = "设备投运时间")
    private LocalDate useDate;

    /**
     * 设备id
     */
    @ApiModelProperty(name = "equipmentId", value = "设备id")
    private String equipmentId;

    /**
     * 站点id
     */
    @ApiModelProperty(name = "siteId", value = "站点id")
    private String siteId;

    /**
     * 创建时间
     */
    @ApiModelProperty(name = "createTime", value = "创建时间")
    private LocalDateTime createTime;
}