package com.huatek.busi.dto;

import java.io.Serializable;
import java.time.LocalDateTime;

import com.huatek.torch.sql.beans.PageBean;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * 电容型设备——绝缘监测：022001实时数据表 Dto
 *
 * @author anker_cheng
 * @date Oct 28, 2019 7:01:55 PM
 */
@ApiModel(value = "CapacitanceEquipmentImCacheDto", description = "电容型设备——绝缘监测：022001实时数据表 Dto",
    parent = PageBean.class)
@Data
@EqualsAndHashCode(callSuper = false)
public class CapacitanceEquipmentImCacheDto extends PageBean implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
    @ApiModelProperty(name = "id", value = "主键")
    private String id;

    /**
     * 在线监测装置的唯一标识（17 位码）
     */
    @ApiModelProperty(name = "sensorId", value = "在线监测装置的唯一标识（17 位码）")
    private String sensorId;

    @ApiModelProperty(name = "phase", value = "相位")
    private String phase;

    /**
     * 监测类型编码
     */
    @ApiModelProperty(name = "cacMonitorTypeCode", value = "监测类型编码")
    private String cacMonitorTypeCode;

    /**
     * 数据采集时间，格式为：yyyy-MM-dd HH:mm:ss
     */
    @ApiModelProperty(name = "timeStamp", value = "数据采集时间，格式为：yyyy-MM-dd HH:mm:ss")
    private LocalDateTime timeStamp;

    /**
     * 站点ID
     */
    @ApiModelProperty(name = "siteId", value = "站点ID")
    private String siteId;

    /**
     * 电容量(pF)
     */
    @ApiModelProperty(name = "capacitance", value = "电容量(pF)")
    private String capacitance;

    /**
     * 介质损耗因数
     */
    @ApiModelProperty(name = "lossFactor", value = "介质损耗因数")
    private String lossFactor;

    /**
     * 三相不平衡电流
     */
    @ApiModelProperty(name = "unbalanceCurrent", value = "三相不平衡电流")
    private String unbalanceCurrent;

    /**
     * 三相不平衡电压
     */
    @ApiModelProperty(name = "unbalanceVoltage", value = "三相不平衡电压")
    private String unbalanceVoltage;

    /**
     * 泄露电流(mA)
     */
    @ApiModelProperty(name = "totalCurrent", value = "泄露电流(mA)")
    private String totalCurrent;

    /**
     * 系统电压(V)
     */
    @ApiModelProperty(name = "systemVoltage", value = "系统电压(V)")
    private String systemVoltage;

    /**
     * 主设备ID
     */
    @ApiModelProperty(name = "mainEquipmentId", value = "主设备ID")
    private String mainEquipmentId;

    /**
     * 外挂设备ID
     */
    @ApiModelProperty(name = "subEquipmentId", value = "外挂设备ID")
    private String subEquipmentId;

    /**
     * 站点设备树ID
     */
    @ApiModelProperty(name = "mainTreeId", value = "站点设备树ID")
    private String mainTreeId;

    /**
     * 外挂设备树ID
     */
    @ApiModelProperty(name = "subTreeId", value = "外挂设备树ID")
    private String subTreeId;

    /**
     * 设备运行状态：0-无 1-发电 2-抽水 3-空闲
     */
    @ApiModelProperty(name = "runState", value = "设备运行状态：0-无  1-发电  2-抽水  3-空闲  ")
    private String runState;

    /**
     * 1——变压器；4——避雷器
     */
    @ApiModelProperty(name = "type", value = "1——变压器；4——避雷器")
    private String type;
}