/**
 * 
 */
package com.huatek.busi.dto;

import java.io.Serializable;

import lombok.Data;

/**
 * @ClassName: EquipmentInfoDto
 * @FullClassPath: com.huatek.busi.service.EquipmentInfoDto
 * @Description: 设备信息DAO
 * @author: Arno
 * @date: Jun 27, 2019 7:10:06 PM
 * @version: 1.0
 */
@Data
public class EquipmentInfoDto implements Serializable {

	/** @Fields serialVersionUID : */
	private static final long serialVersionUID = 1L;
	
	/** @Fields sensorCode : 传感器系统编码 */
	private String sensorCode;

	/** @Fields sensorName : 传感器设备名称 */
	private String sensorName;
	
	/** @Fields sensorBrand : 传感器标牌 */
	private String sensorBrand;

	/** @Fields sensorPosition : 传感器安装位置 0：全相 1:A相 2:B相 3:C相 */
	private String sensorPosition;

	/** @Fields sensorPositionDes : 传感器安装位置描述 */
	private String sensorPositionDes;

	/** @Fields sensorManufactor : 传感器生产厂家 */
	private String sensorManufactor;

	/** @Fields sensorUseDate : 传感器投运时间 */
	private String sensorUseDate;
	
	
	/** @Fields subEquipmentId : 外挂设备id */
	private String subEquipmentId;
	
	/** @Fields subEquipmentName : 外挂设备名称 */
	private String subEquipmentName;
	
	/** @Fields subEquipmentBrand : 外挂设备标牌 */
	private String subEquipmentBrand;
	
	/** @Fields subEquipmentPosition : 外挂设备安装位置*/
	private String subEquipmentPosition;
	
	/** @Fields subEquipmentManufactor : 外挂设备生产厂家 */
	private String subEquipmentManufactor;
	
	/** @Fields subEquipmentUseDate : 外挂设备投运时间*/
	private String subEquipmentUseDate;
	
	/** @Fields mainEquipmentId : 主设备id */
	private String mainEquipmentId;
	
	/** @Fields mainEquipmentName : 主设备名称 */
	private String mainEquipmentName;
	
	
	/** @Fields mainEquipmenBrand : 主设备标牌 */
	private String mainEquipmenBrand;
	
	/** @Fields mainEquipmentManufactor : 主设备生产厂家 */
	private String mainEquipmentManufactor;
	
	
	/** @Fields mainEquipmentUseDate : 主设备投运时间 */
	private String mainEquipmentUseDate;
	
	/** @Fields subTreeId : 外挂设备树id */
	private String subTreeId;
	
	/** @Fields mainTreeId : 站点树ID */
	private String mainTreeId;
	

	/** @Fields subSysCode : 外挂设备树系统编码 */
	private String subSysCode;
	
	/** @Fields mainSysCode : 站点树系统编码 */
	private String mainSysCode;
	
	
	/** @Fields siteId : 站点id */
	private String siteId;
	
	/** @Fields siteName : 站点名称 */
	private String siteName;
	
	/** @Fields equipmentType : 外挂设备类型 */
	private String equipmentType;

	/**
	 * 类型：1——变压器；2——GIS；3——测温；4——避雷器
	 */
	private String type;

	/**
	 * 类型：1——多组分；2——单组分；
	 */
	private String oilType;

	/**
	 * 类型：1——色谱柱；2——光声光谱；
	 */
	private String oilDetailType;
}
