package com.huatek.busi.dto;

import java.io.Serializable;

import java.time.LocalDateTime;

import org.springframework.format.annotation.DateTimeFormat;

import com.huatek.torch.sql.beans.PageBean;
import io.swagger.annotations.ApiModel;
import lombok.Data;
import lombok.EqualsAndHashCode;
/**
 * Gis评估结果
 * @author buck_guo
 * @date 2019/08/31
 */
@ApiModel(value = "GisAssessmentResultDto", description = "GIS评估结果Dto", parent = PageBean.class)
@Data
@EqualsAndHashCode(callSuper = false)
public class GisAssessmentResultDto  extends PageBean implements Serializable{
    /**
     *
     */
    private static final long serialVersionUID = 1L;

    /**
     * 
     */
    private String id;

    /**
     * 站点Id
     */
    private String siteId;

    /**
     * 站点设备树ID
     */
    private String mainTreeId;

    /**
     * 评测时间
     */
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime assessTime;

    /**
     * 健康分值
     */
    private String healthScore;

    /**
     * 健康水平
     */
    private String healthLevel;

    /**
     * 健康水平说明
     */
    private String healthLevelExplain;

    /**
     * 未来故障率
     */
    private String futureFailureRate;

    /**
     * 触头磨损率
     */
    private String contactWearRate;

    /**
     * 预期使用次数
     */
    private String expectedUsageCount;

    /**
     *  剩余使用次数
     */
    private String remainingUsageCount;

    /**
     * 检修建议
     */
    private String overhaulSuggest;

    /**
     * 负荷率
     */
    private String loadFactor;

}