package com.huatek.busi.dto;

import java.io.Serializable;
import com.huatek.torch.sql.beans.PageBean;
import java.time.LocalDateTime;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
/**
 * GIS读表、拍照数据 Dto
 *
 * @author anker_cheng
 * @date 2019-8-22 16:34:39
 */
@ApiModel(value = "GisReadTableDto", description = "GIS读表、拍照数据 Dto", parent = PageBean.class)
@Data
@EqualsAndHashCode(callSuper = false)
public class GisReadTableDto extends PageBean implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 
     */
    @ApiModelProperty(name = "id", value = "")
    private Long id;

    /**
     * 站点id
     */
    @ApiModelProperty(name = "siteId", value = "站点id")
    private String siteId;

    /**
     * 设备编号
     */
    @ApiModelProperty(name = "eqmCode", value = "设备编号")
    private String eqmCode;

    /**
     * sersor编码
     */
    @ApiModelProperty(name = "sensorCode", value = "sersor编码")
    private String sensorCode;

    /**
     * 监测时间
     */
    @ApiModelProperty(name = "dTime", value = "监测时间")
    private LocalDateTime dTime;

    /**
     * 放电次数
     */
    @ApiModelProperty(name = "fdcs", value = "放电次数")
    private String fdcs;

    /**
     * 图片路径及文件名
     */
    @ApiModelProperty(name = "picpath", value = "图片路径及文件名")
    private String picpath;

    /**
     * 图片数值类型 1:放电次数  2:放电电流(mA)
     */
    @ApiModelProperty(name = "type", value = "图片数值类型 1:放电次数  2:放电电流(mA)")
    private String type;
}