package com.huatek.busi.dto;

import java.io.Serializable;
import java.time.LocalDateTime;

import com.huatek.torch.sql.beans.PageBean;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
/**
 * IEC104-基础地址配置表 Dto
 *
 * @author anker_cheng
 * @date 2019-8-1 9:40:43
 */
@ApiModel(value = "IecBaseConfDto", description = "IEC104-基础地址配置表 Dto", parent = PageBean.class)
@Data
@EqualsAndHashCode(callSuper = false)
public class IecBaseConfDto extends PageBean implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
    @ApiModelProperty(name = "id", value = "主键")
    private String id;

    /**
     * 站点ID
     */
    @ApiModelProperty(name = "siteId", value = "站点ID")
    private String siteId;

    /**
     * 公共地址长度
     */
    @ApiModelProperty(name = "commLen", value = "公共地址长度")
    private String commLen;

    /**
     * 传输原因地址长度
     */
    @ApiModelProperty(name = "causeLen", value = "传输原因地址长度")
    private String causeLen;

    /**
     * 信息体地址长度
     */
    @ApiModelProperty(name = "infoLen", value = "信息体地址长度")
    private String infoLen;

    /**
     * 通信类型；yx遥信，yc遥测
     */
    @ApiModelProperty(name = "txType", value = "通信类型；yx遥信，yc遥测")
    private String txType;

    /**
     * 遥测起始地址
     */
    @ApiModelProperty(name = "ycStartAddr", value = "遥测起始地址")
    private String ycStartAddr;

    /**
     * 遥测结束地址
     */
    @ApiModelProperty(name = "ycEndAddr", value = "结束地址")
    private String ycEndAddr;
    
    /**
     * 遥信起始地址
     */
    @ApiModelProperty(name = "yxStartAddr", value = "起始地址")
    private String yxStartAddr;

    /**
     * 遥信结束地址
     */
    @ApiModelProperty(name = "yxEndAddr", value = "结束地址")
    private String yxEndAddr;

    /**
     * 创建时间，YYYY-MM-DD HH:MI:SS
     */
    @ApiModelProperty(name = "dTime", value = "创建时间，YYYY-MM-DD HH:MI:SS")
    private LocalDateTime dTime;
}