package com.huatek.busi.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.time.LocalDate;

@Data
public class LabReportParamDataDtos implements Serializable {

    @ApiModelProperty(value = "id")
    private String id;

    @ApiModelProperty(value = "siteId", name = "站点编号")
    private String siteId;

    @ApiModelProperty(value = "mainEquId", name = "主设备编号")
    private String mainEquId;

    @ApiModelProperty(value = "mainEquName", name = "主设备名称")
    private String mainEquName;

    @ApiModelProperty(value = "equLittleType", name = "设备小类")
    private String equLittleType;

    @ApiModelProperty(value = "mId", name = "主报告编号")
    private String mId;

    @ApiModelProperty(value = "testItem", name = "试验项目")
    private String testItem;

    @ApiModelProperty(value = "testEqu", name = "试验设备")
    private String testEqu;

    @ApiModelProperty(value = "checker", name = "校核者")
    private String checker;

    @DateTimeFormat(pattern = "yyyy-MM-dd")
    @ApiModelProperty(value = "testDate", name = "试验日期")
    private LocalDate testDate;

    @ApiModelProperty(value = "maintenanceUnit", name = "检修单位")
    private String maintenanceUnit;

    @ApiModelProperty(value = "testStaff", name = "试验人员")
    private String testStaff;

    @ApiModelProperty(value = "testConclusion", name = "试验结论")
    private String testConclusion;

    @ApiModelProperty(value = "rId", name = "报告编号")
    private String rId;

    @ApiModelProperty(value = "testInterval", name = "试验次数/位置/间隔时间")
    private String testInterval;

    @ApiModelProperty(value = "testType", name = "试验类别")
    private String testType;

    @ApiModelProperty(value = "offlineParam", name = "离线参数")
    private String offlineParam;

    @ApiModelProperty(value = "validValueRange", name = "有效值范围（告警/阈值判断/数据是否可信）")
    private String validValueRange;

    @ApiModelProperty(value = "currentValue", name = "当前值")
    private String currentValue;

    @ApiModelProperty(value = "unit", name = "单位")
    private String unit;

    @ApiModelProperty(value = "isMark", name = "是否打标（0 否 1 是）")
    private String isMark;

    @ApiModelProperty(value = "eParam", name = "评估参数")
    private String eParam;

    @ApiModelProperty(value = "testResult", name = "试验结果")
    private String testResult;

    @ApiModelProperty(value = "remark", name = "备注(油温、环境温度、湿度、精度)")
    private String remark;

    @ApiModelProperty(value = "refId", name = "附件关联编号")
    private String refId;

    @ApiModelProperty(value = "eqType", name = "设备类型标识")
    private String eqType;
}
