package com.huatek.busi.dto;

import java.io.Serializable;
import java.math.BigDecimal;
import java.time.LocalDate;
import java.time.LocalDateTime;

import com.huatek.torch.sql.beans.PageBean;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
/**
 * 测温柜-温度曲线数据表 Dto
 *
 * @author anker_cheng
 * @date Oct 28, 2019 4:24:37 PM
 */
@ApiModel(value = "RptTemperChartsDto", description = "测温柜-温度曲线数据表 Dto", parent = PageBean.class)
@Data
@EqualsAndHashCode(callSuper = false)
public class RptTemperChartsDto extends PageBean implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 
     */
    @ApiModelProperty(name = "id", value = "")
    private String id;

    /**
     * 站点ID
     */
    @ApiModelProperty(name = "siteId", value = "站点ID")
    private String siteId;

    /**
     * 站点设备树ID
     */
    @ApiModelProperty(name = "mainTreeId", value = "站点设备树ID")
    private String mainTreeId;

    /**
     * 主设备ID
     */
    @ApiModelProperty(name = "mainEquipmentId", value = "主设备ID")
    private String mainEquipmentId;

    /**
     * 柜体温度
     */
    @ApiModelProperty(name = "boxTemper", value = "柜体温度")
    private BigDecimal boxTemper;

    /**
     * 柜体温度sensiorID
     */
    @ApiModelProperty(name = "boxSensorId", value = "柜体温度sensiorID")
    private String boxSensorId;

    /**
     * A相进线温度
     */
    @ApiModelProperty(name = "aiTemper", value = "A相进线温度")
    private BigDecimal aiTemper;

    /**
     * A相进线SensiorID
     */
    @ApiModelProperty(name = "aiSensorId", value = "A相进线SensiorID")
    private String aiSensorId;

    /**
     * A相出线温度
     */
    @ApiModelProperty(name = "aoTemper", value = "A相出线温度")
    private BigDecimal aoTemper;

    /**
     * A相出线SensiorD
     */
    @ApiModelProperty(name = "aoSensorId", value = "A相出线SensiorD")
    private String aoSensorId;

    /**
     * B相进线温度
     */
    @ApiModelProperty(name = "biTemper", value = "B相进线温度")
    private BigDecimal biTemper;

    /**
     * B相进线SensiorID
     */
    @ApiModelProperty(name = "biSensorId", value = "B相进线SensiorID")
    private String biSensorId;

    /**
     * B相出线温度
     */
    @ApiModelProperty(name = "boTemper", value = "B相出线温度")
    private BigDecimal boTemper;

    /**
     * B相出线SensiorID
     */
    @ApiModelProperty(name = "boSensorId", value = "B相出线SensiorID")
    private String boSensorId;

    /**
     * C相进线温度
     */
    @ApiModelProperty(name = "ciTemper", value = "C相进线温度")
    private BigDecimal ciTemper;

    /**
     * C相进线SensiorID
     */
    @ApiModelProperty(name = "ciSensorId", value = "C相进线SensiorID")
    private String ciSensorId;

    /**
     * C相出线温度
     */
    @ApiModelProperty(name = "coTemper", value = "C相出线温度")
    private BigDecimal coTemper;

    /**
     * C相出线SensiorID
     */
    @ApiModelProperty(name = "coSensorId", value = "C相出线SensiorID")
    private String coSensorId;

    /**
     * 汇总时间时间
     */
    @ApiModelProperty(name = "hzTime", value = "汇总时间时间")
    private LocalDate hzTime;

    /**
     * 创建时间
     */
    @ApiModelProperty(name = "createTime", value = "创建时间")
    private LocalDateTime createTime;
}