package com.huatek.busi.dto;

import java.io.Serializable;

import com.huatek.torch.sql.annotation.FieldName;
import com.huatek.torch.sql.beans.PageBean;
import java.time.LocalDateTime;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
/**
 * 监测装置上传数据时间设置表 Dto
 *
 * @author walker_wang
 * @date Jul 19, 2019 4:14:18 PM
 */
@ApiModel(value = "SiteUploadCycleDto", description = "监测装置上传数据时间设置表 Dto", parent = PageBean.class)
@Data
@EqualsAndHashCode(callSuper = false)
public class SiteUploadCycleDto extends PageBean implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 
     */
    @ApiModelProperty(name = "id", value = "")
    private String id;

    /**
     * 站点ID
     */
    @ApiModelProperty(name = "siteId", value = "站点ID")
    private String siteId;



    // 公共
    /**
     * 除开关柜测温装置(2、5、10 、20、30，单位分钟)
     */
    @ApiModelProperty(name = "totalcwzz", value = "测温装置(2、5、10 、20、30，单位分钟)")
    private String totalcwzz;

    /**
     * 局放装置
     */
    @ApiModelProperty(name = "jfzz", value = "局放装置(2、5、10 、20、30，单位分钟)")
    private String jfzz;

    /**
     * 拍照装置(10、20、30、40、60，单位分钟)
     */
    @ApiModelProperty(name = "pzzz", value = "拍照装置(10、20、30、40、60，单位分钟)")
    private String pzzz;



    // 变压器
    /**
     * 油色谱装置(2、4、6、8、12、24，单位小时)
     */
    @ApiModelProperty(name = "yspzz", value = "油色谱装置(2、4、6、8、12、24，单位小时)")
    private String yspzz;

    /**
     * 变压器套管(2、5、10 、20、30，单位分钟)
     */
    @ApiModelProperty(name = "byqzz", value = "变压器套管(2、5、10 、20、30，单位分钟)")
    private String byqtg;

    /**
     * 变压器红外(10、20、30、40、60，单位分钟)
     */
    @ApiModelProperty(name = "byqhw", value = "变压器红外(10、20、30、40、60，单位分钟)")
    private String byqhw;

    /**
     * 变压器气象(30、60、90 、120、180，单位分钟)
     */
    @ApiModelProperty(name = "byqqx", value = "变压器气象(30、60、90 、120、180，单位分钟)")
    private String byqqx;

    /**
     * 铁芯装置(2、5、10 、20、30，单位分钟)
     */
    @ApiModelProperty(name = "txzz", value = "铁芯装置(2、5、10 、20、30，单位分钟)")
    private String txzz;

    /**
     * 夹件装置(2、5、10 、20、30，单位分钟)
     */
    @ApiModelProperty(name = "jjzz", value = "夹件装置(2、5、10 、20、30，单位分钟)")
    private String jjzz;

    /**
     * byqrzcw
     */
    @ApiModelProperty(name = "byqrzcw", value = "byqrzcw")
    private String byqrzcw;



    // GIS
    /**
     * gis气象(30、60、90 、120、180，单位分钟)
     */
    @ApiModelProperty(name = "gisqx", value = "gis气象(30、60、90 、120、180，单位分钟)")
    private String gisqx;

    /**
     * GIS红外
     */
    @ApiModelProperty(name = "gishw", value = "GIS红外")
    private String gishw;

    /**
     * SF6（温度，微水，压力）(5、10、20、30、60,单位分钟)
     */
    @ApiModelProperty(name = "sf6", value = "SF6（温度，微水，压力）(5、10、20、30、60,单位分钟)")
    private String sf6;

    /**
     * sf6jczz(2、5、10 、20、30，单位分钟)
     */
    @ApiModelProperty(name = "sf6jczz", value = "sf6jczz(2、5、10 、20、30，单位分钟)")
    private String sf6jczz;



    // 避雷器
    /**
     * 避雷器气象(30、60、90 、120、180，单位分钟)
     */
    @ApiModelProperty(name = "blqqx", value = "避雷器气象(30、60、90 、120、180，单位分钟)")
    private String blqqx;

    /**
     * 避雷器红外(10、20、30、40、60，单位分钟)
     */
    @ApiModelProperty(name = "blqhw", value = "避雷器红外(10、20、30、40、60，单位分钟)")
    private String blqhw;

    /**
     * 避雷器容性(2、5、10 、20、30，单位分钟)
     */
    @ApiModelProperty(name = "blqrx", value = "避雷器容性(2、5、10 、20、30，单位分钟)")
    private String blqrx;

    /**
     * 避雷器装置('10','20','30','40','60'，单位分钟)
     */
    @ApiModelProperty(name = "blqzz", value = "避雷器装置('10','20','30','40','60'，单位分钟)")
    private String blqzz;


    // 开关柜
    /**
     * 开关柜测温装置(2、5、10 、20、30，单位分钟)
     */
    @ApiModelProperty(name = "cwzz", value = "开关柜测温(2、5、10 、20、30，单位分钟)")
    private String cwzz;

    /**
     * 电缆红外(10、20、30、40、60，单位分钟)
     */
    @ApiModelProperty(name = "dlhw", value = "电缆红外(10、20、30、40、60，单位分钟)")
    private String dlhw;

    /**
     * 电缆-电缆环流(10、20、30、40、60，单位分钟)
     */
    @ApiModelProperty(name = "dldlhl", value = "电缆-电缆环流(10、20、30、40、60，单位分钟)")
    private String dldlhl;


    /**
     * 其他红外(10、20、30、40、60，单位分钟)
     */
    @ApiModelProperty(name = "qthw", value = "其他红外(10、20、30、40、60，单位分钟)")
    private String qthw;

    /**
     * 其他电缆环流(10、20、30、40、60，单位分钟)
     */
    @ApiModelProperty(name = "qtdlhl", value = "其他电缆环流(10、20、30、40、60，单位分钟)")
    private String qtdlhl;


    /**
     * 发电机装置(10、20、30、40、60，单位分钟)
     */
    @ApiModelProperty(name = "fdjzz", value = "发电机装置(30、60、90 、120、180，单位分钟)")
    private String fdjzz;

    /**
     * 创建时间
     */
    @ApiModelProperty(name = "createTime", value = "创建时间")
    private LocalDateTime createTime;

    /**
     * 创建用户ID
     */
    @ApiModelProperty(name = "createUser", value = "创建用户ID")
    private String createUser;

    /**
     * 创建用户姓名
     */
    @ApiModelProperty(name = "createName", value = "创建用户姓名")
    private String createName;
}