package com.huatek.busi.dto;

import java.io.Serializable;
import java.math.BigDecimal;
import java.time.LocalDateTime;

import com.huatek.torch.sql.beans.PageBean;

import lombok.Data;
import lombok.EqualsAndHashCode;
/**
 * GIS气象实时数据展示 Dto
 *
 * @author anker_cheng
 * @date Jun 28, 2019 4:19:32 PM
 */
@Data
@EqualsAndHashCode(callSuper = false)
public class SubstationMicGisNowDto extends PageBean implements Serializable {
    private static final long serialVersionUID = 1L;
    /**
     * 
     */
    private String id;
    /**
     * 站点id
     */
    private String siteId;
    /**
     * 设备编码
     */
    private String siteEqmCode;
    /**
     * 监测时间 
     */
    private LocalDateTime dTime;
    /**
     * CAC 报文设备id
     */
    private String eqmId;
    /**
     * 相位
     */
    private String phase;
    /**
     * 气温(℃)
     */
    private BigDecimal airTemperature;
    /**
     * 气压
     */
    private BigDecimal airPressure;
    /**
     * 湿度
     */
    private BigDecimal humidity;
    /**
     * 降雨量 
     */
    private BigDecimal precipitation;
    /**
     * 降水强度
     */
    private BigDecimal precipitationIntensity;
    /**
     * 光辐射强度
     */
    private BigDecimal radiationIntensity;
    /**
     * CAC 唯一标识
     */
    private String cacId;
    /**
     * 设备编码
     */
    private String sensorId;
}