package com.huatek.busi.dto;

import java.io.Serializable;
import java.math.BigDecimal;
import java.time.LocalDateTime;

import com.huatek.torch.sql.beans.PageBean;

import lombok.Data;
import lombok.EqualsAndHashCode;
/**
 * 变压器油色偏差率暂存数据（类型编码 ：021002） Dto
 *
 * @author anker_cheng
 * @date Jul 15, 2019 11:48:55 AM
 */
@Data
@EqualsAndHashCode(callSuper = false)
public class TransformerEpaDeviationCacheDto extends PageBean implements Serializable {
    private static final long serialVersionUID = 1L;
    /**
     * 
     */
    private String id;
    /**
     * 监测时间 
     */
    private LocalDateTime dTime;
    /**
     * 被监测设备相别
     */
    private String phase;
    /**
     * 氢气偏差率
     */
    private BigDecimal h2;
    /**
     * 甲烷偏差率
     */
    private BigDecimal ch4;
    /**
     * 乙烷偏差率
     */
    private BigDecimal c2h6;
    /**
     * 乙烯偏差率
     */
    private BigDecimal c2h4;
    /**
     * 乙炔偏差率
     */
    private BigDecimal c2h2;
    /**
     * 一氧化碳偏差率
     */
    private BigDecimal co;
    /**
     * 一氧化碳增长率
     */
    private BigDecimal co2;
    /**
     * 氧气偏差率
     */
    private BigDecimal o2;
    /**
     * 水分偏差率
     */
    private BigDecimal n2;
    /**
     * 
     */
    private BigDecimal h2o;
    /**
     * 总烃偏差率
     */
    private BigDecimal totalHydrocarbon;
    /**
     * 站点Id
     */
    private String siteId;
    /**
     * 被检测设备id(17 位设备编码CAC同步的数据)
     */
    private String equipmentId;
    /**
     * 外挂设备ID
     */
    private String subEquipmentId;
    /**
     * 主设备ID
     */
    private String mainEquipmentId;
}