package com.huatek.busi.dto;

import java.io.Serializable;
import java.math.BigDecimal;
import java.time.LocalDateTime;

import com.huatek.torch.sql.beans.PageBean;

import lombok.Data;
import lombok.EqualsAndHashCode;
/**
 * 变压器油色谱数据偏差率（实时数据） Dto
 *
 * @author anker_cheng
 * @date Jul 15, 2019 11:48:55 AM
 */
@Data
@EqualsAndHashCode(callSuper = false)
public class TransformerEpaDeviationDto extends PageBean implements Serializable {
    private static final long serialVersionUID = 1L;
    /**
     * 
     */
    private String id;
    /**
     * 监测时间 
     */
    private LocalDateTime dTime;
    /**
     * 氢气偏差率
     */
    private BigDecimal h2Deviation;
    /**
     * 甲烷偏差率
     */
    private BigDecimal ch4Deviation;
    /**
     * 乙烷偏差率
     */
    private BigDecimal c2h6Deviation;
    /**
     * 乙烯偏差率
     */
    private BigDecimal c2h4Deviation;
    /**
     * 乙炔偏差率
     */
    private BigDecimal c2h2Deviation;
    /**
     * 一氧化碳偏差率
     */
    private BigDecimal coDeviation;
    /**
     * 氧气偏差率
     */
    private BigDecimal o2Deviation;
    /**
     * 氮气偏差率
     */
    private BigDecimal n2Deviation;
    /**
     * 总烃偏差率
     */
    private BigDecimal totalHydrocarbonDeviation;
    /**
     *    水偏差率
     */
    private BigDecimal h2oDeviation;
    /**
     * 一氧化碳偏差率
     */
    private BigDecimal co2Deviation;
    /**
     * 站点Id
     */
    private String siteId;
    /**
     * 被检测设备id(17 位设备编码CAC同步的数据)
     */
    private String equipmentId;
    /**
     * 外挂设备ID
     */
    private String subEquipmentId;
    /**
     * 主设备ID
     */
    private String mainEquipmentId;
}