package com.huatek.busi.dto;

import java.io.Serializable;
import java.math.BigDecimal;
import java.time.LocalDateTime;

import com.huatek.torch.sql.beans.PageBean;

import lombok.Data;
import lombok.EqualsAndHashCode;
/**
 * 变压器油色谱增长率统计 Dto
 *
 * @author anker_cheng
 * @date Jul 15, 2019 11:48:55 AM
 */
@Data
@EqualsAndHashCode(callSuper = false)
public class TransformerEpaIncreaseStatisticsDto extends PageBean implements Serializable {
    private static final long serialVersionUID = 1L;
    /**
     * 
     */
    private String id;
    /**
     * 统计时间 
     */
    private LocalDateTime dTime;
    /**
     * 氢气增长率
     */
    private BigDecimal h2Increase;
    /**
     * 甲烷增长率
     */
    private BigDecimal ch4Increase;
    /**
     * 乙烷增长率
     */
    private BigDecimal c2h6Increase;
    /**
     * 乙烯增长率
     */
    private BigDecimal c2h4Increase;
    /**
     * 乙炔增长率
     */
    private BigDecimal c2h2Increase;
    /**
     * 一氧化碳增长率
     */
    private BigDecimal coIncrease;
    /**
     * 氧气增长率
     */
    private BigDecimal o2Increase;
    /**
     * 氮气增长率
     */
    private BigDecimal n2Increase;
    /**
     * 一氧化碳增长率
     */
    private BigDecimal co2Increase;
    /**
     * 
     */
    private BigDecimal h2oIncrease;
    /**
     * 总烃增长率
     */
    private BigDecimal totalHydrocarbonIncrease;
    /**
     * 站点Id
     */
    private String siteId;
    /**
     * 被检测设备id(17 位设备编码CAC同步的数据)
     */
    private String equipmentId;
    /**
     * 外挂设备ID
     */
    private String subEquipmentId;
    /**
     * 主设备ID
     */
    private String mainEquipmentId;
}