package com.huatek.busi.dto;

import java.io.Serializable;
import com.huatek.torch.sql.beans.PageBean;
import java.time.LocalDateTime;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
/**
 * 变压器铁芯接地电流暂存数据(类型编码 ：021004) Dto
 *
 * @author anker_cheng
 * @date Aug 2, 2019 3:24:19 PM
 */
@ApiModel(value = "TransformerIcgeCacheDto", description = "变压器铁芯接地电流暂存数据(类型编码 ：021004) Dto", parent = PageBean.class)
@Data
@EqualsAndHashCode(callSuper = false)
public class TransformerIcgeCacheDto extends PageBean implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 
     */
    @ApiModelProperty(name = "id", value = "")
    private String id;

    /**
     * 监测时间 
     */
    @ApiModelProperty(name = "dTime", value = "监测时间 ")
    private LocalDateTime dTime;

    /**
     * 被监测设备相别
     */
    @ApiModelProperty(name = "phase", value = "被监测设备相别")
    private String phase;

    /**
     * 夹件电流
     */
    @ApiModelProperty(name = "clamp", value = "夹件电流")
    private String clamp;

    /**
     * 铁芯全电流(mA)
     */
    @ApiModelProperty(name = "totalCoreCurrent", value = "铁芯全电流(mA)")
    private String totalCoreCurrent;

    /**
     * 传感器设备编码
     */
    @ApiModelProperty(name = "sensorId", value = "传感器设备编码")
    private String sensorId;

    /**
     * 站点Id
     */
    @ApiModelProperty(name = "siteId", value = "站点Id")
    private String siteId;

    /**
     * 设备
     */
    @ApiModelProperty(name = "mainTreeId", value = "设备")
    private String mainTreeId;

    /**
     * 设备
     */
    @ApiModelProperty(name = "subTreeId", value = "设备")
    private String subTreeId;

    /**
     * 类别: 1铁芯；2夹件
     */
    @ApiModelProperty(name = "type", value = "类别: 1铁芯；2夹件")
    private String type;
}