package com.huatek.busi.dto;

import java.io.Serializable;
import java.time.LocalDateTime;

import com.huatek.torch.sql.beans.PageBean;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
/**
 * 变压器铁芯、夹件阈值表 Dto
 *
 * @author anker_cheng
 * @date Aug 2, 2019 1:56:00 PM
 */
@ApiModel(value = "TransformerIcgeThresholdDto", description = "变压器铁芯、夹件阈值表 Dto", parent = PageBean.class)
@Data
@EqualsAndHashCode(callSuper = false)
public class TransformerIcgeThresholdDto extends PageBean implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键ID
     */
    @ApiModelProperty(name = "id", value = "主键ID")
    private String id;

    /**
     * 站点ID
     */
    @ApiModelProperty(name = "siteId", value = "站点ID")
    private String siteId;

    /**
     * 站点设备树ID
     */
    @ApiModelProperty(name = "mainTreeId", value = "站点设备树ID")
    private String mainTreeId;

    /**
     * 传感器编码
     */
    @ApiModelProperty(name = "sensorCode", value = "传感器编码")
    private String sensorCode;

    /**
     * 设备运行状态：0-无  1-发电  2-抽水  3-空闲  
     */
    @ApiModelProperty(name = "runState", value = "设备运行状态：0-无  1-发电  2-抽水  3-空闲  ")
    private String runState;

    /**
     * 铁芯电流阈值（mA）
     */
    @ApiModelProperty(name = "txDl", value = "铁芯电流阈值（mA）")
    private String txDl;

    /**
     * 夹件电流阈值（mA）
     */
    @ApiModelProperty(name = "jjDl", value = "夹件电流阈值（mA）")
    private String jjDl;

    /**
     * 铁芯绝对增长率（%）
     */
    @ApiModelProperty(name = "txAbsoluteGrowthRate", value = "铁芯绝对增长率（%）")
    private String txAbsoluteGrowthRate;

    /**
     * 夹件绝对增长率（%）
     */
    @ApiModelProperty(name = "jjAbsoluteGrowthRate", value = "夹件绝对增长率（%）")
    private String jjAbsoluteGrowthRate;

    /**
     * 铁芯精度指标（%）
     */
    @ApiModelProperty(name = "txAccuracy", value = "铁芯精度指标（%）")
    private String txAccuracy;

    /**
     * 夹件精度指标（%）
     */
    @ApiModelProperty(name = "jjAccuracy", value = "夹件精度指标（%）")
    private String jjAccuracy;

    /**
     * 铁芯预警值
     */
    @ApiModelProperty(name = "txWarningVal", value = "铁芯预警值")
    private String txWarningVal;

    /**
     * 夹件预警值
     */
    @ApiModelProperty(name = "jjWarningVal", value = "夹件预警值")
    private String jjWarningVal;

    /**
     * 创建时间
     */
    @ApiModelProperty(name = "createdTime", value = "创建时间")
    private LocalDateTime createdTime;

    /**
     * 创建人ID
     */
    @ApiModelProperty(name = "creator", value = "创建人ID")
    private String creator;

    /**
     * 修改时间
     */
    @ApiModelProperty(name = "modifiedTime", value = "修改时间")
    private LocalDateTime modifiedTime;

    /**
     * 修改人ID
     */
    @ApiModelProperty(name = "modifier", value = "修改人ID")
    private String modifier;
}