package com.huatek.busi.dto;

import java.io.Serializable;
import java.math.BigDecimal;
import java.time.LocalDateTime;

import com.huatek.torch.sql.beans.PageBean;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * 变压器/电抗器——局部放电：021001、024001、027001 Dto
 *
 * @author anker_cheng
 * @date Oct 25, 2019 2:48:39 PM
 */
@ApiModel(value = "TransformerPdDto", description = "变压器/电抗器——局部放电：021001、024001、027001 Dto", parent = PageBean.class)
@Data
@EqualsAndHashCode(callSuper = false)
public class TransformerPdDto extends PageBean implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
    @ApiModelProperty(name = "id", value = "主键")
    private String id;

    /**
     * CAC 的唯一标识（17 位码）
     */
    @ApiModelProperty(name = "cacId", value = "CAC 的唯一标识（17 位码）")
    private String cacId;

    /**
     * 监测数据组的数目
     */
    @ApiModelProperty(name = "dataNodeNum", value = "监测数据组的数目")
    private BigDecimal dataNodeNum;

    /**
     * 在线监测装置的唯一标识（17 位码）
     */
    @ApiModelProperty(name = "sensorId", value = "在线监测装置的唯一标识（17 位码）")
    private String sensorId;

    /**
     * 监测类型编码{变压器：021001，GIS:024001,电缆：027001}
     */
    @ApiModelProperty(name = "cacMonitorTypeCode", value = "监测类型编码{变压器：021001，GIS:024001,电缆：027001}")
    private String cacMonitorTypeCode;

    /**
     * 在线监测装置对应的被监测设备的 唯一标识（17 位码）
     */
    @ApiModelProperty(name = "equipmentId", value = "在线监测装置对应的被监测设备的 唯一标识（17 位码）")
    private String equipmentId;

    /**
     * 数据采集时间，格式为：yyyy-MM-dd HH:mm:ss
     */
    @ApiModelProperty(name = "timeStamp", value = "数据采集时间，格式为：yyyy-MM-dd HH:mm:ss")
    private LocalDateTime timeStamp;

    /**
     * 数据采集时间，格式为：yyyy-MM-dd HH:mm:ss
     */
    @ApiModelProperty(name = "timeStampEnd", value = "数据采集时间，格式为：yyyy-MM-dd HH:mm:ss")
    private LocalDateTime timeStampEnd;
    
    /**
     * 主设备编号
     */
    @ApiModelProperty(name = "equipmentCode", value = "主设备编号")
    private String equipmentCode;

    /**
     * 外挂设备编号
     */
    @ApiModelProperty(name = "extEquipmentCode", value = "外挂设备编号")
    private String extEquipmentCode;

    /**
     * 站点ID
     */
    @ApiModelProperty(name = "siteId", value = "站点ID")
    private String siteId;

    /**
     * 被监测设备相别
     */
    @ApiModelProperty(name = "phase", value = "被监测设备相别")
    private String phase;

    /**
     * 放电量，单位pC或mV 或dB
     */
    @ApiModelProperty(name = "dischargeCapacity", value = "放电量，单位pC或mV 或dB")
    private String dischargeCapacity;

    /**
     * 放电位置
     */
    @ApiModelProperty(name = "dischargePosition", value = "放电位置")
    private String dischargePosition;

    /**
     * 脉冲个数
     */
    @ApiModelProperty(name = "pulseCount", value = "脉冲个数")
    private String pulseCount;

    /**
     * 放电波形
     */
    @ApiModelProperty(name = "dischargeWaveform", value = "放电波形")
    private byte[] dischargeWaveform;

    /**
     * 主设备ID
     */
    @ApiModelProperty(name = "mainEquipmentId", value = "主设备ID")
    private String mainEquipmentId;

    /**
     * 外挂设备ID
     */
    @ApiModelProperty(name = "subEquipmentId", value = "外挂设备ID")
    private String subEquipmentId;

    /**
     * 站点设备树ID
     */
    @ApiModelProperty(name = "mainTreeId", value = "站点设备树ID")
    private String mainTreeId;

    /**
     * 外挂设备树ID
     */
    @ApiModelProperty(name = "subTreeId", value = "外挂设备树ID")
    private String subTreeId;
}