package com.huatek.busi.dto;

import java.io.Serializable;
import java.time.LocalDateTime;

import com.huatek.torch.sql.beans.PageBean;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
/**
 * 变压器套管阈值 Dto
 *
 * @author anker_cheng
 * @date Aug 8, 2019 5:58:22 PM
 */
@ApiModel(value = "TransformerTgThresholdDto", description = "变压器套管阈值 Dto", parent = PageBean.class)
@Data
@EqualsAndHashCode(callSuper = false)
public class TransformerTgThresholdDto extends PageBean implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键ID
     */
    @ApiModelProperty(name = "id", value = "主键ID")
    private String id;

    /**
     * 站点ID
     */
    @ApiModelProperty(name = "siteId", value = "站点ID")
    private String siteId;

    /**
     * 站点设备树ID
     */
    @ApiModelProperty(name = "mainTreeId", value = "站点设备树ID")
    private String mainTreeId;

    /**
     * 传感器编码
     */
    @ApiModelProperty(name = "sensorCode", value = "传感器编码")
    private String sensorCode;

    /**
     * 设备运行状态：0-无  1-发电  2-抽水  3-空闲  
     */
    @ApiModelProperty(name = "runState", value = "设备运行状态：0-无  1-发电  2-抽水  3-空闲  ")
    private String runState;

    /**
     * A相容性设备泄露电流(mA)阈值
     */
    @ApiModelProperty(name = "aLeakageCurrentThreshold", value = "A相容性设备泄露电流(mA)阈值")
    private String aLeakageCurrentThreshold;

    /**
     * A相容性设备泄露电流(mA)预警值
     */
    @ApiModelProperty(name = "aLeakageCurrentWarning", value = "A相容性设备泄露电流(mA)预警值")
    private String aLeakageCurrentWarning;

    /**
     * A相容性设备电容量(pF)阈值
     */
    @ApiModelProperty(name = "aCapacitanceThreshold", value = "A相容性设备电容量(pF)阈值")
    private String aCapacitanceThreshold;

    /**
     * A相容性设备电容量(pF)预警值
     */
    @ApiModelProperty(name = "aCapacitanceWarning", value = "A相容性设备电容量(pF)预警值")
    private String aCapacitanceWarning;

    /**
     * A相容性介质损耗因数阈值
     */
    @ApiModelProperty(name = "aLossFactorThreshold", value = "A相容性介质损耗因数阈值")
    private String aLossFactorThreshold;

    /**
     * A相容性介质损耗因数预警值
     */
    @ApiModelProperty(name = "aLossFactorWarning", value = "A相容性介质损耗因数预警值")
    private String aLossFactorWarning;

    /**
     * B相容性设备泄露电流(mA)阈值
     */
    @ApiModelProperty(name = "bLeakageCurrentThreshold", value = "B相容性设备泄露电流(mA)阈值")
    private String bLeakageCurrentThreshold;

    /**
     * B相容性设备泄露电流(mA)预警值
     */
    @ApiModelProperty(name = "bLeakageCurrentWarning", value = "B相容性设备泄露电流(mA)预警值")
    private String bLeakageCurrentWarning;

    /**
     * B相容性设备电容量(pF)阈值
     */
    @ApiModelProperty(name = "bCapacitanceThreshold", value = "B相容性设备电容量(pF)阈值")
    private String bCapacitanceThreshold;

    /**
     * B相容性设备电容量(pF)预警值
     */
    @ApiModelProperty(name = "bCapacitanceWarning", value = "B相容性设备电容量(pF)预警值")
    private String bCapacitanceWarning;

    /**
     * B相容性介质损耗因数阈值
     */
    @ApiModelProperty(name = "bLossFactorThreshold", value = "B相容性介质损耗因数阈值")
    private String bLossFactorThreshold;

    /**
     * B相容性介质损耗因数预警值
     */
    @ApiModelProperty(name = "bLossFactorWarning", value = "B相容性介质损耗因数预警值")
    private String bLossFactorWarning;

    /**
     * C相容性设备泄露电流(mA)阈值
     */
    @ApiModelProperty(name = "cLeakageCurrentThreshold", value = "C相容性设备泄露电流(mA)阈值")
    private String cLeakageCurrentThreshold;

    /**
     * C相容性设备泄露电流(mA)预警值
     */
    @ApiModelProperty(name = "cLeakageCurrentWarning", value = "C相容性设备泄露电流(mA)预警值")
    private String cLeakageCurrentWarning;

    /**
     * C相容性设备电容量(pF)阈值
     */
    @ApiModelProperty(name = "cCapacitanceThreshold", value = "C相容性设备电容量(pF)阈值")
    private String cCapacitanceThreshold;

    /**
     * C相容性设备电容量(pF)预警值
     */
    @ApiModelProperty(name = "cCapacitanceWarning", value = "C相容性设备电容量(pF)预警值")
    private String cCapacitanceWarning;

    /**
     * C相容性介质损耗因数阈值
     */
    @ApiModelProperty(name = "cLossFactorThreshold", value = "C相容性介质损耗因数阈值")
    private String cLossFactorThreshold;

    /**
     * C相容性介质损耗因数预警值
     */
    @ApiModelProperty(name = "cLossFactorWarning", value = "C相容性介质损耗因数预警值")
    private String cLossFactorWarning;

    /**
     * 创建时间
     */
    @ApiModelProperty(name = "createdTime", value = "创建时间")
    private LocalDateTime createdTime;

    /**
     * 创建人
     */
    @ApiModelProperty(name = "creator", value = "创建人")
    private String creator;

    /**
     * 修改时间
     */
    @ApiModelProperty(name = "modifiedTime", value = "修改时间")
    private LocalDateTime modifiedTime;

    /**
     * 修改人
     */
    @ApiModelProperty(name = "modifier", value = "修改人")
    private String modifier;
}