package com.huatek.busi.dto;

import com.huatek.torch.sql.beans.PageBean;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * 变压器绕组测温暂存数据 Dto
 *
 * @author anker_cheng
 * @date Oct 21, 2019 7:57:28 PM
 */
@ApiModel(value = "TransformerWindingTemperatureCacheDto", description = "", parent = PageBean.class)
@Data
@EqualsAndHashCode(callSuper = false)
public class TransformerWindingTemperatureCacheDto extends PageBean implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(name = "id", value = "")
    private String id;

    /**
     * 监测时间
     */
    @ApiModelProperty(name = "dTime", value = "监测时间 ")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime dTime;

    @ApiModelProperty(name = "dTimeEnd", value = "监测时间截止 ")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime dTimeEnd;

    @ApiModelProperty(name = "equipmentName", value = "设备名称")
    private String equipmentName;

    @ApiModelProperty(name = "equipmentBrand", value = "设备标牌")
    private String equipmentBrand;

    /**
     * 类型:021010--变压器; 024007--GIS; 023002--避雷器
     */
    @ApiModelProperty(name = "type", value = "类型:021010--变压器; 024007--GIS; 023002--避雷器")
    private String type;
}
