package com.huatek.busi.entity;

import com.huatek.torch.sql.annotation.FieldName;
import com.huatek.torch.sql.annotation.TableName;
import com.huatek.torch.sql.beans.Pojo;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * 避雷器评估结果
 * @author vent
 * @date 2023/03/31
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("arrester_assessment_result")
public class ArresterAssessmentResult extends Pojo implements Serializable{
    /**
     *
     */
    private static final long serialVersionUID = 1L;

    /**
     *
     */
    @FieldName("id")
    private String id;

    /**
     * 站点Id
     */
    @FieldName("site_id")
    private String siteId;

    /**
     * 站点设备树ID
     */
    @FieldName("main_tree_id")
    private String mainTreeId;

    /**
     * 评测时间
     */
    @FieldName("assess_time")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime assessTime;

    /**
     * 计算安全系数
     */
    @FieldName("safety_factor")
    private String safetyFactor;

    /**
     * 投运时间
     */
    @FieldName("operation_time")
    private String operationTime;

    /**
     * 计算健康指数
     */
    @FieldName("health_level")
    private String healthLevel;

    /**
     * 未来故障率
     */
    @FieldName("future_failure_rate")
    private String futureFailureRate;



    /** @Fields type: 1.手动 2.自动 */
    @FieldName(value = "type")
    private String type;

}
