package com.huatek.busi.entity;

import java.io.Serializable;
import java.math.BigDecimal;
import java.time.LocalDateTime;

import org.springframework.format.annotation.DateTimeFormat;

import com.huatek.torch.sql.annotation.FieldName;
import com.huatek.torch.sql.annotation.TableName;
import com.huatek.torch.sql.beans.Pojo;

import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * 避雷器气象实时数据表 entity
 *
 * @author anker_cheng
 * @date Jun 28, 2019 4:19:33 PM
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("arrester_meteorological_cache")
public class ArresterMeteorologicalCache extends Pojo implements Serializable  {
    private static final long serialVersionUID = 1L;

    /**
     * 
     */
    @FieldName("id")
    private String id;
    /**
     * 站点id
     */
    @FieldName("site_id")
    private String siteId;
    /**
     * 设备编码
     */
    @FieldName("site_eqm_code")
    private String siteEqmCode;
    /**
     * 监测时间 
     */
    @FieldName("d_time")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime dTime;
    /**
     * 气温(℃)
     */
    @FieldName("air_temperature")
    private BigDecimal airTemperature;
    /**
     * 气压
     */
    @FieldName("air_pressure")
    private BigDecimal airPressure;
    /**
     * 湿度
     */
    @FieldName("humidity")
    private BigDecimal humidity;
}