package com.huatek.busi.entity;

import java.io.Serializable;
import java.time.LocalDate;
import java.time.LocalDateTime;

import org.springframework.format.annotation.DateTimeFormat;

import com.huatek.torch.sql.annotation.FieldName;
import com.huatek.torch.sql.annotation.TableName;
import com.huatek.torch.sql.beans.Pojo;

import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * 避雷器离线实验报告
 * 
 * @author buck_guo
 * @date 2019/08/23
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("arrester_offline_experiment_report")
public class ArresterOfflineExperimentReport extends Pojo implements Serializable {
    private static final long serialVersionUID = 1L;

    /**
     * 
     */
    @FieldName("id")
    private String id;

    /**
     * 站点id
     */
    @FieldName("site_id")
    private String siteId;

    /**
     * 设备编码
     */
    @FieldName("site_eqm_code")
    private String siteEqmCode;
    /**
     * 实验日期
     */
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    private LocalDate experimentDate;
    /**
     * 环境温度
     */
    private String ambientTemperature;
    /**
     * 相对湿度
     */
    private String relativeHumidity;
    /**
     * 测量绝缘电阻（MΩ）
     */
    @FieldName("insulation_resistance")
    private String insulationResistance;

    /**
     * 直流参考电压UDJM\及175%UDJM测量
     */
    @FieldName("dc_reference_voltage")
    private String dcReferenceVoltage;

    /**
     * 放电计数器动作情况
     */
    @FieldName("discharge_counting_action")
    private String dischargeCountingAction;

    /**
     * 结论及备注
     */
    @FieldName("conclusion_notes")
    private String conclusionNotes;

    /**
     * 校核者
     */
    @FieldName("checker")
    private String checker;

    /**
     * 校核者
     */
    @FieldName("experimenter")
    private String experimenter;

    /**
     * 签名1
     */
    @FieldName("signature1")
    private String signature1;

    /**
     * 签名2
     */
    @FieldName("signature2")
    private String signature2;

    /**
     * 创建人ID
     */
    @FieldName("create_user")
    private String createUser;

    /**
     * 创建时间
     */
    @FieldName("create_time")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime createTime;

    /**
     * 创建人名称
     */
    @FieldName("create_name")
    private String createName;

    /**
     * 修改人ID
     */
    @FieldName("modified_user")
    private String modifiedUser;

    /**
     * 修改时间
     */
    @FieldName("modified_time")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime modifiedTime;

    /**
     * 修改人名称
     */
    @FieldName("modified_name")
    private String modifiedName;

}