package com.huatek.busi.entity;

import com.huatek.torch.sql.annotation.FieldName;
import com.huatek.torch.sql.annotation.Id;
import com.huatek.torch.sql.annotation.TableName;
import com.huatek.torch.sql.beans.Pojo;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * @author Bobi_huo
 * @date 2020-11-24 10:41
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("busi_cable_circulation_cache")
public class BusiCableCirculationCache extends Pojo implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * @Fields id
     */
    @FieldName("id")
    @Id(value = "id")
    private String id;

    /**
     * @Fields dTime : 监测时间，格式为：yyyy-MM-dd HH:mm:ss
     */
    @FieldName("d_time")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime dTime;

    /**
     * @Fields phase :被监测设备相别
     */
    @FieldName("phase")
    private String phase;

    /**
     * @Fields totalCoreCurrent :电流（mA）
     */
    @FieldName("total_core_current")
    private String totalCoreCurrent;

    /**
     * @Fields sensorId : 在线监测装置的唯一标识（17 位码）
     */
    @FieldName("sensor_id")
    private String sensorId;

    /**
     * @Fields siteId : 站点ID
     */
    @FieldName("site_id")
    private String siteId;

    /**
     * @Fields mainTreeId :站点设备树ID
     */
    @FieldName("main_tree_id")
    private String mainTreeId;

    /**
     * @Fields subTreeId :外挂设备树ID
     */
    @FieldName("sub_tree_id")
    private String subTreeId;

    /**
     * @Fields runState :设备运行状态：0-无  1-发电  2-抽水  3-空闲
     */
    @FieldName("run_state")
    private String runState;
}
