package com.huatek.busi.entity;

import com.huatek.torch.sql.annotation.FieldName;
import com.huatek.torch.sql.annotation.Id;
import com.huatek.torch.sql.annotation.TableName;
import com.huatek.torch.sql.beans.Pojo;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;

/**
 * 电缆环流日统计表
 *
 * @author Bobi_huo
 * @date 2020-09-16 14:34
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("busi_cable_circulation_statistics")
public class BusiCableCirculationStatistics extends Pojo implements Serializable {

    private static final long serialVersionUID = -4466086425984918376L;

    /**
     * @Fields id
     */
    @FieldName("id")
    @Id(value = "id")
    private String id;

    /**
     * @Fields siteId : 站点ID
     */
    @FieldName("site_id")
    private String siteId;

    /**
     * @Fields subEquipmentId : 外挂设备ID
     */
    @FieldName("sub_equipment_id")
    private String subEquipmentId;

    /**
     * @Fields mainEquipmentId : 主设备ID
     */
    @FieldName("main_equipment_id")
    private String mainEquipmentId;

    /**
     * @Fields dTime :统计时间
     */
    @FieldName("d_time")
    private String dTime;

    /**
     * @Fields totalCoreCurrent : 电流(mA)
     */
    @FieldName("total_core_current")
    private String totalCoreCurrent;

    /**
     * @Fields createTime :创建时间
     */
    @FieldName("create_time")
    private String createTime;

    /**
     * @Fields sensorCode : 传感器编码
     */
    @FieldName("sensor_code")
    private String sensorCode;
}
