package com.huatek.busi.entity;

import java.math.BigDecimal;
import java.time.LocalDateTime;
import java.util.Date;
import java.io.Serializable;

import com.huatek.torch.sql.annotation.FieldName;
import com.huatek.torch.sql.annotation.Id;
import com.huatek.torch.sql.annotation.TableName;
import com.huatek.torch.sql.beans.Pojo;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springframework.format.annotation.DateTimeFormat;

/**
 * <p>
 *      电缆载流能力
 *  </p>
 *
 * @author vent
 * @since 2023-03-28
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("busi_cable_current_result")
public class BusiCableCurrentResult extends Pojo implements Serializable {

    private static final long serialVersionUID = -4466086425984918376L;

    /**
     * 主键ID
     */
    @FieldName("id")
    @Id(value = "id")
    private String id;

    /**
     * 电缆光纤测温温度
     */
    @ApiModelProperty(value = "电缆光纤测温温度",  name="meaTemp")
    @FieldName("mea_temp")
    private BigDecimal meaTemp;

    /**
     * 电缆环境温度
     */
    @ApiModelProperty(value = "电缆环境温度",  name="ambientTemp")
    @FieldName("ambient_temp")
    private BigDecimal ambientTemp;

    /**
     * 电缆通过的额定电压
     */
    @ApiModelProperty(value = "电缆通过的额定电压",  name="ratedVoltage")
    @FieldName("rated_voltage")
    private BigDecimal ratedVoltage;

    /**
     * 电缆线芯外径
     */
    @ApiModelProperty(value = "电缆线芯外径",  name="externalDiameterCc")
    @FieldName("external_diameter_cc")
    private BigDecimal externalDiameterCC;

    /**
     * 电缆绝缘层外径
     */
    @ApiModelProperty(value = "电缆绝缘层外径",  name="externalDiameterCi")
    @FieldName("external_diameter_ci")
    private BigDecimal externalDiameterCI;

    /**
     * 电缆铜芯导体直径
     */
    @ApiModelProperty(value = "电缆铜芯导体直径",  name="diameter")
    @FieldName("diameter")
    private BigDecimal diameter;

    /**
     * 导体和金属间绝缘厚度
     */
    @ApiModelProperty(value = "导体和金属间绝缘厚度",  name="insulationThick")
    @FieldName("insulation_thick")
    private BigDecimal insulationThick;

    /**
     * 电缆根数
     */
    @ApiModelProperty(value = "电缆根数",  name="cablesNumber")
    @FieldName("cables_Number")
    private BigDecimal cablesNumber;

    /**
     * 铜导体常温电导率ρ
     */
    @ApiModelProperty(value = "铜导体常温电导率ρ",  name="conductivity")
    @FieldName("conductivity")
    private BigDecimal conductivity;

    /**
     * 线芯的电阻温度系数
     */
    @ApiModelProperty(value = "线芯的电阻温度系数",  name="resistanceTempCoefficient")
    @FieldName("resistance_temp_coefficient")
    private BigDecimal resistanceTempCoefficient;

    /**
     * 介质损耗因数
     */
    @ApiModelProperty(value = "介质损耗因数",  name="dielectricLossFactor")
    @FieldName("dielectric_loss_factor")
    private BigDecimal dielectricLossFactor;

    /**
     * 绝缘材料的介电常数
     */
    @ApiModelProperty(value = "绝缘材料的介电常数",  name="dielectricConstant")
    @FieldName("dielectric_constant")
    private BigDecimal dielectricConstant;

    /**
     * 电缆外径(Dc)
     */
    @ApiModelProperty(value = "电缆外径(Dc)",  name="externalDiameterDc")
    @FieldName("external_diameter_dc")
    private BigDecimal externalDiameterDC;

    /**
     * 抽水时长
     */
    @ApiModelProperty(value = "抽水时长",  name="pumpingDuration")
    @FieldName("pumping_duration")
    private BigDecimal pumpingDuration;

    /**
     * 发电时长
     */
    @ApiModelProperty(value = "发电时长",  name="electricPowerDuration")
    @FieldName("electric_power_duration")
    private BigDecimal electricPowerDuration;

    /**
     * 发电/抽水 0--发电  1--抽水
     */
    @ApiModelProperty(value = "发电/抽水 0--发电  1--抽水",  name="flag")
    @FieldName("flag")
    private String flag;

    /**
     * 介质损耗因数
     */
    @ApiModelProperty(value = "介质损耗因数",  name="t2")
    @FieldName("t2")
    private BigDecimal t2;

    /**
     * 介质损耗因数
     */
    @ApiModelProperty(value = "介质损耗因数",  name="t3")
    @FieldName("t3")
    private BigDecimal t3;

    /**
     * 抽水电流
     */
    @ApiModelProperty(value = "抽水电流",  name="pumpingCurrent")
    @FieldName("pumping_current")
    private BigDecimal pumpingCurrent;

    /**
     * 发电电流
     */
    @ApiModelProperty(value = "发电电流",  name="electricPowerCurrent")
    @FieldName("electric_power_current")
    private BigDecimal electricPowerCurrent;

    /**
     * Δθ
     */
    @ApiModelProperty(value = "Δθ",  name="tempDiff")
    @FieldName("temp_diff")
    private BigDecimal tempDiff;

    /**
     * 交流电阻R
     */
    @ApiModelProperty(value = "交流电阻R",  name="r")
    @FieldName("r")
    private BigDecimal r;

    /**
     * 一根导体和金属套之间单位长度的热阻T1
     */
    @ApiModelProperty(value = "一根导体和金属套之间单位长度的热阻T1",  name="wd")
    @FieldName("wd")
    private BigDecimal wd;

    /**
     * 导体绝缘单位长度的介质损耗Wd
     */
    @ApiModelProperty(value = "导体绝缘单位长度的介质损耗Wd",  name="t1")
    @FieldName("t1")
    private BigDecimal t1;

    /**
     * 电缆表面和周围媒质之间单位长度热阻T4
     */
    @ApiModelProperty(value = "电缆表面和周围媒质之间单位长度热阻T4",  name="t4")
    @FieldName("t4")
    private BigDecimal t4;

    /**
     * 护套损耗与线芯损耗之比λ1
     */
    @ApiModelProperty(value = "护套损耗与线芯损耗之比λ1",  name="λ1")
    @FieldName("λ1")
    private BigDecimal λ1;

    /**
     * 铠装损耗与线芯损耗之比λ2
     */
    @ApiModelProperty(value = "铠装损耗与线芯损耗之比λ2",  name="λ2")
    @FieldName("λ2")
    private BigDecimal λ2;

    /**
     * 铠装损耗与线芯损耗之比λ2
     */
    @ApiModelProperty(value = "长度电缆电容",  name="λ2")
    @FieldName("CC")
    private BigDecimal cc;

    /** @Fields type: 1.手动 2.自动 */
    @FieldName(value = "type")
    private String type;


    /** @Fields name */
    @FieldName(value = "name")
    private String name;
    /**
     * 创建时间
     */
    @ApiModelProperty(value = "创建时间",  name="createTime")
    @FieldName("create_time")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime createTime;
}
