package com.huatek.busi.entity;

import com.huatek.torch.sql.annotation.FieldName;
import com.huatek.torch.sql.annotation.TableName;
import com.huatek.torch.sql.beans.Pojo;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.time.LocalDate;
import java.time.LocalDateTime;

/**
  * @ClassName: BusiDriverpipeEvaluationResults
  * @FullClassPath: com.huatek.busi.entity.BusiDrivepipeEvaluationResults
  * @Description: TODO
  * @author: Arno
  * @date: Sep 12, 2019 1:23:17 PM
  * @version: 1.0
  */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("busi_drivepipe_evaluation_results")
public class BusiDrivepipeEvaluationResults extends Pojo implements Serializable {

	/** @Fields serialVersionUID : */
	private static final long serialVersionUID = -2784973248472262986L;
	@FieldName("id")
	private String id;

	/** @Fields mainTreeId : 站点树ID */
	@FieldName("main_tree_id")
	private String mainTreeId;

	/** @Fields insulate :套管绝缘 */
	@FieldName(value = "insulate")
	private String insulate;

	/** @Fields h2 :套管H2 */
	@FieldName(value = "h2")
	private String h2;

	/** @Fields ch4 :套管CH4 */
	@FieldName(value = "ch4")
	private String ch4;

	/** @Fields c2h2 :套管C2H2 */
	@FieldName(value = "c2h2")
	private String c2h2;

	/** @Fields insulate :套管绝缘_a */
	@FieldName(value = "insulate_a")
	private String insulateA;

	/** @Fields h2 :套管H2_a */
	@FieldName(value = "h2_a")
	private String h2A;

	/** @Fields ch4 :套管CH4_a */
	@FieldName(value = "ch4_a")
	private String ch4A;

	/** @Fields c2h2 :套管C2H2_a */
	@FieldName(value = "c2h2_a")
	private String c2h2A;

	/** @Fields insulate :套管绝缘_b */
	@FieldName(value = "insulate_b")
	private String insulateB;

	/** @Fields h2 :套管H2_b */
	@FieldName(value = "h2_b")
	private String h2B;

	/** @Fields ch4 :套管CH4_b */
	@FieldName(value = "ch4_b")
	private String ch4B;

	/** @Fields c2h2 :套管C2H2_b */
	@FieldName(value = "c2h2_b")
	private String c2h2B;

	/** @Fields HealthScoreInsulate :套管（H2/C2H2/CH4，绝缘)最终计算健康指数 */
	@FieldName(value = "health_score_insulate")
	private String healthScoreInsulate;

	/** @Fields HealthScoreInsulate :套管（H2/C2H2/CH4，绝缘)最终计算健康指数 */
	@FieldName(value = "health_score_h2")
	private String healthScoreH2;

	/** @Fields HealthScoreInsulate :套管（H2/C2H2/CH4，绝缘)最终计算健康指数 */
	@FieldName(value = "health_score_ch4")
	private String healthScoreCH4;

	/** @Fields HealthScoreInsulate :套管（H2/C2H2/CH4，绝缘)最终计算健康指数 */
	@FieldName(value = "health_score_c2h2")
	private String healthScoreC2H2;

	/** @Fields hours :变压器投运后一个月，开始计算的，到今天的运行时间（小时） */
	@FieldName(value = "hours")
	private String hours;

	/** @Fields bValue :b值（默认0.98） */
	@FieldName(value = "b_value")
	private String bValue;

	/** @Fields result: 套管评测结果 */
	@FieldName(value = "result")
	private String result;

	/** @Fields evaluateDate: 评测时间 */
	@FieldName(value = "evaluate_date")
	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private LocalDateTime evaluateDate;

}
