package com.huatek.busi.entity;

import java.io.Serializable;
import java.time.LocalDateTime;

import com.huatek.torch.sql.annotation.FieldName;
import com.huatek.torch.sql.annotation.Id;
import com.huatek.torch.sql.annotation.TableName;
import com.huatek.torch.sql.beans.Pojo;

import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * 故障单
 * @author buck_guo
 * @date 2019/09/17
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("busi_eqm_malfunction")
public class BusiEqmMalfunction extends Pojo implements Serializable{
    /**
     *
     */
    private static final long serialVersionUID = 1L;

    @FieldName("id")
    @Id(value = "id")
    private String id;

    /**
     * 告警单ID
     */
    @FieldName("warning_id")
    private String warningId;

    /**
     * 传感器ID
     */
    @FieldName("sensor_id")
    private String sensorId;

    /**
     *  故障大类1：变压器，2：gis，3：避雷器，4：测温柜 5：其他
     */
    @FieldName("eq_type")
    private String eqType;

    /**
     * 故障小类：
     * 1—油色谱  
     * 2—局放 
     * 3—铁芯接地 
     * 4-红外测温 
     * 5-SF6告警 
     * 6-避雷器告警 
     * 7-测温柜测温告警 
     * 8-铁芯夹件告警 
     * 9-运行工况告警 
     * 10-测温点增长率 
     * 11-读表数据告警 
     * 12-容性告
     */
    @FieldName("gz_type")
    private String gzType;

    /**
     * 故障来源 1：告警，2：三比值
     */
    @FieldName("malfunction_source")
    private String malfunctionSource;

    /**
     * 告警类别编码
     */
    @FieldName("warning_type_code")
    private String warningTypeCode;

    /**
     * 告警信息
     */
    @FieldName("warning_msg")
    private String warningMsg;

    /**
     * 告警时间
     */
    @FieldName("warning_time")
    private LocalDateTime warningTime;

    /**
     * 故障单创建时间
     */
    @FieldName("create_time")
    private LocalDateTime createTime;

    /**
     * 删除标识 1:正常   2：删除
     */
    @FieldName("del_flag")
    private String delFlag;

    /**
     * 处理状态  0—未处理、1—已处理
     */
    @FieldName("deal_status")
    private String dealStatus;

    /**
     * 处理结果
     */
    @FieldName("deal_msg")
    private String dealMsg;

    /**
     * 站点Id
     */
    @FieldName("site_id")
    private String siteId;

    /**
     * 主设备ID
     */
    @FieldName("main_equipment_id")
    private String mainEquipmentId;

    /**
     * 外挂设备ID
     */
    @FieldName("sub_equipment_id")
    private String subEquipmentId;

    /**
     * 处理时间
     */
    @FieldName("processing_time")
    private LocalDateTime processingTime;

    /**
     * 处理人
     */
    @FieldName("processing_user")
    private String processingUser;

    /**
     * 外挂设备安装位置
     */
    @FieldName("sub_equipment_install_location")
    private String subEquipmentInstallLocation;

    /**
     * 外挂设标牌
     */
    @FieldName("sub_equipment_brand")
    private String subEquipmentBrand;

    /**
     * 外挂设备生产厂家
     */
    @FieldName("sub_equipment_manufactor")
    private String subEquipmentManufactor;

    /**
     * 传感器安装位置
     */
    @FieldName("sensor_install_location")
    private String sensorInstallLocation;

    /**
     * 传感器标牌
     */
    @FieldName("sensor_brand")
    private String sensorBrand;

    /**
     * 传感器生产厂家
     */
    @FieldName("sensor_manufactor")
    private String sensorManufactor;

    /**
     * 外挂设备名称
     */
    @FieldName("sub_equipment_name")
    private String subEquipmentName;

    /**
     * 传感器名称
     */
    @FieldName("sensor_name")
    private String sensorName;

    /**
     * 外挂设备树id
     */
    @FieldName("sub_tree_id")
    private String subTreeId;

    /**
     * 站点树ID
     */
    @FieldName("main_tree_id")
    private String mainTreeId;

    /**
     * 设备运行状态：0-无  1-发电  2-抽水  3-空闲
     */
    @FieldName("run_state")
    private String runState;
    
    /**
     * 创建人
     */
    @FieldName("create_name")
    private String createName;
    
    /**
     * 创建人Id
     */
    @FieldName("create_user")
    private String createUser;
    
    /**
     * 三比值
     */
    @FieldName("three_ratio")
    private String threeRatio;
}