package com.huatek.busi.entity;

import java.io.Serializable;
import java.time.LocalDateTime;

import org.springframework.format.annotation.DateTimeFormat;

import com.huatek.torch.sql.annotation.FieldName;
import com.huatek.torch.sql.annotation.TableName;
import com.huatek.torch.sql.beans.Pojo;

import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * 考评指标——监测设备类型 entity
 *
 * @author anker_cheng
 * @date Jul 23, 2019 9:50:23 AM
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("busi_eva_monitor_equipment")
public class BusiEvaMonitorEquipment extends Pojo implements Serializable  {

    private static final long serialVersionUID = 1L;

    /**
     * 主键ID
     */
    @FieldName("id")
    private String id;

    /**
     * 监测设备类型名称
     */
    @FieldName("name")
    private String name;

    /**
     * 排序
     */
    @FieldName("sort")
    private Integer sort;

    /**
     * 创建时间
     */
    @FieldName("created_time")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime createdTime;

    /**
     * 状态：1——可用；2——不可用
     */
    @FieldName("status")
    private String status;

    @FieldName("code")
    private String code;
}