package com.huatek.busi.entity;

import java.io.Serializable;
import java.time.LocalDateTime;

import org.springframework.format.annotation.DateTimeFormat;

import com.huatek.torch.sql.annotation.FieldName;
import com.huatek.torch.sql.annotation.TableName;
import com.huatek.torch.sql.beans.Pojo;

import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * 考评指标——监测单元 entity
 *
 * @author anker_cheng
 * @date Jul 23, 2019 9:50:23 AM
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("busi_eva_monitor_unit")
public class BusiEvaMonitorUnit extends Pojo implements Serializable  {

    private static final long serialVersionUID = 1L;

    /**
     * 主键ID
     */
    @FieldName("id")
    private String id;

    /**
     * 排序
     */
    @FieldName("sort")
    private Integer sort;

    /**
     * 考评指标——监测设备类型ID
     */
    @FieldName("eq_type_id")
    private String eqTypeId;

    /**
     * 监测单元名称
     */
    @FieldName("name")
    private String name;

    /**
     * 
     */
    @FieldName("created_time")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime createdTime;

    /**
     * 状态：A——可用；D——不可用
     */
    @FieldName("status")
    private String status;

    /**
     * 外挂设备类型
     */
    @FieldName("equipment_type")
    private String equipmentType;

    @FieldName("code")
    private String code;

    @FieldName("type")
    private String type;
}