package com.huatek.busi.entity;

import java.io.Serializable;
import java.time.LocalDateTime;
import com.huatek.torch.sql.annotation.FieldName;
import com.huatek.torch.sql.annotation.TableName;
import com.huatek.torch.sql.beans.Pojo;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * 发电机振动监测实时数据表
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("busi_generator_ampl")
public class BusiGeneratorAmpl extends Pojo implements Serializable
{
    private static final long serialVersionUID = 1L;

    @FieldName("id")
    private String id;

    /** 监测时间 */
    @FieldName("d_time")
    private LocalDateTime dTime;

    /** 站点ID */
    @FieldName("site_id")
    private String siteId;

    /** 站点设备树ID */
    @FieldName("main_tree_id")
    private String mainTreeId;

    /** 传感器设备编码 */
    @FieldName("sensor_id")
    private String sensorId;

    /** 外挂设备树ID */
    @FieldName("sub_tree_id")
    private String subTreeId;

    /** I2数据报文编码 */
    @FieldName("sensor_code")
    private String sensorCode;

    /** 振动类型,源自busi_genereator_ampl_type.id自段 */
    @FieldName("type_id")
    private Long typeId;

    /** 振动X轴位移 */
    @FieldName("ampl_x")
    private String amplX;

    /** 振动Y轴位移 */
    @FieldName("ampl_y")
    private String amplY;

    /** 振动Z轴位移 */
    @FieldName("ampl_z")
    private String amplZ;

    /** 振动X轴频率 */
    @FieldName("freq_x")
    private String freqX;

    /** 振动Y轴频率 */
    @FieldName("freq_y")
    private String freqY;

    /** 振动z轴频率 */
    @FieldName("freq_z")
    private String freqZ;

    /** 振动X轴速度 */
    @FieldName("spd_x")
    private String spdX;

    /** 振动Y轴速度 */
    @FieldName("spd_y")
    private String spdY;

    /** 振动Z轴速度 */
    @FieldName("spd_z")
    private String spdZ;

    /** 空气间隙0度位移 */
    @FieldName("aircap_am")
    private String aircapAm;

    /** 空气间隙90度位移 */
    @FieldName("aircap_bm")
    private String aircapBm;

    /** 空气间隙180度位移 */
    @FieldName("aircap_cm")
    private String aircapCm;

    /** 空气间隙270度位移 */
    @FieldName("aircap_dm")
    private String aircapDm;

    /** hbase中的rowkey */
    @FieldName("hbase_rowkey")
    private String hbaseRowkey;

    /*工作状态 1-发电状态 2：抽水状态 3：空闲状态*/
    @FieldName("run_state")
    private String runState;
}
