/**
 * 
 */
package com.huatek.busi.entity;

import com.huatek.torch.sql.annotation.FieldName;
import com.huatek.torch.sql.annotation.Id;
import com.huatek.torch.sql.annotation.TableName;
import com.huatek.torch.sql.beans.Pojo;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.time.LocalDate;
import java.time.LocalDateTime;

/**
 * 振动类型
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("busi_generator_ampl_type")
public class BusiGeneratorAmplType extends Pojo implements Serializable {

	private static final long serialVersionUID = 1L;

	/**
	 * 主键
	 */
	@FieldName("id")
	@Id(value = "id")
	private Integer id;

	/**
	 * 装置主类型  1：振动、2：间隙、3：压力、4、局放、5：温度
	 */
	@FieldName("main_type")
	private String mainType;

	/**
	 * 振动类型描述
	 */
	@FieldName("ampl_desc")
	private String amplDesc;

	/**
	 * 删除标志(0:未删除，1:删除:)
	 */
	@FieldName("del_flag")
	private String delFalg;

	/**
	 * 创建时间
	 */
	@FieldName("dtime")
	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private LocalDateTime dtime;
}
