package com.huatek.busi.entity;

import java.io.Serializable;
import java.util.Date;
import com.huatek.torch.sql.annotation.FieldName;
import com.huatek.torch.sql.annotation.TableName;
import com.huatek.torch.sql.beans.Pojo;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * 发电机局部放电监测数据缓存对象 busi_generator_pd_cache
 * 
 * @author leo
 * @date 2023-05-04
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("busi_generator_pd_cache")
public class BusiGeneratorPdCache extends Pojo implements Serializable
{
    private static final long serialVersionUID = 1L;

    /** master key */
    @FieldName("id")
    private String id;

    /** 监测时间 */
    @FieldName("d_time")
    private Date dTime;

    /** 站点ID */
    @FieldName("site_id")
    private String siteId;

    /** 站点设备树ID */
    @FieldName("main_tree_id")
    private String mainTreeId;

    /** 传感器设备编码 */
    @FieldName("sensor_id")
    private String sensorId;

    /** 外挂设备树ID */
    @FieldName("sub_tree_id")
    private String subTreeId;

    /** 数据报文编码 */
    @FieldName("sensor_code")
    private String sensorCode;

    /** 装置类型,源自busi_genereator_ampl_type.id自段 */
    @FieldName("type_id")
    private Long typeId;

    /** 放电量 */
    @FieldName("discharge_capacity")
    private String dischargeCapacity;

    /** 放电位置 */
    @FieldName("discharge_position")
    private String dischargePosition;

    /** 放电次数 */
    @FieldName("pulse_count")
    private String pulseCount;

    /** 放电类型 0 正常；1 尖端放电；2 悬浮放电；3 沿面放电；4 内部放电；5 颗粒放电；6 外部干扰；7 其它 */
    @FieldName("dsch_type")
    private String dschType;

    /** 放电波形 */
    @FieldName("discharge_waveform")
    private String dischargeWaveform;

    /** 局部放电告警（0:正常,1:告警） */
    @FieldName("pa_dsch_alm")
    private String paDschAlm;

    /** 工作状态 1-发电状态 2：抽水状态 3：空闲状态 */
    @FieldName("run_state")
    private String runState;
}
