package com.huatek.busi.entity;

import java.io.Serializable;
import java.math.BigDecimal;
import java.time.LocalDateTime;

import io.swagger.annotations.ApiModelProperty;
import org.springframework.format.annotation.DateTimeFormat;

import com.huatek.torch.sql.annotation.FieldName;
import com.huatek.torch.sql.annotation.TableName;
import com.huatek.torch.sql.beans.Pojo;

import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * 避雷器标牌信息表 entity
 *
 * @author anker_cheng
 * @date Jul 17, 2019 4:45:59 PM
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("busi_offline_arrester_brand")
public class BusiOfflineArresterBrand extends Pojo implements Serializable  {
    private static final long serialVersionUID = 1L;

    /**
     * 主键ID
     */
    @FieldName("id")
    private String id;
    /**
     * 站点Id
     */
    @FieldName("site_id")
    private String siteId;
    /**
     * 主设备ID
     */
    @FieldName("main_equipment_id")
    private String mainEquipmentId;
    /**
     * 产品名称
     */
    @FieldName("arrester_name")
    private String arresterName;
    /**
     * 产品型号
     */
    @FieldName("arrester_model")
    private String arresterModel;
    /**
     * 设备编号
     */
    @FieldName("equipment_code")
    private String equipmentCode;
    /**
     * 站点设备编号
     */
    @FieldName("site_code")
    private String siteCode;
    /**
     * 标称放电电流(kA)
     */
    @FieldName("discharge_current")
    private String dischargeCurrent;
    /**
     * 持续运行电压(kV)
     */
    @FieldName("running_voltage")
    private String runningVoltage;
    /**
     * 直流1mA参考电压不小于(kV)
     */
    @FieldName("executive_standard")
    private String executiveStandard;
    /**
     * 额定电压(kV)
     */
    @FieldName("nominal_voltage")
    private String nominalVoltage;
    /**
     * 制造批号
     */
    @FieldName("batch_number")
    private String batchNumber;
    /**
     * 创建人ID
     */
    @FieldName("create_user")
    private String createUser;


    /**
     * 设备投运时间
     */
    @FieldName("transport_time")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime transportTime;

    /**
     * 创建时间
     */
    @FieldName("insulation_resistance")
    @ApiModelProperty(name = "insulationResistance", value = "绝缘电阻（MΩ)）")
    private BigDecimal insulationResistance;

    @FieldName("create_time")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime createTime;
    /**
     * 状态：A:可用   D:不可用
     */
    @FieldName("status")
    private String status;
}