package com.huatek.busi.entity;

import com.huatek.torch.sql.annotation.*;
import com.huatek.torch.sql.beans.Pojo;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.time.LocalDateTime;

@Data
@TableName("busi_offline_cable_brand")
public class BusiOfflineCableBrand extends Pojo implements Serializable {

    @Id(value = "id")
    @ApiModelProperty(name = "id", value = "主键ID")
    private String id;

    @FieldName("site_id")
    @ApiModelProperty(name = "siteId", value = "站点Id")
    private String siteId;

    @FieldName("main_equipment_id")
    @ApiModelProperty(name = "mainEquipmentId", value = "主设备ID")
    private String mainEquipmentId;

    @FieldName("cable_name")
    @ApiModelProperty(name = "cableName", value = "产品名称")
    private String cableName;

    @FieldName("cable_model")
    @ApiModelProperty(name = "cableModel", value = "产品型号")
    private String cableModel;

    @FieldName("equipment_code")
    @ApiModelProperty(name = "equipmentCode", value = "设备编号")
    private String equipmentCode;

    @FieldName("site_code")
    @ApiModelProperty(name = "siteCode", value = "站点设备编号")
    private String siteCode;

    @FieldName("manufacturer")
    @ApiModelProperty(name = "manufacturer", value = "生产厂家")
    private String manufacturer;

    @FieldName("factory_time")
    @ApiModelProperty(name = "factoryTime", value = "出厂年月")
    private LocalDateTime factoryTime;
//
//    @FieldName("batch_number")
//    @ApiModelProperty(name = "batchNumber", value = "制造批号")
//    private String batchNumber;

    @FieldName("create_user")
    @ApiModelProperty(name = "createUser", value = "创建人ID")
    private String createUser;

    @ApiModelProperty(name = "rated_voltage", value = "额定电压")
    private String ratedVoltage;

    @ApiModelProperty(name = "rated_current", value = "额定电流")
    private String ratedCurrent;


    @FieldName("create_time")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty(name = "createTime", value = "创建时间")
    private LocalDateTime createTime;

//    @FieldName("update_user")
//    @ApiModelProperty(name = "updateUser", value = "更新者")
//    private String updateUser;
//
//    @FieldName("update_time")
//    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
//    @ApiModelProperty(name = "createTime", value = "更新时间")
//    private LocalDateTime updateTime;

    @FieldName("status")
    @ApiModelProperty(name = "status", value = "状态：A:可用  D:不可用")
    private String status;
}
