package com.huatek.busi.entity;

import java.io.Serializable;
import java.time.LocalDate;
import java.time.LocalDateTime;

import org.springframework.format.annotation.DateTimeFormat;

import com.huatek.torch.sql.annotation.FieldName;
import com.huatek.torch.sql.annotation.TableName;
import com.huatek.torch.sql.beans.Pojo;

import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * GIS投运验收结论 entity
 *
 * @author anker_cheng
 * @date Jul 4, 2019 2:00:04 PM
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("busi_offline_gis_check")
public class BusiOfflineGisCheck extends Pojo implements Serializable  {
    private static final long serialVersionUID = 1L;

    /**
     * 
     */
    @FieldName("id")
    private String id;
    /**
     * GIS设备ID
     */
    @FieldName("equipment_id")
    private String equipmentId;
    /**
     * 站点ID
     */
    @FieldName("site_id")
    private String siteId;
    /**
     * GIS局放试验结论
     */
    @FieldName("local_release")
    private String localRelease;
    /**
     * 操作机构试验结论 1.正常  2.轻微问题
     */
    @FieldName("mechanism_check")
    private String mechanismCheck;
    /**
     * 泄露试验结论
     */
    @FieldName("leakage_check")
    private String leakageCheck;
    /**
     * 压力试验结论
     */
    @FieldName("press_check")
    private String pressCheck;
    /**
     * 温度试验结论
     */
    @FieldName("temper_check")
    private String temperCheck;
    /**
     * 水分试验结论
     */
    @FieldName("water_check")
    private String waterCheck;
    /**
     * 微水试验结论
     */
    @FieldName("micro_water")
    private String microWater;
    /**
     * 验收日期
     */
    @FieldName("check_date")
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    private LocalDate checkDate;
    /**
     * 
     */
    @FieldName("create_user")
    private String createUser;
    /**
     * 
     */
    @FieldName("create_time")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime createTime;
    /**
     * 
     */
    @FieldName("create_name")
    private String createName;
    /**
     * 是否删除:1——正常；2——删除
     */
    @FieldName("status")
    private String status;
}