package com.huatek.busi.entity;

import java.io.Serializable;
import java.time.LocalDateTime;

import org.springframework.format.annotation.DateTimeFormat;

import com.huatek.torch.sql.annotation.FieldName;
import com.huatek.torch.sql.annotation.TableName;
import com.huatek.torch.sql.beans.Pojo;

import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * GIS检修记录 entity
 *
 * @author anker_cheng
 * @date Jul 26, 2019 5:21:30 PM
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("busi_offline_gis_repair")
public class BusiOfflineGisRepair extends Pojo implements Serializable  {

    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
    @FieldName("id")
    private String id;

    /**
     * 站点ID
     */
    @FieldName("site_id")
    private String siteId;

    /**
     * 主设备ID
     */
    @FieldName("main_equipment_id")
    private String mainEquipmentId;

    /**
     * 外挂设备ID
     */
    @FieldName("sub_equipment_id")
    private String subEquipmentId;

    /**
     * 告警ID
     */
    @FieldName("warning_id")
    private String warningId;

    /**
     * 传感器编码
     */
    @FieldName("sensor_code")
    private String sensorCode;

    /**
     * 传感器名
     */
    @FieldName("sensor_name")
    private String sensorName;

    /**
     * 标牌
     */
    @FieldName("signage")
    private String signage;

    /**
     * 安装位置
     */
    @FieldName("install_location")
    private String installLocation;

    /**
     * 发现时间
     */
    @FieldName("discovery_time")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime discoveryTime;

    /**
     * 缺陷内容
     */
    @FieldName("defect_content")
    private String defectContent;

    /**
     * 缺陷类别：1-严重、2-轻微、3-一般
     */
    @FieldName("defect_category")
    private String defectCategory;

    /**
     * 清除时间
     */
    @FieldName("clear_time")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime clearTime;

    /**
     * 检修结果：1-正常、2-未完成
     */
    @FieldName("repair_result")
    private String repairResult;

    /**
     * 修复时间等级:1 - 24小时之内即可完全修复；
     */
    @FieldName("repair_level")
    private String repairLevel;

    /**
     * 对GIS影响等级:1-严重、2-轻微、3-无影响
     */
    @FieldName("effect_level")
    private String effectLevel;

    /**
     * 
     */
    @FieldName("create_user")
    private String createUser;

    /**
     * 
     */
    @FieldName("create_time")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime createTime;

    /**
     * 
     */
    @FieldName("create_name")
    private String createName;
    
    /**
     * 更新用户ID
     */
    @FieldName("modified_user")
    private String modifiedUser;

    /**
     * 更新时间
     */
    @FieldName("modified_time")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime modifiedTime;

    /**
     * 更新用户姓名
     */
    @FieldName("modified_name")
    private String modifiedName;

    /**
     * 操作机构润滑（完好为1，有缺陷为0）
     */
    @FieldName("czjg_lubrication")
    private String czjgLubrication;

    /**
     * 主体、机构外观（完好为0，有缺陷为1）
     */
    @FieldName("ztjg_appearance")
    private String ztjgAppearance;

    /**
     * 支持绝缘部分（完好为0，有缺陷为1）
     */
    @FieldName("support_insulation")
    private String supportInsulation;

    /**
     * 主回路端子（完好为0，有缺陷为1）
     */
    @FieldName("main_loop_terminal")
    private String mainLoopTerminal;

    /**
     * 同类断路器维护次数
     */
    @FieldName("tldlq_maintain")
    private String tldlqMaintain;

    /**
     * 断路器维护（完好为0，有缺陷为1）
     */
    @FieldName("dlq_maintenance")
    private String dlqMaintenance;

    /**
     * 环境系数（空气质量：优秀/良好1、轻度污染1.05、中度污染1.15、重度污染1.3）
     */
    @FieldName("dust_corrosion")
    private String dustCorrosion;

    /**
     * 缺陷性质:5级  5  
4级  4  
3级  3  
2级  2  
1级  1
     */
    @FieldName("qx_xz")
    private String qxXz;

    /**
     * 故障描述
     */
    @FieldName("fail_description")
    private String failDescription;

    /**
     * 处理状态（0未处理，1处理）
     */
    @FieldName("deal_status")
    private String dealStatus;

    /**
     * 处理结果
     */
    @FieldName("deal_result")
    private String dealResult;

    /**
     * 是否删除:1——正常；2——删除
     */
    @FieldName("is_delete")
    private String isDelete;
    
    /**
     * 处理人ID
     */
    @FieldName("handle_user")
    private String handleUser;

    /**
     * 处理时间
     */
    @FieldName("handle_time")
    private LocalDateTime handleTime;

    /**
     * 处理人姓名
     */
    @FieldName("handle_name")
    private String handleName;
}