package com.huatek.busi.entity;

import java.io.Serializable;
import java.time.LocalDateTime;

import org.springframework.format.annotation.DateTimeFormat;

import com.huatek.torch.sql.annotation.FieldName;
import com.huatek.torch.sql.annotation.TableName;
import com.huatek.torch.sql.beans.Pojo;

import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * 离线数据--GIS开关试验数据 entity
 *
 * @author anker_cheng
 * @date Jul 4, 2019 2:00:04 PM
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("busi_outline_gis_experiment_data")
public class BusiOutlineGisExperimentData extends Pojo implements Serializable  {
    private static final long serialVersionUID = 1L;

    /**
     * 
     */
    @FieldName("id")
    private String id;
    /**
     * GIS设备ID
     */
    @FieldName("equipment_id")
    private String equipmentId;
    /**
     * 站点ID
     */
    @FieldName("site_id")
    private String siteId;
    /**
     * 实验类型:1:断路器实验   2：其他实验
     */
    @FieldName("type")
    private String type;
    /**
     * 试验时间
     */
    @FieldName("experiment_date_time")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime experimentDateTime;
    /**
     * 
     */
    @FieldName("create_time")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime createTime;
    /**
     * A相压力(其他)
     */
    @FieldName("a_pressure")
    private String aPressure;
    /**
     * b相压力(其他)
     */
    @FieldName("b_pressure")
    private String bPressure;
    /**
     * c相压力(其他)
     */
    @FieldName("c_pressure")
    private String cPressure;
    /**
     * A相水(其他)
     */
    @FieldName("a_water")
    private String aWater;
    /**
     * b相水(其他)
     */
    @FieldName("b_water")
    private String bWater;
    /**
     * c相水(其他)
     */
    @FieldName("c_water")
    private String cWater;
    /**
     * A相温度(其他)
     */
    @FieldName("a_temperature")
    private String aTemperature;
    /**
     * B相温度(其他)
     */
    @FieldName("b_temperature")
    private String bTemperature;
    /**
     * C相温度(其他)
     */
    @FieldName("c_temperature")
    private String cTemperature;
    /**
     * A相导电回路电阻(其他)
     */
    @FieldName("a_ddhl_resistance")
    private String aDdhlResistance;
    /**
     * B相导电回路电阻(其他)
     */
    @FieldName("b_ddhl_resistance")
    private String bDdhlResistance;
    /**
     * C相导电回路电阻(其他)
     */
    @FieldName("c_ddhl_resistance")
    private String cDdhlResistance;
    /**
     * A相压力(断路器)
     */
    @FieldName("a_pressure_dlq")
    private String aPressureDlq;
    /**
     * b相压力(断路器)
     */
    @FieldName("b_pressure_dlq")
    private String bPressureDlq;
    /**
     * c相压力(断路器)
     */
    @FieldName("c_pressure_dlq")
    private String cPressureDlq;
    /**
     * A相水(断路器)
     */
    @FieldName("a_water_dlq")
    private String aWaterDlq;
    /**
     * b相水(断路器)
     */
    @FieldName("b_water_dlq")
    private String bWaterDlq;
    /**
     * c相水(断路器)
     */
    @FieldName("c_water_dlq")
    private String cWaterDlq;
    /**
     * A相温度(断路器)
     */
    @FieldName("a_temperature_dlq")
    private String aTemperatureDlq;
    /**
     * B相温度(断路器)
     */
    @FieldName("b_temperature_dlq")
    private String bTemperatureDlq;
    /**
     * C相温度(断路器)
     */
    @FieldName("c_temperature_dlq")
    private String cTemperatureDlq;
    /**
     * A相导电回路电阻(断路器)
     */
    @FieldName("a_ddhl_resistance_dlq")
    private String aDdhlResistanceDlq;
    /**
     * B相导电回路电阻(断路器)
     */
    @FieldName("b_ddhl_resistance_dlq")
    private String bDdhlResistanceDlq;
    /**
     * C相导电回路电阻(断路器)
     */
    @FieldName("c_ddhl_resistance_dlq")
    private String cDdhlResistanceDlq;
}