package com.huatek.busi.entity;

import java.io.Serializable;
import java.time.LocalDateTime;

import org.springframework.format.annotation.DateTimeFormat;

import com.huatek.torch.sql.annotation.FieldName;
import com.huatek.torch.sql.annotation.TableName;
import com.huatek.torch.sql.beans.Pojo;

import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * 离线数据--变压器试验数据 entity
 *
 * @author walker_wang
 * @date Jul 4, 2019 4:54:01 PM
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("busi_outline_transformer_experiment_data")
public class BusiOutlineTransformerExperimentData extends Pojo implements Serializable  {
    private static final long serialVersionUID = 1L;

    /**
     * 
     */
    @FieldName("id")
    private String id;
    /**
     * 变压器设备ID
     */
    @FieldName("equipment_id")
    private String equipmentId;
    /**
     * 站点ID
     */
    @FieldName("site_id")
    private String siteId;
    /**
     * 绝缘电阻.高压－低压及地-吸收比
     */
    @FieldName("jueyuandianzu_hv_xsb")
    private String jueyuandianzuHvXsb;
    /**
     * 绝缘电阻.高压－低压及地-极化指数
     */
    @FieldName("jueyuandianzu_hv_jhzs")
    private String jueyuandianzuHvJhzs;
    /**
     * 绝缘电阻.低压-高压及地-吸收比
     */
    @FieldName("jueyuandianzu_mv_xsb")
    private String jueyuandianzuMvXsb;
    /**
     * 绝缘电阻.低压-高压及地-极化指数
     */
    @FieldName("jueyuandianzu_mv_jhzs")
    private String jueyuandianzuMvJhzs;
    /**
     * 绝缘电阻.高压，低压-地-吸收比
     */
    @FieldName("jueyuandianzu_lv_xsb")
    private String jueyuandianzuLvXsb;
    /**
     * 绝缘电阻.高压，低压-地-极化指数
     */
    @FieldName("jueyuandianzu_lv_jhzs")
    private String jueyuandianzuLvJhzs;
    /**
     * 
     */
    @FieldName("create_time")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime createTime;
    /**
     * 状态：A:可用   D:不可用
     */
    @FieldName("status")
    private String status;
    /**
     * 吸收比权重
     */
    @FieldName("xishoubi_qz")
    private String xishoubiQz;
    /**
     * 极化指数权重
     */
    @FieldName("jihuazhishu_qz")
    private String jihuazhishuQz;
    /**
     * 高压-低压及地-Cx(nF)
     */
    @FieldName("jueyuandianzuhv_Cx")
    private String jueyuandianzuhvCx;
    /**
     * 低压-高压及地Cx(nF)
     */
    @FieldName("jueyuandianzulv_Cx")
    private String jueyuandianzulvCx;
    /**
     * 高压，低压-地Cx(nF)
     */
    @FieldName("jueyuandianzu_Cx")
    private String jueyuandianzuCx;
    /**
     * Cx权重
     */
    @FieldName("cx_qz")
    private String cxQz;
    /**
     * 高压-低压及地tang
     */
    @FieldName("jueyuandianzuhv_tang")
    private String jueyuandianzuhvTang;
    /**
     * 低压-高压及地tang
     */
    @FieldName("jueyuandianzulv_tang")
    private String jueyuandianzulvTang;
    /**
     * 高压，低压-地tang
     */
    @FieldName("jueyuandianzu_tang")
    private String jueyuandianzuTang;
    /**
     * tang权重
     */
    @FieldName("tang_qz")
    private String tangQz;
    /**
     * 铁芯-地
     */
    @FieldName("txd")
    private String txd;
    /**
     * 夹件-地
     */
    @FieldName("jjd")
    private String jjd;
    /**
     * KTKG550-1800/2000-A-tano
     */
    @FieldName("tgdrA_tano")
    private String tgdraTano;
    /**
     * KTKG550-1800/2000-B-tano
     */
    @FieldName("tgdrB_tano")
    private String tgdrbTano;
    /**
     * KTKG550-1800/2000-C-tano
     */
    @FieldName("tgdrC_tano")
    private String tgdrcTano;
    /**
     * GOB250/1250-0.5-O-tano
     */
    @FieldName("tgdrO_tano")
    private String tgdroTano;
    /**
     * GOH170/16-A-tano
     */
    @FieldName("tgdrjzsha_tano")
    private String tgdrjzshaTano;
    /**
     * GOH170/16-b-tano
     */
    @FieldName("tgdrjzshb_tano")
    private String tgdrjzshbTano;
    /**
     * GOH170/16-c-tano
     */
    @FieldName("tgdrjzshc_tano")
    private String tgdrjzshcTano;
    /**
     * KTKG550-1800/2000-A-Cx(pF)
     */
    @FieldName("tgdrA_Cx")
    private String tgdraCx;
    /**
     * KTKG550-1800/2000-B-Cx(pF)
     */
    @FieldName("tgdrB_Cx")
    private String tgdrbCx;
    /**
     * KTKG550-1800/2000-C-Cx(pF)
     */
    @FieldName("tgdrC_Cx")
    private String tgdrcCx;
    /**
     * GOB250/1250-0.5-O-Cx(pF)
     */
    @FieldName("tgdrO_Cx")
    private String tgdroCx;
    /**
     * GOH170/16-a-Cx(pF)
     */
    @FieldName("tgdrjzsha_Cx")
    private String tgdrjzshaCx;
    /**
     * GOH170/16-b-Cx(pF)
     */
    @FieldName("tgdrjzshb_Cx")
    private String tgdrjzshbCx;
    /**
     * GOH170/16-c-Cx(pF)
     */
    @FieldName("tgdrjzshc_Cx")
    private String tgdrjzshcCx;
    /**
     * 冲击试验后空载电流
     */
    @FieldName("kzdl")
    private String kzdl;
    /**
     * 冲击试验后空载损耗
     */
    @FieldName("kzsh")
    private String kzsh;
    /**
     * 高压-低压-容量MVA
     */
    @FieldName("hv_rl")
    private String hvRl;
    /**
     * 高压-低压-额定分接
     */
    @FieldName("hv_edfj")
    private String hvEdfj;
    /**
     * 高压-低压-最正分接
     */
    @FieldName("hv_zzfj")
    private String hvZzfj;
    /**
     * 密封实验
     */
    @FieldName("mfsy")
    private String mfsy;
    /**
     * 声级测定(特殊)测量结果
     */
    @FieldName("sjcd")
    private String sjcd;
    /**
     * 温升实验(型式)
     */
    @FieldName("wssy")
    private String wssy;
    /**
     * 温升试验后-甲烷
     */
    @FieldName("wssy_jw")
    private String wssyJw;
    /**
     * 温升试验后-乙烷
     */
    @FieldName("wssy_yw")
    private String wssyYw;
    /**
     * 温升试验后-乙烯
     */
    @FieldName("wssy_yx")
    private String wssyYx;
    /**
     * 温升试验后乙炔
     */
    @FieldName("wssy_yq")
    private String wssyYq;
    /**
     * 温升试验后_氢
     */
    @FieldName("wssy_qing")
    private String wssyQing;
    /**
     * 温升实验后-一氧化碳
     */
    @FieldName("wssy_yyht")
    private String wssyYyht;
    /**
     * 温升试验后-二氧化碳
     */
    @FieldName("wssy_eyht")
    private String wssyEyht;
    /**
     * 温升实验后-总烃含量
     */
    @FieldName("wssy_ting")
    private String wssyTing;
    /**
     * 电气强度(kV)试验结果
     */
    @FieldName("jyysy_dq")
    private String jyysyDq;
    /**
     * 水分含量(mg/kg)试验结果
     */
    @FieldName("jyysy_sf")
    private String jyysySf;
    /**
     * 介质损失角正切值tano
     */
    @FieldName("jyysy_jz")
    private String jyysyJz;
    /**
     * 分接位置直流电阻
     */
    @FieldName("gyrz_fj")
    private String gyrzFj;
    /**
     * AO直流电阻
     */
    @FieldName("gyrz_AO")
    private String gyrzAo;
    /**
     * BO直流电阻
     */
    @FieldName("gyrz_BO")
    private String gyrzBo;
    /**
     * CO直流电阻
     */
    @FieldName("gyrz_CO")
    private String gyrzCo;
    /**
     * 最大不平衡率
     */
    @FieldName("max_bphl")
    private String maxBphl;
    /**
     * HV-lv,e绝缘电阻
     */
    @FieldName("hv_lv")
    private String hvLv;
    /**
     * lv-hv,e绝缘电阻
     */
    @FieldName("lv_hv")
    private String lvHv;
    /**
     * 铁芯-HV，lv，e
     */
    @FieldName("tx_hv")
    private String txHv;
    /**
     * 夹件-HV，lv，e
     */
    @FieldName("jj_hv")
    private String jjHv;
    /**
     * 电容量正切
     */
    @FieldName("drl_zq")
    private String drlZq;
    /**
     * tgδ正切值
     */
    @FieldName("tgδ_zq")
    private String tgZq;
    /**
     * HV-LV，E泄漏电流
     */
    @FieldName("hv_dl")
    private String hvDl;
    /**
     * LV，hv，E泄漏电流
     */
    @FieldName("lv_dl")
    private String lvDl;
    /**
     * 回路电阻A
     */
    @FieldName("hldzA")
    private String hldza;
    /**
     * 回路电阻B
     */
    @FieldName("hldzB")
    private String hldzb;
    /**
     * 回路电阻C
     */
    @FieldName("hldzC")
    private String hldzc;
    /**
     * 回路电阻标准
     */
    @FieldName("hldz_bz")
    private String hldzBz;
    /**
     * 合闸时间A相
     */
    @FieldName("hzsjA")
    private String hzsja;
    /**
     * 合闸时间B相
     */
    @FieldName("hzsjB")
    private String hzsjb;
    /**
     * 合闸时间C相
     */
    @FieldName("hzsjC")
    private String hzsjc;
    /**
     * 合闸时间标准
     */
    @FieldName("hzsj_bz")
    private String hzsjBz;
    /**
     * 分闸1时间A相
     */
    @FieldName("fz_oneA")
    private String fzOnea;
    /**
     * 分闸1时间B相
     */
    @FieldName("fz_oneB")
    private String fzOneb;
    /**
     * 分闸1时间C相
     */
    @FieldName("fz_oneC")
    private String fzOnec;
    /**
     * 分闸1时间标准
     */
    @FieldName("fz_oneBZ")
    private String fzOnebz;
    /**
     * 分闸2时间A相
     */
    @FieldName("fz_twoA")
    private String fzTwoa;
    /**
     * 分闸2时间B相
     */
    @FieldName("fz_twoB")
    private String fzTwob;
    /**
     * 分闸2时间C相
     */
    @FieldName("fz_twoC")
    private String fzTwoc;
    /**
     * 分闸2时间标准
     */
    @FieldName("fz_twoBZ")
    private String fzTwobz;
    /**
     * 不同期时间A相
     */
    @FieldName("btq_timeA")
    private String btqTimea;
    /**
     * 不同期时间B相
     */
    @FieldName("btq_timeB")
    private String btqTimeb;
    /**
     * 不同期时间C相
     */
    @FieldName("btq_timeC")
    private String btqTimec;
    /**
     * 不同期时间标准
     */
    @FieldName("btq_timeBZ")
    private String btqTimebz;
    /**
     * 水
     */
    @FieldName("water")
    private String water;
    /**
     * 实验时间
     */
    @FieldName("experiment_date_time")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime experimentDateTime;
    /**
     * 
     */
    @FieldName("h2")
    private String h2;
    /**
     * 
     */
    @FieldName("ch4")
    private String ch4;
    /**
     * 
     */
    @FieldName("c2h2")
    private String c2h2;
    /**
     * 
     */
    @FieldName("c2h4")
    private String c2h4;
    /**
     * 
     */
    @FieldName("c2h6")
    private String c2h6;
    /**
     * 总烃
     */
    @FieldName("zt")
    private String zt;
    /**
     * 
     */
    @FieldName("co")
    private String co;
    /**
     * 
     */
    @FieldName("co2")
    private String co2;
    /**
     * CO绝对产气
     */
    @FieldName("co_jdcq")
    private String coJdcq;
    /**
     * CO2绝对产气速率
     */
    @FieldName("co2_jdcqsl")
    private String co2Jdcqsl;
    /**
     * CO相对产气速率
     */
    @FieldName("co_xdcqsl")
    private String coXdcqsl;
    /**
     * CO相对产气速率
     */
    @FieldName("co2_xdcqsl")
    private String co2Xdcqsl;
    /**
     * 总烃绝对产气
     */
    @FieldName("zt_jdcq")
    private String ztJdcq;
    /**
     * 总烃相对产气速率
     */
    @FieldName("zt_xdcqsl")
    private String ztXdcqsl;
    /**
     * 油中微水
     */
    @FieldName("yz_water")
    private String yzWater;
    /**
     * 油介质
     */
    @FieldName("y_medium")
    private String yMedium;
    /**
     * 油击穿电压
     */
    @FieldName("yjc_voltage")
    private String yjcVoltage;
    /**
     * 糠醛含量
     */
    @FieldName("kq_content")
    private String kqContent;
    /**
     * 纸板聚合度
     */
    @FieldName("zb_jhd")
    private String zbJhd;
    /**
     * 极化指数
     */
    @FieldName("jhzs")
    private String jhzs;
    /**
     * 局放放电量
     */
    @FieldName("jffdl")
    private String jffdl;
    /**
     * 绝缘电阻
     */
    @FieldName("jydz")
    private String jydz;
    /**
     * 绝缘电阻吸收比
     */
    @FieldName("jydz_xsb")
    private String jydzXsb;
    /**
     * 绕组直流电阻相间差
     */
    @FieldName("rzzldz_xjc")
    private String rzzldzXjc;
    /**
     * 绕组直流电阻线间差
     */
    @FieldName("rzzldz_xianjc")
    private String rzzldzXianjc;
    /**
     * 绕组绝缘介损
     */
    @FieldName("rz_jyjz")
    private String rzJyjz;
    /**
     * 铁芯接地电阻（MΩ）
     */
    @FieldName("txjd_dz")
    private String txjdDz;
    /**
     * 末屏绝缘电阻（MΩ）
     */
    @FieldName("mpjy_dz")
    private String mpjyDz;
    /**
     * 套管介损
     */
    @FieldName("tg_js")
    private String tgJs;
    /**
     * 套管H2
     */
    @FieldName("tg_h2")
    private String tgH2;
    /**
     * 套管CH4
     */
    @FieldName("tg_h4")
    private String tgH4;
    /**
     * 套管C2H2
     */
    @FieldName("tg_h2h2")
    private String tgH2h2;
    /**
     * 绝缘纸含水量（质量分数%）
     */
    @FieldName("jyz_hsl")
    private String jyzHsl;
    /**
     * 空载电流、空载损耗变化率（%）
     */
    @FieldName("kzdl_dzsh")
    private String kzdlDzsh;
    /**
     * 短路阻抗变化率
     */
    @FieldName("dlzk_bhl")
    private String dlzkBhl;
    /**
     * 铁芯接地电流
     */
    @FieldName("txjd_dl")
    private String txjdDl;
    /**
     * 震动、声级（变化率%）
     */
    @FieldName("zd_sj")
    private String zdSj;
    /**
     * 绕组直流泄露电流（变化率%）
     */
    @FieldName("rzzl_xldl")
    private String rzzlXldl;
    /**
     * 变压器本体
     */
    @FieldName("byq_bt")
    private String byqBt;
    /**
     * 冷却系统
     */
    @FieldName("lq_xt")
    private String lqXt;
    /**
     * 分接开关
     */
    @FieldName("fj_kg")
    private String fjKg;
    /**
     * 非电量保护装置
     */
    @FieldName("fdl_bhzz")
    private String fdlBhzz;
    /**
     * 套管
     */
    @FieldName("tg")
    private String tg;
    /**
     * 缺陷性质
     */
    @FieldName("qx_xz")
    private String qxXz;
    /**
     * 缺陷次数
     */
    @FieldName("qx_cs")
    private String qxCs;
    /**
     * 油色谱试验编号
     */
    @FieldName("ysp_sybh")
    private String yspSybh;
    /**
     * 油质试验编号
     */
    @FieldName("yz_sybh")
    private String yzSybh;
    /**
     * 糠醛试验编号
     */
    @FieldName("kq_sybh")
    private String kqSybh;
    /**
     * 绝缘纸试验编号
     */
    @FieldName("jyz_sybh")
    private String jyzSybh;
    /**
     * 例行试验试验编号
     */
    @FieldName("lxsy_sybh")
    private String lxsySybh;
    /**
     * 诊断性试验试验编号
     */
    @FieldName("zdxsy_sybh")
    private String zdxsySybh;
    /**
     * 油色谱备注
     */
    @FieldName("ysp_bz")
    private String yspBz;
    /**
     * 油质试验备注
     */
    @FieldName("yz_bz")
    private String yzBz;
    /**
     * 糠醛试验备注
     */
    @FieldName("kq_bz")
    private String kqBz;
    /**
     * 绝缘纸试验备注
     */
    @FieldName("jyz_bz")
    private String jyzBz;
    /**
     * 例行试验备注
     */
    @FieldName("lxsy_bz")
    private String lxsyBz;
    /**
     * 诊断性试验备注
     */
    @FieldName("zdxsy_bz")
    private String zdxsyBz;
    /**
     * 油色谱试验(试验值)备注
     */
    @FieldName("description1")
    private String description1;
    /**
     * 油质试验(试验值)备注
     */
    @FieldName("description2")
    private String description2;
    /**
     * 糠醛指标(试验值)备注
     */
    @FieldName("description3")
    private String description3;
    /**
     * 绝缘纸(试验值)备注
     */
    @FieldName("description4")
    private String description4;
    /**
     * 例行试验(试验值)备注
     */
    @FieldName("description5")
    private String description5;
    /**
     * 诊断性试验(试验值)备注
     */
    @FieldName("description6")
    private String description6;
    /**
     * 创建人ID
     */
    @FieldName("create_id")
    private String createId;
    /**
     * 创建人姓名
     */
    @FieldName("create_name")
    private String createName;
}