package com.huatek.busi.entity;

import java.io.Serializable;
import java.math.BigDecimal;
import java.time.LocalDateTime;

import org.springframework.format.annotation.DateTimeFormat;

import com.huatek.torch.sql.annotation.FieldName;
import com.huatek.torch.sql.annotation.TableName;
import com.huatek.torch.sql.beans.Pojo;

import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * 所有主设备权重系数模板表 entity
 *
 * @author anker_cheng
 * @date Jul 24, 2019 5:10:05 PM
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("busi_param_templet")
public class BusiParamTemplet extends Pojo implements Serializable  {

    private static final long serialVersionUID = 1L;

    /**
     * 
     */
    @FieldName("id")
    private String id;

    /**
     * 1：第一级分项权重   2：第二级   3：第三级
     */
    @FieldName("weight_level")
    private String weightLevel;

    /**
     * 计算指标的名称
     */
    @FieldName("name")
    private String name;

    /**
     * 描述
     */
    @FieldName("description")
    private String description;

    /**
     * 上级计算指标名称
     */
    @FieldName("pname")
    private String pname;

    /**
     * 权重值
     */
    @FieldName("value")
    private BigDecimal value;

    /**
     * 是否显示AB值:0——否；1——是
     */
    @FieldName("ab_value_flag")
    private String abValueFlag;

    /**
     * 被计算权重的值
     */
    @FieldName("calculated_Value")
    private String calculatedValue;

    /**
     * a值
     */
    @FieldName("a_value")
    private BigDecimal aValue;

    /**
     * b值
     */
    @FieldName("b_value")
    private BigDecimal bValue;

    /**
     * 注意值
     */
    @FieldName("warning_value")
    private String warningValue;

    /**
     * 评分模型：1：升   2:降
     */
    @FieldName("model")
    private String model;

    /**
     * 类型
     */
    @FieldName("param_type")
    private String paramType;

    /**
     * 单位
     */
    @FieldName("unit")
    private String unit;

    /**
     * 
     */
    @FieldName("create_time")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime createTime;

    /**
     * 
     */
    @FieldName("create_user")
    private String createUser;

    /**
     * 排序
     */
    @FieldName("sort_num")
    private Integer sortNum;
}