package com.huatek.busi.entity;

import com.huatek.busi.vo.BusiParamTransformerVo;
import com.huatek.torch.sql.annotation.FieldName;
import com.huatek.torch.sql.annotation.TableName;
import com.huatek.torch.sql.beans.Pojo;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.math.BigDecimal;
import java.time.LocalDateTime;
import java.util.List;

/**
 * 变压器的权重系数维护表 entity
 *
 * @author mitchell
 *
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("busi_param_transformer_voluntarily")
public class BusiParamTransformerVoluntarily extends Pojo implements Serializable  {

    private static final long serialVersionUID = 1L;

    /**
     *
     */
    @FieldName("id")
    private String id;

    /**
     * 站点Id
     */
    @FieldName("site_id")
    private String siteId;

    /**
     * 主设备ID
     */
    @FieldName("main_equipment_id")
    private String mainEquipmentId;

    /**
     * 1：第一级分项权重   2：第二级   3：第三级
     */
    @FieldName("weight_level")
    private String weightLevel;

    /**
     * 计算指标的名称
     */
    @FieldName("name")
    private String name;

    /**
     * 上级计算指标名称
     */
    @FieldName("pname")
    private String pname;

    /**
     * 描述
     */
    @FieldName("description")
    private String description;

    /**
     * 权重值
     */
    @FieldName("value")
    private BigDecimal value;

    /**
     * 是否显示AB值:0——否；1——是
     */
    @FieldName("ab_value_flag")
    private String abValueFlag;

    /**
     * a值
     */
    @FieldName("a_value")
    private BigDecimal aValue;

    /**
     * b值
     */
    @FieldName("b_value")
    private BigDecimal bValue;

    /**
     * 注意值
     */
    @FieldName("warning_value")
    private String warningValue;

    /**
     * 评分模型：1：升   2:降
     */
    @FieldName("model")
    private String model;

    /**
     * 是否参与评测:   0:不参与   1：参与
     */
    @FieldName("is_attend")
    private String isAttend;

    /**
     *
     */
    @FieldName("create_time")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime createTime;

    /**
     *
     */
    @FieldName("create_user")
    private String createUser;

    /**
     * 排序
     */
    @FieldName("sort_num")
    private Integer sortNum;


    @ApiModelProperty(name = "children", value = "下级计算指标列表")
    private List<BusiParamTransformerVoluntarily> children;

    /**
     * 输入参数值
     */
    @FieldName("calculated_value")
    private Integer calculatedValue;

    /**
     * 拼接描述与范围值
     */
    @FieldName("scope")
    private String scope;

    /**
     * 保存参数次数
     */
    @FieldName("number")
    private Integer number;
}
