package com.huatek.busi.entity;

import com.huatek.torch.sql.annotation.FieldName;
import com.huatek.torch.sql.annotation.TableName;
import com.huatek.torch.sql.beans.Pojo;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * @description BusiSemiAutomaticEvaluateConfig
 *
 * @author Kavon
 * @date 2023/11/28 19:22
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("busi_semi_automatic_evaluate_config")
public class BusiSemiAutomaticEvaluateConfig extends Pojo implements Serializable {
    private static final long serialVersionUID = 1L;

    /**
     * 主键ID
     */
    @FieldName("id")
    private String id;

    /**
     * 半自动评估标记（1是半自动，0是自动）
     */
    @FieldName("mark")
    private String mark;

    /**
     * 创建人
     */
    @FieldName("create_user")
    private String createUser;

    /**
     * 创建时间
     */
    @FieldName("create_time")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime createTime;

    /**
     * 更新人
     */
    @FieldName("update_user")
    private String updateUser;

    /**
     * 更新时间
     */
    @FieldName("update_time")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime updateTime;
}
