package com.huatek.busi.entity;

import java.io.Serializable;
import java.time.LocalDateTime;

import org.springframework.format.annotation.DateTimeFormat;

import com.huatek.torch.sql.annotation.FieldName;
import com.huatek.torch.sql.annotation.TableName;
import com.huatek.torch.sql.beans.Pojo;

import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * 站点表 entity
 *
 * @author anker_cheng
 * @date Jul 2, 2019 2:22:16 PM
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("busi_site")
public class BusiSite extends Pojo implements Serializable  {
    private static final long serialVersionUID = 1L;

    /**
     * 
     */
    @FieldName("id")
    private String id;
    /**
     * 站点名称
     */
    @FieldName("site_name")
    private String siteName;
    /**
     * 站点地址
     */
    @FieldName("site_address")
    private String siteAddress;
    /**
     * 经度
     */
    @FieldName("longitude")
    private String longitude;
    /**
     * 纬度
     */
    @FieldName("latitude")
    private String latitude;
    /**
     * 创建时间
     */
    @FieldName("create_time")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime createTime;
    /**
     * 
     */
    @FieldName("status")
    private String status;
    /**
     * 
     */
    @FieldName("create_user")
    private String createUser;
    /**
     * 
     */
    @FieldName("create_name")
    private String createName;
    /**
     * 机构
     */
    @FieldName("org_code")
    private String orgCode;
}