package com.huatek.busi.entity;

import java.io.Serializable;
import java.time.LocalDateTime;

import org.springframework.format.annotation.DateTimeFormat;

import com.huatek.torch.sql.annotation.FieldName;
import com.huatek.torch.sql.annotation.TableName;
import com.huatek.torch.sql.beans.Pojo;

import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * 稳定性指标 entity
 *
 * @author anker_cheng
 * @date Jul 29, 2019 2:13:47 PM
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("busi_stability")
public class BusiStability extends Pojo implements Serializable  {

    private static final long serialVersionUID = 1L;

    /**
     * 
     */
    @FieldName("id")
    private String id;

    /**
     * 传感器编码
     */
    @FieldName("sensor_code")
    private String sensorCode;

 
    /**
     * 稳定性指标值
     */
    @FieldName("stability_index")
    private String stabilityIndex;

    /**
     * 指标状态   0-无  1-发电  2-抽水  3-空闲  
     */
    @FieldName("index_type")
    private String indexType;
    

    /**
     * 创建时间
     */
    @FieldName("create_time")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime createTime;
}