package com.huatek.busi.entity;

import java.io.Serializable;
import java.time.LocalDateTime;

import org.springframework.format.annotation.DateTimeFormat;

import com.huatek.torch.sql.annotation.FieldName;
import com.huatek.torch.sql.annotation.TableName;
import com.huatek.torch.sql.beans.Pojo;

import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * 变压器例行修正值（按天） entity
 *
 * @author anker_cheng
 * @date Jul 15, 2019 11:13:47 AM
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("busi_transformer_correct")
public class BusiTransformerCorrect extends Pojo implements Serializable  {
    private static final long serialVersionUID = 1L;

    /**
     * 
     */
    @FieldName("id")
    private String id;
    /**
     * 氢气含量(μL/L)
     */
    @FieldName("h2")
    private String h2;
    /**
     * 甲烷含量(μL/L)
     */
    @FieldName("ch4")
    private String ch4;
    /**
     * 乙烷含量(μL/L)
     */
    @FieldName("c2h6")
    private String c2h6;
    /**
     * 乙烯含量(μL/L)
     */
    @FieldName("c2h4")
    private String c2h4;
    /**
     * 乙炔含量(μL/L)
     */
    @FieldName("c2h2")
    private String c2h2;
    /**
     * 一氧化碳含量(μL/L)
     */
    @FieldName("co")
    private String co;
    /**
     * 二氧化碳含量(μL/L)
     */
    @FieldName("co2")
    private String co2;
    /**
     * 水分
     */
    @FieldName("h2o")
    private String h2o;

    /**
     * 温度（℃）
     */
    @FieldName("tmp")
    private String tmp;

    /**
     * 湿度（%）
     */
    @FieldName("dew")
    private String dew;

    /**
     * 微水含量（μL/L）
     */
    @FieldName("mst")
    private String mst;

    /**
     * 瓦斯继电器中故障气（μL/L）
     */
    @FieldName("flatGas")
    private String flatGas;

    /**
     * 总可燃气体含量（μL/L）
     */
    @FieldName("cmbuGas")
    private String cmbuGas;

    /**
     * 总烃(μL/L)
     */
    @FieldName("total_hydrocarbon")
    private String totalHydrocarbon;
    /**
     * 修正时间
     */
    @FieldName("correct_time")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime correctTime;
    /**
     * 站点ID
     */
    @FieldName("site_id")
    private String siteId;
    /**
     * 被检测设备id(17 位设备编码CAC同步的数据)
     */
    @FieldName("equipment_id")
    private String equipmentId;
    /**
     * 外挂设备ID
     */
    @FieldName("sub_equipment_id")
    private String subEquipmentId;
    /**
     * 主设备ID
     */
    @FieldName("main_equipment_id")
    private String mainEquipmentId;

    /**
     * 站点设备树ID
     */
    @FieldName("main_tree_id")
    private String mainTreeId;

    /**
     * 外挂设备树ID
     */
    @FieldName("sub_tree_id")
    private String subTreeId;
}