package com.huatek.busi.entity;

import java.io.Serializable;
import java.time.LocalDateTime;
import java.util.Date;

import org.springframework.format.annotation.DateTimeFormat;

import com.huatek.torch.sql.annotation.FieldName;
import com.huatek.torch.sql.annotation.Id;
import com.huatek.torch.sql.annotation.TableName;
import com.huatek.torch.sql.beans.Pojo;

import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * @ClassName: BusiTransformerExperiment
 * @FullClassPath: com.huatek.busi.entity.BusiTransformerExperiment
 * @Description: 变压器例行试验七气一水值 （中间表：每次录入例行试验时，修改七气一水值，上传油色谱数据做修正参考）
 * @author: Arno
 * @date: Jul 15, 2019 10:39:46 AM
 * @version: 1.0
 */

@Data
@EqualsAndHashCode(callSuper = false)
@TableName("busi_transformer_experiment")
public class BusiTransformerExperiment extends Pojo implements Serializable {

	/** @Fields serialVersionUID : */
	private static final long serialVersionUID = 789962075073085814L;

	@FieldName("id")
	@Id(value = "id")
	private String id;

	/** @Fields h2 : 氢气含量(μL/L) */
	@FieldName("h2")
	private String h2;

	/** @Fields ch4 : 甲烷含量(μL/L) */
	@FieldName("ch4")
	private String ch4;

	/** @Fields c2h6 : 乙烷含量(μL/L) */
	@FieldName("c2h6")
	private String c2h6;

	/** @Fields c2h4 : 乙烯含量(μL/L) */
	@FieldName("c2h4")
	private String c2h4;

	/** @Fields c2h2 : 乙炔含量(μL/L) */
	@FieldName("c2h2")
	private String c2h2;

	/** @Fields co : 一氧化碳含量(μL/L) */
	@FieldName("co")
	private String co;

	/** @Fields co2 : 二氧化碳含量(μL/L) */
	@FieldName("co2")
	private String co2;

	/** @Fields h2o : 水分 */
	@FieldName("h2o")
	private String h2o;
	
	/** @Fields co : 氮气含量(μL/L) */
	@FieldName("n2")
	private String n2;
	
	/** @Fields co : 氧气含量(μL/L) */
	@FieldName("o2")
	private String o2;

	/**
	 * 温度（℃）
	 */
	@FieldName("tmp")
	private String tmp;

	/**
	 * 湿度（%）
	 */
	@FieldName("dew")
	private String dew;

	/**
	 * 微水含量（μL/L）
	 */
	@FieldName("mst")
	private String mst;

	/**
	 * 瓦斯继电器中故障气（μL/L）
	 */
	@FieldName("flatGas")
	private String flatGas;

	/**
	 * 总可燃气体含量（μL/L）
	 */
	@FieldName("cmbuGas")
	private String cmbuGas;

	/** @Fields zj : 总烃(μL/L) */
	@FieldName("zj")
	private String zj;

	/** @Fields isUse : 是否已用 1：否 2：是 */
	@FieldName("is_use")
	private String isUse;

	/** @Fields createTime : 创建时间(试验时间) */
	@FieldName("create_time")
	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private LocalDateTime createTime;

	/** @Fields diffTime : 对比时间 */
	@FieldName("diff_time")
	@DateTimeFormat(pattern = "yyyy-MM-dd")
	private Date diffTime;

	/** @Fields siteId : 站点ID */
	@FieldName("site_id")
	private String siteId;

	/** @Fields equipmentId : 变压器设备ID */
	@FieldName("equipment_id")
	private String equipmentId;

	@FieldName("main_tree_id")
	private String mainTreeId;

}
