package com.huatek.busi.entity;

import java.io.Serializable;
import java.math.BigDecimal;
import java.time.LocalDate;

import org.springframework.format.annotation.DateTimeFormat;

import com.huatek.torch.sql.annotation.FieldName;
import com.huatek.torch.sql.annotation.TableName;
import com.huatek.torch.sql.beans.Pojo;

import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * sensor曲线图，一天一个点 entity
 *
 * @author anker_cheng
 * @date Aug 30, 2019 1:43:17 PM
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("curve_sensor_entity")
public class CurveSensorEntity extends Pojo implements Serializable  {

    private static final long serialVersionUID = 1L;

    /**
     * 主键ID
     */
    @FieldName("id")
    private String id;

    /**
     * 站点设备树ID
     */
    @FieldName("main_tree_id")
    private String mainTreeId;

    /**
     * 传感器编码sensorCode
     */
    @FieldName("sensor_code")
    private String sensorCode;

    /**
     * 子类型，比如油色谱一个sensor含有多种气体，每个气体每天一个点
     */
    @FieldName("sub_type")
    private String subType;

    /**
     * 日期
     */
    @FieldName("day")
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    private LocalDate day;

    /**
     * 点的值
     */
    @FieldName("val")
    private BigDecimal val;
}