package com.huatek.busi.entity;

import java.io.Serializable;
import java.math.BigDecimal;
import java.time.LocalDateTime;

import org.springframework.format.annotation.DateTimeFormat;

import com.huatek.torch.sql.annotation.FieldName;
import com.huatek.torch.sql.annotation.TableName;
import com.huatek.torch.sql.beans.Pojo;

import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * sensor曲线图，一天多个点 entity
 *
 * @author anker_cheng
 * @date Aug 30, 2019 1:43:17 PM
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("curve_sensor_point_entity")
public class CurveSensorPointEntity extends Pojo implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键ID
     */
    @FieldName("id")
    private String id;

    /**
     * 关联ID
     */
    @FieldName("ref_id")
    private String refId;

    /**
     * 时间
     */
    @FieldName("time")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime time;

    /**
     * 点值
     */
    @FieldName("val")
    private BigDecimal val;

    @FieldName("extend_vala")
    private String extendVala;

    @FieldName("extend_valb")
    private String extendValb;

    @FieldName("extend_valc")
    private String extendValc;
}