package com.huatek.busi.entity;

import java.io.Serializable;
import java.time.LocalDate;
import java.time.LocalDateTime;

import org.springframework.format.annotation.DateTimeFormat;

import com.huatek.torch.sql.annotation.FieldName;
import com.huatek.torch.sql.annotation.TableName;
import com.huatek.torch.sql.beans.Pojo;

import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * 数据输出记录 entity
 *
 * @author anker_cheng
 * @date Oct 12, 2019 9:57:51 AM
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("data_output_entity")
public class DataOutputEntity extends Pojo implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键ID
     */
    @FieldName("id")
    private String id;

    /**
     * 站点ID
     */
    @FieldName("site_id")
    private String siteId;

    /**
     * 站点设备树ID
     */
    @FieldName("main_tree_id")
    private String mainTreeId;

    /**
     * 外挂设备树ID
     */
    @FieldName("sub_tree_id")
    private String subTreeId;

    /**
     * 数据日期
     */
    @FieldName("day")
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    private LocalDate day;

    /**
     * 文件路径(相对路径)
     */
    @FieldName("file_path")
    private String filePath;

    /**
     * 文件名
     */
    @FieldName("file_name")
    private String fileName;

    /**
     * 记录生成时间
     */
    @FieldName("created_time")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime createdTime;

    /**
     * 下载次数
     */
    @FieldName("download_times")
    private Integer downloadTimes;

    /**
     * 数据描述
     */
    @FieldName("data_desc")
    private String dataDesc;
}