package com.huatek.busi.entity;

import com.huatek.torch.sql.annotation.FieldName;
import com.huatek.torch.sql.annotation.TableName;
import com.huatek.torch.sql.beans.Pojo;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * 变压器/电抗器——红外测温：021010、022002、023002、024007 entity
 *
 * @author anker_cheng
 * @date Aug 2, 2019 2:12:59 PM
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("equipment_temperature_cache")
public class EquipmentSensor extends Pojo implements Serializable  {

    private static final long serialVersionUID = 1L;


    /**
     * 在线监测装置的唯一标识（17 位码）
     */
    @FieldName("sensor_id")
    private String sensorId;


    /**
     * 数据采集时间，格式为：yyyy-MM-dd HH:mm:ss
     */
    @FieldName("time_stamp")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime timeStamp;

    /**
     * 外挂设备ID
     */
    @FieldName("sub_equipment_id")
    private String subEquipmentId;

    /**
     * 编码标牌
     */
    @FieldName("sensor_brand")
    private String sensorBrand;

    /**
     * 编码名称
     */
    @FieldName("sensor_name")
    private String sensorName;
    
    /**
     * 数据类型
     */
    @FieldName("equipment_type")
    private String equipmentType;
    /**
     * 状态
     */
    @FieldName("status")
    private String status;
}