package com.huatek.busi.entity;

import java.io.Serializable;
import java.time.LocalDateTime;

import org.springframework.format.annotation.DateTimeFormat;

import com.huatek.torch.sql.annotation.FieldName;
import com.huatek.torch.sql.annotation.TableName;
import com.huatek.torch.sql.beans.Pojo;

import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * 故障原因表 entity
 *
 * @author anker_cheng
 * @date Jul 4, 2019 2:15:32 PM
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("fault_cause")
public class FaultCause extends Pojo implements Serializable  {
    private static final long serialVersionUID = 1L;

    /**
     * 
     */
    @FieldName("id")
    private String id;
    /**
     * 主故障分类ID,见表fault_types.id
     */
    @FieldName("master_id")
    private String masterId;
    /**
     * 子故障分类ID,见表fault_subtypes.id
     */
    @FieldName("sub_id")
    private String subId;
    /**
     * 故障模式id
     */
    @FieldName("mode_id")
    private String modeId;
    /**
     * 故障原因
     */
    @FieldName("cause")
    private String cause;
    /**
     * 故障检测方法
     */
    @FieldName("check_meth")
    private String checkMeth;
    /**
     * 建议处理措施
     */
    @FieldName("measures")
    private String measures;
    /**
     * 创建日期
     */
    @FieldName("insdate")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime insdate;
}