package com.huatek.busi.entity;

import java.io.Serializable;
import java.time.LocalDateTime;

import org.springframework.format.annotation.DateTimeFormat;

import com.huatek.torch.sql.annotation.FieldName;
import com.huatek.torch.sql.annotation.TableName;
import com.huatek.torch.sql.beans.Pojo;

import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * 故障表现分类表 entity
 *
 * @author anker_cheng
 * @date Jul 4, 2019 2:15:32 PM
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("fault_shows")
public class FaultShows extends Pojo implements Serializable  {
    private static final long serialVersionUID = 1L;

    /**
     * 
     */
    @FieldName("id")
    private String id;
    /**
     * 故障主故障分类ID
     */
    @FieldName("master_id")
    private String masterId;
    /**
     * 故障子故障分类ID
     */
    @FieldName("sub_id")
    private String subId;
    /**
     * 故障表现
     */
    @FieldName("showmsg")
    private String showmsg;
    /**
     * 创建日期
     */
    @FieldName("insdate")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime insdate;
}