package com.huatek.busi.entity;

import java.io.Serializable;
import java.math.BigDecimal;
import java.time.LocalDate;
import java.time.LocalDateTime;
import com.huatek.torch.sql.annotation.FieldName;
import com.huatek.torch.sql.annotation.TableName;
import com.huatek.torch.sql.beans.Pojo;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springframework.format.annotation.DateTimeFormat;

/**
 * 振动统计对象 generator_ampl_monitoring_statistics
 * 
 * @author leo
 * @date 2023-04-24
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("generator_ampl_monitoring_statistics")
public class GeneratorAmplMonitoringStatistics extends Pojo implements Serializable {
    
    /**  */
    @FieldName("id")
    private String id;

    /** cac类型编码 */
    @FieldName("cac_monitor_type_code")
    private String cacMonitorTypeCode;

    /** 站点Id */
    @FieldName("site_id")
    private String siteId;

    /** sensor编码 */
    @FieldName("sensor_id")
    private String sensorId;

    /** 站点设备树ID */
    @FieldName("main_tree_id")
    private String mainTreeId;

    /** 外挂设备树ID */
    @FieldName("sub_tree_id")
    private String subTreeId;

    /** 统计时间 */
    @FieldName("d_time")
    private LocalDate dTime;

    /** 振动类型,源自busi_genereator_ampl_type.id自段 */
    @FieldName("type_id")
    private Long typeId;

    /** 振动X轴位移 */
    @FieldName("ampl_x")
    private BigDecimal amplX;

    /** 振动Y轴位移 */
    @FieldName("ampl_y")
    private BigDecimal amplY;

    /** 振动Z轴位移 */
    @FieldName("ampl_z")
    private BigDecimal amplZ;

    /** 振动X轴频率 */
    @FieldName("freq_x")
    private BigDecimal freqX;

    /** 振动Y轴频率 */
    @FieldName("freq_y")
    private BigDecimal freqY;

    /** 振动z轴频率 */
    @FieldName("freq_z")
    private BigDecimal freqZ;

    /** 振动X轴速度 */
    @FieldName("spd_x")
    private BigDecimal spdX;

    /** 振动Y轴速度 */
    @FieldName("spd_y")
    private BigDecimal spdY;

    /** 振动Z轴速度 */
    @FieldName("spd_z")
    private BigDecimal spdZ;

    /** 空气间隙0度位移 */
    @FieldName("aircap_am")
    private BigDecimal aircapAm;

    /** 空气间隙90度位移 */
    @FieldName("aircap_bm")
    private BigDecimal aircapBm;

    /** 空气间隙180度位移 */
    @FieldName("aircap_cm")
    private BigDecimal aircapCm;

    /** 空气间隙270度位移 */
    @FieldName("aircap_dm")
    private BigDecimal aircapDm;

    /**
     * 创建时间
     */
    @FieldName("create_time")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime createTime;
}
