package com.huatek.busi.entity;

import com.huatek.torch.sql.annotation.FieldName;
import com.huatek.torch.sql.annotation.TableName;
import com.huatek.torch.sql.beans.Pojo;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;
import java.time.LocalDateTime;
import java.util.Date;

/**
 * 发电机振动/压力阈值表
 *
 * @author Leo 
 * @since  2023-04-13
 */

@Data
@EqualsAndHashCode(callSuper = false)
@TableName("generator_ampl_threshold")
public class GeneratorAmplThreshold extends Pojo implements Serializable {
	/**
	* 主键ID
	*/
	@FieldName("id")
	private String id;

	/**
	* 站点ID
	*/
	@FieldName("site_id")
	private String siteId;

	/**
	* 站点设备树ID
	*/
	@FieldName("main_tree_id")
	private String mainTreeId;

	/**
	* 传感器编码
	*/
	@FieldName("sensor_code")
	private String sensorCode;

	/**
	* 设备运行状态：0-无  1-发电  2-抽水  3-空闲
	*/
	@FieldName("work_status")
	private String workStatus;

	/**
	 *  设备类型(6：发电机)
	 */
	@FieldName("type")
	private String type;

	/**
	* 振动X轴位移μm阈值
	*/
	@FieldName("ampl_x_threshold")
	private String amplXThreshold;

	/**
	* 振动Y轴位移μm阈值
	*/
	@FieldName("ampl_y_threshold")
	private String amplYThreshold;

	/**
	* 振动Y轴位移μm阈值
	*/
	@FieldName("ampl_z_threshold")
	private String amplZThreshold;

	/**
	* 振动X轴频率Hz阈值
	*/
	@FieldName("freq_x_threshold")
	private String freqXThreshold;

	/**
	* 振动Y轴频率Hz阈值
	*/
	@FieldName("freq_y_threshold")
	private String freqYThreshold;

	/**
	* 振动Y轴频率Hz阈值
	*/
	@FieldName("freq_z_threshold")
	private String freqZThreshold;

	/**
	* 振动X轴速度s阈值
	*/
	@FieldName("spd_x_threshold")
	private String spdXThreshold;

	/**
	* 振动Y轴速度s阈值
	*/
	@FieldName("spd_y_threshold")
	private String spdYThreshold;

	/**
	* 振动Y轴速度s阈值
	*/
	@FieldName("spd_z_threshold")
	private String spdZThreshold;

	/**
	* 空气间隙0度位移μm阈值
	*/
	@FieldName("aircap_am_threshold")
	private String aircapAmThreshold;

	/**
	* 空气间隙90度位移μm阈值
	*/
	@FieldName("aircap_bm_threshold")
	private String aircapBmThreshold;

	/**
	* 空气间隙180度位移μm阈值
	*/
	@FieldName("aircap_cm_threshold")
	private String aircapCmThreshold;

	/**
	* 空气间隙270度位移μm阈值
	*/
	@FieldName("aircap_dm_threshold")
	private String aircapDmThreshold;

	/**
	* 压力1 Mpa阈值
	*/
	@FieldName("pv_a_threshold")
	private String pvAThreshold;

	/**
	* 压力2 Mpa阈值
	*/
	@FieldName("pv_b_threshold")
	private String pvBThreshold;

	/**
	* 创建时间
	*/
	@FieldName("created_time")
	private LocalDateTime createdTime;

	/**
	* 创建人
	*/
	@FieldName("creator")
	private String creator;

	/**
	* 修改时间
	*/
	@FieldName("modified_time")
	private LocalDateTime modifiedTime;

	/**
	* 修改人
	*/
	@FieldName("modifier")
	private String modifier;

}