package com.huatek.busi.entity;

import com.huatek.torch.sql.annotation.FieldName;
import com.huatek.torch.sql.beans.Pojo;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.time.LocalDateTime;

@Data
public class GisEvaluateStatus extends Pojo implements Serializable {
    private static final long serialVersionUID = 1L;
    /**
     * 站点id
     */
    @FieldName("site_id")
    private String siteId;

    /**
     * 设备id
     */
    @FieldName("main_equipment_id")
    private String mainEquipmentId;

    /**
     * 健康结果
     */
    @FieldName("health_level")
    private String healthLevel;

    /**
     * 健康分数
     */
    @FieldName("health_score")
    private String healthScore;



    /**
     * Gis名称
     */
    @FieldName("gis_name")
    private String gisName;



    /**
     * 创建时间，格式为：yyyy-MM-dd HH:mm:ss
     */
    @FieldName("assess_time")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime assessTime;

}
