package com.huatek.busi.entity;

import java.io.Serializable;
import java.time.LocalDateTime;

import org.springframework.format.annotation.DateTimeFormat;

import com.huatek.torch.sql.annotation.FieldName;
import com.huatek.torch.sql.annotation.TableName;
import com.huatek.torch.sql.beans.Pojo;

import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * gis机械特性 entity
 *
 * @author anker_cheng
 * @date Jul 4, 2019 2:00:04 PM
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("gis_mechanical_properties")
public class GisMechanicalProperties extends Pojo implements Serializable  {
    private static final long serialVersionUID = 1L;

    /**
     * 
     */
    @FieldName("id")
    private String id;
    /**
     * GIS设备ID
     */
    @FieldName("equipment_id")
    private String equipmentId;
    /**
     * 站点ID
     */
    @FieldName("site_id")
    private String siteId;
    /**
     * A相刚分速度
     */
    @FieldName("a_gf_speend")
    private String aGfSpeend;
    /**
     * B相刚分速度
     */
    @FieldName("b_gf_speend")
    private String bGfSpeend;
    /**
     * C相刚分速度
     */
    @FieldName("c_gf_speend")
    private String cGfSpeend;
    /**
     * A相断开电流
     */
    @FieldName("a_open_current")
    private String aOpenCurrent;
    /**
     * B相断开电流
     */
    @FieldName("b_open_current")
    private String bOpenCurrent;
    /**
     * C相断开电流
     */
    @FieldName("c_open_current")
    private String cOpenCurrent;
    /**
     * 刚分不同期
     */
    @FieldName("gf_time")
    private String gfTime;
    /**
     * 
     */
    @FieldName("create_time")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime createTime;
    /**
     * A相刚和速度
     */
    @FieldName("a_gh_speed")
    private String aGhSpeed;
    /**
     * B相刚和速度
     */
    @FieldName("b_gh_speed")
    private String bGhSpeed;
    /**
     * c相刚和速度
     */
    @FieldName("c_gh_speed")
    private String cGhSpeed;
    /**
     * 合闸不同期
     */
    @FieldName("a_hz_btq")
    private String aHzBtq;
    /**
     * B相合闸不同期
     */
    @FieldName("b_hz_btq")
    private String bHzBtq;
    /**
     * C相合闸不同期
     */
    @FieldName("c_hz_btq")
    private String cHzBtq;
    /**
     * 分闸不同期
     */
    @FieldName("a_fz_btq")
    private String aFzBtq;
    /**
     * B相分闸不同期
     */
    @FieldName("b_fz_btq")
    private String bFzBtq;
    /**
     * C相分闸不同期
     */
    @FieldName("c_fz_btq")
    private String cFzBtq;
}