package com.huatek.busi.entity;

import java.io.Serializable;
import java.time.LocalDate;
import java.time.LocalDateTime;

import com.huatek.torch.sql.annotation.FieldName;
import com.huatek.torch.sql.annotation.Id;
import com.huatek.torch.sql.annotation.TableName;
import com.huatek.torch.sql.beans.Pojo;

import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * Gis离线试验报告
 * 
 * @author anker_cheng
 * @date 2019/08/24
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("gis_offline_experiment_report")
public class GisOfflineExperimentReport extends Pojo implements Serializable {

    private static final long serialVersionUID = -8088118646916933205L;

    /** 主键ID */
    @Id("id")
    private String id;

    /** 站点ID */
    @FieldName("site_id")
    private String siteId;

    /** GIS设备ID */
    @FieldName("gis_id")
    private String gisId;

    @FieldName("low_voltage_action_part")
    private String lowVoltageActionPart;

    @FieldName("dc_resistor_part")
    private String dcResistorPart;

    @FieldName("action_feature_part")
    private String actionFeaturePart;

    @FieldName("sf6_relay_accuracy_part")
    private String sf6RelayAccuracyPart;

    @FieldName("sf6_gas_water_content_part")
    private String sf6GasWaterContentPart;

    /** 创建时间 */
    @FieldName("created_time")
    private LocalDateTime createdTime;

    /** 修改时间 */
    @FieldName("modified_time")
    private LocalDateTime modifiedTime;

    /** 试验日期 */
    @FieldName("test_time")
    private LocalDateTime testTime;

    /** 创建人 */
    @FieldName("creator")
    private String creator;

    /** 修改人 */
    @FieldName("modifier")
    private String modifier;
}
