package com.huatek.busi.entity;

import java.io.Serializable;
import java.math.BigDecimal;
import java.time.LocalDateTime;

import org.springframework.format.annotation.DateTimeFormat;

import com.huatek.torch.sql.annotation.FieldName;
import com.huatek.torch.sql.annotation.TableName;
import com.huatek.torch.sql.beans.Pojo;

import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * 变压器局部放电暂存数据( 类型编码 ：024001) entity
 *
 * @author anker_cheng
 * @date Oct 21, 2019 5:19:21 PM
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("gis_pd_cache")
public class GisPdCache extends Pojo implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 
     */
    @FieldName("id")
    private String id;

    /**
     * 监测时间
     */
    @FieldName("d_time")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime dTime;

    /**
     * 被监测设备相别
     */
    @FieldName("phase")
    private String phase;

    /**
     * 放电量(pC 或 mV 或 dB)
     */
    @FieldName("discharge_capacity")
    private String dischargeCapacity;

    /**
     * 放电位置
     */
    @FieldName("discharge_position")
    private String dischargePosition;

    /**
     * 
     */
    @FieldName("dichange_count")
    private BigDecimal dichangeCount;

    /**
     * CAC 唯一标识
     */
    @FieldName("cac_id")
    private String cacId;

    /**
     * 设备编码
     */
    @FieldName("sensor_id")
    private String sensorId;

    /**
     * 峰值
     */
    @FieldName("peak")
    private BigDecimal peak;

    /**
     * TransformerTree Id
     */
    @FieldName("jf_id")
    private Long jfId;

    /**
     * 站点Id
     */
    @FieldName("site_id")
    private String siteId;

    /**
     * 电站设备编码
     */
    @FieldName("site_eqm_code")
    private String siteEqmCode;

    /**
     * 创建时间
     */
    @FieldName("created_time")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime createdTime;

    /**
     * 修改时间
     */
    @FieldName("modified_time")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime modifiedTime;

    /**
     * 站点设备树ID
     */
    @FieldName("main_tree_id")
    private String mainTreeId;

    /**
     * 外挂设备树ID
     */
    @FieldName("sub_tree_id")
    private String subTreeId;
    
    /**
     * 放电类型
     * 0 正常；
       1 尖端放电；
       2 悬浮放电；
       3 沿面放电；
       4 内部放电；
       5 颗粒放电；
       6 外部干扰；
       7 其它
     */
    @FieldName("dsch_type")
    private String dschType;
    
    /**
     * 变压器/电抗器——局部放电主键Id
     */
    @FieldName("transformer_pd_id")
    private String transformerPdId;
}