package com.huatek.busi.entity;

import java.io.Serializable;
import java.time.LocalDateTime;

import org.springframework.format.annotation.DateTimeFormat;

import com.huatek.torch.sql.annotation.FieldName;
import com.huatek.torch.sql.annotation.TableName;
import com.huatek.torch.sql.beans.Pojo;

import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * GIS读表、拍照数据 entity
 *
 * @author anker_cheng
 * @date 2019-8-22 16:34:44
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("gis_read_table")
public class GisReadTable extends Pojo implements Serializable  {

    private static final long serialVersionUID = 1L;

    /**
     * 
     */
    @FieldName("id")
    private Long id;

    /**
     * 站点id
     */
    @FieldName("site_id")
    private String siteId;

    /**
     * 设备编号
     */
    @FieldName("system_code")
    private String eqmCode;

    /**
     * sersor编码
     */
    @FieldName("sensor_code")
    private String sensorCode;

    /**
     * 监测时间
     */
    @FieldName("time_stamp")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime timeStamp;

    /**
     * 放电次数
     */
    @FieldName("fdcs")
    private String fdcs;

    /**
     * 图片路径及文件名
     */
    @FieldName("picpath")
    private String picpath;

    /**
     * 图片数值类型 1:放电次数  2:放电电流(mA)
     */
    @FieldName("type")
    private String type;

    /**
     * 站点设备树ID
     */
    @FieldName("main_tree_id")
    private String mainTreeId;
}