package com.huatek.busi.entity;

import java.math.BigDecimal;
import java.time.LocalDate;
import java.time.LocalDateTime;
import java.util.Date;
import java.io.Serializable;

import com.huatek.torch.sql.annotation.FieldName;
import com.huatek.torch.sql.annotation.TableName;
import com.huatek.torch.sql.beans.Pojo;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springframework.format.annotation.DateTimeFormat;

/**
 * <p>
 *      sf6_env统计
 *  </p>
 *
 * @author vent
 * @since 2023-04-17
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("gis_sf6_env_monitoring_statistics")
public class GisSf6EnvMonitoringStatistics extends Pojo implements Serializable  {

    private static final long serialVersionUID = 1L;
    /**
     * 主键
     */
    @FieldName("id")
    private String id;

    /**
     * cac类型编码(变压器：021013、电缆：028006)
     */
    @ApiModelProperty(value = "cac类型编码(变压器：021013、电缆：028006)",  name="cacMonitorTypeCode")
    @FieldName("cac_monitor_type_code")
    private String cacMonitorTypeCode;

    /**
     * 站点Id
     */
    @ApiModelProperty(value = "站点Id",  name="siteId")
    @FieldName("site_id")
    private String siteId;

    /**
     * sensor编码
     */
    @ApiModelProperty(value = "sensor编码",  name="sensorId")
    @FieldName("sensor_id")
    private String sensorId;

    /**
     * 站点设备树ID
     */
    @ApiModelProperty(value = "站点设备树ID",  name="mainTreeId")
    @FieldName("main_tree_id")
    private String mainTreeId;

    /**
     * 外挂设备树ID
     */
    @ApiModelProperty(value = "外挂设备树ID",  name="subTreeId")
    @FieldName("sub_tree_id")
    private String subTreeId;

    /**
     * 统计时间 
     */
    @ApiModelProperty(value = "统计时间 ",  name="dTime")
    @FieldName("d_time")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDate dTime;

    /**
     * SF6浓度A相
     */
    @ApiModelProperty(value = "SF6浓度A相",  name="conc")
    @FieldName("conc")
    private String conc;

    /**
     * O2含量
     */
    @ApiModelProperty(value = "O2含量",  name="oContent")
    @FieldName("o_content")
    private String oContent;

    /**
     * 温度
     */
    @ApiModelProperty(value = "温度",  name="temp")
    @FieldName("tmp")
    private String tmp;

    /**
     * 湿度
     */
    @ApiModelProperty(value = "湿度",  name="humidity")
    @FieldName("dew")
    private String dew;

    /**
     *  SF6浓度 日增长率
     */
    @ApiModelProperty(value = "SF6浓度日增长率",  name="increaseConc")
    @FieldName("increase_conc")
    private String increaseConc;

    /**
     * O2含量 日增长率
     */
    @ApiModelProperty(value = "O2含量日增长率",  name="increaseOContent")
    @FieldName("increase_o_content")
    private String increaseOContent;

    /**
     * 温度 日增长率
     */
    @ApiModelProperty(value = "温度日增长率",  name="increaseTmp")
    @FieldName("increase_tmp")
    private String increaseTmp;

    /**
     * 湿度 日增长率
     */
    @ApiModelProperty(value = "湿度日增长率",  name="increaseDew")
    @FieldName("increase_dew")
    private String increaseDew;

    /**
     * SF6浓度 月增长率
     */
    @ApiModelProperty(value = "SF6浓度月增长率",  name="monthIncreaseConc")
    @FieldName("month_increase_conc")
    private String monthIncreaseConc;

    /**
     * O2含量 月增长率
     */
    @ApiModelProperty(value = "O2含量",  name="oContent")
    @FieldName("month_increase_o_content")
    private String monthIncreaseOContent;

    /**
     * 温度 月增长率
     */
    @ApiModelProperty(value = "温度 月增长率",  name="monthIncreaseTmp")
    @FieldName("month_increase_tmp")
    private String monthIncreaseTmp;

    /**
     * 湿度  月增长率
     */
    @ApiModelProperty(value = "湿度  月增长率",  name="monthIncreaseDew")
    @FieldName("month_increase_dew")
    private String monthIncreaseDew;

    /**
     * 创建时间
     */

    @ApiModelProperty(value = "创建时间",  name="createTime")
    @FieldName("create_time")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime createTime;




}
