package com.huatek.busi.entity;

import java.math.BigDecimal;
import java.time.LocalDateTime;
import java.util.Date;
import java.io.Serializable;

import com.huatek.torch.sql.annotation.FieldName;
import com.huatek.torch.sql.annotation.TableName;
import com.huatek.torch.sql.beans.Pojo;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springframework.format.annotation.DateTimeFormat;

/**
 * <p>
 *      sf6_env阈值表
 *  </p>
 *
 * @author vent
 * @since 2023-04-17
 */

@Data
@EqualsAndHashCode(callSuper = false)
@TableName("gis_sf6_env_threshold")
public class GisSf6EnvThreshold extends Pojo implements Serializable  {

    private static final long serialVersionUID = 1L;
    /**
     * 主键ID
     */
    @ApiModelProperty(value = "主键ID",  name="id")
    @FieldName("id")
    private String id;

    /**
     * 站点ID
     */
    @ApiModelProperty(value = "站点ID",  name="siteId")
    @FieldName("site_id")
    private String siteId;

    /**
     * 站点设备树ID
     */
    @ApiModelProperty(value = "站点设备树ID",  name="mainTreeId")
    @FieldName("main_tree_id")
    private String mainTreeId;

    /**
     * sensor编码
     */
    @ApiModelProperty(value = "sensor编码",  name="sensorCode")
    @FieldName("sensor_code")
    private String sensorCode;

    /**
     * 设备类型(1：变压器、2：GIS设备、4：避雷器)
     */
    @ApiModelProperty(value = "设备类型(1：变压器、2：GIS设备、4：避雷器)",  name="type")
    @FieldName("type")
    private String type;

    /**
     * 工作状态（1：发电、2：抽水、3：空闲）
     */
    @ApiModelProperty(value = "工作状态（1：发电、2：抽水、3：空闲）",  name="workStatus")
    @FieldName("work_status")
    private String workStatus;

    /**
     * SF6浓度A相阈值
     */
    @ApiModelProperty(value = "SF6浓度A相阈值",  name="conc")
    @FieldName("conc")
    private String conc;

    /**
     * O2含量阈值
     */
    @ApiModelProperty(value = "O2含量阈值",  name="oContent")
    @FieldName("o_content")
    private String oContent;

    /**
     * 温度阈值
     */
    @ApiModelProperty(value = "温度阈值",  name="temp")
    @FieldName("tmp")
    private String tmp;

    /**
     * 湿度阈值
     */
    @ApiModelProperty(value = "湿度阈值",  name="humidity")
    @FieldName("dew")
    private String dew;

    /**
     * 创建时间
     */

    @ApiModelProperty(value = "创建时间",  name="createTime")
    @FieldName("create_time")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime createTime;

    /**
     * 创建人ID
     */
    @ApiModelProperty(value = "创建人ID",  name="creator")
    private String creator;

    /**
     * 修改时间
     */
    @ApiModelProperty(value = "修改时间",  name="modifiedTime")
    @FieldName("modified_time")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime modifiedTime;


    /**
     * 修改人ID
     */
    @ApiModelProperty(value = "修改人ID",  name="modifierId")
    @FieldName("modifier_id")
    private String modifierId;

}
