package com.huatek.busi.entity;

import java.io.Serializable;
import java.time.LocalDate;
import java.time.LocalDateTime;

import org.springframework.format.annotation.DateTimeFormat;

import com.huatek.torch.sql.annotation.FieldName;
import com.huatek.torch.sql.annotation.TableName;
import com.huatek.torch.sql.beans.Pojo;

import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * sf6温度、微水、压力增长率暂存表 entity
 *
 * @author anker_cheng
 * @date Oct 23, 2019 8:55:21 PM
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("gis_sf6_increase_rate_cache")
public class GisSf6IncreaseRateCache extends Pojo implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 
     */
    @FieldName("id")
    private String id;

    /**
     * 站点Id
     */
    @FieldName("site_id")
    private String siteId;

    /**
     * sensor编码
     */
    @FieldName("sensor_id")
    private String sensorId;

    /**
     * 站点设备树ID
     */
    @FieldName("main_tree_id")
    private String mainTreeId;

    /**
     * 外挂设备树ID
     */
    @FieldName("sub_tree_id")
    private String subTreeId;

    /**
     * 温度（℃）平均值
     */
    @FieldName("avg_temperature")
    private String avgTemperature;

    /**
     * 绝对压力 (MPa)平均值
     */
    @FieldName("avg_absolute_pressure")
    private String avgAbsolutePressure;

    /**
     * 密度(kg/m3)平均值
     */
    @FieldName("avg_density")
    private String avgDensity;

    /**
     * 微水平均值
     */
    @FieldName("avg_moisture")
    private String avgMoisture;

    /**
     * 压力（20℃）平均值
     */
    @FieldName("avg_pressure20C")
    private String avgPressure20C;

    /**
     * 温度（℃）增长率
     */
    @FieldName("increase_temperature")
    private String increaseTemperature;

    /**
     * 绝对压力 (MPa)增长率
     */
    @FieldName("increase_absolute_pressure")
    private String increaseAbsolutePressure;

    /**
     * 密度(kg/m3)增长率
     */
    @FieldName("increase_density")
    private String increaseDensity;

    /**
     * 微水增长率
     */
    @FieldName("increase_moisture")
    private String increaseMoisture;

    /**
     * 日压力（20℃）增长率
     */
    @FieldName("increase_pressure20C")
    private String increasePressure20C;

    /**
     * 月压力（20℃）增长率
     */
    @FieldName("month_increase_pressure20C")
    private String monthIncreasePressure20C;
    
    /**
     * 数据日期
     */
    @FieldName("d_time")
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    private LocalDate dTime;

    /**
     * 
     */
    @FieldName("create_time")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime createTime;
}