package com.huatek.busi.entity;

import java.io.Serializable;
import java.time.LocalDateTime;

import org.springframework.format.annotation.DateTimeFormat;

import com.huatek.torch.sql.annotation.FieldName;
import com.huatek.torch.sql.annotation.TableName;
import com.huatek.torch.sql.beans.Pojo;

import lombok.Data;
import lombok.EqualsAndHashCode;
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("gis_sf6_threshold")
public class GisSf6Threshold extends Pojo implements Serializable {
    /**
     *
     */
    private static final long serialVersionUID = 1L;

    /**
     * 
     */
    @FieldName("id")
    private String id;

    /**
     * sensor编码
     */
    @FieldName("sensor_code")
    private String sensorCode;

    /**
     * Sf6温度（℃）阈值
     */
    @FieldName("sf6wd")
    private String sf6wd;

    /**
     * sf6微水(μL/L）阈值
     */
    @FieldName("sf6ws")
    private String sf6ws;

    /**
     * sf6压力(MPa)阈值
     */
    @FieldName("sf6yl")
    private String sf6yl;

    /**
     * sf6温度增长率(%)阈值
     */
    @FieldName("sf6wdzzl")
    private String sf6wdzzl;

    /**
     * sf6微水增长率(%)阈值
     */
    @FieldName("sf6wszzl")
    private String sf6wszzl;

    /**
     * sf6日泄漏率(%)
     */
    @FieldName("sf6rxll")
    private String sf6rxll;

    /**
     * sf6月泄漏率(%)
     */
    @FieldName("sf6yxll")
    private String sf6yxll;

    /**
     * Sf6温度（℃）预警值
     */
    @FieldName("sf6wd_warn")
    private String sf6wdWarn;

    /**
     * sf6微水(μL/L）预警值
     */
    @FieldName("sf6ws_warn")
    private String sf6wsWarn;

    /**
     * sf6压力(MPa)预警值
     */
    @FieldName("sf6yl_warn")
    private String sf6ylWarn;

    /**
     * sf6微水增长率(%)预警值
     */
    @FieldName("sf6wszzl_warn")
    private String sf6wszzlWarn;

    /**
     * sf6日泄漏率(%)预警值
     */
    @FieldName("sf6rxll_warn")
    private String sf6rxllWarn;

    /**
     * sf6月泄漏率(%)预警值
     */
    @FieldName("sf6yxll_warn")
    private String sf6yxllWarn;
    
    /**
     * 创建时间
     */
    @FieldName("created_time")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime createdTime;

    /**
     * 创建人ID
     */
    @FieldName("creator")
    private String creator;

    /**
     * 修改时间
     */
    @FieldName("modified_time")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime modifiedTime;

    /**
     * 修改人ID
     */
    @FieldName("modifier_id")
    private String modifierId;
}