package com.huatek.busi.entity;

import java.io.Serializable;
import java.time.LocalDateTime;

import org.springframework.format.annotation.DateTimeFormat;

import com.huatek.torch.sql.annotation.FieldName;
import com.huatek.torch.sql.annotation.TableName;
import com.huatek.torch.sql.beans.Pojo;

import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * IEC104-基础地址配置表 entity
 *
 * @author anker_cheng
 * @date 2019-8-1 9:40:48
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("iec_base_conf")
public class IecBaseConf extends Pojo implements Serializable  {

    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
    @FieldName("id")
    private String id;

    /**
     * 站点ID
     */
    @FieldName("siteId")
    private String siteId;

    /**
     * 公共地址长度
     */
    @FieldName("commLen")
    private String commLen;

    /**
     * 传输原因地址长度
     */
    @FieldName("causeLen")
    private String causeLen;

    /**
     * 信息体地址长度
     */
    @FieldName("infoLen")
    private String infoLen;

    /**
     * 通信类型；yx遥信，yc遥测
     */
    @FieldName("txType")
    private String txType;

    /**
     * 起始地址
     */
    @FieldName("startAddr")
    private String startAddr;

    /**
     * 结束地址
     */
    @FieldName("endAddr")
    private String endAddr;

    /**
     * 创建时间，YYYY-MM-DD HH:MI:SS
     */
    @FieldName("dTime")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime dTime;
    
    /**
     * 配置状态
     */
    @FieldName("status")
    private String status;
    
}