package com.huatek.busi.entity;

import java.io.Serializable;
import java.time.LocalDateTime;

import org.springframework.format.annotation.DateTimeFormat;

import com.huatek.torch.sql.annotation.FieldName;
import com.huatek.torch.sql.annotation.TableName;
import com.huatek.torch.sql.beans.Pojo;

import lombok.Data;
import lombok.EqualsAndHashCode;
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("iec_breaker_param")
public class IecBreakerParam extends Pojo implements Serializable{
    /**
     *
     */
    private static final long serialVersionUID = 1L;

    /**
     * 
     */
    @FieldName("id")
    private String id;

    /**
     * 
     */
    @FieldName("siteId")
    private String siteId;

    /**
     * 设备编码
     */
    @FieldName("eqm_code")
    private String eqmCode;

    /**
     * 系统设备编码
     */
    @FieldName("system_code")
    private String systemCode;

    /**
     * 实际产生日期
     */
    @FieldName("d_time")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime dTime;

    /**
     * 断开电流(A)
     */
    @FieldName("abort_current")
    private String abortCurrent;

    /**
     * 断开电压(V)
     */
    @FieldName("abort_voltage")
    private String abortVoltage;

    /**
     * 电流故障百分比%
     */
    @FieldName("faild_rate")
    private String faildRate;

    /**
     * 是否故障 1：否 2：是
     */
    @FieldName("is_fault")
    private String isFault;

    /**
     * 0断开，1闭合
     */
    @FieldName("is_break")
    private String isBreak;

    /**
     * 插入时间
     */
    @FieldName("ins_date")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime insDate;
}