package com.huatek.busi.entity;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.huatek.torch.sql.annotation.FieldName;
import com.huatek.torch.sql.annotation.TableName;
import com.huatek.torch.sql.beans.Pojo;

import lombok.Data;
import lombok.EqualsAndHashCode;

 /**
  * 代码自动生成model类.
  * @ClassName: IecBydworkParam
  * @FullClassPath :com.frame.business.entity.IecBydworkParam
  * @Description: IEC104-变压器工作(发电/抽水)运行参数表.
  * @author: arno
  * @Email : arno_fu@huatek.com
  * @date: 2018-09-18 15:45:51
  * @version: 1.0
  */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("iec_bydwork_param")
public class IecBydworkParam extends Pojo implements Serializable   {

	private static final long serialVersionUID = 1L;
	
	@FieldName("id")
 	private String id;
 
    
	/** @Fields siteId : 站点ID */
	@FieldName("site_id")
    private String siteId;
    
    
	/** @Fields eqmCode : 设备编码，唯一*/ 
	@FieldName("eqm_code")
    private String eqmCode;

	/** @Fields eqmCode : 系统设备编码*/ 
	@FieldName("system_code")
	private String systemCode;
    
    
	/** @Fields stype : 状态类型: 1-发电状态 2：抽水状态 3：空闲状态 */
	@FieldName("stype")
    private Integer stype;
    
    
	/** @Fields startTime : 开始时间 */
	@FieldName("start_time")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date startTime;
    
    
	/** @Fields stopTime : 结束时间 */
	@FieldName("stop_time")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date stopTime;
    
    
     /** @Fields higthVoltage : 高/低压出口电压（V）*/ 
    @FieldName("higth_voltage")
    private BigDecimal higthVoltage;
    
    
     /** @Fields higthCurrent : 高/低压出口电流(A)*/ 
    @FieldName("higth_current")
    private BigDecimal higthCurrent;
    
    
	/** @Fields recordDate : 实际产生日期 */
	@FieldName("record_date")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date recordDate;
    
    
	/** @Fields insDate : 插入时间 */
	@FieldName("ins_date")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date insDate;
}