package com.huatek.busi.entity;

import com.huatek.torch.sql.annotation.FieldName;
import com.huatek.torch.sql.beans.Pojo;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.time.LocalDateTime;

@Data
public class LoadStatus extends Pojo implements Serializable {
    private static final long serialVersionUID = 1L;


    /**
     * 单设备外挂装置总数
     */
    @FieldName("transformer_id")
    private String transformerId;

    /**
     * 单设备外挂装置故障总数
     */
    @FieldName("equipment_id")
    private String equipmentId;

    /**
     * 单设备外挂装置故障总数
     */
    @FieldName("stype")
    private String stype;

    /**
     * 设备编码(等同于变压器ID)
     */
    @FieldName("eqm_code")
    private String eqmCode;

    /**
     * 实际产生日期，格式为：yyyy-MM-dd HH:mm:ss
     */
    @FieldName("record_date")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime recordDate;

    /**
     * 开始时间，格式为：yyyy-MM-dd HH:mm:ss
     */
    @FieldName("start_time")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime startTime;

    /**
     * 结束时间，格式为：yyyy-MM-dd HH:mm:ss
     */
    @FieldName("stop_time")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime stopTime;

}
