package com.huatek.busi.entity;

import com.huatek.torch.sql.annotation.FieldName;
import com.huatek.torch.sql.annotation.Id;
import com.huatek.torch.sql.annotation.TableName;
import com.huatek.torch.sql.beans.Pojo;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.time.LocalDateTime;

@Data
@EqualsAndHashCode(callSuper = false)
@TableName("x_r_generator_data")
public class RGenData extends Pojo implements Serializable {
    private static final long serialVersionUID = 1L;

    @Id("id")
    @ApiModelProperty(value = "id", name = "唯一主键标识", required = true)
    private String id;

    @FieldName("equipment_type")
    @ApiModelProperty(value = "equipmentType", name = "设备标识")
    private String equipmentType;

    @FieldName("site_id")
    @ApiModelProperty(value = "siteId", name = "站点编号")
    private String siteId;

    @FieldName("main_equ_id")
    @ApiModelProperty(value = "mainEquId", name = "主设备编号")
    private String mainEquId;

    @FieldName("main_equ_name")
    @ApiModelProperty(value = "mainEquName", name = "主设备名称")
    private String mainEquName;

    @FieldName("equ_little_type")
    @ApiModelProperty(value = "equLittleType", name = "设备小类")
    private String equLittleType;

    @FieldName("equ_little_id")
    @ApiModelProperty(value = "equLittleId", name = "小设备编号")
    private String equLittleId;

    @FieldName("sheet_name")
    @ApiModelProperty(value = "sheetName", name = "sheet页名称")
    private String sheetName;

    @FieldName("ref_id")
    @ApiModelProperty(value = "refId", name = "附件关联编号")
    private String refId;

    @FieldName("create_user")
    @ApiModelProperty(value = "createUser", name = "创建者")
    private String createUser;

    @FieldName("create_time")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty(value = "createTime", name = "创建时间")
    private LocalDateTime createTime;

    @FieldName("update_user")
    @ApiModelProperty(value = "updateUser", name = "更新者")
    private String updateUser;

    @FieldName("update_time")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty(value = "updateTime", name = "更新时间")
    private LocalDateTime updateTime;

    @FieldName("deleted")
    @ApiModelProperty(value = "deleted", name = "是否删除 0否 1是")
    private String deleted;
}
