package com.huatek.busi.entity;

import com.huatek.torch.sql.annotation.*;
import com.huatek.torch.sql.beans.Pojo;
import io.swagger.annotations.*;
import lombok.*;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.time.LocalDateTime;

@Data
@EqualsAndHashCode(callSuper = false)
@TableName("x_r_param_attr_basic_data")
@ApiModel("报告参数属性维护")
public class RParamAttrBasicData extends Pojo implements Serializable {

    private static final long serialVersionUID = 1L;

    @Id("id")
    @ApiModelProperty(value = "id", name = "唯一主键标识")
    private String id;

    @FieldName("p_id")
    @ApiModelProperty(value = "pId", name = "关联参数编号")
    private String pId;

    @FieldName("dis_param_value")
    @ApiModelProperty(value = "disParamValue", name = "离线参数名称")
    private String disParamValue;

    @FieldName("unit")
    @ApiModelProperty(value = "unit", name = "单位")
    private String unit;

    @FieldName("assess_field_rule")
    @ApiModelProperty(value = "assessFieldRule", name = "评估字段规则")
    private String assessFieldRule;

    @FieldName("remark")
    @ApiModelProperty(value = "remark", name = "备注")
    private String remark;

    @FieldName("create_user")
    @ApiModelProperty(value = "createUser", name = "创建者")
    private String createUser;

    @FieldName("create_time")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty(value = "createTime", name = "创建时间")
    private LocalDateTime createTime;

    @FieldName("update_user")
    @ApiModelProperty(value = "updateUser", name = "更新者")
    private String updateUser;

    @FieldName("update_time")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty(value = "updateTime", name = "更新时间")
    private LocalDateTime updateTime;

    @FieldName("deleted")
    @ApiModelProperty(value = "deleted", name = "是否删除 0否 1是")
    private String deleted;
}
