package com.huatek.busi.entity;

import com.huatek.torch.sql.annotation.*;
import com.huatek.torch.sql.beans.Pojo;
import io.swagger.annotations.*;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.time.LocalDateTime;

@Data
@TableName("x_r_param_basic_data")
@ApiModel("报告参数维护")
public class RParamBasicData extends Pojo implements Serializable {

    private static final long serialVersionUID = -1396663417602100176L;

    @Id("id")
    @ApiModelProperty(value = "id", name = "唯一主键标识")
    private String id;

    @FieldName("main_equ_id")
    @ApiModelProperty(value = "mainEquId", name = "主设备编号")
    private String mainEquId;

    @FieldName("param_value")
    @ApiModelProperty(value = "paramValue", name = "试验项目")
    private String paramValue;

    @FieldName("remark")
    @ApiModelProperty(value = "remark", name = "备注")
    private String remark;

    @FieldName("create_user")
    @ApiModelProperty(value = "createUser", name = "创建者")
    private String createUser;

    @FieldName("create_time")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty(value = "createTime", name = "创建时间")
    private LocalDateTime createTime;

    @FieldName("update_user")
    @ApiModelProperty(value = "updateUser", name = "更新者")
    private String updateUser;

    @FieldName("update_time")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty(value = "updateTime", name = "更新时间")
    private LocalDateTime updateTime;

    @FieldName("deleted")
    @ApiModelProperty(value = "deleted", name = "是否删除 0否 1是")
    private String deleted;
}
