package com.huatek.busi.entity;

import java.io.Serializable;
import java.math.BigDecimal;
import java.time.LocalDateTime;

import org.springframework.format.annotation.DateTimeFormat;

import com.huatek.torch.sql.annotation.FieldName;
import com.huatek.torch.sql.annotation.TableName;
import com.huatek.torch.sql.beans.Pojo;

import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * 避雷器-界面实时监测基础信息 entity
 *
 * @author anker_cheng
 * @date Oct 28, 2019 1:29:57 PM
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("rpt_aret_monitor")
public class RptAretMonitor extends Pojo implements Serializable  {

    private static final long serialVersionUID = 1L;

    /**
     * 
     */
    @FieldName("id")
    private String id;

    /**
     * cac类型编码
     */
    @FieldName("cac_monitor_type_code")
    private String cacMonitorTypeCode;

    /**
     * 站点Id
     */
    @FieldName("site_id")
    private String siteId;

    /**
     * 站点设备树ID
     */
    @FieldName("main_tree_id")
    private String mainTreeId;

    /**
     * 外挂设备树ID
     */
    @FieldName("sub_tree_id")
    private String subTreeId;

    /**
     * 主设备ID
     */
    @FieldName("main_equipment_id")
    private String mainEquipmentId;

    /**
     * 外挂设备ID
     */
    @FieldName("sub_equipment_id")
    private String subEquipmentId;

    /**
     * 累计落雷总数
     */
    @FieldName("arrester_count")
    private BigDecimal arresterCount;

    /**
     * 春季落雷次数,一季度
     */
    @FieldName("spring_count")
    private BigDecimal springCount;

    /**
     * 夏季落雷次数,二季度
     */
    @FieldName("summer_count")
    private BigDecimal summerCount;

    /**
     * 秋季落雷次数,三季度
     */
    @FieldName("autumn_count")
    private BigDecimal autumnCount;

    /**
     * 冬季落雷次数,四季度
     */
    @FieldName("winter_count")
    private BigDecimal winterCount;

    /**
     * 当天累计打雷次数
     */
    @FieldName("dangtian_count")
    private Long dangtianCount;

    /**
     * 最近一次落雷时间
     */
    @FieldName("last_time")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime lastTime;

    /**
     * A相senserID
     */
    @FieldName("a_sensor_id")
    private String aSensorId;

    /**
     * A相全电流(mA)
     */
    @FieldName("a_full_alc")
    private BigDecimal aFullAlc;

    /**
     * A相阻性电流(mA)
     */
    @FieldName("a_hindrance_alc")
    private BigDecimal aHindranceAlc;

    /**
     * B相senserID
     */
    @FieldName("b_sensor_id")
    private String bSensorId;

    /**
     * B相全电流(mA)
     */
    @FieldName("b_full_alc")
    private BigDecimal bFullAlc;

    /**
     * B相阻性电流(mA)
     */
    @FieldName("b_hindrance_alc")
    private BigDecimal bHindranceAlc;

    /**
     * C相senserID
     */
    @FieldName("c_sensor_id")
    private String cSensorId;

    /**
     * C相全电流(mA)
     */
    @FieldName("c_full_alc")
    private BigDecimal cFullAlc;

    /**
     * C相阻性电流(mA)
     */
    @FieldName("c_hindrance_alc")
    private BigDecimal cHindranceAlc;

    /**
     * 创建时间
     */
    @FieldName("create_time")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime createTime;

    /**
     * 
     */
    @FieldName("remark")
    private String remark;

    /**
     * 设备运行状态：0-无  1-发电  2-抽水  3-空闲  
     */
    @FieldName("run_state")
    private String runState;
    
    /**
     * A相容性电流 (mA)
     */
    @FieldName("a_cpacitance_alc")
    private BigDecimal aCpacitanceAlc;
    
    /**
     * B相容性电流 (mA)
     */
    @FieldName("b_cpacitance_alc")
    private BigDecimal bCpacitanceAlc;
    
    
    /**
     * C相容性电流 (mA)
     */
    @FieldName("c_cpacitance_alc")
    private BigDecimal cCpacitanceAlc;
}