package com.huatek.busi.entity;

import java.io.Serializable;
import java.math.BigDecimal;
import java.time.LocalDateTime;

import com.huatek.torch.sql.annotation.FieldName;
import com.huatek.torch.sql.annotation.TableName;
import com.huatek.torch.sql.beans.Pojo;

import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * GIS开关--断路器(机械特性)信息--每天汇总信息
 * 
 * @author buck_guo
 * @date 2019/09/04
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("rpt_gis_monitor")
public class RptGisMonitor extends Pojo implements Serializable {
    /**
     *
     */
    private static final long serialVersionUID = 1L;

    /**
     * 
     */
    @FieldName("id")
    private String id;

    /**
     * 站点设备树ID
     */
    @FieldName("site_id")
    private String siteId;

    /**
     * 
     */
    @FieldName("main_tree_id")
    private String mainTreeId;

    /**
     * 总计断开次数(新产生的次数继续累加)
     */
    @FieldName("turnoff_count")
    private Long turnoffCount;

    /**
     * 最后一次断开时间
     */
    @FieldName("last_turnoff_time")
    private LocalDateTime lastTurnoffTime;

    /**
     * 刚分不同期时间
     */
    @FieldName("diff_time")
    private String diffTime;

    /**
     * a相sersorid
     */
    @FieldName("a_sersor_code")
    private String aSersorCode;

    /**
     * a相断开速度
     */
    @FieldName("a_speed")
    private BigDecimal aSpeed;

    /**
     * a相断开电流
     */
    @FieldName("a_electric")
    private BigDecimal aElectric;

    /**
     * b相sersorCode
     */
    @FieldName("b_sersor_code")
    private String bSersorCode;

    /**
     * b相断开速度
     */
    @FieldName("b_speed")
    private BigDecimal bSpeed;

    /**
     * b相断开电流
     */
    @FieldName("b_electric")
    private BigDecimal bElectric;

    /**
     * c相sersorCode
     */
    @FieldName("c_sersor_code")
    private String cSersorCode;

    /**
     * c相断开速度
     */
    @FieldName("c_speed")
    private BigDecimal cSpeed;

    /**
     * c相断开电流
     */
    @FieldName("c_electric")
    private BigDecimal cElectric;

    /**
     * 修改时间
     */
    @FieldName("modify_time")
    private LocalDateTime modifyTime;
}