package com.huatek.busi.entity;

import java.io.Serializable;
import java.math.BigDecimal;
import java.time.LocalDateTime;

import org.springframework.format.annotation.DateTimeFormat;

import com.huatek.torch.sql.annotation.FieldName;
import com.huatek.torch.sql.annotation.TableName;
import com.huatek.torch.sql.beans.Pojo;

import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * 测温柜-实时监测数据 entity
 *
 * @author anker_cheng
 * @date Jul 1, 2019 4:56:44 PM
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("rpt_temper")
public class RptTemper extends Pojo implements Serializable  {
    private static final long serialVersionUID = 1L;

    /**
     * 
     */
    @FieldName("id")
    private String id;
    /**
     * 站点Id
     */
    @FieldName("site_id")
    private String siteId;
    /**
     * 设备ID
     */
    @FieldName("eqm_id")
    private String eqmId;
    /**
     * 柜体温度
     */
    @FieldName("box_temper")
    private BigDecimal boxTemper;
    /**
     * 柜体温度sensorId
     */
    @FieldName("box_sensor_id")
    private String boxSensorId;
    /**
     * 柜体外温度
     */
    @FieldName("box_outside_temper")
    private BigDecimal boxOutsideTemper;
    /**
     * 柜体外温度sensorId
     */
    @FieldName("box_outside_sensor_id")
    private String boxOutsideSensorId;
    /**
     * A相进线温度
     */
    @FieldName("a_i_temper")
    private BigDecimal aITemper;
    /**
     * A相进线SensiorID
     */
    @FieldName("a_i_sensor_id")
    private String aISensorId;
    /**
     * A相出线温度
     */
    @FieldName("a_o_temper")
    private BigDecimal aOTemper;
    /**
     * A相出线sensorId
     */
    @FieldName("a_o_sensor_id")
    private String aOSensorId;
    /**
     * B相进线温度
     */
    @FieldName("b_i_temper")
    private BigDecimal bITemper;
    /**
     * B相进线SensiorID
     */
    @FieldName("b_i_sensor_id")
    private String bISensorId;
    /**
     * B相出线温度
     */
    @FieldName("b_o_temper")
    private BigDecimal bOTemper;
    /**
     * B相出线sensorId
     */
    @FieldName("b_o_sensor_id")
    private String bOSensorId;
    /**
     * C相进线温度
     */
    @FieldName("c_i_temper")
    private BigDecimal cITemper;
    /**
     * C相进线SensiorID
     */
    @FieldName("c_i_sensor_id")
    private String cISensorId;
    /**
     * C相出线温度
     */
    @FieldName("c_o_temper")
    private BigDecimal cOTemper;
    /**
     * C相出线sensorId
     */
    @FieldName("c_o_sensor_id")
    private String cOSensorId;
    /**
     * 创建时间
     */
    @FieldName("create_time")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime createTime;
}