package com.huatek.busi.entity;

import java.io.Serializable;
import java.math.BigDecimal;
import java.time.LocalDate;
import java.time.LocalDateTime;

import org.springframework.format.annotation.DateTimeFormat;

import com.huatek.torch.sql.annotation.FieldName;
import com.huatek.torch.sql.annotation.TableName;
import com.huatek.torch.sql.beans.Pojo;

import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * 测温柜-温度曲线数据表 entity
 *
 * @author anker_cheng
 * @date Oct 28, 2019 5:53:23 PM
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("rpt_temper_charts")
public class RptTemperCharts extends Pojo implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 
     */
    @FieldName("id")
    private String id;

    /**
     * 站点ID
     */
    @FieldName("site_id")
    private String siteId;

    /**
     * 站点设备树ID
     */
    @FieldName("main_tree_id")
    private String mainTreeId;

    /**
     * 主设备ID
     */
    @FieldName("main_equipment_id")
    private String mainEquipmentId;

    /**
     * 柜体温度
     */
    @FieldName("box_temper")
    private BigDecimal boxTemper;

    /**
     * 柜体温度sensiorID
     */
    @FieldName("box_sensor_id")
    private String boxSensorId;

    /**
     * 柜体外温度
     */
    @FieldName("box_outside_temper")
    private BigDecimal boxOutsideTemper;

    /**
     * 柜体外温度sensiorID
     */
    @FieldName("box_outside_sensor_id")
    private String boxOutsideSensorId;

    /**
     * A相进线温度
     */
    @FieldName("ai_temper")
    private BigDecimal aiTemper;

    /**
     * A相进线SensiorID
     */
    @FieldName("ai_sensor_id")
    private String aiSensorId;

    /**
     * A相出线温度
     */
    @FieldName("ao_temper")
    private BigDecimal aoTemper;

    /**
     * A相出线SensiorD
     */
    @FieldName("ao_sensor_id")
    private String aoSensorId;

    /**
     * B相进线温度
     */
    @FieldName("bi_temper")
    private BigDecimal biTemper;

    /**
     * B相进线SensiorID
     */
    @FieldName("bi_sensor_id")
    private String biSensorId;

    /**
     * B相出线温度
     */
    @FieldName("bo_temper")
    private BigDecimal boTemper;

    /**
     * B相出线SensiorID
     */
    @FieldName("bo_sensor_id")
    private String boSensorId;

    /**
     * C相进线温度
     */
    @FieldName("ci_temper")
    private BigDecimal ciTemper;

    /**
     * C相进线SensiorID
     */
    @FieldName("ci_sensor_id")
    private String ciSensorId;

    /**
     * C相出线温度
     */
    @FieldName("co_temper")
    private BigDecimal coTemper;

    /**
     * C相出线SensiorID
     */
    @FieldName("co_sensor_id")
    private String coSensorId;

    /**
     * 汇总时间时间
     */
    @FieldName("hz_time")
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    private LocalDate hzTime;

    /**
     * 创建时间
     */
    @FieldName("create_time")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime createTime;
}