package com.huatek.busi.entity;

import java.io.Serializable;
import java.math.BigDecimal;
import java.time.LocalDate;
import java.time.LocalDateTime;

import org.springframework.format.annotation.DateTimeFormat;

import com.huatek.torch.sql.annotation.FieldName;
import com.huatek.torch.sql.annotation.TableName;
import com.huatek.torch.sql.beans.Pojo;

import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * entity
 *
 * @author anker_cheng
 * @date Oct 28, 2019 4:24:39 PM
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("rpt_temper_record_charts")
public class RptTemperRecordCharts extends Pojo implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 
     */
    @FieldName("id")
    private String id;

    /**
     * 站点ID
     */
    @FieldName("site_id")
    private String siteId;

    /**
     * 站点设备树ID
     */
    @FieldName("main_tree_id")
    private String mainTreeId;

    /**
     * 主设备ID
     */
    @FieldName("main_equipment_id")
    private String mainEquipmentId;

    /**
     * sensiorID
     */
    @FieldName("sensor_id")
    private String sensorId;

    /**
     * 温度
     */
    @FieldName("temper")
    private BigDecimal temper;

    /**
     * 汇总时间时间
     */
    @FieldName("hz_time")
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    private LocalDate hzTime;

    /**
     * 创建时间
     */
    @FieldName("create_time")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime createTime;
}