package com.huatek.busi.entity;

import com.huatek.torch.sql.annotation.FieldName;
import com.huatek.torch.sql.annotation.Id;
import com.huatek.torch.sql.annotation.TableName;
import com.huatek.torch.sql.beans.Pojo;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.time.LocalDateTime;

@Data
@TableName("x_server_file_path")
public class ServerFilePath extends Pojo implements Serializable {
    private static final long serialVersionUID = 1L;

    @Id("id")
    @ApiModelProperty(value = "id", name = "唯一主键标识", required = true)
    private String id;

    @FieldName("site_id")
    @ApiModelProperty(value = "siteId", name = "'站点编号'")
    private String siteId;

    @FieldName("site_path")
    @ApiModelProperty(value = "sitePath", name = "站点路径")
    private String sitePath;

    @FieldName("main_equ_id")
    @ApiModelProperty(value = "mainEquId", name = "变电设备编号")
    private String mainEquId;

    @FieldName("main_equ_path")
    @ApiModelProperty(value = "mainEquPath", name = "变电设备路径")
    private String mainEquPath;

    @FieldName("file_type")
    @ApiModelProperty(value = "fileType", name = "文件类型")
    private String fileType;

    @FieldName("create_user")
    @ApiModelProperty(value = "createUser", name = "创建者")
    private String createUser;

    @FieldName("create_time")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty(value = "createTime", name = "创建时间")
    private LocalDateTime createTime;

    @FieldName("update_user")
    @ApiModelProperty(value = "updateUser", name = "更新者")
    private String updateUser;

    @FieldName("update_time")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty(value = "updateTime", name = "更新时间")
    private LocalDateTime updateTime;

    @FieldName("deleted")
    @ApiModelProperty(value = "deleted", name = "是否删除 0否 1是")
    private String deleted;
}
