package com.huatek.busi.entity;

import java.io.Serializable;
import java.math.BigDecimal;
import java.time.LocalDateTime;

import org.springframework.format.annotation.DateTimeFormat;

import com.huatek.torch.sql.annotation.FieldName;
import com.huatek.torch.sql.annotation.TableName;
import com.huatek.torch.sql.beans.Pojo;

import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * 变电站微气象暂存数据 entity
 *
 * @author anker_cheng
 * @date Jun 28, 2019 4:19:33 PM
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("substation_mic_cache")
public class SubstationMicCache extends Pojo implements Serializable  {
    private static final long serialVersionUID = 1L;

    /**
     * 
     */
    @FieldName("id")
    private String id;
    /**
     * 变电站标识(17 位设备编码)
     */
    @FieldName("substation_id")
    private String substationId;
    /**
     * 监测时间 
     */
    @FieldName("d_time")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime dTime;
    /**
     * 气温(℃)
     */
    @FieldName("air_temperature")
    private BigDecimal airTemperature;
    /**
     * 气压
     */
    @FieldName("air_pressure")
    private BigDecimal airPressure;
    /**
     * 湿度
     */
    @FieldName("humidity")
    private BigDecimal humidity;
    /**
     * 降雨量 
     */
    @FieldName("precipitation")
    private BigDecimal precipitation;
    /**
     * 降水强度
     */
    @FieldName("precipitation_intensity")
    private BigDecimal precipitationIntensity;
    /**
     * 光辐射强度
     */
    @FieldName("radiation_intensity")
    private BigDecimal radiationIntensity;
    /**
     * 站点Id
     */
    @FieldName("site_id")
    private String siteId;
}