package com.huatek.busi.entity;

import java.io.Serializable;
import java.math.BigDecimal;
import java.time.LocalDateTime;

import org.springframework.format.annotation.DateTimeFormat;

import com.huatek.torch.sql.annotation.FieldName;
import com.huatek.torch.sql.annotation.TableName;
import com.huatek.torch.sql.beans.Pojo;

import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * GIS气象实时数据展示 entity
 *
 * @author anker_cheng
 * @date Jun 28, 2019 4:19:33 PM
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("substation_mic_gis_now")
public class SubstationMicGisNow extends Pojo implements Serializable  {
    private static final long serialVersionUID = 1L;

    /**
     * 
     */
    @FieldName("id")
    private String id;
    /**
     * 站点id
     */
    @FieldName("site_id")
    private String siteId;
    /**
     * 设备编码
     */
    @FieldName("site_eqm_code")
    private String siteEqmCode;
    /**
     * 监测时间 
     */
    @FieldName("d_time")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime dTime;
    /**
     * CAC 报文设备id
     */
    @FieldName("eqm_id")
    private String eqmId;
    /**
     * 相位
     */
    @FieldName("phase")
    private String phase;
    /**
     * 气温(℃)
     */
    @FieldName("air_temperature")
    private BigDecimal airTemperature;
    /**
     * 气压
     */
    @FieldName("air_pressure")
    private BigDecimal airPressure;
    /**
     * 湿度
     */
    @FieldName("humidity")
    private BigDecimal humidity;
    /**
     * 降雨量 
     */
    @FieldName("precipitation")
    private BigDecimal precipitation;
    /**
     * 降水强度
     */
    @FieldName("precipitation_intensity")
    private BigDecimal precipitationIntensity;
    /**
     * 光辐射强度
     */
    @FieldName("radiation_intensity")
    private BigDecimal radiationIntensity;
    /**
     * 风速
     */
    @FieldName("wdgustspd")
    private BigDecimal wdgustspd;
    /**
     * CAC 唯一标识
     */
    @FieldName("cac_id")
    private String cacId;
    /**
     * 设备编码
     */
    @FieldName("sensor_id")
    private String sensorId;
}