package com.huatek.busi.entity;

import java.io.Serializable;
import java.math.BigDecimal;
import java.time.LocalDateTime;

import org.springframework.format.annotation.DateTimeFormat;

import com.huatek.torch.sql.annotation.FieldName;
import com.huatek.torch.sql.annotation.TableName;
import com.huatek.torch.sql.beans.Pojo;

import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * 变电站微气象中间表 entity
 *
 * @author anker_cheng
 * @date Jul 17, 2019 10:21:32 AM
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("substation_mic_mid")
public class SubstationMicMid extends Pojo implements Serializable  {
    private static final long serialVersionUID = 1L;

    /**
     * 
     */
    @FieldName("id")
    private String id;
    /**
     * 监测时间 
     */
    @FieldName("d_time")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime dTime;
    /**
     * 气温(℃)
     */
    @FieldName("air_temperature")
    private BigDecimal airTemperature;
    /**
     * 气压
     */
    @FieldName("air_pressure")
    private BigDecimal airPressure;
    /**
     * 湿度
     */
    @FieldName("humidity")
    private BigDecimal humidity;
    /**
     * 降雨量 
     */
    @FieldName("precipitation")
    private BigDecimal precipitation;
    /**
     * 降水强度
     */
    @FieldName("precipitation_intensity")
    private BigDecimal precipitationIntensity;
    /**
     * 光辐射强度
     */
    @FieldName("radiation_intensity")
    private BigDecimal radiationIntensity;
    /**
     * 变电站标识(17 位设备编码)
     */
    @FieldName("equipment_id")
    private String equipmentId;
    /**
     * 主设备编码
     */
    @FieldName("main_equipment_id")
    private String mainEquipmentId;
    /**
     * 外挂设备编码
     */
    @FieldName("sub_equipment_id")
    private String subEquipmentId;
    /**
     * 主设备编号
     */
    @FieldName("main_equipment_code")
    private String mainEquipmentCode;
    /**
     * 外挂设备编号
     */
    @FieldName("sub_equipment_code")
    private String subEquipmentCode;
}