package com.huatek.busi.entity;

import java.io.Serializable;
import java.math.BigDecimal;
import java.time.LocalDateTime;

import org.springframework.format.annotation.DateTimeFormat;

import com.huatek.torch.sql.annotation.FieldName;
import com.huatek.torch.sql.annotation.TableName;
import com.huatek.torch.sql.beans.Pojo;

import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * 变压器油色谱绝对产气速率暂存数据 entity
 *
 * @author anker_cheng
 * @date Sep 26, 2019 8:58:59 PM
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("transformer_epa_abs_increase_cache")
public class TransformerEpaAbsIncreaseCache extends Pojo implements Serializable  {

    private static final long serialVersionUID = 1L;

    /**
     * 
     */
    @FieldName("id")
    private String id;

    /**
     * 监测时间 
     */
    @FieldName("d_time")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime dTime;

    /**
     * 被监测设备相别
     */
    @FieldName("phase")
    private String phase;

    /**
     * 氢气偏差率
     */
    @FieldName("h2")
    private BigDecimal h2;

    /**
     * 甲烷偏差率
     */
    @FieldName("ch4")
    private BigDecimal ch4;

    /**
     * 乙烷偏差率
     */
    @FieldName("c2h6")
    private BigDecimal c2h6;

    /**
     * 乙烯偏差率
     */
    @FieldName("c2h4")
    private BigDecimal c2h4;

    /**
     * 乙炔偏差率
     */
    @FieldName("c2h2")
    private BigDecimal c2h2;

    /**
     * 一氧化碳偏差率
     */
    @FieldName("co")
    private BigDecimal co;

    /**
     * 一氧化碳增长率
     */
    @FieldName("co2")
    private BigDecimal co2;

    /**
     * 氧气偏差率
     */
    @FieldName("o2")
    private BigDecimal o2;

    /**
     * 水分偏差率
     */
    @FieldName("n2")
    private BigDecimal n2;

    /**
     * 水分绝对增长率
     */
    @FieldName("h2o")
    private BigDecimal h2o;

    /**
     * 温度绝对增长率
     */
    @FieldName("tmp")
    private BigDecimal tmp;

    /**
     * 湿度绝对增长率
     */
    @FieldName("dew")
    private BigDecimal dew;

    /**
     * 微水绝对增长率
     */
    @FieldName("mst")
    private BigDecimal mst;

    /**
     * 瓦斯继电器中故障气绝对增长率
     */
    @FieldName("flatgas")
    private BigDecimal flatGas;

    /**
     * 总可燃气体绝对增长率
     */
    @FieldName("cmbugas")
    private BigDecimal cmbuGas;

    /**
     * 总烃绝对增长率
     */
    @FieldName("total_hydrocarbon")
    private BigDecimal totalHydrocarbon;

    /**
     * 站点Id
     */
    @FieldName("site_id")
    private String siteId;

    /**
     * 被检测设备id(17 位设备编码CAC同步的数据)
     */
    @FieldName("equipment_id")
    private String equipmentId;

    /**
     * 外挂设备ID
     */
    @FieldName("sub_equipment_id")
    private String subEquipmentId;

    /**
     * 主设备ID
     */
    @FieldName("main_equipment_id")
    private String mainEquipmentId;

    /**
     * 站点设备树ID
     */
    @FieldName("main_tree_id")
    private String mainTreeId;

    /**
     * 外挂设备树ID
     */
    @FieldName("sub_tree_id")
    private String subTreeId;

    /**
     * 传感器编码
     */
    @FieldName("sensor_code")
    private String sensorCode;
}