package com.huatek.busi.entity;

import java.io.Serializable;
import java.math.BigDecimal;
import java.time.LocalDateTime;

import org.springframework.format.annotation.DateTimeFormat;

import com.huatek.torch.sql.annotation.FieldName;
import com.huatek.torch.sql.annotation.TableName;
import com.huatek.torch.sql.beans.Pojo;

import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * 变压器油色谱绝对产气速率统计 entity
 *
 * @author anker_cheng
 * @date Sep 26, 2019 8:58:59 PM
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("transformer_epa_abs_increase_statistics")
public class TransformerEpaAbsIncreaseStatistics extends Pojo implements Serializable  {

    private static final long serialVersionUID = 1L;

    /**
     * 
     */
    @FieldName("id")
    private String id;

    /**
     * 统计时间 
     */
    @FieldName("d_time")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime dTime;

    /**
     * 氢气增长率
     */
    @FieldName("h2_increase")
    private BigDecimal h2Increase;

    /**
     * 甲烷增长率
     */
    @FieldName("ch4_increase")
    private BigDecimal ch4Increase;

    /**
     * 乙烷增长率
     */
    @FieldName("c2h6_increase")
    private BigDecimal c2h6Increase;

    /**
     * 乙烯增长率
     */
    @FieldName("c2h4_increase")
    private BigDecimal c2h4Increase;

    /**
     * 乙炔增长率
     */
    @FieldName("c2h2_increase")
    private BigDecimal c2h2Increase;

    /**
     * 一氧化碳增长率
     */
    @FieldName("co_increase")
    private BigDecimal coIncrease;

    /**
     * 氧气增长率
     */
    @FieldName("o2_increase")
    private BigDecimal o2Increase;

    /**
     * 氮气增长率
     */
    @FieldName("n2_increase")
    private BigDecimal n2Increase;

    /**
     * 一氧化碳增长率
     */
    @FieldName("co2_increase")
    private BigDecimal co2Increase;

    /**
     * 
     */
    @FieldName("h2o_increase")
    private BigDecimal h2oIncrease;

    /**
     * 温度绝对增长率
     */
    @FieldName("tmp_increase")
    private BigDecimal tmp;

    /**
     * 湿度绝对增长率
     */
    @FieldName("dew_increase")
    private BigDecimal dew;

    /**
     * 微水绝对增长率
     */
    @FieldName("mst_increase")
    private BigDecimal mst;

    /**
     * 瓦斯继电器中故障气绝对增长率
     */
    @FieldName("flatgas_increase")
    private BigDecimal flatGas;

    /**
     * 总可燃气体绝对增长率
     */
    @FieldName("cmbugas_increase")
    private BigDecimal cmbuGas;

    /**
     * 总烃增长率
     */
    @FieldName("total_hydrocarbon_increase")
    private BigDecimal totalHydrocarbonIncrease;

    /**
     * 站点Id
     */
    @FieldName("site_id")
    private String siteId;

    /**
     * 被检测设备id(17 位设备编码CAC同步的数据)
     */
    @FieldName("equipment_id")
    private String equipmentId;

    /**
     * 外挂设备ID
     */
    @FieldName("sub_equipment_id")
    private String subEquipmentId;

    /**
     * 主设备ID
     */
    @FieldName("main_equipment_id")
    private String mainEquipmentId;

    /**
     * 站点设备树ID
     */
    @FieldName("main_tree_id")
    private String mainTreeId;

    /**
     * 外挂设备树ID
     */
    @FieldName("sub_tree_id")
    private String subTreeId;

    /**
     * 传感器编码
     */
    @FieldName("sensor_code")
    private String sensorCode;
}