package com.huatek.busi.entity;

import java.io.Serializable;
import java.time.LocalDateTime;

import org.springframework.format.annotation.DateTimeFormat;

import com.huatek.torch.sql.annotation.FieldName;
import com.huatek.torch.sql.annotation.TableName;
import com.huatek.torch.sql.beans.Pojo;

import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * 油色谱统计数据表 entity
 *
 * @author anker_cheng
 * @date Sep 26, 2019 4:42:40 PM
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("transformer_epa_data_statistics")
public class TransformerEpaDataStatistics extends Pojo implements Serializable  {

    private static final long serialVersionUID = 1L;

    /**
     * 
     */
    @FieldName("id")
    private String id;

    /**
     * 
     */
    @FieldName("d_time")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime dTime;

    /**
     * 
     */
    @FieldName("phase")
    private String phase;

    /**
     * 
     */
    @FieldName("h2")
    private String h2;

    /**
     * 
     */
    @FieldName("ch4")
    private String ch4;

    /**
     * 
     */
    @FieldName("c2h6")
    private String c2h6;

    /**
     * 
     */
    @FieldName("c2h4")
    private String c2h4;

    /**
     * 
     */
    @FieldName("c2h2")
    private String c2h2;

    /**
     * 
     */
    @FieldName("co")
    private String co;

    /**
     * 
     */
    @FieldName("co2")
    private String co2;

    /**
     * 
     */
    @FieldName("o2")
    private String o2;

    /**
     * 
     */
    @FieldName("n2")
    private String n2;

    /**
     * 温度（℃）
     */
    @FieldName("tmp")
    private String tmp;

    /**
     * 湿度（%）
     */
    @FieldName("dew")
    private String dew;

    /**
     * 微水（μL/L）
     */
    @FieldName("mst")
    private String mst;

    /**
     * 瓦斯继电器中故障气（μL/L）
     */
    @FieldName("flatgas")
    private String flatGas;

    /**
     * 总可燃气体（μL/L）
     */
    @FieldName("cmbugas")
    private String cmbuGas;

    /**
     *
     */
    @FieldName("total_hydrocarbon")
    private String totalHydrocarbon;

    /**
     * 
     */
    @FieldName("cac_id")
    private String cacId;

    /**
     * 
     */
    @FieldName("sensor_id")
    private String sensorId;

    /**
     * 载气压力
     */
    @FieldName("gas_press")
    private String gasPress;

    /**
     * 水分
     */
    @FieldName("h2o")
    private String h2o;

    /**
     * 电站ID
     */
    @FieldName("site_id")
    private String siteId;

    /**
     * 被检测设备id(17 位设备编码CAC同步的数据)
     */
    @FieldName("equipment_id")
    private String equipmentId;

    /**
     * 外挂设备ID
     */
    @FieldName("sub_equipment_id")
    private String subEquipmentId;

    /**
     * 主设备ID
     */
    @FieldName("main_equipment_id")
    private String mainEquipmentId;

    /**
     * 站点设备树ID
     */
    @FieldName("main_tree_id")
    private String mainTreeId;

    /**
     * 外挂设备树ID
     */
    @FieldName("sub_tree_id")
    private String subTreeId;
}