package com.huatek.busi.entity;

import java.io.Serializable;
import java.math.BigDecimal;
import java.time.LocalDateTime;

import org.springframework.format.annotation.DateTimeFormat;

import com.huatek.torch.sql.annotation.FieldName;
import com.huatek.torch.sql.annotation.TableName;
import com.huatek.torch.sql.beans.Pojo;

import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * 变压器油色谱数据偏差率（实时数据） entity
 *
 * @author anker_cheng
 * @date Sep 26, 2019 4:42:40 PM
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("transformer_epa_deviation")
public class TransformerEpaDeviation extends Pojo implements Serializable  {

    private static final long serialVersionUID = 1L;

    /**
     * 
     */
    @FieldName("id")
    private String id;

    /**
     * 监测时间 
     */
    @FieldName("d_time")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime dTime;

    /**
     * 氢气偏差率
     */
    @FieldName("h2_deviation")
    private BigDecimal h2Deviation;

    /**
     * 甲烷偏差率
     */
    @FieldName("ch4_deviation")
    private BigDecimal ch4Deviation;

    /**
     * 乙烷偏差率
     */
    @FieldName("c2h6_deviation")
    private BigDecimal c2h6Deviation;

    /**
     * 乙烯偏差率
     */
    @FieldName("c2h4_deviation")
    private BigDecimal c2h4Deviation;

    /**
     * 乙炔偏差率
     */
    @FieldName("c2h2_deviation")
    private BigDecimal c2h2Deviation;

    /**
     * 一氧化碳偏差率
     */
    @FieldName("co_deviation")
    private BigDecimal coDeviation;

    /**
     * 氧气偏差率
     */
    @FieldName("o2_deviation")
    private BigDecimal o2Deviation;

    /**
     * 氮气偏差率
     */
    @FieldName("n2_deviation")
    private BigDecimal n2Deviation;

    /**
     *  温度偏差率
     */
    @FieldName("tmp_deviation")
    private BigDecimal tmpDeviation;

    /**
     *  湿度偏差率
     */
    @FieldName("dew_deviation")
    private BigDecimal dewDeviation;

    /**
     *  微水偏差率
     */
    @FieldName("mst_deviation")
    private BigDecimal mstDeviation;

    /**
     *  瓦斯继电器中故障气偏差率
     */
    @FieldName("flatgas_deviation")
    private BigDecimal flatGasDeviation;

    /**
     *  总可燃气体偏差率
     */
    @FieldName("cmbugas_deviation")
    private BigDecimal cmbuGasDeviation;

    /**
     * 总烃偏差率
     */
    @FieldName("total_hydrocarbon_deviation")
    private BigDecimal totalHydrocarbonDeviation;

    /**
     *    水偏差率
     */
    @FieldName("h2o_deviation")
    private BigDecimal h2oDeviation;

    /**
     * 一氧化碳偏差率
     */
    @FieldName("co2_deviation")
    private BigDecimal co2Deviation;

    /**
     * 站点Id
     */
    @FieldName("site_id")
    private String siteId;

    /**
     * 被检测设备id(17 位设备编码CAC同步的数据)
     */
    @FieldName("equipment_id")
    private String equipmentId;

    /**
     * 外挂设备ID
     */
    @FieldName("sub_equipment_id")
    private String subEquipmentId;

    /**
     * 主设备ID
     */
    @FieldName("main_equipment_id")
    private String mainEquipmentId;

    /**
     * 站点设备树ID
     */
    @FieldName("main_tree_id")
    private String mainTreeId;

    /**
     * 外挂设备树ID
     */
    @FieldName("sub_tree_id")
    private String subTreeId;

    /**
     * 传感器编码
     */
    @FieldName("sensor_code")
    private String sensorCode;
}