package com.huatek.busi.entity;

import java.io.Serializable;
import java.time.LocalDateTime;

import com.huatek.torch.sql.annotation.FieldName;
import com.huatek.torch.sql.annotation.TableName;
import com.huatek.torch.sql.beans.Pojo;

import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * @ClassName: TransformerEvaluateData
 * @FullClassPath: com.huatek.busi.entity.TransformerEvaluateData
 * @Description: 变压器评测数据
 * @author: Arno
 * @date: Sep 2, 2019 3:30:43 PM
 * @version: 1.0
 */

@Data
@EqualsAndHashCode(callSuper = false)
@TableName("transformer_evaluate_data")
public class TransformerEvaluateData extends Pojo implements Serializable {

	/** @Fields serialVersionUID : */
	private static final long serialVersionUID = -5396049491906321246L;

	@FieldName("id")
	private String id;

	/** @Fields mainTreeId :站点树ID */
	@FieldName("main_tree_id")
	private String mainTreeId;

/*	*//** @Fields transformerId : 变压器设备ID *//*
	@FieldName("transformer_id")
	private String transformerId;*/

	/** @Fields h2 : */
	@FieldName("h2")
	private String h2;

	/** @Fields ch4 : */
	@FieldName("ch4")
	private String ch4;

	/** @Fields c2h2 : */
	@FieldName("c2h2")
	private String c2h2;

	/** @Fields c2h4 : */
	@FieldName("c2h4")
	private String c2h4;

	/** @Fields c2h6 : */
	@FieldName("c2h6")
	private String c2h6;

	/** @Fields co : */
	@FieldName("co")
	private String co;

	/** @Fields co2 : */
	@FieldName("co2")
	private String co2;

	/** @Fields 温度 : */
	@FieldName("tmp")
	private String tmp;

	/** @Fields 湿度 : */
	@FieldName("dew")
	private String dew;

	/** @Fields 微水 : */
	@FieldName("mst")
	private String mst;

	/** @Fields 瓦斯继电器中故障气 : */
	@FieldName("flatgas")
	private String flatgas;

	/** @Fields 总可燃气体 : */
	@FieldName("cmbugas")
	private String cmbugas;

	/** @Fields zj : 总烃 */
	@FieldName("zj")
	private String zj;

	/** @Fields waterInOil : 油中微水 */
	@FieldName("water_in_oil")
	private String waterInOil;

	/** @Fields oillMedium : 油介质 */
	@FieldName("oill_medium")
	private String oillMedium;

	/** @Fields oilBreakdownVoltage : 油击穿电压 */
	@FieldName("oil_breakdown_voltage")
	private String oilBreakdownVoltage;

	/** @Fields furfural :糠醛 */
	@FieldName("furfural")
	private String furfural;

	/** @Fields degreeCardboard :纸板聚合度 */
	@FieldName("degree_cardboard")
	private String degreeCardboard;

	/** @Fields polarizatioIndex : 极化指数 */
	@FieldName("polarizatio_index")
	private String polarizatioIndex;

	/** @Fields partialDischarge :局放 */
	@FieldName("partial_discharge")
	private String partialDischarge;

	/** @Fields insulationResistance : 绝缘电阻 */
	@FieldName("insulation_resistance")
	private String insulationResistance;

	/** @Fields insulationResistanceAbsorptionRatio : 绝缘电阻吸收比 */
	@FieldName("insulation_resistance_absorption_ratio")
	private String insulationResistanceAbsorptionRatio;

	/** @Fields phaseDifferenceDcResistance : 绕组直流电阻相间差 */
	@FieldName("phase_difference_dc_resistance")
	private String phaseDifferenceDcResistance;

	/** @Fields lineDifferenceDcResistance : 绕组直流电阻线间差 */
	@FieldName("line_difference_dc_resistance")
	private String lineDifferenceDcResistance;

	/** @Fields windingInsulationDielectricLoss : 绕组绝缘介损 */
	@FieldName("winding_insulation_dielectric_loss")
	private String windingInsulationDielectricLoss;

	/** @Fields coreInsulationResistance : 铁芯绝缘电阻 */
	@FieldName("core_insulation_resistance")
	private String coreInsulationResistance;

	/** @Fields endScreenInsulationResistance :末屏绝缘电阻 */
	@FieldName("end_screen_insulation_resistance")
	private String endScreenInsulationResistance;

	/** @Fields casingDielectricLoss : 套管介损 */
	@FieldName("casing_dielectric_loss")
	private String casingDielectricLoss;

	/** @Fields casingH2 : 套管H2 */
	@FieldName("casing_h2")
	private String casingH2;

	/** @Fields casingCh4 : 套管CH4 */
	@FieldName("casing_ch4")
	private String casingCh4;

	/** @Fields casingC2h2 : 套管C2H2 */
	@FieldName("casing_c2h2")
	private String casingC2h2;

	/** @Fields waterContentOfInsulatingPaper : 绝缘纸含水量（质量分数%） */
	@FieldName("water_content_of_insulating_paper")
	private String waterContentOfInsulatingPaper;

	/** @Fields noloadCurrentAndNoloadLossRate :空载电流、空载损耗变化率(%) */
	@FieldName("noload_current_and_noload_loss_rate")
	private String noloadCurrentAndNoloadLossRate;

	/** @Fields shortCircuitImpedanceChangeRate : 短路阻抗变化率(%) */
	@FieldName("short_circuit_impedance_change_rate")
	private String shortCircuitImpedanceChangeRate;

	/** @Fields vibrationSoundLevel :震动、声级pd */
	@FieldName("vibration_sound_level")
	private String vibrationSoundLevel;

	/** @Fields dcLeakageCurrentWinding : 绕组直流泄露电流（μA） */
	@FieldName("dc_leakage_current_winding")
	private String dcLeakageCurrentWinding;

	/** @Fields createUser :创建人id */
	@FieldName("create_user")
	private String createUser;

	/** @Fields createName :创建人名称 */
	@FieldName("create_name")
	private String createName;

	/** @Fields createTime : 创建时间 */
	@FieldName("create_time")
	private LocalDateTime createTime;

	/** @Fields modifiedName : 修改人 */
	@FieldName("modified_name")
	private String modifiedName;

	/** @Fields modifiedUser : 修改人ID */
	@FieldName("modified_user")
	private String modifiedUser;

	/** @Fields modifiedTime : 修改时间 */
	@FieldName("modified_time")
	private LocalDateTime modifiedTime;

	/** @Fields status : 状态：1- 正常 2-删除 */
	@FieldName("status")
	private String status;

}