package com.huatek.busi.entity;

import java.io.Serializable;
import java.time.LocalDate;

import org.springframework.format.annotation.DateTimeFormat;

import com.huatek.torch.sql.annotation.FieldName;
import com.huatek.torch.sql.annotation.TableName;
import com.huatek.torch.sql.beans.Pojo;

import lombok.Data;
import lombok.EqualsAndHashCode;



/**
  * @ClassName: TransformerEvaluationIntermediateValue
  * @FullClassPath: com.huatek.busi.entity.TransformerEvaluationIntermediateValue
  * @Description: TODO
  * @author: Arno
  * @date: Sep 12, 2019 1:23:17 PM
  * @version: 1.0
  */

@Data
@EqualsAndHashCode(callSuper = false)
@TableName("transformer_evaluation_intermediate_value")
public class TransformerEvaluationIntermediateValue extends Pojo implements Serializable {

	/** @Fields serialVersionUID : */
	private static final long serialVersionUID = -2784973248472262989L;
	
	
	@FieldName("id")
	private String id;

	/** @Fields mainTreeId : 站点树ID */
	@FieldName("main_tree_id")
	private String mainTreeId;

	/** @Fields designedLife :设计寿命 */
	@FieldName(value = "design_life")
	private String designLife;

	/** @Fields designedLife :预期寿命 */
	@FieldName(value = "expect_life")
	private String expectlife;

	/** @Fields surplusLife 剩余寿命 */
	@FieldName(value = "surplus_life")
	private String surplusLife;


	/** @Fields score: 分数 */
	@FieldName(value = "score")
	private String score;

	/** @Fields healthIndex: 健康指数 */
	@FieldName(value = "health_index")
	private String healthIndex;

	/** @Fields advice: 建议 */
	@FieldName(value = "advice")
	private String advice;

	/** @Fields futureFailureRate: 未来故障概率 */
	@FieldName(value = "future_failure_rate")
	private String futureFailureRate;

	/** @Fields agingRate: 自然老化率 */
	@FieldName(value = "aging_rate")
	private String agingRate;

	/** @Fields pc_date: 评测时间 */
	@FieldName(value = "evaluate_date")
	@DateTimeFormat(pattern = "yyyy-MM-dd")
	private LocalDate evaluateDate;

	/** @Fields failureRreasons: 失败原因 */
	@FieldName(value = "failure_reasons")
	private String failureRreasons;
	
	
	/************************************************/
	
	/** @Fields resultId:评测结果ID */
	@FieldName(value = "result_id")
	private String resultId;
	
	
	/** @Fields transformeId: 变压器ID */
	@FieldName(value = "transformer_id")
	private String transformeId;
	
	
	/** @Fields transformeId: 变压器名称 */
	@FieldName(value = "transformer_name")
	private String transformerName;
	
	/************************************************/
	
	/** @Fields oilChromatogramTest: 油色谱试验  */
	@FieldName(value = "oil_chromatogram_test")
	private String oilChromatogramTest;
	
	/** @Fields furfural: 糠醛 */
	@FieldName(value = "furfural")
	private String furfural;
	
	/** @Fields oilQualityTest:  油质试验*/
	@FieldName(value = "oil_quality_test")
	private String oilQualityTest;
	
	/** @Fields insulatingPaper: 绝缘纸 */
	@FieldName(value = "insulating_paper")
	private String insulatingPaper;
	
	/** @Fields routineTest:  例行试验*/
	@FieldName(value = "routine_test")
	private String routineTest;
	
	/** @Fields diagnosticTest: 诊断性试验 */
	@FieldName(value = "diagnostic_test")
	private String diagnosticTest;
	
	/** @Fields insulationOperationHealthIndex: 绝缘运行状态健康指数 */
	@FieldName(value = "insulation_operation_health_index")
	private String insulationOperationHealthIndex;
	
	/** @Fields agingHealthStatusOfMainInsulation:  主绝缘老化健康状态*/
	@FieldName(value = "aging_health_status_of_main_insulation")
	private String agingHealthStatusOfMainInsulation;
	
	/** @Fields componentDefectRiskHealthIndex: 部件缺陷风险健康指数 */
	@FieldName(value = "component_defect_risk_health_index")
	private String componentDefectRiskHealthIndex;
	
	/** @Fields finalHealthLevelIndex:  最终健康水平指数*/
	@FieldName(value = "final_health_level_index")
	private String finalHealthLevelIndex;

	
}
