package com.huatek.busi.entity;

import com.huatek.torch.sql.annotation.FieldName;
import com.huatek.torch.sql.annotation.TableName;
import com.huatek.torch.sql.beans.Pojo;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
  * @ClassName: TransformerEvaluationResults
  * @FullClassPath: com.huatek.busi.entity.TransformerEvaluationResults
  * @Description: TODO
  * @author: Arno
  * @date: Sep 12, 2019 1:23:17 PM
  * @version: 1.0
  */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("transformer_evaluation_results")
public class TransformerEvaluationResults extends Pojo implements Serializable {

	/** @Fields serialVersionUID : */
	private static final long serialVersionUID = -2784973248472262986L;
	@FieldName("id")
	private String id;

	/** @Fields mainTreeId : 站点树ID */
	@FieldName("main_tree_id")
	private String mainTreeId;

	/** @Fields designedLife :设计寿命 */
	@FieldName(value = "designed_life")
	private double designedLife;

	/** @Fields designedLife :预期寿命 */
	@FieldName(value = "expect_life")
	private double expectlife;

	/** @Fields surplusLife :剩余寿命 */
	@FieldName(value = "surplus_life")
	private double surplusLife;

	/** @Fields score: 分数 */
	@FieldName(value = "score")
	private double score;

	/** @Fields healthIndex: 健康指数 */
	@FieldName(value = "health_index")
	private String healthIndex;

	/** @Fields advice: 建议 */
	@FieldName(value = "advice")
	private String advice;

	/** @Fields futureFailureRate: 未来故障概率 */
	@FieldName(value = "future_failure_rate")
	private double futureFailureRate;

	/** @Fields agingRate: 自然老化率 */
	@FieldName(value = "aging_rate")
	private double agingRate;

	/** @Fields pc_date: 评测时间 */
	@FieldName(value = "evaluate_date")
	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private LocalDateTime evaluateDate;

	/** @Fields safety: 安全性 */
	@FieldName(value = "safety")
	private String safety ;

	/** @Fields reliability: 可靠性 */
	@FieldName(value = "reliability")
	private String reliability ;

	/** @Fields maintainability: 维修性 */
	@FieldName(value = "maintainability")
	private String maintainability;

	/** @Fields economicRow: 经济性 */
	@FieldName(value = "economic_row")
	private String economicRow ;

	/** @Fields monitoringAbility: 可监测性 */
	@FieldName(value = "monitoring_ability")
	private String monitoringAbility;

	/** @Fields amplitude: 幅值 */
	@FieldName(value = "amplitude")
	private String amplitude;

	/** @Fields type: 1.手动 2.自动 */
	@FieldName(value = "type")
	private String type;
}
