package com.huatek.busi.entity;

import java.io.Serializable;
import java.math.BigDecimal;
import java.time.LocalDate;
import java.time.LocalDateTime;

import org.springframework.format.annotation.DateTimeFormat;

import com.huatek.torch.sql.annotation.FieldName;
import com.huatek.torch.sql.annotation.TableName;
import com.huatek.torch.sql.beans.Pojo;

import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * 铁芯接地日统计表 entity
 *
 * @author anker_cheng
 * @date Jul 29, 2019 3:40:22 PM
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("transformer_icge_statistics")
public class TransformerIcgeStatistics extends Pojo implements Serializable  {

    private static final long serialVersionUID = 1L;

    /**
     * 主键ID
     */
    @FieldName("id")
    private String id;

    /**
     * 站点ID
     */
    @FieldName("site_id")
    private String siteId;

    /**
     * 外挂设备ID
     */
    @FieldName("sub_equipment_id")
    private String subEquipmentId;

    /**
     * 主设备ID
     */
    @FieldName("main_equipment_id")
    private String mainEquipmentId;

    /**
     * 传感器编码
     */
    @FieldName("sensor_code")
    private String sensorCode;

    /**
     * 统计时间
     */
    @FieldName("d_time")
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    private LocalDate dTime;

    /**
     * 铁芯全电流(mA)
     */
    @FieldName("total_core_current")
    private BigDecimal totalCoreCurrent;

    /**
     * 创建时间
     */
    @FieldName("create_time")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime createTime;

    /**
     * 类别: 1铁芯；2夹件
     */
    @FieldName("type")
    private String type;
}