package com.huatek.busi.entity;

import java.io.Serializable;
import java.math.BigDecimal;
import java.time.LocalDate;
import java.time.LocalDateTime;

import org.springframework.format.annotation.DateTimeFormat;

import com.huatek.torch.sql.annotation.FieldName;
import com.huatek.torch.sql.annotation.TableName;
import com.huatek.torch.sql.beans.Pojo;

import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * 变压器气象数据统计 entity
 *
 * @author anker_cheng
 * @date Oct 28, 2019 1:00:22 PM
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("transformer_meteorological_statistics")
public class TransformerMeteorologicalStatistics extends Pojo implements Serializable  {

    private static final long serialVersionUID = 1L;

    /**
     * 
     */
    @FieldName("id")
    private String id;

    /**
     * cac类型编码
     */
    @FieldName("cac_monitor_type_code")
    private String cacMonitorTypeCode;

    /**
     * 站点Id
     */
    @FieldName("site_id")
    private String siteId;

    /**
     * sensor编码
     */
    @FieldName("sensor_id")
    private String sensorId;

    /**
     * 站点设备树ID
     */
    @FieldName("main_tree_id")
    private String mainTreeId;

    /**
     * 外挂设备树ID
     */
    @FieldName("sub_tree_id")
    private String subTreeId;

    /**
     * 统计时间 
     */
    @FieldName("d_time")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDate dTime;

    /**
     * 气温(℃)平均值
     */
    @FieldName("avg_air_temperature")
    private BigDecimal avgAirTemperature;

    /**
     * 气压平均值
     */
    @FieldName("avg_air_pressure")
    private BigDecimal avgAirPressure;

    /**
     * 湿度平均值
     */
    @FieldName("avg_humidity")
    private BigDecimal avgHumidity;

    /**
     * 降雨量平均值
     */
    @FieldName("avg_precipitation")
    private BigDecimal avgPrecipitation;

    /**
     * 降水强度平均值
     */
    @FieldName("avg_precipitation_intensity")
    private BigDecimal avgPrecipitationIntensity;

    /**
     * 光辐射强度平均值
     */
    @FieldName("avg_radiation_intensity")
    private BigDecimal avgRadiationIntensity;

    /**
     * 创建时间
     */
    @FieldName("create_time")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime createTime;

    /**
     * 负荷
     */
    @FieldName("load_rate")
    private String loadRate;
}