package com.huatek.busi.entity;

import java.io.Serializable;

import com.huatek.torch.sql.annotation.FieldName;
import com.huatek.torch.sql.annotation.TableName;
import com.huatek.torch.sql.beans.Pojo;

import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * 变压器/电抗器——局部放电次数记录 entity
 *
 * @author anker_cheng
 * @date Aug 12, 2019 7:18:19 PM
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("transformer_pd_record")
public class TransformerPdRecord extends Pojo implements Serializable  {

    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
    @FieldName("id")
    private String id;

    /**
     * 传感器编码
     */
    @FieldName("sensor_code")
    private String sensorCode;

    /**
     * 局放类型 1-变压器 2-GIS 3-电缆
     */
    @FieldName("pd_type")
    private String pdType;
}