package com.huatek.busi.entity;

import java.io.Serializable;
import java.time.LocalDate;
import java.time.LocalDateTime;

import org.springframework.format.annotation.DateTimeFormat;

import com.huatek.torch.sql.annotation.FieldName;
import com.huatek.torch.sql.annotation.TableName;
import com.huatek.torch.sql.beans.Pojo;

import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * 局部放电统计 entity
 *
 * @author anker_cheng
 * @date Oct 25, 2019 2:48:40 PM
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("transformer_pd_statistics")
public class TransformerPdStatistics extends Pojo implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 
     */
    @FieldName("id")
    private String id;

    /**
     * 站点Id
     */
    @FieldName("site_id")
    private String siteId;

    /**
     * sensor编码
     */
    @FieldName("sensor_id")
    private String sensorId;

    /**
     * 站点设备树ID
     */
    @FieldName("main_tree_id")
    private String mainTreeId;

    /**
     * 外挂设备树ID
     */
    @FieldName("sub_tree_id")
    private String subTreeId;

    /**
     * 局放类型:cac类型编码
     */
    @FieldName("pd_type")
    private String pdType;

    /**
     * 统计时间
     */
    @FieldName("d_time")
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    private LocalDate dTime;

    /**
     * 放电次数
     */
    @FieldName("count")
    private Integer count;

    /**
     * 放电量
     */
    @FieldName("electric_quantity")
    private String electricQuantity;

    /**
     * 创建时间
     */
    @FieldName("crateTime")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime cratetime;
}