package com.huatek.busi.entity;

import java.io.Serializable;
import java.time.LocalDateTime;

import org.springframework.format.annotation.DateTimeFormat;

import com.huatek.torch.sql.annotation.FieldName;
import com.huatek.torch.sql.annotation.TableName;
import com.huatek.torch.sql.beans.Pojo;

import lombok.Data;
import lombok.EqualsAndHashCode;
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("transformer_run_status")
public class TransformerRunStatus extends Pojo implements Serializable{
    private static final long serialVersionUID = 1L;

    /**
     * 
     */
    @FieldName("id")
    private String id;

    /**
     * 站点ID
     */
    @FieldName("site_id")
    private String siteId;

    /**
     * 站点设备树ID（主设备ID）
     */
    @FieldName("main_tree_id")
    private String mainTreeId;

    /**
     * 工作状态（1：发电、2：抽水、3：空闲）
     */
    @FieldName("work_status")
    private String workStatus;

    /**
     * 监测时间
     */
    @FieldName("d_time")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime dTime;

    /**
     * 油温
     */
    @FieldName("oil_temperature")
    private String oilTemperature;

    /**
     * 油位
     */
    @FieldName("oil_position")
    private String oilPosition;

    /**
     * 冷却进口压力
     */
    @FieldName("cooling_entry_pressure")
    private String coolingEntryPressure;

    /**
     * 冷却出口压力
     */
    @FieldName("cooling_exit_pressure")
    private String coolingExitPressure;
    /**
     * 冷却水进口温度
     */
    @FieldName("coolingwater_inlet_temperature")
    private String coolingwaterInletTemperature;

    /**
     * 冷却水出口温度
     */
    @FieldName("coolingwater_outlet_temperature")
    private String coolingwaterOutletTemperature;

}