package com.huatek.busi.entity;

import java.io.Serializable;
import java.math.BigDecimal;
import java.time.LocalDate;
import java.time.LocalDateTime;

import org.springframework.format.annotation.DateTimeFormat;

import com.huatek.torch.sql.annotation.FieldName;
import com.huatek.torch.sql.annotation.TableName;
import com.huatek.torch.sql.beans.Pojo;

import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * 变压器运行工况数据统计 entity
 *
 * @author anker_cheng
 * @date Oct 28, 2019 2:05:41 PM
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("transformer_run_status_statistics")
public class TransformerRunStatusStatistics extends Pojo implements Serializable  {

    private static final long serialVersionUID = 1L;

    /**
     * 
     */
    @FieldName("id")
    private String id;

    /**
     * 站点Id
     */
    @FieldName("site_id")
    private String siteId;

    /**
     * 站点设备树ID
     */
    @FieldName("main_tree_id")
    private String mainTreeId;

    /**
     * 监测时间 
     */
    @FieldName("d_time")
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    private LocalDate dTime;

    /**
     * 油温
     */
    @FieldName("avg_oil_temperature")
    private BigDecimal avgOilTemperature;

    /**
     * 油位
     */
    @FieldName("avg_oil_position")
    private BigDecimal avgOilPosition;

    /**
     * 冷却进口压力
     */
    @FieldName("avg_cooling_entry_pressure")
    private BigDecimal avgCoolingEntryPressure;

    /**
     * 冷却出口压力
     */
    @FieldName("avg_cooling_exit_pressure")
    private BigDecimal avgCoolingExitPressure;

    /**
     * 冷却水出口温度
     */
    @FieldName("avg_coolingwater_outlet_temperature")
    private BigDecimal avgCoolingWaterOutletTemperature;

    /**
     * 冷却水进口温度
     */
    @FieldName("avg_coolingwater_inlet_temperature")
    private BigDecimal avgCoolingWaterInletTemperature;


    /**
     * 创建时间
     */
    @FieldName("create_time")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime createTime;
}