package com.huatek.busi.entity;

import java.io.Serializable;
import java.time.LocalDateTime;
import com.huatek.torch.sql.annotation.FieldName;
import com.huatek.torch.sql.annotation.TableName;
import com.huatek.torch.sql.beans.Pojo;

import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * 变压器运行工况阈值
 * 
 * @author buck_guo
 * @date 2019/08/07
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("transformer_runing_status_threshold")
public class TransformerRunStatusThreshold extends Pojo implements Serializable{
    /**
     *
     */
    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
    @FieldName("id")
    private String id;

    /**
     * 站点ID
     */
    @FieldName("site_id")
    private String siteId;

    /**
     * 站点设备数ID
     */
    @FieldName("main_tree_id")
    private String mainTreeId;

    /**
     * 工作状态（1：发电、2：抽水、3：空闲）
     */
    @FieldName("work_status")
    private String workStatus;
    
    /**
     * 冷却水进口压力
     */
    @FieldName("coolingwater_inlet_pressure")
    private String coolingwaterInletPressure;

    /**
     * 冷却水出口压力
     */
    @FieldName("coolingwater_outlet_pressure")
    private String coolingwaterOutletPressure;

    /**
     * 冷却水进口温度
     */
    @FieldName("coolingwater_inlet_temperature")
    private String coolingwaterInletTemperature;

    /**
     * 冷却水出口温度
     */
    @FieldName("coolingwater_outlet_temperature")
    private String coolingwaterOutletTemperature;

    /**
     * 绕组温度
     */
    @FieldName("winding_temperature")
    private String windingTemperature;

    /**
     * 循环油进口压力
     */
    @FieldName("Circulating_oil_inlet_pressure")
    private String circulatingOilInletPressure;
    
    /**
     * 变压器油出口油压力(MPa)
     */
    @FieldName("Circulating_oil_outlet_pressure")
    private String circulatingOilOutletPressure;
    
    /**
     * 变压器油进口温度(℃)
     */
    @FieldName("circulating_oil_inlet_temperature")
    private String circulatingOilInletTemperature;
    
    /**
     * 变压器油出口温度(℃)
     */
    @FieldName("circulating_oil_out_temperature")
    private String circulatingOilOutletTemperature;

    /**
     * 油枕油位
     */
    @FieldName("oilpillow_oillevel")
    private String oilpillowOillevel;

    /**
     * 变压器本体油位
     */
    @FieldName("transformer_Ontology_oillevel")
    private String transformerOntologyOillevel;

    /**
     * 油温
     */
    @FieldName("oil_temperature")
    private String oilTemperature;

    /**
     * 顶层油温
     */
    @FieldName("top_oil_temperature")
    private String topOilTemperature;

    /**
     * 创建时间
     */
    @FieldName("created_time")
    private LocalDateTime createdTime;

    /**
     * 创建人ID
     */
    @FieldName("creator")
    private String creator;

    /**
     * 修改时间
     */
    @FieldName("modified_time")
    private LocalDateTime modifiedTime;

    /**
     * 修改人ID
     */
    @FieldName("modifier")
    private String modifier;
}