package com.huatek.busi.entity;

import com.huatek.torch.sql.annotation.FieldName;
import com.huatek.torch.sql.annotation.TableName;
import com.huatek.torch.sql.beans.Pojo;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * 变压器绕组监测暂存数据 entity
 *
 * @author anker_cheng
 * @date Oct 21, 2019 7:57:30 PM
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("transformer_winding_temperature_cache")
public class TransformerWindingTemperatureCache extends Pojo implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     *
     */
    @FieldName("id")
    private String id;

    /**
     *
     */
    @FieldName("eqm_id")
    private String eqmId;

    /**
     * 被监测设备相别(A/B/C)
     */
    @FieldName("phase")
    private String phase;

    /**
     * 监测时间
     */
    @FieldName("d_time")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime dTime;

    /**
     * 最高温度
     */
    @FieldName("h_temperature")
    private String hTemperature;

    /**
     * 最低温度
     */
    @FieldName("l_temperature")
    private String lTemperature;

    /**
     * 平均温度
     */
    @FieldName("avg_tmp")
    private String avgTmp;

    /**
     * 设备编码
     */
    @FieldName("sensor_id")
    private String sensorId;

    /**
     * 站点Id
     */
    @FieldName("site_id")
    private String siteId;

    /**
     * 站点设备编码
     */
    @FieldName("site_eqm_code")
    private String siteEqmCode;

    /**
     * TransformerTree Id
     */
    @FieldName("hw_id")
    private String hwId;

    /**
     * 创建时间
     */
    @FieldName("created_time")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime createdTime;

    /**
     * 修改时间
     */
    @FieldName("modified_time")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime modifiedTime;

    /**
     * 站点设备树ID
     */
    @FieldName("main_tree_id")
    private String mainTreeId;

    /**
     * 外挂设备树ID
     */
    @FieldName("sub_tree_id")
    private String subTreeId;

    /**
     * 类型:021010--变压器; 024007--GIS; 023002--避雷器
     */
    @FieldName("type")
    private String type;

    /**
     * 工作状态
     */
    @FieldName("run_state")
    private String runState;
}
