package com.huatek.busi.entity;

import java.time.LocalDateTime;
import java.util.Date;
import java.io.Serializable;

import com.huatek.torch.sql.annotation.FieldName;
import com.huatek.torch.sql.annotation.Id;
import com.huatek.torch.sql.annotation.TableName;
import com.huatek.torch.sql.beans.Pojo;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springframework.format.annotation.DateTimeFormat;

/**
 * <p>
 *      一次接线图文件存储表
 *  </p>
 *
 * @author vent
 * @since 2023-04-25
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("wiring_diagram")
public class WiringDiagram extends Pojo implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * id
     */
    @Id("id")
    @ApiModelProperty(value = "id", name = "唯一主键标识", required = true)
    private String id;

    /**
     * 文件名称
     */
    @ApiModelProperty(value = "文件名称",  name="fileName")
    @FieldName("file_name")
    private String fileName;

    /**
     * 创建时间
     */
    @ApiModelProperty(value = "创建时间",  name="createDate")


    @FieldName("create_date")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime createDate;

    /**
     * 文件大小
     */
    @ApiModelProperty(value = "文件大小",  name="fileSize")
    @FieldName("file_size")
    private Long fileSize;

    /**
     * 文件类型
     */
    @ApiModelProperty(value = "文件类型",  name="fileType")
    @FieldName("file_type")
    private String fileType;

    /**
     * 删除标识
     */
    @FieldName("deleted")
    @ApiModelProperty(value = "deleted",name = "是否删除 0否 1是")
    private String deleted;

    /**
     * 浏览器访问路径
     */
    @ApiModelProperty(value = "浏览器访问路径",  name="filePath")
    @FieldName("file_path")
    private String filePath;

}
