package com.huatek.busi.entity;

import com.huatek.torch.sql.annotation.FieldName;
import com.huatek.torch.sql.annotation.TableName;
import com.huatek.torch.sql.beans.Pojo;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.time.LocalDateTime;

@Data
@EqualsAndHashCode(callSuper = false)
@TableName("x_transformer_evaluate_data")
public class XTransformerEvaluateData extends Pojo implements Serializable {

    /** @Fields serialVersionUID : */
    private static final long serialVersionUID = -5396049491906321246L;

    @FieldName("id")
    private String id;

    /** @Fields mainTreeId :站点树ID */
    @FieldName("main_tree_id")
    private String mainTreeId;

    /** @Fields h2 : */
    @FieldName("h2")
    private String h2;

    /** @Fields ch4 : */
    @FieldName("ch4")
    private String ch4;

    /** @Fields c2h2 : */
    @FieldName("c2h2")
    private String c2h2;

    /** @Fields c2h4 : */
    @FieldName("c2h4")
    private String c2h4;

    /** @Fields c2h6 : */
    @FieldName("c2h6")
    private String c2h6;

    /** @Fields co : */
    @FieldName("co")
    private String co;

    /** @Fields co2 : */
    @FieldName("co2")
    private String co2;

    /** @Fields zj : 总烃 */
    @FieldName("zj")
    private String zj;



    /** @Fields waterInOil : 油中微水 */
    @FieldName("water_in_oil")
    private String waterInOil;

    /** @Fields oillMedium : 油介质 */
    @FieldName("oill_medium")
    private String oillMedium;

    /** @Fields oilBreakdownVoltage : 油击穿电压 */
    @FieldName("oil_breakdown_voltage")
    private String oilBreakdownVoltage;

    /** @Fields furfural :糠醛 */
    @FieldName("furfural")
    private String furfural;

    /** @Fields degreeCardboard :纸板聚合度 */
    @FieldName("degree_cardboard")
    private String degreeCardboard;

    /** @Fields polarizatioIndex : 极化指数 */
    @FieldName("polarizatio_index")
    private String polarizatioIndex;

    /** @Fields partialDischarge :局放 */
    @FieldName("partial_discharge")
    private String partialDischarge;

    /** @Fields insulationResistance : 绝缘电阻 */
    @FieldName("insulation_resistance")
    private String insulationResistance;

    /** @Fields insulationResistanceAbsorptionRatio : 绝缘电阻吸收比 */
    @FieldName("insulation_resistance_absorption_ratio")
    private String insulationResistanceAbsorptionRatio;

    /** @Fields phaseDifferenceDcResistance : 绕组直流电阻相间差 */
    @FieldName("phase_difference_dc_resistance")
    private String phaseDifferenceDcResistance;

    /** @Fields lineDifferenceDcResistance : 绕组直流电阻线间差 */
    @FieldName("line_difference_dc_resistance")
    private String lineDifferenceDcResistance;

    /** @Fields windingInsulationDielectricLoss : 绕组绝缘介损 */
    @FieldName("winding_insulation_dielectric_loss")
    private String windingInsulationDielectricLoss;

    /** @Fields coreInsulationResistance : 铁芯绝缘电阻 */
    @FieldName("core_insulation_resistance")
    private String coreInsulationResistance;

//    /** @Fields endScreenInsulationResistance :末屏绝缘电阻 */
//    @FieldName("end_screen_insulation_resistance")
//    private String endScreenInsulationResistance;
//
//    /** @Fields casingDielectricLoss : 套管介损 */
//    @FieldName("casing_dielectric_loss")
//    private String casingDielectricLoss;
//
//    /** @Fields casingH2 : 套管H2 */
//    @FieldName("casing_h2")
//    private String casingH2;
//
//    /** @Fields casingCh4 : 套管CH4 */
//    @FieldName("casing_ch4")
//    private String casingCh4;
//
//    /** @Fields casingC2h2 : 套管C2H2 */
//    @FieldName("casing_c2h2")
//    private String casingC2h2;

    /** @Fields waterContentOfInsulatingPaper : 绝缘纸含水量（质量分数%） */
    @FieldName("water_content_of_insulating_paper")
    private String waterContentOfInsulatingPaper;

    /** @Fields noloadCurrentAndNoloadLossRate :空载电流、空载损耗变化率(%) */
    @FieldName("noload_current_and_noload_loss_rate")
    private String noloadCurrentAndNoloadLossRate;

    /** @Fields shortCircuitImpedanceChangeRate : 短路阻抗变化率(%) */
    @FieldName("short_circuit_impedance_change_rate")
    private String shortCircuitImpedanceChangeRate;

    /** @Fields coreGroundCurrent :铁芯接地电流(mA) */
    @FieldName("core_ground_current")
    private String coreGroundCurrent;

    /** @Fields vibrationSoundLevel :震动、声级pd */
    @FieldName("vibration_sound_level")
    private String vibrationSoundLevel;

    /** @Fields dcLeakageCurrentWinding : 绕组直流泄露电流（μA） */
    @FieldName("dc_leakage_current_winding")
    private String dcLeakageCurrentWinding;

    /*****************************************变压器绝缘试验-声级振动*****************************************/

    /** @Fields secondaryVibration : 副边振动 */
    @FieldName("secondary_vibration")
    private String secondaryVibration;

    /** @Fields primaryVibration : 原边振动 */
    @FieldName("primary_vibration")
    private String primaryVibration;

    /** @Fields noise : 噪声 */
    @FieldName("noise")
    private String noise;

    /** @Fields neutralPointCurrent : 中性点电流 */
    @FieldName("neutral_point_current")
    private String neutralPointCurrent;

    /*****************************************变压器设计、标牌、运行环境、负荷权重*****************************************/
    /** @Fields neutralPointCurrent : 变压器设计、标牌、运行环境、负荷权重 */
    @FieldName("operating_environment")
    private String operatingEnvironment;

    /*****************************************变压器附件*****************************************/
    /** 变压器器身 */
    //油位下降
    @FieldName("oil_level_drop")
    private String oilLevelDrop;

    //漏油次数
    @FieldName("oil_leaks_count")
    private String oilLeaksCount;

    //变压器噪声
    @FieldName("transformer_noise")
    private String transformerNoise;

    /** 变压器冷却系统 */
    //水温
    @FieldName("water_temperature")
    private String waterTemperature;

    //水压
    @FieldName("water_pressure")
    private String waterPressure;

    //环境温度
    @FieldName("environment_temperature")
    private String environmentTemperature;

    //风机损坏检修次数
    @FieldName("maintenance_count")
    private String maintenanceCount;

    /** 分接开关 */
    //油击穿电压变化率
    @FieldName("oil_puncture")
    private String oilPuncture;

    //传动机构有无问题
    @FieldName("transimission_gear")
    private String transmissionGear;

    /** 非电量保护装置 */
    //继电器动作
    @FieldName("relay_action")
    private String relayAction;

    //压力释放阀动作
    @FieldName("relief_valve_action")
    private String reliefValveAction;

    /** 高压套管 */
    //末屏绝缘电阻
    @FieldName("end_screen_insulation_resistance")
    private String endScreenInsulationResistance;

    //全电流
    @FieldName("total_current")
    private String totalCurrent;

    //容性电流
    @FieldName("capacitative_current")
    private String capacitiveCurrent;

    //阻性电流
    @FieldName("resistive_current")
    private String resistiveCurrent;

    //红外温度
    @FieldName("infrared_temperature")
    private String infraredTemperature;

    //套管介损
    @FieldName("casing_dielectric_loss")
    private String casingDielectricLoss;

    //末屏介损
    @FieldName("end_screen_dielectric_damage")
    private String endScreenDielectricDamage;

    //末屏绝缘电容
    @FieldName("final_screen_insulation_capacitance")
    private String finalScreenInsulationCapacitance;

    //电容量
    @FieldName("capacitance")
    private String capacitance;

    //套管H2
    @FieldName("casing_h2")
    private String casingH2;

    //套管CH4
    @FieldName("casing_ch4")
    private String casingCh4;

    //套管C2H2
    @FieldName("casing_c2h2")
    private String casingC2h2;

    /*****************************************变压器负荷率*****************************************/
    @FieldName("working_voltage")
    private String workingVoltage;

    @FieldName("working_current")
    private String workingCurrent;

    @FieldName("working_time")
    private String workingTime;

    @FieldName("pumping_voltage")
    private String pumpingVoltage;

    @FieldName("pumping_current")
    private String pumpingCurrent;

    @FieldName("pumping_time")
    private String pumpingTime;

    /** @Fields createUser :创建人id */
    @FieldName("create_user")
    private String createUser;

    @FieldName("create_time")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty(value = "创建时间", name = "create_time")
    private LocalDateTime createTime;
}
