package com.huatek.busi.vo;

import java.io.Serializable;
import java.time.LocalDateTime;

import org.springframework.format.annotation.DateTimeFormat;

import com.huatek.busi.common.annotation.ExcelAnnotation;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * 避雷器读表、拍照数据 Vo
 *
 * @author anker_cheng
 * @date 2019-8-22 16:35:10
 */
@ApiModel(value = "ArresterReadTableVo", description = "避雷器读表、拍照数据 Vo")
@Data
@EqualsAndHashCode(callSuper = false)
public class ArresterReadTableVo implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 
     */
    @ApiModelProperty(name = "id", value = "")
    private String id;

    /**
     * 站点id
     */
    @ApiModelProperty(name = "siteId", value = "站点id")
    private String siteId;

    /**
     * 设备编码
     */
    @ExcelAnnotation(exportName = "设备编号")
    @ApiModelProperty(name = "systemCode", value = "设备编码")
    private String systemCode;
    
    /**
     * 设备名称
     */
    @ExcelAnnotation(exportName = "设备名称")
    @ApiModelProperty(name = "equipmentName", value = "设备名称")
    private String equipmentName;

    /**
     * Sersorid编码
     */
    @ApiModelProperty(name = "sensorCode", value = "Sersorid编码")
    @ExcelAnnotation(exportName = "传感器编号")
    private String sensorCode;
    
    
    /**
     * 传感器名称
     */
    @ExcelAnnotation(exportName = "传感器名称")
    @ApiModelProperty(name = "sensorName", value = "传感器名称")
    private String sensorName;
    

    /**
     * 监测时间 
     */
    @ApiModelProperty(name = "dTime", value = "监测时间 ")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @ExcelAnnotation(exportName = "监测时间")
    private LocalDateTime timeStamp;
    
    /**
     * 放电电流(mA)
     */
    @ApiModelProperty(name = "dlval", value = "放电电流(mA)")
    @ExcelAnnotation(exportName = "监测数据")
    private String dlval;




    /**
     * 图片路径及文件名
     */
    @ApiModelProperty(name = "picpath", value = "图片路径及文件名")
    private String picpath;
}