package com.huatek.busi.vo;

import com.huatek.busi.common.annotation.ExcelAnnotation;
import com.huatek.torch.sql.annotation.FieldName;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.math.BigDecimal;
import java.time.LocalDateTime;

/**
 * 测温装置
 */
@Data
@EqualsAndHashCode(callSuper = false)
public class BusiGeneratorAmplVo2 implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 序号(形成报告用)
     */
    private String seqNum;

    /**
     * 时间(形成报告用)
     */
    private String timestamp;

    /**
     * 主键
     */
    private String id;


    /**
     * 监测数据组的数目
     */
    private BigDecimal dataNodeNum;

    /**
     * 监测类型编码
     */
    private String cacMonitorTypeCode;

    /**
     * 在线监测装置对应的被监测设备的 唯一标识（17 位码）
     */
    private String equipmentId;


    /**
     * 主设备编号
     */
    private String equipmentCode;

    /**
     * 设备编码
     */
    @ExcelAnnotation(exportName = "设备编号")
    private String systemCode;
    
    /**
     * 外挂设备编号
     */
    private String extEquipmentCode;
    
    /**
     * 设备名称
     */
    @ExcelAnnotation(exportName = "设备名称")
    private String equipmentName;

    /**
     * 振动类型
     */
    @ExcelAnnotation(exportName = "振动类型")
    private String typeDesc;

    /**
     * 在线监测装置的唯一标识（17 位码）
     */
    @ExcelAnnotation(exportName = "传感器编号")
    private String sensorId;
    
    
    /**
     * 在线监测装置的唯一标识（17 位码）
     */
    @ExcelAnnotation(exportName = "传感器名称")
    private String sensorName;
    
    /**
     * 数据采集时间，格式为：yyyy-MM-dd HH:mm:ss
     */
    @ExcelAnnotation(exportName = "监测时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime dTime;

//    /**
//     * 被监测设备相别
//     */
//    @ExcelAnnotation(exportName = "被监测设备相别")
//    private String phase;

    /**
     * 振动X轴位移
     */
    private String amplX;

    /**
     * 振动Y轴位移
     */
    private String amplY;

    /**
     * 振动Z轴位移
     */
    private String amplZ;

    /**
     * 振动X轴频率
     */
    private String freqX;

    /**
     * 振动Y轴频率
     */
    private String freqY;

    /**
     * 振动Z轴频率
     */
    private String freqZ;

    /**
     * 振动X轴速度
     */
    private String spdX;

    /**
     * 振动Y轴速度
     */
    private String spdY;

    /**
     * 振动Z轴速度
     */
    private String spdZ;

    /** 空气间隙0度位移 */
    @ExcelAnnotation(exportName = "空气间隙0度位移")
    private String aircapAm;

    /** 空气间隙90度位移 */
    @ExcelAnnotation(exportName = "空气间隙90度位移")
    private String aircapBm;

    /** 空气间隙180度位移 */
    @ExcelAnnotation(exportName = "空气间隙180度位移")
    private String aircapCm;

    /** 空气间隙270度位移 */
    @ExcelAnnotation(exportName = "空气间隙270度位移")
    private String aircapDm;

    /**
     * CAC 的唯一标识（17 位码）
     */
    @ExcelAnnotation(exportName = "CAC唯一标识")
    private String cacId;

    /**
     * 站点ID
     */
    private String siteId;

    /**
     * 主设备ID
     */
    private String mainEquipmentId;

    /**
     * 外挂设备ID
     */
    private String subEquipmentId;

    /**
     * 站点设备树ID
     */
    private String mainTreeId;

    /**
     * 外挂设备树ID
     */
    private String subTreeId;
    /**
     * 设备状态    
     */
    private String runState;
}