package com.huatek.busi.vo;

import java.io.Serializable;
import java.time.LocalDate;
import java.time.LocalDateTime;

import org.springframework.format.annotation.DateTimeFormat;

import com.huatek.torch.sql.beans.PageBean;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * GIS投运验收结论 Vo
 *
 * @author anker_cheng
 * @date Jul 4, 2019 2:00:15 PM
 */
@ApiModel(value = "BusiOfflineGisCheckVo", description = "GIS投运验收结论 Vo", parent = PageBean.class)
@Data
@EqualsAndHashCode(callSuper = false)
public class BusiOfflineGisCheckVo implements Serializable {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty(name = "id", value = "主键ID")
    private String id;

    /**
     * 变压器设备ID
     */
    @ApiModelProperty(name = "equipmentId", value = "变压器ID")
    private String equipmentId;

    @ApiModelProperty(name = "equipmentName", value = "变压器名称")
    private String equipmentName;

    /**
     * 站点ID
     */
    @ApiModelProperty(name = "siteId", value = "站点ID")
    private String siteId;

    /**
     * GIS局放试验结论
     */
    @ApiModelProperty(name = "localRelease", value = "GIS局放试验结论", example = "1:正常 2:轻微问题")
    private String localRelease;
    /**
     * 操作机构试验结论 1.正常 2.轻微问题
     */
    @ApiModelProperty(name = "mechanismCheck", value = "操作机构试验结论", example = "1:正常 2:轻微问题")
    private String mechanismCheck;
    /**
     * 泄露试验结论
     */
    @ApiModelProperty(name = "leakageCheck", value = "泄露试验结论", example = "1:正常 2:轻微问题")
    private String leakageCheck;
    /**
     * 压力试验结论
     */
    @ApiModelProperty(name = "pressCheck", value = "压力试验结论", example = "1:正常 2:轻微问题")
    private String pressCheck;
    /**
     * 温度试验结论
     */
    @ApiModelProperty(name = "temperCheck", value = "温度试验结论", example = "1:正常 2:轻微问题")
    private String temperCheck;
    /**
     * 水分试验结论
     */
    @ApiModelProperty(name = "waterCheck", value = "水分试验结论", example = "1:正常 2:轻微问题")
    private String waterCheck;
    /**
     * 微水试验结论
     */
    @ApiModelProperty(name = "microWater", value = "微水试验结论", example = "1:正常 2:轻微问题")
    private String microWater;

    @ApiModelProperty(name = "checkDate", value = "验收日期")
    private LocalDate checkDate;

    @ApiModelProperty(name = "createUser", value = "创建人ID")
    private String createUser;

    @ApiModelProperty(name = "createTime", value = "创建时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime createTime;

    @ApiModelProperty(name = "bstName", value = "变电设备")
    private String bstName;
    
    @ApiModelProperty(name = "createName", value = "创建人名称")
    private String createName;
    
    @ApiModelProperty(name = "stName", value = "监测设备")
    private String stName;

    /**
     * 是否删除:1——正常；2——删除
     */
    @ApiModelProperty(name = "status", value = "状态", example = "是否删除:1——正常；2——删除")
    private String status;
}