package com.huatek.busi.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * 开关柜标牌信息表 Vo
 *
 * @author anker_cheng
 * @date Jul 17, 2019 4:46:15 PM
 */
@ApiModel(value = "BusiOffllineSwitchgearBrandVo", description = "开关柜标牌信息表 Vo")
@Data
@EqualsAndHashCode(callSuper = false)
public class BusiOfflineSwitchgearBrandVo implements Serializable {
    private static final long serialVersionUID = 1L;
    /**
     * 主键ID
     */
    @ApiModelProperty(name = "id", value = "主键ID")
    private String id;

    /**
     * 站点Id
     */
    @ApiModelProperty(name = "siteId", value = "站点Id")
    private String siteId;

    /**
     * 站点Id
     */
    @ApiModelProperty(name = "parent_id", value = "父Id")
    private String parentId;


    /**
     * 主设备ID
     */
    @ApiModelProperty(name = "mainEquipmentId", value = "主设备ID")
    private String mainEquipmentId;

    /**
     * 开关名称
     */
    @ApiModelProperty(name = "switchgearName", value = "开关名称")
    private String switchgearName;

    /**
     * 系统设备编号
     */
    @ApiModelProperty(name = "equipmentCode", value = "系统设备编号")
    private String equipmentCode;

    /**
     * 站点设备编号
     */
    @ApiModelProperty(name = "siteCode", value = "站点设备编号")
    private String siteCode;

    /**
     * 制造厂家
     */
    @ApiModelProperty(name = "manufactor", value = "制造厂家")
    private String manufactor;

    /**
     * 健康评估起始时间
     */
    @ApiModelProperty(name = "evaluateTime", value = "健康评估起始时间")
    private LocalDateTime evaluateTime;

    /**
     * 设备投运时间
     */
    @ApiModelProperty(name = "transportTime", value = "设备投运时间")
    private LocalDateTime transportTime;

    /**
     * 出厂年月
     */
    @ApiModelProperty(name = "factoryTime", value = "出厂年月")
    private LocalDateTime factoryTime;

    /**
     * 设计使用年限（年）
     */
    @ApiModelProperty(name = "serviceTime", value = "设计使用年限（年）")
    private String serviceTime;

    /**
     * 创建人ID
     */
    @ApiModelProperty(name = "createUser", value = "创建人ID")
    private String createUser;

    /**
     * 创建时间
     */
    @ApiModelProperty(name = "createTime", value = "创建时间")
    private LocalDateTime createTime;

    /**
     * 状态：0:可用 1:不可用
     */
    @ApiModelProperty(name = "status", value = "状态：0:可用   1:不可用")
    private String status;
}
