package com.huatek.busi.vo;

import java.io.Serializable;
import java.time.LocalDateTime;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * 变压器检修记录 Vo
 *
 * @author anker_cheng
 * @date Jul 26, 2019 5:21:49 PM
 */
@ApiModel(value = "BusiOfflineTransformerRepairVo", description = "变压器检修记录 Vo")
@Data
@EqualsAndHashCode(callSuper = false)
public class BusiOfflineTransformerRepairVo implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
    @ApiModelProperty(name = "id", value = "主键")
    private String id;

    /**
     * 站点ID
     */
    @ApiModelProperty(name = "siteId", value = "站点ID")
    private String siteId;

    /**
     * 主设备ID
     */
    @ApiModelProperty(name = "mainEquipmentId", value = "主设备ID")
    private String mainEquipmentId;

    /**
     * 外挂设备编码
     */
    @ApiModelProperty(name = "subEquipmentId", value = "外挂设备编码")
    private String subEquipmentId;

    /**
     * 告警ID
     */
    @ApiModelProperty(name = "warningId", value = "告警ID")
    private String warningId;

    /**
     * 传感器编码
     */
    @ApiModelProperty(name = "sensorCode", value = "传感器编码")
    private String sensorCode;

    /**
     * 传感器名
     */
    @ApiModelProperty(name = "sensorName", value = "传感器名")
    private String sensorName;

    /**
     * 标牌
     */
    @ApiModelProperty(name = "signage", value = "标牌")
    private String signage;

    /**
     * 安装位置
     */
    @ApiModelProperty(name = "installLocation", value = "安装位置")
    private String installLocation;

    /**
     * 发现时间
     */
    @ApiModelProperty(name = "discoveryTime", value = "发现时间")
    private LocalDateTime discoveryTime;

    /**
     * 缺陷内容
     */
    @ApiModelProperty(name = "defectContent", value = "缺陷内容")
    private String defectContent;

    /**
     * 缺陷类别：1-一般、2-重大、3-紧急
     */
    @ApiModelProperty(name = "defectCategory", value = "缺陷类别：1-一般、2-重大、3-紧急")
    private String defectCategory;

    /**
     * 清除时间
     */
    @ApiModelProperty(name = "clearTime", value = "清除时间")
    private LocalDateTime clearTime;

    /**
     * 检修结果：1-正常、2-未完成
     */
    @ApiModelProperty(name = "repaiResult", value = "检修结果：1-正常、2-未完成")
    private String repaiResult;

    /**
     * 修复时间等级:1 - 24小时之内即可完全修复； 2 - 7天以内可以完全修复 ；3 - 需要七天以上才能完全修复
     */
    @ApiModelProperty(name = "repairLevel", value = "修复时间等级:1 - 24小时之内即可完全修复； 2 - 7天以内可以完全修复 ；3 - 需要七天以上才能完全修复")
    private String repairLevel;

    /**
     * 对变压器影响等级:1-严重、2-轻微、3-无影响
     */
    @ApiModelProperty(name = "effectLevel", value = "对变压器影响等级:1-严重、2-轻微、3-无影响")
    private String effectLevel;

    /**
     * 
     */
    @ApiModelProperty(name = "createUser", value = "")
    private String createUser;

    /**
     * 
     */
    @ApiModelProperty(name = "createTime", value = "")
    private LocalDateTime createTime;

    /**
     * 
     */
    @ApiModelProperty(name = "createName", value = "")
    private String createName;
    
    /**
     * 
     */
    @ApiModelProperty(name = "modifiedUser", value = "")
    private String modifiedUser;

    /**
     * 
     */
    @ApiModelProperty(name = "modifiedTime", value = "")
    private LocalDateTime modifiedTime;

    /**
     * 
     */
    @ApiModelProperty(name = "modifiedName", value = "")
    private String modifiedName;
    
    
    /**
     * 处理人ID
     */
    @ApiModelProperty(name = "handleUser", value = "处理人ID")
    private String handleUser;

    /**
     * 处理时间
     */
    @ApiModelProperty(name = "handleTime", value = "")
    private LocalDateTime handleTime;

    /**
     * 处理人姓名
     */
    @ApiModelProperty(name = "handleName", value = "处理人姓名")
    private String handleName;

    /**
     * 缺陷部件：1(本体) 2:冷却系统、3:分接开关、4:非电量保护装置、5:套管
     */
    @ApiModelProperty(name = "defectParts", value = "缺陷部件：1(本体) 2:冷却系统、3:分接开关、4:非电量保护装置、5:套管")
    private String defectParts;

    /**
     * 维修时间
     */
    @ApiModelProperty(name = "defectRepair", value = "维修时间")
    private String defectRepair;

    /**
     * 缺陷系数R2（正常1、一般0.95、注意0.9、异常0.7、严重0.6）
     */
    @ApiModelProperty(name = "defectCoefficient", value = "缺陷系数R2（正常1、一般0.95、注意0.9、异常0.7、严重0.6）")
    private String defectCoefficient;

    /**
     * 缺陷小类
     */
    @ApiModelProperty(name = "subType", value = "缺陷小类")
    private String subType;

    /**
     * 故障表现形式
     */
    @ApiModelProperty(name = "faultShows", value = "故障表现形式")
    private String faultShows;

    /**
     * 故障原因
     */
    @ApiModelProperty(name = "faultCause", value = "故障原因")
    private String faultCause;

    /**
     * 故障检测方法方法
     */
    @ApiModelProperty(name = "checkMeth", value = "故障检测方法方法")
    private String checkMeth;

    /**
     * 建议措施
     */
    @ApiModelProperty(name = "sugMeasures", value = "建议措施")
    private String sugMeasures;

    /**
     * 故障描述
     */
    @ApiModelProperty(name = "failDescription", value = "故障描述")
    private String failDescription;

    /**
     * 处理状态（0未处理，1处理）
     */
    @ApiModelProperty(name = "dealStatus", value = "处理状态（0未处理，1处理）")
    private String dealStatus;

    /**
     * 处理结果
     */
    @ApiModelProperty(name = "dealResult", value = "处理结果")
    private String dealResult;

    /**
     * 是否删除:1——正常；2——删除
     */
    @ApiModelProperty(name = "isDelete", value = "是否删除:1——正常；2——删除")
    private String isDelete;
    
	@ApiModelProperty(name = "faultFcode", value = "故障代码")
	private String faultFcode;
	
	@ApiModelProperty(name = "faultFtype", value = "故障类型")
	private String faultFtype;
	
	@ApiModelProperty(name = "faultFdesc", value = "故障描述")
	private String faultFdesc;
	
	@ApiModelProperty(name = "faultFshow", value = "故障表现现象")
	private String faultFshow;
	
	@ApiModelProperty(name = "faultPossibleReasons", value = "故障可能原因")
	private String faultPossibleReasons;
	
	@ApiModelProperty(name = "faultPosition", value = "故障部位")
	private String faultPosition;
	
	 /**
     * 传感器相位
     */
    @ApiModelProperty(name = "sensorPosition", value = "传感器相位")
    private String sensorPosition;
    
    /**
     * 主设备名称
     */
    @ApiModelProperty(name = "mainEquipmentName", value = "主设备名称")
    private String mainEquipmentName;
    
    /**
     * 监测装置类型
     */
    @ApiModelProperty(name = "subEquipmentType", value = "监测装置类型")
    private String subEquipmentType;
    

    /**
     * 外挂设备名称
     */
    @ApiModelProperty(name = "subEquipmentName", value = "外挂设备名称")
    private String subEquipmentName;
    
    /**
     * 传感器生产厂家
     */
    @ApiModelProperty(name = "sensorManufactor", value = "传感器生产厂家")
    private String sensorManufactor;
    
    /**
     * 传感器投运时间
     */
    @ApiModelProperty(name = "sensorUseDate", value = "传感器投运时间")
    private String sensorUseDate;
    
    /**
     * 故障大类1：变压器，2：gis，3：避雷器，4：测温柜
     */
    @ApiModelProperty(name = "eqType", value = "故障大类1：变压器，2：gis，3：避雷器，4：测温柜")
    private String eqType;

    /**
     * 故障小类
     */
    @ApiModelProperty(name = "gzType", value = "故障小类")
    private String gzType;
    
    /**
     * 告警时间
     */
    @ApiModelProperty(name = "warnTime", value = "告警时间")
    private LocalDateTime warnTime;
}