package com.huatek.busi.vo;

import java.io.Serializable;
import java.time.LocalDateTime;

import com.huatek.busi.common.annotation.ExcelAnnotation;

import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * 离线数据--GIS开关试验数据 Vo
 *
 * @author anker_cheng
 * @date Jul 4, 2019 2:00:15 PM
 */
@Data
@EqualsAndHashCode(callSuper = false)
public class BusiOutlineGisExperimentDataVo implements Serializable {
    private static final long serialVersionUID = 1L;
    /**
     * 
     */
    private String id;
    /**
     * GIS设备ID
     */
    private String equipmentId;
    /**
     * 站点ID
     */
    private String siteId;
    /**
     * 实验类型:1:断路器实验   2：其他实验
     */
    private String type;

    /**
     * 
     */
    private LocalDateTime createTime;
    /**
     * A相压力(其他)
     */
    @ExcelAnnotation(exportName="A相气室压力实测值")
    private String aPressure;
    /**
     * A相水(其他)
     */
    @ExcelAnnotation(exportName="A相微水含量")
    private String aWater;
    /**
     * A相温度(其他)
     */
    @ExcelAnnotation(exportName="A相温度")
    private String aTemperature;
    /**
     * b相压力(其他)
     */
    @ExcelAnnotation(exportName="B相气室压力实测值")
    private String bPressure;

    /**
     * b相水(其他)
     */
    @ExcelAnnotation(exportName="B相微水含量")
    private String bWater;


    /**
     * B相温度(其他)
     */
    @ExcelAnnotation(exportName="B相温度")
    private String bTemperature;
    /**
     * c相压力(其他)
     */
    @ExcelAnnotation(exportName="C相气室压力实测值")
    private String cPressure;

    /**
     * c相水(其他)
     */
    @ExcelAnnotation(exportName="C相微水含量")
    private String cWater;


    /**
     * C相温度(其他)
     */
    @ExcelAnnotation(exportName="C相温度")
    private String cTemperature;
    
    /**
     * 试验时间
     */
    @ExcelAnnotation(exportName="实验日期")
    private LocalDateTime experimentDateTime;
    /**
     * A相导电回路电阻(其他)
     */
    private String aDdhlResistance;
    /**
     * B相导电回路电阻(其他)
     */
    private String bDdhlResistance;
    /**
     * C相导电回路电阻(其他)
     */
    private String cDdhlResistance;
    /**
     * A相压力(断路器)
     */
    private String aPressureDlq;
    /**
     * b相压力(断路器)
     */
    private String bPressureDlq;
    /**
     * c相压力(断路器)
     */
    private String cPressureDlq;
    /**
     * A相水(断路器)
     */
    private String aWaterDlq;
    /**
     * b相水(断路器)
     */
    private String bWaterDlq;
    /**
     * c相水(断路器)
     */
    private String cWaterDlq;
    /**
     * A相温度(断路器)
     */
    private String aTemperatureDlq;
    /**
     * B相温度(断路器)
     */
    private String bTemperatureDlq;
    /**
     * C相温度(断路器)
     */
    private String cTemperatureDlq;
    /**
     * A相导电回路电阻(断路器)
     */
    private String aDdhlResistanceDlq;
    /**
     * B相导电回路电阻(断路器)
     */
    private String bDdhlResistanceDlq;
    /**
     * C相导电回路电阻(断路器)
     */
    private String cDdhlResistanceDlq;
}