package com.huatek.busi.vo;

import java.io.Serializable;
import java.time.LocalDateTime;

import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * 离线数据--变压器试验数据 Vo
 *
 * @author walker_wang
 * @date Jul 4, 2019 4:54:11 PM
 */
@Data
@EqualsAndHashCode(callSuper = false)
public class BusiOutlineTransformerExperimentDataVo implements Serializable {
    private static final long serialVersionUID = 1L;
    /**
     * 
     */
    private String id;
    /**
     * 变压器设备ID
     */
    private String equipmentId;
    /**
     * 站点ID
     */
    private String siteId;
    /**
     * 绝缘电阻.高压－低压及地-吸收比
     */
    private String jueyuandianzuHvXsb;
    /**
     * 绝缘电阻.高压－低压及地-极化指数
     */
    private String jueyuandianzuHvJhzs;
    /**
     * 绝缘电阻.低压-高压及地-吸收比
     */
    private String jueyuandianzuMvXsb;
    /**
     * 绝缘电阻.低压-高压及地-极化指数
     */
    private String jueyuandianzuMvJhzs;
    /**
     * 绝缘电阻.高压，低压-地-吸收比
     */
    private String jueyuandianzuLvXsb;
    /**
     * 绝缘电阻.高压，低压-地-极化指数
     */
    private String jueyuandianzuLvJhzs;
    /**
     * 
     */
    private LocalDateTime createTime;
    /**
     * 状态：A:可用   D:不可用
     */
    private String status;
    /**
     * 吸收比权重
     */
    private String xishoubiQz;
    /**
     * 极化指数权重
     */
    private String jihuazhishuQz;
    /**
     * 高压-低压及地-Cx(nF)
     */
    private String jueyuandianzuhvCx;
    /**
     * 低压-高压及地Cx(nF)
     */
    private String jueyuandianzulvCx;
    /**
     * 高压，低压-地Cx(nF)
     */
    private String jueyuandianzuCx;
    /**
     * Cx权重
     */
    private String cxQz;
    /**
     * 高压-低压及地tang
     */
    private String jueyuandianzuhvTang;
    /**
     * 低压-高压及地tang
     */
    private String jueyuandianzulvTang;
    /**
     * 高压，低压-地tang
     */
    private String jueyuandianzuTang;
    /**
     * tang权重
     */
    private String tangQz;
    /**
     * 铁芯-地
     */
    private String txd;
    /**
     * 夹件-地
     */
    private String jjd;
    /**
     * KTKG550-1800/2000-A-tano
     */
    private String tgdraTano;
    /**
     * KTKG550-1800/2000-B-tano
     */
    private String tgdrbTano;
    /**
     * KTKG550-1800/2000-C-tano
     */
    private String tgdrcTano;
    /**
     * GOB250/1250-0.5-O-tano
     */
    private String tgdroTano;
    /**
     * GOH170/16-A-tano
     */
    private String tgdrjzshaTano;
    /**
     * GOH170/16-b-tano
     */
    private String tgdrjzshbTano;
    /**
     * GOH170/16-c-tano
     */
    private String tgdrjzshcTano;
    /**
     * KTKG550-1800/2000-A-Cx(pF)
     */
    private String tgdraCx;
    /**
     * KTKG550-1800/2000-B-Cx(pF)
     */
    private String tgdrbCx;
    /**
     * KTKG550-1800/2000-C-Cx(pF)
     */
    private String tgdrcCx;
    /**
     * GOB250/1250-0.5-O-Cx(pF)
     */
    private String tgdroCx;
    /**
     * GOH170/16-a-Cx(pF)
     */
    private String tgdrjzshaCx;
    /**
     * GOH170/16-b-Cx(pF)
     */
    private String tgdrjzshbCx;
    /**
     * GOH170/16-c-Cx(pF)
     */
    private String tgdrjzshcCx;
    /**
     * 冲击试验后空载电流
     */
    private String kzdl;
    /**
     * 冲击试验后空载损耗
     */
    private String kzsh;
    /**
     * 高压-低压-容量MVA
     */
    private String hvRl;
    /**
     * 高压-低压-额定分接
     */
    private String hvEdfj;
    /**
     * 高压-低压-最正分接
     */
    private String hvZzfj;
    /**
     * 密封实验
     */
    private String mfsy;
    /**
     * 声级测定(特殊)测量结果
     */
    private String sjcd;
    /**
     * 温升实验(型式)
     */
    private String wssy;
    /**
     * 温升试验后-甲烷
     */
    private String wssyJw;
    /**
     * 温升试验后-乙烷
     */
    private String wssyYw;
    /**
     * 温升试验后-乙烯
     */
    private String wssyYx;
    /**
     * 温升试验后乙炔
     */
    private String wssyYq;
    /**
     * 温升试验后_氢
     */
    private String wssyQing;
    /**
     * 温升实验后-一氧化碳
     */
    private String wssyYyht;
    /**
     * 温升试验后-二氧化碳
     */
    private String wssyEyht;
    /**
     * 温升实验后-总烃含量
     */
    private String wssyTing;
    /**
     * 电气强度(kV)试验结果
     */
    private String jyysyDq;
    /**
     * 水分含量(mg/kg)试验结果
     */
    private String jyysySf;
    /**
     * 介质损失角正切值tano
     */
    private String jyysyJz;
    /**
     * 分接位置直流电阻
     */
    private String gyrzFj;
    /**
     * AO直流电阻
     */
    private String gyrzAo;
    /**
     * BO直流电阻
     */
    private String gyrzBo;
    /**
     * CO直流电阻
     */
    private String gyrzCo;
    /**
     * 最大不平衡率
     */
    private String maxBphl;
    /**
     * HV-lv,e绝缘电阻
     */
    private String hvLv;
    /**
     * lv-hv,e绝缘电阻
     */
    private String lvHv;
    /**
     * 铁芯-HV，lv，e
     */
    private String txHv;
    /**
     * 夹件-HV，lv，e
     */
    private String jjHv;
    /**
     * 电容量正切
     */
    private String drlZq;
    /**
     * tgδ正切值
     */
    private String tgZq;
    /**
     * HV-LV，E泄漏电流
     */
    private String hvDl;
    /**
     * LV，hv，E泄漏电流
     */
    private String lvDl;
    /**
     * 回路电阻A
     */
    private String hldza;
    /**
     * 回路电阻B
     */
    private String hldzb;
    /**
     * 回路电阻C
     */
    private String hldzc;
    /**
     * 回路电阻标准
     */
    private String hldzBz;
    /**
     * 合闸时间A相
     */
    private String hzsja;
    /**
     * 合闸时间B相
     */
    private String hzsjb;
    /**
     * 合闸时间C相
     */
    private String hzsjc;
    /**
     * 合闸时间标准
     */
    private String hzsjBz;
    /**
     * 分闸1时间A相
     */
    private String fzOnea;
    /**
     * 分闸1时间B相
     */
    private String fzOneb;
    /**
     * 分闸1时间C相
     */
    private String fzOnec;
    /**
     * 分闸1时间标准
     */
    private String fzOnebz;
    /**
     * 分闸2时间A相
     */
    private String fzTwoa;
    /**
     * 分闸2时间B相
     */
    private String fzTwob;
    /**
     * 分闸2时间C相
     */
    private String fzTwoc;
    /**
     * 分闸2时间标准
     */
    private String fzTwobz;
    /**
     * 不同期时间A相
     */
    private String btqTimea;
    /**
     * 不同期时间B相
     */
    private String btqTimeb;
    /**
     * 不同期时间C相
     */
    private String btqTimec;
    /**
     * 不同期时间标准
     */
    private String btqTimebz;
    /**
     * 水
     */
    private String water;
    /**
     * 实验时间
     */
    private LocalDateTime experimentDateTime;
    /**
     * 
     */
    private String h2;
    /**
     * 
     */
    private String ch4;
    /**
     * 
     */
    private String c2h2;
    /**
     * 
     */
    private String c2h4;
    /**
     * 
     */
    private String c2h6;
    /**
     * 总烃
     */
    private String zt;
    /**
     * 
     */
    private String co;
    /**
     * 
     */
    private String co2;
    /**
     * CO绝对产气
     */
    private String coJdcq;
    /**
     * CO2绝对产气速率
     */
    private String co2Jdcqsl;
    /**
     * CO相对产气速率
     */
    private String coXdcqsl;
    /**
     * CO相对产气速率
     */
    private String co2Xdcqsl;
    /**
     * 总烃绝对产气
     */
    private String ztJdcq;
    /**
     * 总烃相对产气速率
     */
    private String ztXdcqsl;
    /**
     * 油中微水
     */
    private String yzWater;
    /**
     * 油介质
     */
    private String yMedium;
    /**
     * 油击穿电压
     */
    private String yjcVoltage;
    /**
     * 糠醛含量
     */
    private String kqContent;
    /**
     * 纸板聚合度
     */
    private String zbJhd;
    /**
     * 极化指数
     */
    private String jhzs;
    /**
     * 局放放电量
     */
    private String jffdl;
    /**
     * 绝缘电阻
     */
    private String jydz;
    /**
     * 绝缘电阻吸收比
     */
    private String jydzXsb;
    /**
     * 绕组直流电阻相间差
     */
    private String rzzldzXjc;
    /**
     * 绕组直流电阻线间差
     */
    private String rzzldzXianjc;
    /**
     * 绕组绝缘介损
     */
    private String rzJyjz;
    /**
     * 铁芯接地电阻（MΩ）
     */
    private String txjdDz;
    /**
     * 末屏绝缘电阻（MΩ）
     */
    private String mpjyDz;
    /**
     * 套管介损
     */
    private String tgJs;
    /**
     * 套管H2
     */
    private String tgH2;
    /**
     * 套管CH4
     */
    private String tgH4;
    /**
     * 套管C2H2
     */
    private String tgH2h2;
    /**
     * 绝缘纸含水量（质量分数%）
     */
    private String jyzHsl;
    /**
     * 空载电流、空载损耗变化率（%）
     */
    private String kzdlDzsh;
    /**
     * 短路阻抗变化率
     */
    private String dlzkBhl;
    /**
     * 铁芯接地电流
     */
    private String txjdDl;
    /**
     * 震动、声级（变化率%）
     */
    private String zdSj;
    /**
     * 绕组直流泄露电流（变化率%）
     */
    private String rzzlXldl;
    /**
     * 变压器本体
     */
    private String byqBt;
    /**
     * 冷却系统
     */
    private String lqXt;
    /**
     * 分接开关
     */
    private String fjKg;
    /**
     * 非电量保护装置
     */
    private String fdlBhzz;
    /**
     * 套管
     */
    private String tg;
    /**
     * 缺陷性质
     */
    private String qxXz;
    /**
     * 缺陷次数
     */
    private String qxCs;
    /**
     * 油色谱试验编号
     */
    private String yspSybh;
    /**
     * 油质试验编号
     */
    private String yzSybh;
    /**
     * 糠醛试验编号
     */
    private String kqSybh;
    /**
     * 绝缘纸试验编号
     */
    private String jyzSybh;
    /**
     * 例行试验试验编号
     */
    private String lxsySybh;
    /**
     * 诊断性试验试验编号
     */
    private String zdxsySybh;
    /**
     * 油色谱备注
     */
    private String yspBz;
    /**
     * 油质试验备注
     */
    private String yzBz;
    /**
     * 糠醛试验备注
     */
    private String kqBz;
    /**
     * 绝缘纸试验备注
     */
    private String jyzBz;
    /**
     * 例行试验备注
     */
    private String lxsyBz;
    /**
     * 诊断性试验备注
     */
    private String zdxsyBz;
    /**
     * 油色谱试验(试验值)备注
     */
    private String description1;
    /**
     * 油质试验(试验值)备注
     */
    private String description2;
    /**
     * 糠醛指标(试验值)备注
     */
    private String description3;
    /**
     * 绝缘纸(试验值)备注
     */
    private String description4;
    /**
     * 例行试验(试验值)备注
     */
    private String description5;
    /**
     * 诊断性试验(试验值)备注
     */
    private String description6;
    /**
     * 创建人ID
     */
    private String createId;
    /**
     * 创建人姓名
     */
    private String createName;
}