package com.huatek.busi.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;
import java.math.BigDecimal;
import java.time.LocalDateTime;

@ApiModel(value = "BusiSemiAutomaticEvaluateDataVo", description = "半自动评估录入数据 Vo")
@Data
@EqualsAndHashCode(callSuper = false)
public class BusiSemiAutomaticEvaluateDataVo implements Serializable {
    private static final long serialVersionUID = 1L;

    /**
     * 站点Id
     */
    @ApiModelProperty(name = "siteId", value = "站点Id")
    private String siteId;

    /**
     * 主设备ID
     */
    @ApiModelProperty(name = "mainEquipmentId", value = "主设备ID")
    private String mainEquipmentId;


    /**
     * 主设备类型
     */
    @ApiModelProperty(name = "equipmentType", value = "主设备类型")
    private String equipmentType;

    /**
     * 电流(A)
     */
    @ApiModelProperty(name = "current", value = "电流(A)")
    private String current;


    /**
     * 电压（V）
     */
    @ApiModelProperty(name = "voltage", value = "电压（V）")
    private String voltage;


    /**
     * 时长（S）
     */
    @ApiModelProperty(name = "duration", value = "时长（h）")
    private BigDecimal duration;

    /**
     * 断开次数
     */
    @ApiModelProperty(name = "breakTimes", value = "断开次数")
    private BigDecimal breakTimes;

    /**
     * 创建时间
     */
    @ApiModelProperty(name = "createTime", value = "创建时间")
    private LocalDateTime createTime;
}
