/**
 * 
 */
package com.huatek.busi.vo;

import java.io.Serializable;
import java.time.LocalDate;
import java.time.LocalDateTime;

import com.huatek.busi.common.annotation.ExcelAnnotation;
import org.springframework.format.annotation.DateTimeFormat;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * @ClassName: BusiIcgeVo
 * @FullClassPath: com.huatek.busi.vo.BusiIcgeVo
 * @Description: 二级页面数据.
 * @author: Arno
 * @date: Aug 2, 2019 2:44:24 PM
 * @version: 1.0
 */
@Data
@EqualsAndHashCode(callSuper = false)
@ApiModel(value = "BusiSubInfoVo", description = "二级页面数据 Vo")
public class BusiSubInfoVo implements Serializable{

    @ApiModelProperty(name = "phase", value = "相位")
    private String phase;

	/** @Fields serialVersionUID : */ 
	private static final long serialVersionUID = -7514232159628447910L;

	@ApiModelProperty(name = "brand", value = "标牌")
	/** @Fields brand : 设备型号（标牌） */
	private String brand;

	@ApiModelProperty(name = "manufactor", value = "生产厂家")
	/** @Fields manufactor : 生产厂家 */
	private String manufactor;

	@ApiModelProperty(name = "useDate", value = "设备投运时间")
	/** @Fields useDate :设备投运时间 */
	@DateTimeFormat(pattern = "yyyy-MM-dd")
	private LocalDate useDate;

	@ApiModelProperty(name = "installLocation", value = "安装位置 ")
	/** @Fields installLocation : 安装位置 */
	private String installLocation;

	@ApiModelProperty(name = "repairCount", value = " 维修次数")
	/** @Fields repairCount : 维修次数 */
	private Integer repairCount;

	@ApiModelProperty(name = "collectDate", value = "采集时间 ")
	/** @Fields collectDate :采集时间 */
	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private LocalDateTime collectDate;

	@ApiModelProperty(name = "falseAlarmRate", value = "误报率")
	/** @Fields falseAlarmRate : 误报率 */
	private String falseAlarmRate ;

	@ApiModelProperty(name = "equipmentName", value = "设备名称")
    private String equipmentName;

	@ApiModelProperty(name = "externalType", value = "外挂设备所属类型   1：变压器   2:GIS  3:测温   4：避雷器")
    private String externalType;
}