package com.huatek.busi.vo;

import java.io.Serializable;
import java.time.LocalDateTime;

import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * 变压器例行修正值（按天） Vo
 *
 * @author anker_cheng
 * @date Jul 15, 2019 11:14:01 AM
 */
@Data
@EqualsAndHashCode(callSuper = false)
public class BusiTransformerCorrectVo implements Serializable {
    private static final long serialVersionUID = 1L;
    /**
     * 
     */
    private String id;
    /**
     * 氢气含量(μL/L)
     */
    private String h2;
    /**
     * 甲烷含量(μL/L)
     */
    private String ch4;
    /**
     * 乙烷含量(μL/L)
     */
    private String c2h6;
    /**
     * 乙烯含量(μL/L)
     */
    private String c2h4;
    /**
     * 乙炔含量(μL/L)
     */
    private String c2h2;
    /**
     * 一氧化碳含量(μL/L)
     */
    private String co;
    /**
     * 二氧化碳含量(μL/L)
     */
    private String co2;
    /**
     * 水分
     */
    private String h2o;
    /**
     * 总烃(μL/L)
     */
    private String totalHydrocarbon;
    /**
     * 修正时间
     */
    private LocalDateTime correctTime;
    /**
     * 站点ID
     */
    private String siteId;
    /**
     * 被检测设备id(17 位设备编码CAC同步的数据)
     */
    private String equipmentId;
    /**
     * 外挂设备ID
     */
    private String subEquipmentId;
    /**
     * 主设备ID
     */
    private String mainEquipmentId;
}