package com.huatek.busi.vo;

import java.io.Serializable;
import java.time.LocalDateTime;

import org.springframework.format.annotation.DateTimeFormat;

import com.huatek.torch.sql.beans.PageBean;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * gis机械特性 Vo
 *
 * @author anker_cheng
 * @date Jul 4, 2019 2:00:15 PM
 */
@ApiModel(value = "GisMechanicalPropertiesVo", description = "GIS机械特性 Vo", parent = PageBean.class)
@Data
@EqualsAndHashCode(callSuper = false)
public class GisMechanicalPropertiesVo implements Serializable {
    private static final long serialVersionUID = 1L;
    @ApiModelProperty(name = "id", value = "主键ID")
    private String id;
    /**
     * GIS设备ID
     */
    @ApiModelProperty(name = "equipmentId", value = "GIS设备ID")
    private String equipmentId;
    /**
     * 站点ID
     */
    @ApiModelProperty(name = "siteId", value = "站点ID")
    private String siteId;
    /**
     * A相刚分速度
     */
    @ApiModelProperty(name = "aGfSpeend", value = "A相刚分速度")
    private String aGfSpeend;
    /**
     * B相刚分速度
     */
    @ApiModelProperty(name = "bGfSpeend", value = "B相刚分速度")
    private String bGfSpeend;
    /**
     * C相刚分速度
     */
    @ApiModelProperty(name = "cGfSpeend", value = "C相刚分速度")
    private String cGfSpeend;
    /**
     * A相断开电流
     */
    @ApiModelProperty(name = "aOpenCurrent", value = "A相断开电流")
    private String aOpenCurrent;
    /**
     * B相断开电流
     */
    @ApiModelProperty(name = "bOpenCurrent", value = "B相断开电流")
    private String bOpenCurrent;
    /**
     * C相断开电流
     */
    @ApiModelProperty(name = "cOpenCurrent", value = "C相断开电流")
    private String cOpenCurrent;
    /**
     * 刚分不同期
     */
    @ApiModelProperty(name = "gfTime", value = "刚分不同期")
    private String gfTime;
    /**
     * 
     */
    @ApiModelProperty(name = "createTime", value = "创建时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime createTime;
    /**
     * A相刚和速度
     */
    @ApiModelProperty(name = "aGhSpeed", value = "A相刚和速度")
    private String aGhSpeed;
    /**
     * B相刚和速度
     */
    @ApiModelProperty(name = "bGhSpeed", value = "B相刚和速度")
    private String bGhSpeed;
    /**
     * c相刚和速度
     */
    @ApiModelProperty(name = "cGhSpeed", value = "C相刚和速度")
    private String cGhSpeed;
    /**
     * 合闸不同期
     */
    @ApiModelProperty(name = "aHzBtq", value = "A相合闸不同期")
    private String aHzBtq;
    /**
     * B相合闸不同期
     */
    @ApiModelProperty(name = "bHzBtq", value = "B相合闸不同期")
    private String bHzBtq;
    /**
     * C相合闸不同期
     */
    @ApiModelProperty(name = "cHzBtq", value = "C相合闸不同期")
    private String cHzBtq;
    /**
     * 分闸不同期
     */
    @ApiModelProperty(name = "aFzBtq", value = "A相分闸不同期")
    private String aFzBtq;
    /**
     * B相分闸不同期
     */
    @ApiModelProperty(name = "bFzBtq", value = "B相分闸不同期")
    private String bFzBtq;
    /**
     * C相分闸不同期
     */
    @ApiModelProperty(name = "cFzBtq", value = "C相分闸不同期")
    private String cFzBtq;
    
    /**
     * 设备编号
     */
    @ApiModelProperty(name = "equipmentCode", value = "设备编号")
    private String equipmentCode;
}