package com.huatek.busi.vo;

import java.io.Serializable;
import java.time.LocalDateTime;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * GIS_SF6阈值表 Vo
 */
@ApiModel(value = "GisSf6ThresholdVo", description = "GIS_SF6阈值表 Vo")
@Data
public class GisSf6ThresholdVo implements Serializable {
    /**
     *
     */
    private static final long serialVersionUID = 1L;

    /**
     * 主键ID
     */
    @ApiModelProperty(name = "id", value = "主键ID")
    private String id;

    /**
     * 
     */
    @ApiModelProperty(name = "sensorCode", value = "")
    private String sensorCode;

    /**
     * 相位
     */
    @ApiModelProperty(name = "phase", value = "相位   0：全相  1:A相  2:B 相   3:C相")
    private String phase;

    /**
     * 监测部位
     */
    @ApiModelProperty(name = "monitorSite", value = "监测部位")
    private String monitorSite;

    /**
     * Sf6温度（℃）阈值
     */
    @ApiModelProperty(name = "sf6wd", value = "Sf6温度（℃）阈值")
    private String sf6wd;

    /**
     * sf6微水(μL/L）阈值
     */
    @ApiModelProperty(name = "sf6ws", value = "sf6微水(μL/L）阈值")
    private String sf6ws;

    /**
     * sf6压力(MPa)阈值
     */
    @ApiModelProperty(name = "sf6yl", value = "sf6压力(MPa)阈值")
    private String sf6yl;

    /**
     * sf6温度增长率(%)阈值
     */
    @ApiModelProperty(name = "sf6wdzzl", value = "sf6温度增长率(%)阈值")
    private String sf6wdzzl;

    /**
     * sf6微水增长率(%)阈值
     */
    @ApiModelProperty(name = "sf6wszzl", value = "sf6微水增长率(%)阈值")
    private String sf6wszzl;

    /**
     * sf6日泄漏率(%)
     */
    @ApiModelProperty(name = "sf6rxll", value = "sf6日泄漏率(%)")
    private String sf6rxll;

    /**
     * sf6月泄漏率(%)
     */
    @ApiModelProperty(name = "sf6yxll", value = "sf6月泄漏率(%)")
    private String sf6yxll;

    /**
     * Sf6温度（℃）预警值
     */
    @ApiModelProperty(name = "sf6wdWarn", value = "Sf6温度（℃）预警值")
    private String sf6wdWarn;

    /**
     * sf6微水(μL/L）预警值
     */
    @ApiModelProperty(name = "sf6wsWarn", value = "sf6微水(μL/L）预警值")
    private String sf6wsWarn;

    /**
     * sf6压力(MPa)预警值
     */
    @ApiModelProperty(name = "sf6ylWarn", value = "sf6压力(MPa)预警值")
    private String sf6ylWarn;

    /**
     * sf6微水增长率(%)预警值
     */
    @ApiModelProperty(name = "sf6wszzlWarn", value = "sf6微水增长率(%)预警值")
    private String sf6wszzlWarn;

    /**
     * sf6日泄漏率(%)预警值
     */
    @ApiModelProperty(name = "sf6rxllWarn", value = "sf6日泄漏率(%)预警值")
    private String sf6rxllWarn;

    /**
     * sf6月泄漏率(%)预警值
     */
    @ApiModelProperty(name = "sf6yxllWarn", value = "sf6月泄漏率(%)预警值")
    private String sf6yxllWarn;

    /**
     * 创建时间
     */
    @ApiModelProperty(name = "createdTime", value = "创建时间")
    private LocalDateTime createdTime;

    /**
     * 创建人ID
     */
    @ApiModelProperty(name = "creator", value = "创建人ID")
    private String creator;

    /**
     * 修改时间
     */
    @ApiModelProperty(name = "modifiedTime", value = "修改时间")
    private LocalDateTime modifiedTime;

    /**
     * 修改人ID
     */
    @ApiModelProperty(name = "modifierId", value = "修改人ID")
    private String modifierId;
}