package com.huatek.busi.vo;

import com.huatek.torch.sql.annotation.FieldName;
import com.huatek.torch.sql.annotation.Id;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.time.LocalDateTime;

@Data
@ApiModel(value = "labRMasterDataVo", description = "离线报告主数据缓存")
public class LabRMasterDataVo implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "id", name = "唯一主键标识", required = true)
    private String id;

    @ApiModelProperty(value = "equipmentType", name = "设备标识")
    private String equipmentType;

    @ApiModelProperty(value = "siteId", name = "站点编号")
    private String siteId;

    @ApiModelProperty(value = "mainEquId", name = "主设备编号")
    private String mainEquId;

    @ApiModelProperty(value = "mainEquName", name = "主设备名称")
    private String mainEquName;

    @ApiModelProperty(value = "equLittleType", name = "设备小类")
    private String equLittleType;

    @ApiModelProperty(value = "equLittleId", name = "小设备编号")
    private String equLittleId;

    @ApiModelProperty(value = "sheetName", name = "sheet页名称")
    private String sheetName;

    @ApiModelProperty(value = "refId", name = "附件关联编号")
    private String refId;

    @ApiModelProperty(value = "createUser", name = "创建者")
    private String createUser;

    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty(value = "createTime", name = "创建时间")
    private LocalDateTime createTime;

    @ApiModelProperty(value = "updateUser", name = "更新者")
    private String updateUser;

    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty(value = "updateTime", name = "更新时间")
    private LocalDateTime updateTime;

    @ApiModelProperty(value = "deleted", name = "是否删除 0否 1是")
    private String deleted;
}
