package com.huatek.busi.vo;

import io.swagger.annotations.*;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.time.LocalDateTime;

@Data
@ApiModel(value = "labReportBasisDataVo", description = "离线实验报告基础数据入参")
public class LabReportBasisDataVo implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "id", name = "唯一主键标识", required = true)
    private String id;

    @ApiModelProperty(value = "siteId", name = "站点编号")
    private String siteId;

    @ApiModelProperty(value = "mainEquId", name = "主设备编号")
    private String mainEquId;

    @ApiModelProperty(value = "rId", name = "报告编号")
    private String rId;

    @ApiModelProperty(value = "rSerial", name = "报告序号")
    private String rSerial;

    @ApiModelProperty(value = "rName", name = "报告名称")
    private String rName;

    @ApiModelProperty(value = "tId", name = "模板编号")
    private String tId;

    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty(value = "inStoreTime", name = "入库时间")
    private LocalDateTime inStoreTime;

    @ApiModelProperty(value = "createUser", name = "创建者")
    private String createUser;

    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty(value = "createTime", name = "创建时间")
    private LocalDateTime createTime;

    @ApiModelProperty(value = "updateUser", name = "更新者")
    private String updateUser;

    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty(value = "updateTime", name = "更新时间")
    private LocalDateTime updateTime;

    @ApiModelProperty(value = "deleted", name = "是否删除 0否 1是")
    private String deleted;
}
