package com.huatek.busi.vo;

import java.io.Serializable;
import java.time.LocalDateTime;

import org.springframework.format.annotation.DateTimeFormat;

import com.huatek.busi.common.util.DateUtil;
import com.huatek.torch.sql.beans.PageBean;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * 记录变更操作日 Vo
 * 
 * @author anker_cheng
 * @date 2019/07/11
 */
@ApiModel(value = "OpChangeLogEntityDto", description = "记录变更操作日 Vo", parent = PageBean.class)
@Data
@EqualsAndHashCode(callSuper = false)
public class OpChangeLogEntityVo extends PageBean implements Serializable {
    private static final long serialVersionUID = 8858908272934472851L;

    @ApiModelProperty(name = "id", value = "主键ID")
    private String id;

    @ApiModelProperty(name = "entityClass", value = "业务对象表名")
    private String entityClass;

    @ApiModelProperty(name = "opType", value = "操作类型")
    private String opType;

    @ApiModelProperty(name = "objectId", value = "业务对象ID")
    private String objectId;

    @ApiModelProperty(name = "opContent", value = "日志内容")
    private String opContent;

    @ApiModelProperty(name = "creator", value = "创建人ID")
    private String creator;

    @ApiModelProperty(name = "creatorName", value = "创建人名称")
    private String creatorName;

    @ApiModelProperty(name = "createdTime", value = "创建时间")
    @DateTimeFormat(pattern = DateUtil.PATTERN_DATE_TIME)
    private LocalDateTime createdTime;
}
