package com.huatek.busi.vo;

import java.io.Serializable;
import java.time.LocalDateTime;

import org.springframework.format.annotation.DateTimeFormat;

import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * 读表、拍照数据 VO
 * @author buck_guo
 * @date 2019/09/10
 */
@Data
@EqualsAndHashCode(callSuper = false)
public class ReadTableVisualizationVo implements Serializable  {

    private static final long serialVersionUID = 1L;

    /**
     * 
     */
    private String id;

    /**
     * 站点id
     */
    private String siteId;

    /**
     * 站点名称
     */
    private String siteName;

    /**
     * 设备编码
     */
    private String eqmCode;
    /**
     * 设备名称
     */
    private String eqmName;

    /**
     * Sersorid编码
     */
    private String sensorCode;

    /**
     * 传感器名称
     */
    private String sensorName;

    /**
     * 监测时间 
     */
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime timeStamp;

    /**
     * 表数据
     */
    private String dataval;
    
    /**
     * 状态
     */
    private String workState;
    
    /**
     * 安装位置
     */
    private String position;

    /**
     * 图片路径及文件名
     */
    private String picpath;
    
    /**
     * 阈值
     */
    private String thresholdVal;

    private String eqType;
}