package com.huatek.busi.vo;

import java.io.Serializable;
import java.math.BigDecimal;
import java.time.LocalDateTime;

import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * GIS- 主界面红外测温实时数据 Vo
 *
 * @author anker_cheng
 * @date Jun 28, 2019 1:21:05 PM
 */
@Data
@EqualsAndHashCode(callSuper = false)
public class RptGisTemperVo implements Serializable {
    private static final long serialVersionUID = 1L;
    /**
     * 
     */
    private String id;
    /**
     * 站点Id
     */
    private String siteId;
    /**
     * 设备ID
     */
    private String eqmId;
    /**
     * 设备编号
     */
    private String eqmCode;
    /**
     * sensorid
     */
    private String sensorId;
    /**
     * 区域ID
     */
    private String areaId;
    /**
     * 区域描述
     */
    private String areaName;
    /**
     * 最高温度
     */
    private BigDecimal hTemper;
    /**
     * 最低温度
     */
    private BigDecimal lTemper;
    /**
     * 数据时间
     */
    private LocalDateTime rtpTime;
    /**
     * 创建时间
     */
    private LocalDateTime createTime;
}