package com.huatek.busi.vo;

import java.io.Serializable;
import java.math.BigDecimal;
import java.time.LocalDate;
import java.time.LocalDateTime;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * 测温柜-全部测温点汇总表 Vo
 *
 * @author anker_cheng
 * @date Oct 21, 2019 1:51:33 PM
 */
@ApiModel(value = "RptTermperRecordVo", description = "测温柜-全部测温点汇总表 Vo")
@Data
@EqualsAndHashCode(callSuper = false)
public class RptTermperRecordVo implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 
     */
    @ApiModelProperty(name = "id", value = "")
    private String id;

    /**
     * 站点Id
     */
    @ApiModelProperty(name = "siteId", value = "站点Id")
    private String siteId;

    /**
     * 设备编码（busi_site_tree.node_code）
     */
    @ApiModelProperty(name = "eqmId", value = "设备编码（busi_site_tree.node_code）")
    private String eqmId;

    /**
     * sensiorID
     */
    @ApiModelProperty(name = "sensorId", value = "sensiorID")
    private String sensorId;

    /**
     * 温度
     */
    @ApiModelProperty(name = "temper", value = "温度")
    private BigDecimal temper;

    /**
     * 所属位置
     */
    @ApiModelProperty(name = "phase", value = "所属位置")
    private String phase;

    /**
     * 超出值
     */
    @ApiModelProperty(name = "position", value = "超出值")
    private String position;

    @ApiModelProperty(name = "dTime", value = "收集时间")
    private LocalDateTime dTime;

    /**
     * 站点设备树ID
     */
    @ApiModelProperty(name = "mainTreeId", value = "站点设备树ID")
    private String mainTreeId;

    /**
     * 工作状态
     */
    @ApiModelProperty(name = "runState", value = "工作状态")
    private String runState;

    /**
     * 
     */
    @ApiModelProperty(name = "modifiedTime", value = "")
    private LocalDateTime modifiedTime;

    @ApiModelProperty(name = "manufactor", value = "生产厂家")
    private String manufactor;

    @ApiModelProperty(name = "useDate", value = "投运日期")
    private LocalDate useDate;

    @ApiModelProperty(name = "thresholdValue", value = "阈值")
    private String thresholdValue;

    @ApiModelProperty(name = "warningValue", value = "预警值")
    private String warningValue;

    @ApiModelProperty(name = "positionDes", value = "位置描述")
    private String positionDes;

    @ApiModelProperty(name = "sensorName", value = "传感器名称")
    private String sensorName;

    @ApiModelProperty(name = "sensorBrand", value = "传感器标牌")
    private String sensorBrand;

    @ApiModelProperty(name = "dailyGrowthRate", value = "日增长率")
    private String dailyGrowthRate;

    @ApiModelProperty(name = "monthlyGrowthRate", value = "月增长率")
    private String monthlyGrowthRate;

    @ApiModelProperty(name = "equipmentName", value = "设备名称")
    private String equipmentName;
}