package com.huatek.busi.vo;

import java.io.Serializable;
import java.time.LocalDate;
import java.time.LocalDateTime;

import com.huatek.busi.common.annotation.ExcelAnnotation;

import com.huatek.torch.sql.annotation.FieldName;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;


@Data
public class SensiorIdExportVo implements Serializable{


	private static final long serialVersionUID = 1L;
	//站点名称
    @ExcelAnnotation(exportName = "站点名称")
    private String siteName;
    //设备类别
    @ExcelAnnotation(exportName = "设备类别")
    private String equipmentType;
    //设备名称
    @ExcelAnnotation(exportName = "设备名称")
    private String equipmentName;
    //装置类别
    @ExcelAnnotation(exportName = "装置类别")
    private String pendantType;
    //装置名称
    @ExcelAnnotation(exportName = "装置名称")
    private String pendantName;
    //传感器名称
    @ExcelAnnotation(exportName = "传感器名称")
    private String sensorName;
    //sensior编号
    @ExcelAnnotation(exportName = "传感器编号")
    private String sensorCode;
    
    @ExcelAnnotation(exportName = "传感器标牌")
    private String sensorBrand;

    @ExcelAnnotation(exportName = "传感器生产厂家")
    private String manufactor;
    
    @ExcelAnnotation(exportName = "传感器安装位置")
    private String positionDes;

    @ExcelAnnotation(exportName = "主设备Id")
    private String mainEquipmentId;
    
    @ExcelAnnotation(exportName = "传感器生产时间")
    private LocalDate productionDate;
    
    @ExcelAnnotation(exportName = "传感器投运时间")
    private LocalDate useDate;

    /**
     * 在线监测装置对应的被监测设备的 唯一标识（17 位码）
     */
    @FieldName("equipment_id")
    private String equipmentId;

    /**
     * 在线监测装置对应的被监测设备的 唯一标识（17 位码）
     */
    @FieldName("status")
    private String status;
    /**
     * 数据采集时间，格式为：yyyy-MM-dd HH:mm:ss
     */
    @FieldName("time_stamp")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private String timeStamp;


    private String type;
}
