package com.huatek.busi.vo;

import com.huatek.torch.sql.annotation.FieldName;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;
import java.math.BigDecimal;
import java.time.LocalDateTime;

/**
 * sf6_env
 * @author buck_guo
 * @date 2019/08/09
 */
@Data
@EqualsAndHashCode(callSuper = false)
public class Sf6EnvThresholdVo implements Serializable{

    /**
    *
    */
   private static final long serialVersionUID = 1L;

   /**
    *   主键
    */
   private String id;

   /**
    * 站点ID
    */
   private String siteId;

   /**
    * 站点设备数ID
    */
   private String mainTreeId;

   /**
    *
    */
   private String sensorCode;

   /**
    * 设备类型(1：变压器、2、Gis)
    */
    private String type;
   /**
    * 工作状态（1：发电、2：抽水、3：空闲）
    */
    private String workStatus;

    /**
     * SF6浓度A相阈值
     */
    @ApiModelProperty(value = "SF6浓度A相阈值",  name="conc")
    private String conc;

    /**
     * O2含量阈值
     */
    @ApiModelProperty(value = "O2含量阈值",  name="oContent")
    private String oContent;

    /**
     * 温度阈值
     */
    @ApiModelProperty(value = "温度阈值",  name="temp")
    private String tmp;

    /**
     * 湿度阈值
     */
    @ApiModelProperty(value = "湿度阈值",  name="humidity")
    private String dew;



    /**
     * 创建时间
     */
    private LocalDateTime createdTime;

    /**
     * 创建人ID
     */
    private String creator;

    /**
     * 修改时间
     */
    private LocalDateTime modifiedTime;

    /**
     * 修改人ID
     */
    private String modifierId;
}
