package com.huatek.busi.vo;

import java.io.Serializable;
import java.time.LocalDateTime;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * 监测装置上传数据时间设置表 Vo
 *
 * @author anker_cheng
 * @date Nov 12, 2019 1:22:33 PM
 */
@ApiModel(value = "SiteUploadCycleVo", description = "监测装置上传数据时间设置表 Vo")
@Data
@EqualsAndHashCode(callSuper = false)
public class SiteUploadCycleVo implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 
     */
    @ApiModelProperty(name = "id", value = "")
    private String id;

    /**
     * 站点ID
     */
    @ApiModelProperty(name = "siteId", value = "站点ID")
    private String siteId;

    /**
     * 测温装置(2、5、10 、20、30，单位分钟)
     */
    @ApiModelProperty(name = "cwzz", value = "开关柜测温装置(2、5、10 、20、30，单位分钟)")
    private String cwzz;

    /**
     * 局放装置(2、5、10 、20、30，单位分钟)
     */
    @ApiModelProperty(name = "jfzz", value = "局放装置(2、5、10 、20、30，单位分钟)")
    private String jfzz;

    /**
     * sf6jczz('2','5','10','20','30','60'，单位分钟)
     */
    @ApiModelProperty(name = "sf6jczz", value = "sf6jczz(2、5、10 、20、30，单位分钟)")
    private String sf6jczz;

    /**
     * 除开关柜其他测温装置(2、5、10 、20、30，单位分钟)
     */
    @ApiModelProperty(name = "totalcwzz", value = "除开关柜其他测温装置(2、5、10 、20、30，单位分钟)")
    private String totalcwzz;

    /**
     * SF6（温度，微水，压力）(5、10、20、30、60,单位分钟)
     */
    @ApiModelProperty(name = "sf6", value = "SF6（温度，微水，压力）(5、10、20、30、60,单位分钟)")
    private String sf6;

    /**
     * byqrzcw('2','5','10','20','30','60'，单位分钟)
     */
    @ApiModelProperty(name = "byqrzcw", value = "byqrzcw")
    private String byqrzcw;
    /**
     * GIS红外
     */
    @ApiModelProperty(name = "gishw", value = "GIS红外")
    private String gishw;

    /**
     * gis气象(30、60、90 、120、180，单位分钟)
     */
    @ApiModelProperty(name = "gisqx", value = "gis气象(30、60、90 、120、180，单位分钟)")
    private String gisqx;

    /**
     * 油色谱装置(2、4、6、8、12、24，单位小时)
     */
    @ApiModelProperty(name = "yspzz", value = "油色谱装置(2、4、6、8、12、24，单位小时)")
    private String yspzz;

    /**
     * 铁芯装置(2、5、10 、20、30，单位分钟)
     */
    @ApiModelProperty(name = "txzz", value = "铁芯装置(2、5、10 、20、30，单位分钟)")
    private String txzz;

    /**
     * 夹件装置(2、5、10 、20、30，单位分钟)
     */
    @ApiModelProperty(name = "jjzz", value = "夹件装置(2、5、10 、20、30，单位分钟)")
    private String jjzz;

    /**
     * 变压器红外(10、20、30、40、60，单位分钟)
     */
    @ApiModelProperty(name = "byqhw", value = "变压器红外(10、20、30、40、60，单位分钟)")
    private String byqhw;

    /**
     * 变压器套管(2、5、10 、20、30，单位分钟)
     */
    @ApiModelProperty(name = "byqtg", value = "变压器套管(2、5、10 、20、30，单位分钟)")
    private String byqtg;

    /**
     * 变压器气象(30、60、90 、120、180，单位分钟)
     */
    @ApiModelProperty(name = "byqqx", value = "变压器气象(30、60、90 、120、180，单位分钟)")
    private String byqqx;

    /**
     * 避雷器套管(2、5、10 、20、30，单位分钟)
     */
    @ApiModelProperty(name = "blqtg", value = "避雷器套管(2、5、10 、20、30，单位分钟)")
    private String blqtg;

    /**
     * 避雷器容性(2、5、10 、20、30，单位分钟)
     */
    @ApiModelProperty(name = "blqrx", value = "避雷器容性(2、5、10 、20、30，单位分钟)")
    private String blqrx;

    /**
     * 避雷器装置-绝缘监测
     */
    @ApiModelProperty(name = "blqzz", value = "避雷器装置-绝缘监测")
    private String blqzz;

    /**
     * 避雷器气象(30、60、90 、120、180，单位分钟)
     */
    @ApiModelProperty(name = "blqqx", value = "避雷器气象(30、60、90 、120、180，单位分钟)")
    private String blqqx;

    /**
     * 避雷器红外(10、20、30、40、60，单位分钟)
     */
    @ApiModelProperty(name = "blqhw", value = "避雷器红外(10、20、30、40、60，单位分钟)")
    private String blqhw;

    /**
     * 拍照装置(10、20、30、40、60，单位分钟)
     */
    @ApiModelProperty(name = "pzzz", value = "拍照装置(10、20、30、40、60，单位分钟)")
    private String pzzz;

    /**
     * 其他红外(10、20、30、40、60，单位分钟)
     */
    @ApiModelProperty(name = "qthw", value = "其他红外(10、20、30、40、60，单位分钟)")
    private String qthw;

    /**
     * 其他电缆环流(10、20、30、40、60，单位分钟)
     */
    @ApiModelProperty(name = "qtdlhl", value = "其他电缆环流(10、20、30、40、60，单位分钟)")
    private String qtdlhl;

    /**
     * 电缆红外(10、20、30、40、60，单位分钟)
     */
    @ApiModelProperty(name = "dlhw", value = "电缆红外(10、20、30、40、60，单位分钟)")
    private String dlhw;

    /**
     * 电缆-电缆环流(10、20、30、40、60，单位分钟)
     */
    @ApiModelProperty(name = "dldlhl", value = "电缆-电缆环流(10、20、30、40、60，单位分钟)")
    private String dldlhl;

    /**
     * 电缆-电缆环流(10、20、30、40、60，单位分钟)
     */
    @ApiModelProperty(name = "fdjzz", value = "发电机装置(30、60、90 、120、180，单位分钟)")
    private String fdjzz;


    /**
     * 创建时间
     */
    @ApiModelProperty(name = "createTime", value = "创建时间")
    private LocalDateTime createTime;

    /**
     * 创建用户ID
     */@ApiModelProperty(name = "createUser", value = "创建用户ID")
    private String createUser;

    /**
     * 创建用户姓名
     */
    @ApiModelProperty(name = "createName", value = "创建用户姓名")
    private String createName;
}