package com.huatek.busi.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.time.LocalDateTime;

@Data
@ApiModel("文件管理实体信息入参")
public class SysFileVo implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "id", name = "唯一主键标识")
    private String id;

    @ApiModelProperty(value = "businessId", name = "业务id")
    private String businessId;

    @ApiModelProperty(value = "equType", name = "设备类型")
    private String equType;

    @ApiModelProperty(value = "fileName", name = "文件名称")
    private String fileName;

    @ApiModelProperty(value = "suffixFilePath", name = "前缀文件路径")
    private String suffixFilePath;

    @ApiModelProperty(value = "filePath", name = "文件路径")
    private String filePath;

    @ApiModelProperty(value = "suffixName", name = "后缀名称")
    private String suffixName;

    @ApiModelProperty(value = "fileSize", name = "文件大小")
    private Long fileSize;

    @ApiModelProperty(value = "fileType", name = "文件类型 (区分附件与excel文件)")
    private String fileType;

    @ApiModelProperty(value = "busiFileType", name = "业务文件类型 (离线报告、评估参数文件夹类型 上传业务关联)")
    private String busiFileType;

    @ApiModelProperty(value = "count", name = "上传次数")
    private int count;

    @ApiModelProperty(value = "date", name = "上传日期")
    private String date;

    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty(value = "createDate", name = "创建时间")
    private LocalDateTime createDate;

    @ApiModelProperty(value = "deleted",name = "是否删除 0否 1是")
    private String deleted;
}
