package com.huatek.busi.vo;

import java.io.Serializable;
import java.time.LocalDateTime;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * 变压器油色谱暂存数据（类型编码 ：021002） Vo
 *
 * @author anker_cheng
 * @date Aug 5, 2019 5:29:37 PM
 */
@ApiModel(value = "TransformerEpaDataCacheVo", description = "变压器油色谱暂存数据（类型编码 ：021002） Vo")
@Data
@EqualsAndHashCode(callSuper = false)
public class TransformerEpaDataCacheVo implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 
     */
    @ApiModelProperty(name = "id", value = "")
    private String id;
    
    /**
     * 设备名称
     */
    @ApiModelProperty(name = "equipmentName", value = "设备名称")
    private String equipmentName;

    /**
     * 监测时间 
     */
    @ApiModelProperty(name = "dTime", value = "监测时间 ")
    private LocalDateTime dTime;

    /**
     * 被监测设备相别
     */
    @ApiModelProperty(name = "phase", value = "被监测设备相别")
    private String phase;

    /**
     * 氢气含量(μL/L)
     */
    @ApiModelProperty(name = "h2", value = "氢气含量(μL/L)")
    private String h2;

    /**
     * 甲烷含量(μL/L)
     */
    @ApiModelProperty(name = "ch4", value = "甲烷含量(μL/L)")
    private String ch4;

    /**
     * 乙烷含量(μL/L)
     */
    @ApiModelProperty(name = "c2h6", value = "乙烷含量(μL/L)")
    private String c2h6;

    /**
     * 乙烯含量(μL/L)
     */
    @ApiModelProperty(name = "c2h4", value = "乙烯含量(μL/L)")
    private String c2h4;

    /**
     * 乙炔含量(μL/L)
     */
    @ApiModelProperty(name = "c2h2", value = "乙炔含量(μL/L)")
    private String c2h2;

    /**
     * 一氧化碳含量(μL/L)
     */
    @ApiModelProperty(name = "co", value = "一氧化碳含量(μL/L)")
    private String co;

    /**
     * 二氧化碳含量(μL/L)
     */
    @ApiModelProperty(name = "co2", value = "二氧化碳含量(μL/L)")
    private String co2;

    /**
     * 氧气含量(μL/L)
     */
    @ApiModelProperty(name = "o2", value = "氧气含量(μL/L)")
    private String o2;

    /**
     * 水分含量(μL/L)
     */
    @ApiModelProperty(name = "n2", value = "水分含量(μL/L)")
    private String n2;

    /**
     * 水分
     */
    @ApiModelProperty(name = "h2o", value = "水分")
    private String h2o;

    /**
     * 温度
     */
    @ApiModelProperty(name = "tmp", value = "温度")
    private String tmp;

    /**
     * 湿度
     */
    @ApiModelProperty(name = "dew", value = "湿度")
    private String dew;

    /**
     * 微水
     */
    @ApiModelProperty(name = "mst", value = "微水")
    private String mst;

    /**
     * 瓦斯继电器中故障气
     */
    @ApiModelProperty(name = "flatGas", value = "瓦斯继电器中故障气")
    private String flatGas;

    /**
     * 总可燃气体
     */
    @ApiModelProperty(name = "cmbuGas", value = "总可燃气体")
    private String cmbuGas;

    /**
     * 总烃(μL/L)
     */
    @ApiModelProperty(name = "totalHydrocarbon", value = "总烃(μL/L)")
    private String totalHydrocarbon;

    /**
     * 载气状态（1：正常，2：异常）
     */
    @ApiModelProperty(name = "gasPressStatus", value = "载气状态（1：正常，2：异常）")
    private String gasPressStatus;

    /**
     * CAC 唯一标识
     */
    @ApiModelProperty(name = "cacId", value = "CAC 唯一标识")
    private String cacId;

    /**
     * 设备编码
     */
    @ApiModelProperty(name = "sensorId", value = "设备编码")
    private String sensorId;

    /**
     * 站点Id
     */
    @ApiModelProperty(name = "siteId", value = "站点Id")
    private String siteId;

    /**
     * 被检测设备id(17 位设备编码CAC同步的数据)
     */
    @ApiModelProperty(name = "equipmentId", value = "被检测设备id(17 位设备编码CAC同步的数据)")
    private String equipmentId;

    /**
     * 外挂设备ID
     */
    @ApiModelProperty(name = "subEquipmentId", value = "外挂设备ID")
    private String subEquipmentId;

    /**
     * 主设备ID
     */
    @ApiModelProperty(name = "mainEquipmentId", value = "主设备ID")
    private String mainEquipmentId;
    
    /**
     * 氢气含量绝对增长率阈值
     */
    @ApiModelProperty(name = "h2AbsoluteRate", value = "氢气含量绝对增长率阈值")
    private String h2AbsoluteRate;
    
    /**
     * 氢气含量相对增长率阈值
     */
    @ApiModelProperty(name = "h2RelativeRate", value = "氢气含量相对增长率阈值")
    private String h2RelativeRate;

    /**
     * 氢气含量绝对增长率
     */
    @ApiModelProperty(name = "h2AIncreaseRate", value = "氢气含量绝对增长率")
    private String h2AIncreaseRate;
    
    /**
     * 氢气含量相对增长率
     */
    @ApiModelProperty(name = "h2RIncreaseRate", value = "氢气含量绝对增长率")
    private String h2RIncreaseRate;
    
    /**
     * 甲烷含量绝对增长率阈值
     */
    @ApiModelProperty(name = "ch4AbsoluteRate", value = "甲烷含量绝对增长率阈值")
    private String ch4AbsoluteRate;
    
    /**
     * 甲烷含量相对增长率阈值
     */
    @ApiModelProperty(name = "ch4RelativeRate", value = "甲烷含量绝对增长率阈值")
    private String ch4RelativeRate;

    /**
     * 甲烷含量绝对增长率
     */
    @ApiModelProperty(name = "ch4AIncreaseRate", value = "甲烷含量绝对增长率")
    private String ch4AIncreaseRate;
    
    /**
     * 甲烷含量相对增长率
     */
    @ApiModelProperty(name = "ch4RIncreaseRate", value = "甲烷含量绝对增长率")
    private String ch4RIncreaseRate;
    
    @ApiModelProperty(name = "c2h6AbsoluteRate", value = "乙烷含量绝对增长率阈值")
    private String c2h6AbsoluteRate;

    @ApiModelProperty(name = "c2h6RelativeRate", value = "乙烷含量绝对增长率阈值")
    private String c2h6RelativeRate;


    @ApiModelProperty(name = "c2h6AIncreaseRate", value = "乙烷含量绝对增长率")
    private String c2h6AIncreaseRate;
    
 
    @ApiModelProperty(name = "c2h6RIncreaseRate", value = "乙烷含量绝对增长率")
    private String c2h6RIncreaseRate;
    

    /**
     * 乙烯含量增长率
     */
    
    @ApiModelProperty(name = "c2h4AbsoluteRate", value = "乙烯含量绝对增长率阈值")
    private String c2h4AbsoluteRate;

    @ApiModelProperty(name = "c2h4RelativeRate", value = "乙烯含量绝对增长率阈值")
    private String c2h4RelativeRate;

    @ApiModelProperty(name = "c2h4AIncreaseRate", value = "乙烯含量绝对增长率")
    private String c2h4AIncreaseRate;
    
    @ApiModelProperty(name = "c2h4RIncreaseRate", value = "乙烯含量绝对增长率")
    private String c2h4RIncreaseRate;
  
    @ApiModelProperty(name = "c2h2AbsoluteRate", value = "乙炔含量绝对增长率阈值")
    private String c2h2AbsoluteRate;

    @ApiModelProperty(name = "c2h2RelativeRate", value = "乙炔含量绝对增长率阈值")
    private String c2h2RelativeRate;

    @ApiModelProperty(name = "c2h2AIncreaseRate", value = "乙炔含量绝对增长率")
    private String c2h2AIncreaseRate;
    
    @ApiModelProperty(name = "c2h2RIncreaseRate", value = "乙炔含量绝对增长率")
    private String c2h2RIncreaseRate;
    

    /**
     * 一氧化碳含量增长率
     */
    
    @ApiModelProperty(name = "coAbsoluteRate", value = "一氧化碳含量绝对增长率阈值")
    private String coAbsoluteRate;

    @ApiModelProperty(name = "coRelativeRate", value = "一氧化碳含量绝对增长率阈值")
    private String coRelativeRate;

    @ApiModelProperty(name = "coAIncreaseRate", value = "一氧化碳含量绝对增长率")
    private String coAIncreaseRate;
    
    @ApiModelProperty(name = "coRIncreaseRate", value = "一氧化碳含量绝对增长率")
    private String coRIncreaseRate;
    
    /**
     * 二氧化碳含量增长率
     */
   
    @ApiModelProperty(name = "co2AbsoluteRate", value = "二氧化碳含量绝对增长率阈值")
    private String co2AbsoluteRate;

    @ApiModelProperty(name = "co2RelativeRate", value = "二氧化碳含量绝对增长率阈值")
    private String co2RelativeRate;

    @ApiModelProperty(name = "co2AIncreaseRate", value = "二氧化碳含量绝对增长率")
    private String co2AIncreaseRate;
    
    @ApiModelProperty(name = "co2RIncreaseRate", value = "二氧化碳含量绝对增长率")
    private String co2RIncreaseRate;
    

    /**
     * 氧气含量增长率
     */
    
    @ApiModelProperty(name = "o2AbsoluteRate", value = "氧气含量绝对增长率阈值")
    private String o2AbsoluteRate;

    @ApiModelProperty(name = "o2RelativeRate", value = "氧气含量绝对增长率阈值")
    private String o2RelativeRate;

    @ApiModelProperty(name = "o2AIncreaseRate", value = "氧气含量绝对增长率")
    private String o2AIncreaseRate;
    
    @ApiModelProperty(name = "o2RIncreaseRate", value = "氧气含量绝对增长率")
    private String o2RIncreaseRate;

    /**
     * 水分含量增长率
     */
    
    @ApiModelProperty(name = "n2AbsoluteRate", value = "水分含量绝对增长率阈值")
    private String n2AbsoluteRate;

    @ApiModelProperty(name = "n2RelativeRate", value = "水分含量绝对增长率阈值")
    private String n2RelativeRate;

    @ApiModelProperty(name = "n2AIncreaseRate", value = "水分含量绝对增长率")
    private String n2AIncreaseRate;
    
    @ApiModelProperty(name = "n2RIncreaseRate", value = "水分含量绝对增长率")
    private String n2RIncreaseRate;

    /**
     * 水分增长率
     */
    
    @ApiModelProperty(name = "h2oAbsoluteRate", value = "水分含量绝对增长率阈值")
    private String h2oAbsoluteRate;

    @ApiModelProperty(name = "h2oRelativeRate", value = "水分含量绝对增长率阈值")
    private String h2oRelativeRate;

    @ApiModelProperty(name = "h2oAIncreaseRate", value = "水分含量绝对增长率")
    private String h2oAIncreaseRate;
    
    @ApiModelProperty(name = "h2oRIncreaseRate", value = "水分含量绝对增长率")
    private String h2oRIncreaseRate;

    /**
     * 温度增长率
     */

    @ApiModelProperty(name = "tmpAbsoluteRate", value = "温度绝对增长率阈值")
    private String tmpAbsoluteRate;

    @ApiModelProperty(name = "tmpRelativeRate", value = "温度绝对增长率阈值")
    private String tmpRelativeRate;

    @ApiModelProperty(name = "tmpAIncreaseRate", value = "温度绝对增长率")
    private String tmpAIncreaseRate;

    @ApiModelProperty(name = "tmpRIncreaseRate", value = "温度绝对增长率")
    private String tmpRIncreaseRate;

    /**
     * 湿度增长率
     */

    @ApiModelProperty(name = "dewAbsoluteRate", value = "湿度绝对增长率阈值")
    private String dewAbsoluteRate;

    @ApiModelProperty(name = "dewRelativeRate", value = "湿度绝对增长率阈值")
    private String dewRelativeRate;

    @ApiModelProperty(name = "dewAIncreaseRate", value = "湿度绝对增长率")
    private String dewAIncreaseRate;

    @ApiModelProperty(name = "dewRIncreaseRate", value = "湿度绝对增长率")
    private String dewRIncreaseRate;

    /**
     * 微水增长率
     */

    @ApiModelProperty(name = "mstAbsoluteRate", value = "微水含量绝对增长率阈值")
    private String mstAbsoluteRate;

    @ApiModelProperty(name = "mstRelativeRate", value = "微水含量绝对增长率阈值")
    private String mstRelativeRate;

    @ApiModelProperty(name = "mstAIncreaseRate", value = "微水含量绝对增长率")
    private String mstAIncreaseRate;

    @ApiModelProperty(name = "mstRIncreaseRate", value = "微水含量绝对增长率")
    private String mstRIncreaseRate;

    /**
     * 瓦斯继电器中故障气增长率
     */

    @ApiModelProperty(name = "flatGasAbsoluteRate", value = "瓦斯继电器中故障气绝对增长率阈值")
    private String flatGasAbsoluteRate;

    @ApiModelProperty(name = "flatGasRelativeRate", value = "瓦斯继电器中故障气绝对增长率阈值")
    private String flatGasRelativeRate;

    @ApiModelProperty(name = "flatGasAIncreaseRate", value = "瓦斯继电器中故障气绝对增长率")
    private String flatGasAIncreaseRate;

    @ApiModelProperty(name = "flatGasRIncreaseRate", value = "瓦斯继电器中故障气绝对增长率")
    private String flatGasRIncreaseRate;

    /**
     * 总可燃气体增长率
     */

    @ApiModelProperty(name = "cmbuGasAbsoluteRate", value = "总可燃气体绝对增长率阈值")
    private String cmbuGasAbsoluteRate;

    @ApiModelProperty(name = "cmbuGasRelativeRate", value = "总可燃气体绝对增长率阈值")
    private String cmbuGasRelativeRate;

    @ApiModelProperty(name = "cmbuGasAIncreaseRate", value = "总可燃气体绝对增长率")
    private String cmbuGasAIncreaseRate;

    @ApiModelProperty(name = "cmbuGasRIncreaseRate", value = "总可燃气体绝对增长率")
    private String cmbuGasRIncreaseRate;


    /**
     * 总烃增长率
     */
    
    @ApiModelProperty(name = "totalHydrocarbonAbsoluteRate", value = "总烃绝对增长率阈值")
    private String totalHydrocarbonAbsoluteRate;
    
    @ApiModelProperty(name = "totalHydrocarbonRelativeRate", value = "总烃相对增长率阈值")
    private String totalHydrocarbonRelativeRate;

    @ApiModelProperty(name = "totalHydIncreaseAIncreaseRate", value = "总烃绝对增长率")
    private String totalHydIncreaseAIncreaseRate;
    
    @ApiModelProperty(name = "totalHydIncreaseRIncreaseRate", value = "总烃相对增长率")
    private String totalHydIncreaseRIncreaseRate;
    
    

    /**
     * 氢气含量偏差率
     */
    @ApiModelProperty(name = "h2DeviationRate", value = "氢气含量偏差率")
    private String h2DeviationRate;

    /**
     * 甲烷含量偏差率
     */
    @ApiModelProperty(name = "ch4DeviationRate", value = "甲烷含量偏差率")
    private String ch4DeviationRate;

    /**
     * 乙烷含量偏差率
     */
    @ApiModelProperty(name = "c2h6DeviationRate", value = "乙烷含量偏差率")
    private String c2h6DeviationRate;

    /**
     * 乙烯含量偏差率
     */
    @ApiModelProperty(name = "c2h4DeviationRate", value = "乙烯含量偏差率")
    private String c2h4DeviationRate;

    /**
     * 乙炔含量偏差率
     */
    @ApiModelProperty(name = "c2h2DeviationRate", value = "乙炔含量偏差率")
    private String c2h2DeviationRate;

    /**
     * 一氧化碳含量偏差率
     */
    @ApiModelProperty(name = "coDeviationRate", value = "一氧化碳含量偏差率")
    private String coDeviationRate;

    /**
     * 二氧化碳含量偏差率
     */
    @ApiModelProperty(name = "co2DeviationRate", value = "二氧化碳含量偏差率")
    private String co2DeviationRate;

    /**
     * 氧气含量偏差率
     */
    @ApiModelProperty(name = "o2DeviationRate", value = "氧气含量偏差率")
    private String o2DeviationRate;

    /**
     * 水分含量偏差率
     */
    @ApiModelProperty(name = "n2DeviationRate", value = "水分含量偏差率")
    private String n2DeviationRate;

    /**
     * 水分偏差率
     */
    @ApiModelProperty(name = "h2oDeviationRate", value = "水分偏差率")
    private String h2oDeviationRate;

    /**
     * 温度偏差率
     */
    @ApiModelProperty(name = "tmpDeviationRate", value = "温度偏差率")
    private String tmpDeviationRate;

    /**
     * 湿度偏差率
     */
    @ApiModelProperty(name = "dewDeviationRate", value = "湿度偏差率")
    private String dewDeviationRate;

    /**
     * 微水偏差率
     */
    @ApiModelProperty(name = "mstDeviationRate", value = "微水偏差率")
    private String mstDeviationRate;

    /**
     * 瓦斯继电器中故障气偏差率
     */
    @ApiModelProperty(name = "flatGasDeviationRate", value = "瓦斯继电器中故障气偏差率")
    private String flatGasDeviationRate;

    /**
     * 总可燃气体偏差率
     */
    @ApiModelProperty(name = "cmbuGasDeviationRate", value = "总可燃气体偏差率")
    private String cmbuGasDeviationRate;

    /**
     * 总烃偏差率
     */
    @ApiModelProperty(name = "totalHydrocarbonDeviationRate", value = "总烃偏差率")
    private String totalHydrocarbonDeviationRate;

    /**
     * 氢气含量(μL/L)告警值
     */
    @ApiModelProperty(name = "h2Warning", value = "氢气含量(μL/L)告警值")
    private String h2Warning;

    /**
     * 甲烷含量(μL/L)告警值
     */
    @ApiModelProperty(name = "ch4Warning", value = "甲烷含量(μL/L)告警值")
    private String ch4Warning;

    /**
     * 乙烷含量(μL/L)告警值
     */
    @ApiModelProperty(name = "c2h6Warning", value = "乙烷含量(μL/L)告警值")
    private String c2h6Warning;

    /**
     * 乙烯含量(μL/L)告警值
     */
    @ApiModelProperty(name = "c2h4Warning", value = "乙烯含量(μL/L)告警值")
    private String c2h4Warning;

    /**
     * 乙炔含量(μL/L)
     */
    @ApiModelProperty(name = "c2h2Warning", value = "乙炔含量(μL/L)")
    private String c2h2Warning;

    /**
     * 一氧化碳含量(μL/L)告警值
     */
    @ApiModelProperty(name = "coWarning", value = "一氧化碳含量(μL/L)告警值")
    private String coWarning;

    /**
     * 二氧化碳含量(μL/L)告警值
     */
    @ApiModelProperty(name = "co2Warning", value = "二氧化碳含量(μL/L)告警值")
    private String co2Warning;

    /**
     * 氧气含量(μL/L)告警值
     */
    @ApiModelProperty(name = "o2Warning", value = "氧气含量(μL/L)告警值")
    private String o2Warning;

    /**
     * 水分含量告警值
     */
    @ApiModelProperty(name = "n2Warning", value = "水分含量告警值")
    private String n2Warning;

    /**
     * 水分告警值
     */
    @ApiModelProperty(name = "h2oWarning", value = "水分告警值")
    private String h2oWarning;

    /**
     * 温度告警值
     */
    @ApiModelProperty(name = "tmpWarning", value = "温度告警值")
    private String tmpWarning;

    /**
     * 湿度告警值
     */
    @ApiModelProperty(name = "dewWarning", value = "湿度告警值")
    private String dewWarning;

    /**
     * 微水告警值
     */
    @ApiModelProperty(name = "mstWarning", value = "微水告警值")
    private String mstWarning;

    /**
     * 瓦斯继电器中故障气告警值
     */
    @ApiModelProperty(name = "flatGasWarning", value = "瓦斯继电器中故障气告警值")
    private String flatGasWarning;

    /**
     * 总可燃气体告警值
     */
    @ApiModelProperty(name = "cmbuGasWarning", value = "总可燃气体告警值")
    private String cmbuGasWarning;

    /**
     * 总烃告警值
     */
    @ApiModelProperty(name = "totalHydrocarbonWarning", value = "总烃告警值")
    private String totalHydrocarbonWarning;
}