package com.huatek.busi.vo;

import java.io.Serializable;
import java.time.LocalDateTime;

import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * 变压器油色谱原始数据(未根据偏差率修改的数据) Vo
 *
 * @author anker_cheng
 * @date Jul 15, 2019 11:14:01 AM
 */
@Data
@EqualsAndHashCode(callSuper = false)
public class TransformerEpaDataOriginVo implements Serializable {
    private static final long serialVersionUID = 1L;
    /**
     * 
     */
    private String id;
    /**
     * 监测时间 
     */
    private LocalDateTime dTime;
    /**
     * 被监测设备相别
     */
    private String phase;
    /**
     * 氢气含量(μL/L)
     */
    private String h2;
    /**
     * 甲烷含量(μL/L)
     */
    private String ch4;
    /**
     * 乙烷含量(μL/L)
     */
    private String c2h6;
    /**
     * 乙烯含量(μL/L)
     */
    private String c2h4;
    /**
     * 乙炔含量(μL/L)
     */
    private String c2h2;
    /**
     * 一氧化碳含量(μL/L)
     */
    private String co;
    /**
     * 二氧化碳含量(μL/L)
     */
    private String co2;
    /**
     * 氧气含量(μL/L)
     */
    private String o2;
    /**
     * 氮气含量(μL/L)
     */
    private String n2;
    /**
     * 总烃(μL/L)
     */
    private String totalHydrocarbon;
    /**
     * 载气压力(KPa)
     */
    private String gasPress;
    /**
     * 水分
     */
    private String h2o;
    /**
     * 是否异常数据  1： 否  2：是
     */
    private String isAbnormal;
    /**
     * CAC 唯一标识
     */
    private String cacId;
    /**
     * 传感器编码
     */
    private String sensorId;
    /**
     * 电站ID
     */
    private String siteId;
    /**
     * 被检测设备id(17 位设备编码CAC同步的数据)
     */
    private String equipmentId;
    /**
     * 外挂设备ID
     */
    private String subEquipmentId;
    /**
     * 主设备ID
     */
    private String mainEquipmentId;
}