package com.huatek.busi.vo;

import java.io.Serializable;

import com.huatek.busi.common.annotation.ExcelAnnotation;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

@ApiModel(value = "TransformerEvaluateDataVo", description = "变压器评测数据表单")
@Data
@EqualsAndHashCode(callSuper = false)
public class TransformerEvaluateDataVo implements Serializable{

	/** @Fields serialVersionUID : */
	private static final long serialVersionUID = 1117846664715527270L;

	@ApiModelProperty(name = "id", value = "主键id")
	private String id;

	/** @Fields mainTreeId :站点树ID */
	@ApiModelProperty(name = "mainTreeId", value = "站点树ID")
	private String mainTreeId;

	/*****************************************变压器绝缘试验*****************************************/
	/*****************************************变压器绝缘试验-油色谱*****************************************/
	/** @Fields h2 : */
	@ApiModelProperty(name = "h2", value = "h2")
	private String h2;

	/** @Fields ch4 : */
	@ApiModelProperty(name = "ch4", value = "ch4")
	private String ch4;

	/** @Fields c2h2 : */
	@ApiModelProperty(name = "c2h2", value = "c2h2")
	private String c2h2;

	/** @Fields c2h4 : */
	@ApiModelProperty(name = "c2h4", value = "c2h4")
	private String c2h4;

	/** @Fields c2h6 : */
	@ApiModelProperty(name = "c2h6", value = "c2h6")
	private String c2h6;

	/** @Fields zj : 总烃 */
	@ApiModelProperty(name = "zj", value = "总烃")
	private String zj;

	/** @Fields co : */
	@ApiModelProperty(name = "co", value = "co")
	private String co;

	/** @Fields co2 : */
	@ApiModelProperty(name = "co2", value = "co2")
	private String co2;





	/** @Fields tmp :温度 */
	@ApiModelProperty(name = "tmp", value = "温度")
	private String tmp;

	/** @Fields dew :湿度*/
	@ApiModelProperty(name = "dew", value = "湿度")
	private String dew;

	/** @Fields mst :微水 */
	@ApiModelProperty(name = "mst", value = "微水")
	private String mst;

	/** @Fields flatGas :瓦斯继电器中故障气 */
	@ApiModelProperty(name = "flatgas", value = "瓦斯继电器中故障气")
	private String flatgas;


	/** @Fields cmbuGas : 总可燃气体 */
	@ApiModelProperty(name = "cmbugas", value = "总可燃气体")
	private String cmbugas;



	/*****************************************变压器绝缘试验-油质试验*****************************************/

	/** @Fields oillMedium : 油介质 */
	@ApiModelProperty(name = "oillMedium", value = "油介质")
	private String oillMedium;

	/** @Fields oilBreakdownVoltage : 油击穿电压 */
	@ApiModelProperty(name = "oilBreakdownVoltage", value = "油击穿电压 ")
	private String oilBreakdownVoltage;

	/** @Fields waterInOil : 油中微水 */
	@ApiModelProperty(name = "waterInOil", value = "油中微水")
	private String waterInOil;

	/*****************************************变压器绝缘试验-糠醛指标*****************************************/
	/** @Fields furfural :糠醛 */
	@ApiModelProperty(name = "furfural", value = "糠醛 ")
	private String furfural;

	/*****************************************变压器绝缘试验-绝缘纸实验*****************************************/

	/** @Fields degreeCardboard :纸板聚合度 */
	@ApiModelProperty(name = "degreeCardboard", value = "纸板聚合度 ")
	private String degreeCardboard;

	/*****************************************变压器绝缘试验-例行试验*****************************************/

	/** @Fields polarizatioIndex : 极化指数 */
	@ApiModelProperty(name = "polarizatioIndex", value = "极化指数")
	private String polarizatioIndex;

	/** @Fields partialDischarge :局放 */
	@ApiModelProperty(name = "partialDischarge", value = "局放")
	private String partialDischarge;

	/** @Fields insulationResistance : 绝缘电阻 */
	@ApiModelProperty(name = "insulationResistance", value = "绝缘电阻")
	private String insulationResistance;

	/** @Fields insulationResistanceAbsorptionRatio : 绝缘电阻吸收比 */
	@ApiModelProperty(name = "insulationResistanceAbsorptionRatio", value = "绝缘电阻吸收比")
	private String insulationResistanceAbsorptionRatio;

	/** @Fields phaseDifferenceDcResistance : 绕组直流电阻相间差 */
	@ApiModelProperty(name = "phaseDifferenceDcResistance", value = "绕组直流电阻相间差")
	private String phaseDifferenceDcResistance;

	/** @Fields lineDifferenceDcResistance : 绕组直流电阻线间差 */
	@ApiModelProperty(name = "lineDifferenceDcResistance", value = "绕组直流电阻线间差")
	private String lineDifferenceDcResistance;

	/** @Fields windingInsulationDielectricLoss : 绕组绝缘介损 */
	@ApiModelProperty(name = "windingInsulationDielectricLoss", value = "绕组绝缘介损")
	private String windingInsulationDielectricLoss;

	/** @Fields coreInsulationResistance : 铁芯接地电阻 */
	@ApiModelProperty(name = "coreInsulationResistance", value = "铁芯接地电阻")
	private String coreInsulationResistance;


//
//	/** @Fields endScreenInsulationResistance :末屏绝缘电阻 */
//	@ApiModelProperty(name = "endScreenInsulationResistance", value = "末屏绝缘电阻")
//	private String endScreenInsulationResistance;
//
//	/** @Fields casingDielectricLoss : 套管介损 */
//	@ApiModelProperty(name = "casingDielectricLoss", value = "套管介损")
//	private String casingDielectricLoss;
//
//	/** @Fields casingH2 : 套管H2 */
//	@ApiModelProperty(name = "casingH2", value = "套管H2")
//	private String casingH2;
//
//	/** @Fields casingCh4 : 套管CH4 */
//	@ApiModelProperty(name = "casingCh4", value = "套管CH4")
//	private String casingCh4;
//
//	/** @Fields casingC2h2 : 套管C2H2 */
//	@ApiModelProperty(name = "casingC2h2", value = "套管C2H2")
//	private String casingC2h2;

	/*****************************************压器绝缘试验-诊断性试验*****************************************/

	/** @Fields waterContentOfInsulatingPaper : 绝缘纸含水量（质量分数%） */
	@ApiModelProperty(name = "waterContentOfInsulatingPaper", value = "绝缘纸含水量（质量分数%）")
	private String waterContentOfInsulatingPaper;

	/** @Fields noloadCurrentAndNoloadLossRate :空载电流、空载损耗变化率(%) */
	@ApiModelProperty(name = "noloadCurrentAndNoloadLossRate", value = "空载电流、空载损耗变化率(%) ")
	private String noloadCurrentAndNoloadLossRate;

	/** @Fields shortCircuitImpedanceChangeRate : 短路阻抗变化率(%) */
	@ApiModelProperty(name = "shortCircuitImpedanceChangeRate", value = "短路阻抗变化率(%)")
	private String shortCircuitImpedanceChangeRate;

	/** @Fields coreGroundCurrent :铁芯接地电流(mA) */
	@ApiModelProperty(name = "coreGroundCurrent", value = "铁芯接地电流(mA)")
	private String coreGroundCurrent;

	/** @Fields dcLeakageCurrentWinding : 绕组直流泄露电流（μA） */
	@ApiModelProperty(name = "dcLeakageCurrentWinding", value = "绕组直流泄露电流（μA）")
	private String dcLeakageCurrentWinding;

	/*****************************************变压器绝缘试验-声级振动*****************************************/

	/** @Fields secondaryVibration : 副边振动 */
	@ApiModelProperty(name = "secondaryVibration", value = "副边振动 ")
	private String secondaryVibration;

	/** @Fields primaryVibration : 原边振动 */
	@ApiModelProperty(name = "primaryVibration", value = "原边振动 ")
	private String primaryVibration;

	/** @Fields noise : 噪声 */
	@ApiModelProperty(name = "noise", value = "噪声")
	private String noise;

	/** @Fields neutralPointCurrent : 中性点电流 */
	@ApiModelProperty(name = "neutralPointCurrent", value = "中性点电流")
	private String neutralPointCurrent;

    /*****************************************变压器设计、标牌、运行环境、负荷权重*****************************************/
	/** @Fields neutralPointCurrent : 变压器设计、标牌、运行环境、负荷权重 */
	@ApiModelProperty(name = "operatingEnvironment", value = "变压器设计、标牌、运行环境、负荷权重")
	private String operatingEnvironment;

	/*****************************************变压器附件*****************************************/
	/** 变压器器身 */
	@ApiModelProperty(name = "oilLevelDrop", value = "油位下降")
	private String oilLevelDrop;

	@ApiModelProperty(name = "oilLeaksCount", value = "漏油次数")
	private String oilLeaksCount;

	@ApiModelProperty(name = "transformerNoise", value = "变压器噪声")
	private String transformerNoise;

	/** 变压器冷却系统 */
	@ApiModelProperty(name = "waterTemperature", value = "水温")
	private String waterTemperature;

	@ApiModelProperty(name = "waterPressure", value = "水压")
	private String waterPressure;

	@ApiModelProperty(name = "environmentTemperature", value = "环境温度")
	private String environmentTemperature;

	@ApiModelProperty(name = "maintenanceCount", value = "风机损坏检修次数")
	private String maintenanceCount;

	/** 分接开关 */
	@ApiModelProperty(name = "oilPuncture", value = "油击穿电压变化率")
	private String oilPuncture;

	@ApiModelProperty(name = "transimissionGear", value = "传动机构有无问题")
	private String transmissionGear;

	/** 非电量保护装置 */
	@ApiModelProperty(name = "relayAction", value = "继电器动作")
	private String relayAction;

	@ApiModelProperty(name = "reliefValveAction", value = "压力释放阀动作")
	private String reliefValveAction;

	/** 高压套管 */
	@ApiModelProperty(name = "endScreenInsulationResistance", value = "末屏绝缘电阻")
	private String endScreenInsulationResistance;

	@ApiModelProperty(name = "totalCurrent", value = "全电流")
	private String totalCurrent;

	@ApiModelProperty(name = "capacitativeCurrent", value = "容性电流")
	private String capacitiveCurrent;

	@ApiModelProperty(name = "resistiveCurrent", value = "阻性电流")
	private String resistiveCurrent;

	@ApiModelProperty(name = "infraredTemperature", value = "红外温度")
	private String infraredTemperature;

	@ApiModelProperty(name = "casingDielectricLoss", value = "套管介损")
	private String casingDielectricLoss;

	@ApiModelProperty(name = "endScreenDielectricDamage", value = "末屏介损")
	private String endScreenDielectricDamage;

	@ApiModelProperty(name = "finalScreenInsulationCapacitance", value = "末屏绝缘电容")
	private String finalScreenInsulationCapacitance;

	@ApiModelProperty(name = "capacitance", value = "电容量")
	private String capacitance;

	@ApiModelProperty(name = "casingH2", value = "套管H2")
	private String casingH2;

	@ApiModelProperty(name = "casingCh4", value = "套管CH4")
	private String casingCh4;

	@ApiModelProperty(name = "casingC2h2", value = "套管C2H2")
	private String casingC2h2;

	/*****************************************变压器负荷率*****************************************/
	@ApiModelProperty(name = "workingVoltage", value = "发电电压")
	private String workingVoltage;

	@ApiModelProperty(name = "workingCurrent", value = "发电电流")
	private String workingCurrent;

	@ApiModelProperty(name = "workingTime", value = "发电时长")
	private String workingTime;

	@ApiModelProperty(name = "pumpingVoltage", value = "抽水电压")
	private String pumpingVoltage;

	@ApiModelProperty(name = "pumpingCurrent", value = "抽水电流")
	private String pumpingCurrent;

	@ApiModelProperty(name = "pumpingTime", value = "抽水时长")
	private String pumpingTime;
}
