/**
 *
 */
package com.huatek.busi.vo;

import java.io.Serializable;
import java.time.LocalDate;
import java.time.LocalDateTime;

import org.springframework.format.annotation.DateTimeFormat;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
  * @ClassName: TransformerEvaluationResultsVo
  * @FullClassPath: com.huatek.busi.vo.TransformerEvaluationResultsVo
  * @Description: TODO
  * @author: Arno
  * @date: Sep 12, 2019 11:20:28 AM
  * @version: 1.0
  */
@ApiModel(value = "TransformerEvaluationResultsVo", description = "变压器评测结果分页")
@Data
@EqualsAndHashCode(callSuper = false)
public class TransformerEvaluationResultsVo implements Serializable {

	/** @Fields serialVersionUID : */
	private static final long serialVersionUID = -6573803113177945133L;

	@ApiModelProperty(name = "id", value = "主键id")
	private String id;

	/** @Fields mainTreeId : 站点树ID */
	@ApiModelProperty(name = "mainTreeId", value = "站点树ID")
	private String mainTreeId;

	/** @Fields designedLife :设计寿命 */
	@ApiModelProperty(name = "designedLife", value = "设计寿命")
	private double designedLife;

	/** @Fields designedLife :预期寿命 */
	@ApiModelProperty(name = "expectlife", value = "预期寿命")
	private double expectlife;

	/** @Fields surplusLife :剩余寿命 */
	@ApiModelProperty(name = "surplusLife", value = "剩余寿命")
	private double surplusLife;

	/** @Fields score: 分数 */
	@ApiModelProperty(name = "score", value = "分数")
	private double score;

	/** @Fields healthIndex: 健康指数 */
	@ApiModelProperty(name = "healthIndex", value = "健康指数")
	private String healthIndex;

	/** @Fields advice: 建议 */
	@ApiModelProperty(name = "advice", value = "建议 ")
	private String advice;

	/** @Fields futureFailureRate: 未来故障概率 */
	@ApiModelProperty(name = "futureFailureRate", value = "未来故障概率")
	private double futureFailureRate;

	/** @Fields agingRate: 自然老化率 */
	@ApiModelProperty(name = "agingRate", value = "自然老化率 ")
	private double agingRate;

	/** @Fields pc_date: 评测时间 */
	@ApiModelProperty(name = "evaluateDate", value = "评测时间")
	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private LocalDateTime evaluateDate;

	@ApiModelProperty(name = "safety", value = "安全性 ")
	private String safety ;

	/** @Fields reliability: 可靠性 */
	@ApiModelProperty(name = "reliability", value = "可靠性")
	private String reliability ;

	/** @Fields maintainability: 维修性 */
	@ApiModelProperty(name = "maintainability", value = " 维修性 ")
	private String maintainability;

	/** @Fields economicRow: 经济性 */
	@ApiModelProperty(name = "economicRow", value = "经济性  ")
	private String economicRow ;

	/** @Fields monitoringAbility: 可监测性 */
	@ApiModelProperty(name = "monitoringAbility", value = "可监测性 ")
	private String monitoringAbility;

	/** @Fields amplitude: 幅值 */
	@ApiModelProperty(name = "amplitude", value = "幅值 ")
	private String amplitude;

	/** @Fields amplitude: 评估方式：1：手动 2：自动 */
	@ApiModelProperty(name = "type", value = "评估方式 ")
	private String type;
}
