package com.huatek.busi.vo;

import java.io.Serializable;
import java.math.BigDecimal;
import java.time.LocalDateTime;

import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * 变压器气象实时数据 Vo
 *
 * @author anker_cheng
 * @date Jun 28, 2019 4:19:40 PM
 */
@Data
@EqualsAndHashCode(callSuper = false)
public class TransformerMeteorologicalCacheVo implements Serializable {
    private static final long serialVersionUID = 1L;
    /**
     * 
     */
    private String id;
    /**
     * 站点id
     */
    private String siteId;
    /**
     * 设备编码
     */
    private String siteEqmCode;
    /**
     * 监测时间 
     */
    private LocalDateTime dTime;
    /**
     * 气温(℃)
     */
    private BigDecimal airTemperature;
    /**
     * 气压
     */
    private BigDecimal airPressure;
    /**
     * 湿度
     */
    private BigDecimal humidity;
}