package com.huatek.busi.vo;

import java.io.Serializable;
import java.math.BigDecimal;
import java.time.LocalDate;
import java.time.LocalDateTime;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * 变压器局部放电暂存数据( 类型编码 ：021001) Vo
 *
 * @author anker_cheng
 * @date Oct 21, 2019 4:21:21 PM
 */
@ApiModel(value = "TransformerPdCacheVo", description = "变压器局部放电暂存数据(  类型编码 ：021001) Vo")
@Data
@EqualsAndHashCode(callSuper = false)
public class TransformerPdCacheVo implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 
     */
    @ApiModelProperty(name = "id", value = "")
    private String id;

    /**
     * 监测时间
     */
    @ApiModelProperty(name = "dTime", value = "监测时间 ")
    private LocalDateTime dTime;

    /**
     * 被监测设备相别
     */
    @ApiModelProperty(name = "phase", value = "被监测设备相别")
    private String phase;

    /**
     * 放电量(pC 或 mV 或 dB)
     */
    @ApiModelProperty(name = "dischargeCapacity", value = "放电量(pC 或 mV 或 dB)")
    private String dischargeCapacity;

    /**
     * 放电位置
     */
    @ApiModelProperty(name = "dischargePosition", value = "放电位置")
    private String dischargePosition;

    /**
     * 
     */
    @ApiModelProperty(name = "dichangeCount", value = "")
    private BigDecimal dichangeCount;

    /**
     * CAC 唯一标识
     */
    @ApiModelProperty(name = "cacId", value = "CAC 唯一标识")
    private String cacId;

    /**
     * 设备编码
     */
    @ApiModelProperty(name = "sensorId", value = "设备编码")
    private String sensorId;

    /**
     * 峰值
     */
    @ApiModelProperty(name = "peak", value = "峰值")
    private BigDecimal peak;

    /**
     * 站点Id
     */
    @ApiModelProperty(name = "siteId", value = "站点Id")
    private String siteId;

    /**
     * 电站设备编码
     */
    @ApiModelProperty(name = "siteEqmCode", value = "电站设备编码")
    private String siteEqmCode;

    /**
     * 生成时间
     */
    @ApiModelProperty(name = "createdTime", value = "生成时间")
    private LocalDateTime createdTime;

    /**
     * 修改时间
     */
    @ApiModelProperty(name = "modifiedTime", value = "修改时间")
    private LocalDateTime modifiedTime;

    /**
     * 站点设备树ID
     */
    @ApiModelProperty(name = "mainTreeId", value = "站点设备树ID")
    private String mainTreeId;

    /**
     * 外挂设备树ID
     */
    @ApiModelProperty(name = "subTreeId", value = "外挂设备树ID")
    private String subTreeId;

    @ApiModelProperty(name = "equipmentName", value = "设备名称")
    private String equipmentName;

    @ApiModelProperty(name = "equipmentBrand", value = "设备标牌")
    private String equipmentBrand;

    @ApiModelProperty(name = "manufactor", value = "设备生产厂家")
    private String manufactor;

    @ApiModelProperty(name = "useDate", value = "设备投运日期")
    private LocalDate useDate;

    @ApiModelProperty(name = "installLocation", value = "设备安装位置")
    private String installLocation;

    @ApiModelProperty(name = "repairCount", value = "维修次数")
    private Integer repairCount;
    
    @ApiModelProperty(name = "equipmentId", value = "外挂设备信息ID")
    private String equipmentId;
    
    @ApiModelProperty(name = "matlabImage", value = "局放Matlab谱图")
    private String matlabImage;
    
    @ApiModelProperty(name = "falseAlarmRate", value = "误报率")
    private String falseAlarmRate;
    

    @ApiModelProperty(name = "dschType", value = "放电类型 0-正常  1-尖端放电 2-悬浮放电 3-沿面放电 4-内部放电 5-颗粒放电 6-外部干扰 7- 其它")
    private String dschType;
}