package com.huatek.busi.vo;

import java.io.Serializable;
import java.time.LocalDateTime;

import com.huatek.busi.common.annotation.ExcelAnnotation;

import lombok.Data;
import lombok.EqualsAndHashCode;

@Data
@EqualsAndHashCode(callSuper = false)
public class TransformerReadTableVo implements Serializable {
    private static final long serialVersionUID = 1L;

    /**
     * 
     */
    private String id;

    /**
     * 站点id
     */
    private String siteId;

    /**
     * 主设备Id
     */
    private String mainTreeId;
    
    /**
     * 设备编号
     */
    @ExcelAnnotation(exportName="设备编号")
    private String systemCode;
    
    /**
     * 设备名称
     */
    @ExcelAnnotation(exportName="设备名称")
    private String equipmentName;

    /**
     * sensor_code
     */
    @ExcelAnnotation(exportName="传感器编号")
    private String sensorCode;
    
    /**
     * sensor_name
     */
    @ExcelAnnotation(exportName="传感器名称")
    private String sensorName;

    /**
     * 读表数据
     */
    @ExcelAnnotation(exportName="读表数据")
    private String dataval;
    

    /**
     * 检测时间
     */
    @ExcelAnnotation(exportName="监测时间")
    private LocalDateTime dTime;

    /**
     * 图片存储路径
     */
    private String picpath;
}