package com.huatek.busi.vo;

import java.io.Serializable;
import java.time.LocalDateTime;

import org.springframework.format.annotation.DateTimeFormat;

import com.huatek.busi.common.annotation.ExcelAnnotation;

import lombok.Data;
import lombok.EqualsAndHashCode;


@Data
@EqualsAndHashCode(callSuper = false)
public class TransformerRunStatusVo  implements Serializable {
    private static final long serialVersionUID = 1L;

    /**
     * 
     */
    private String id;

    /**
     * 站点ID
     */
    private String siteId;
    
    /**
     * 站点名称
     */
    private String siteName;

    /**
     * 站点设备树ID（主设备ID）
     */
    private String mainTreeId;
    
    /**
     * 站点设备树名称（主设备ID）
     */
    private String mainTreeName;
    
    /**
     * 系统设备编码
     */
    @ExcelAnnotation(exportName = "设备编号")
    private String systemCode;
    
    /**
     * 系统设备名称
     */
    @ExcelAnnotation(exportName = "设备名称")
    private String equipmentName;

    /**
     * 工作状态（1：发电、2：抽水、3：空闲）
     */
    private String workStatus;

    /**
     * 监测时间
     */
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime timeStamp;
    
    /**
     * 监测时间
     */
    @ExcelAnnotation(exportName = "监测时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime jcTime;
    
    /**
     * 冷却进口压力
     */
    @ExcelAnnotation(exportName = "冷却水进口压力(MPa)")
    private String coolingEntryPressure;

    /**
     * 冷却出口压力
     */
    @ExcelAnnotation(exportName = "冷却水出口压力(MPa)")
    private String coolingExitPressure;
    
    /**
     * 变压器本体油温(℃)
     */
    @ExcelAnnotation(exportName = "变压器本体油温(℃)")
    private String oilTemperature;
    
    /**
     * 变压器顶层油温(℃)
     */
    @ExcelAnnotation(exportName = "变压器顶层油温(℃)")
    private String topOilTemperature;

    /**
     * 变压器油位
     */
    @ExcelAnnotation(exportName = "变压器油位")
    private String oilPosition;

    /**
     * 变压器油枕油位
     */
    @ExcelAnnotation(exportName = "变压器油枕油位")
    private String oilpillowOillevel;
    
    
    /**
     * 变压器油进口油压力(MPa)
     */
    @ExcelAnnotation(exportName = "变压器油进口油压力(MPa)")
    private String circulatingOilInletPressure;
    
    /**
     * 变压器油出口油压力(MPa)
     */
    @ExcelAnnotation(exportName = "变压器油出口油压力(MPa)")
    private String circulatingOilOutletPressure;
    
    
    
    /**
     * 变压器油进口温度（℃）
     */
    @ExcelAnnotation(exportName = "变压器油进口温度（℃）")
    private String coolingwaterInletTemperature;
    
    /**
     * 变压器油出口温度（℃）
     */
    @ExcelAnnotation(exportName = "变压器油出口温度（℃）")
    private String coolingwaterOutletTemperature;
    
    
    
    /**
     * 绕组温度（℃）
     */
    @ExcelAnnotation(exportName = "绕组温度（℃）")
    private String windingTemperature;
    
    
   
    /**
     * 油温阈值
     */
    private String oilTemperatureVal;

    /**
     * 油位阈值
     */
    private String oilPositionVal;

    /**
     * 冷却进口压力(MPa)阈值
     */
    private String coolingEntryPressureVal;

    /**
         * 冷却水出口温度阈值
     */
    private String coolingExitPressureVal;
    
    /**
         * 冷却水出口温度阈值
     */
    private String  coolingEntryTemperatureVal;
    /**
         * 冷却水出口温度阈值
     */
    private String  coolingExitTemperatureVal;
    
    /**
         * 绕组温度
     */
     private String  windingTemperatureVal;
    /**
         * 循环油进口压力
     */
    private String circulatingEntryPressureVal;
    /**
         * 变压器本体油位
     */
    private String  transformerOntologyOillevelVal;
    /**
             * 顶层油温
     */
    private String  topOilTemperatureVal;
}