package com.huatek.busi.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;
import java.time.LocalDate;
import java.time.LocalDateTime;

/**
 * 变压器绕组监测暂存数据 Vo
 *
 * @author anker_cheng
 * @date Oct 21, 2019 7:57:41 PM
 */
@ApiModel(value = "TransformerWindingTemperatureCacheVo", description = "变压器绕组监测暂存数据 Vo")
@Data
@EqualsAndHashCode(callSuper = false)
public class TransformerWindingTemperatureCacheVo implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     *
     */
    @ApiModelProperty(name = "id", value = "")
    private String id;

    /**
     *
     */
    @ApiModelProperty(name = "eqmId", value = "")
    private String eqmId;

    /**
     * 被监测设备相别(A/B/C)
     */
    @ApiModelProperty(name = "phase", value = "被监测设备相别(A/B/C)")
    private String phase;

    /**
     * 监测时间
     */
    @ApiModelProperty(name = "dTime", value = "监测时间 ")
    private LocalDateTime dTime;

    /**
     * 最高温度
     */
    @ApiModelProperty(name = "hTemperature", value = "最高温度")
    private String hTemperature;

    /**
     * 最低温度
     */
    @ApiModelProperty(name = "lTemperature", value = "最低温度")
    private String lTemperature;

    /**
     * 平均温度
     */
    @ApiModelProperty(name = "avgTmp", value = "平均温度")
    private String avgTmp;

    /**
     * 设备编码
     */
    @ApiModelProperty(name = "sensorId", value = "设备编码")
    private String sensorId;

    /**
     * 站点Id
     */
    @ApiModelProperty(name = "siteId", value = "站点Id")
    private String siteId;

    /**
     * 站点设备编码
     */
    @ApiModelProperty(name = "siteEqmCode", value = "站点设备编码")
    private String siteEqmCode;

    /**
     * 创建时间
     */
    @ApiModelProperty(name = "createdTime", value = "创建时间")
    private LocalDateTime createdTime;

    /**
     * 修改时间
     */
    @ApiModelProperty(name = "modifiedTime", value = "修改时间")
    private LocalDateTime modifiedTime;

    /**
     * 站点设备树ID
     */
    @ApiModelProperty(name = "mainTreeId", value = "站点设备树ID")
    private String mainTreeId;

    /**
     * 外挂设备树ID
     */
    @ApiModelProperty(name = "subTreeId", value = "外挂设备树ID")
    private String subTreeId;

    /**
     * 类型:021010--变压器; 024007--GIS; 023002--避雷器
     */
    @ApiModelProperty(name = "type", value = "类型:021010--变压器; 024007--GIS; 023002--避雷器")
    private String type;

    @ApiModelProperty(name = "runState", value = "工作状态")
    private String runState;

    @ApiModelProperty(name = "equipmentName", value = "设备名称")
    private String equipmentName;

    @ApiModelProperty(name = "equipmentBrand", value = "设备标牌")
    private String equipmentBrand;

    @ApiModelProperty(name = "manufactor", value = "设备生产厂家")
    private String manufactor;

    @ApiModelProperty(name = "useDate", value = "设备投运日期")
    private LocalDate useDate;

    @ApiModelProperty(name = "installLocation", value = "设备安装位置")
    private String installLocation;

    @ApiModelProperty(name = "thresholdValue", value = "阈值")
    private String thresholdValue;

    @ApiModelProperty(name = "sensorName", value = "传感器名称")
    private String sensorName;

    @ApiModelProperty(name = "sensorBrand", value = "传感器标牌")
    private String sensorBrand;

    @ApiModelProperty(name = "repairCount", value = "维修次数")
    private Integer repairCount;

    @ApiModelProperty(name = "falseAlarmRate", value = "误报率")
    private String falseAlarmRate;

    @ApiModelProperty(name = "equipmentId", value = "外挂设备信息ID")
    private String equipmentId;
}
