package com.huatek.busi.vo.cable;

import com.huatek.torch.sql.annotation.FieldName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.time.LocalDate;
import java.time.LocalDateTime;

/**
 * 电缆环流日统计
 *
 * @author Bobi_huo
 * @date 2020-09-16 14:56
 */
@ApiModel(value = "BusiCableCirculationThresholdDto", description = "电缆环流日统计 Vo")
@Data
@EqualsAndHashCode(callSuper = false)
public class BusiCableCirculationIncreaseRateCacheVo implements Serializable {

    private static final long serialVersionUID = -3234895593526266652L;

    /**
     * 主键ID
     */
    @ApiModelProperty(name = "id", value = "主键ID")
    private String id;

    /**
     * 站点ID
     */
    @ApiModelProperty(name = "siteId", value = "站点ID")
    private String siteId;

    /**
     * 外挂设备树ID
     */
    @ApiModelProperty(name = "subTreeId", value = "外挂设备树ID")
    private String subTreeId;

    /**
     * 站点设备树ID
     */
    @ApiModelProperty(name = "mainTreeId", value = "站点设备树ID")
    private String mainTreeId;


    /**
     * 统计时间
     */
    @ApiModelProperty(name = "dTime", value = "统计时间")
    private LocalDate dTime;

    /**
     * 电流(mA)
     */
    @ApiModelProperty(name = "totalCoreCurrent", value = "电流(A)")
    private String totalCoreCurrent;

    /**
     * 创建时间
     */
    @ApiModelProperty(name = "createTime", value = "创建时间")
    private String createTime;

    /**
     * 传感器编码
     */
    @ApiModelProperty(name = "sensorCode", value = "传感器编码")
    private String sensorCode;
}
