package com.huatek.busi.vo.cable;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.*;

import java.io.Serializable;
import java.time.LocalDate;
import java.time.LocalDateTime;

@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@ApiModel(value = "BusiCableCirculationIncreaseRateVo", description = "电缆环流增长率缓存 Vo")
public class BusiCableCirculationIncreaseRateVo implements Serializable {

    private static final long serialVersionUID = -3234895593526266652L;

    /**
     * 主键ID
     */
    @ApiModelProperty(name = "id", value = "主键ID")
    private String id;

    /**
     * 站点ID
     */
    @ApiModelProperty(name = "siteId", value = "站点ID")
    private String siteId;

    /**
     * 传感器编码
     */
    @ApiModelProperty(name = "sensorId", value = "传感器编码")
    private String sensorId;

    /**
     * 外挂设备树ID
     */
    @ApiModelProperty(name = "subTreeId", value = "外挂设备树ID")
    private String subTreeId;

    /**
     * 站点设备树ID
     */
    @ApiModelProperty(name = "mainTreeId", value = "站点设备树ID")
    private String mainTreeId;


    /**
     * 统计时间
     */
    @ApiModelProperty(name = "dTime", value = "统计时间")
    private LocalDate dTime;



    /**
     * 电流平均值
     */
    @ApiModelProperty(name = "averageCurrent", value = "电流平均值")
    private String averageCurrent;

    /**
     * 日增长率
     */
    @ApiModelProperty(name = "dailyGrowthRate", value = "日增长率")
    private String dailyGrowthRate;

    /**
     * 日增长率阈值
     */
    @ApiModelProperty(name = "relativeGrowthDayVal", value = "日增长率阈值")
    private String relativeGrowthDayVal;


    /**
     * 日增长率预警值
     */
    @ApiModelProperty(name = "relativeGrowthPrewarningDayVal", value = "日增长率预警值")
    private String relativeGrowthPrewarningDayVal;

    /**
     * 月增长率
     */
    @ApiModelProperty(name = "monthlyGrowthRate", value = "月增长率")
    private String monthlyGrowthRate;

    /**
     * 月增长率阈值
     */
    @ApiModelProperty(name = "relativeGrowthMonthVal", value = "月增长率阈值")
    private String relativeGrowthMonthVal;

    /**
     * 月增长率预警值
     */
    @ApiModelProperty(name = "relativeGrowthPrewarningMonthVal", value = "月增长率预警值")
    private String relativeGrowthPrewarningMonthVal;

    /**
     * 月平均电流
     */
    @ApiModelProperty(name = "monthAverageCurrent", value = "月平均电流")
    private String monthAverageCurrent;

    /**
     * 创建时间
     */
    @ApiModelProperty(name = "createTime", value = "创建时间")
    private LocalDateTime createTime;
}
