package com.huatek.busi.vo.curve;

import java.io.Serializable;
import java.math.BigDecimal;
import java.time.LocalDate;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * sensor曲线图，一天一个点 Vo
 *
 * @author anker_cheng
 * @date Aug 30, 2019 1:43:38 PM
 */
@ApiModel(value = "CurveSensorEntityVo", description = "sensor曲线图，一天一个点 Vo")
@Data
@EqualsAndHashCode(callSuper = false)
public class CurveSensorEntityVo implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键ID
     */
    @ApiModelProperty(name = "id", value = "主键ID")
    private String id;

    /**
     * 传感器编码sensorCode
     */
    @ApiModelProperty(name = "sensorCode", value = "传感器编码sensorCode")
    private String sensorCode;

    /**
     * 子类型，比如油色谱一个sensor含有多种气体，每个气体每天一个点
     */
    @ApiModelProperty(name = "subType", value = "子类型，比如油色谱一个sensor含有多种气体，每个气体每天一个点")
    private String subType;

    /**
     * 日期
     */
    @ApiModelProperty(name = "day", value = "日期")
    private LocalDate day;

    /**
     * 点的值
     */
    @ApiModelProperty(name = "val", value = "点的值")
    private BigDecimal val;
}