package com.huatek.busi.vo.dataoutput;

import java.io.Serializable;
import java.time.LocalDate;
import java.time.LocalDateTime;

import org.springframework.format.annotation.DateTimeFormat;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * 数据输出记录 Vo
 *
 * @author anker_cheng
 * @date Oct 12, 2019 9:58:03 AM
 */
@ApiModel(value = "DataOutputEntityVo", description = "数据输出记录 Vo")
@Data
@EqualsAndHashCode(callSuper = false)
public class DataOutputEntityVo implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键ID
     */
    @ApiModelProperty(name = "id", value = "主键ID")
    private String id;

    @ApiModelProperty(name = "siteId", value = "站点ID")
    private String siteId;

    @ApiModelProperty(name = "siteName", value = "站点名称")
    private String siteName;

    /**
     * 站点设备树ID
     */
    @ApiModelProperty(name = "mainTreeId", value = "站点设备树ID")
    private String mainTreeId;

    @ApiModelProperty(name = "mainTreeName", value = "站点设备名")
    private String mainTreeName;
    
    /**
     * 生产厂家
     */
    @ApiModelProperty(name = "manufacturer", value = "生产厂家")
    private String manufacturer;
    
    /**
     * 投运日期
     */
    @ApiModelProperty(name = "equipmentDeliveryTime", value = "投运日期")
    private String equipmentDeliveryTime;
    
    /**
     * 外挂设备树ID
     */
    @ApiModelProperty(name = "subTreeId", value = "外挂设备树ID")
    private String subTreeId;
    @ApiModelProperty(name = "subTreeName", value = "外挂设备名")
    private String subTreeName;
    
    

    /**
     * 数据日期
     */
    @ApiModelProperty(name = "day", value = "数据日期")
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    private LocalDate day;

    /**
     * 文件路径(相对路径)
     */
    @ApiModelProperty(name = "filePath", value = "文件路径(相对路径)")
    private String filePath;

    /**
     * 文件名
     */
    @ApiModelProperty(name = "fileName", value = "文件名")
    private String fileName;

    /**
     * 记录生成时间
     */
    @ApiModelProperty(name = "createdTime", value = "记录生成时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime createdTime;

    /**
     * 下载次数
     */
    @ApiModelProperty(name = "downloadTimes", value = "下载次数")
    private Integer downloadTimes;

    /**
     * 数据描述
     */
    @ApiModelProperty(name = "dataDesc", value = "数据描述")
    private String dataDesc;
}