package com.huatek.busi.vo.echarts;

import java.io.Serializable;
import java.util.List;

import com.google.common.collect.Lists;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * Echarts接口series响应数据Vo
 * 
 * @author anker_cheng
 * @date 2019/09/02
 */
@Data
@ApiModel(value = "SeriesItemVo", description = "Echart Line Series Item Vo")
public class SeriesItemVo implements Serializable {
    private static final long serialVersionUID = 6295284914461977178L;

    @ApiModelProperty(name = "name", value = "name")
    private String name;

    @ApiModelProperty(name = "data", value = "data")
    private List<Object> data;

    public SeriesItemVo() {

    }

    public SeriesItemVo(String name, List<Object> data) {
        this.name = name;
        this.data = data;
    }

    public SeriesItemVo(String name, int dateLength) {
        this.name = name;
        this.data = Lists.newArrayListWithCapacity(dateLength);
    }
}
