package com.huatek.busi.vo.monitor;

import java.io.Serializable;
import java.time.LocalDate;

import org.springframework.format.annotation.DateTimeFormat;

import com.huatek.busi.common.annotation.ExcelAnnotation;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * 在线监测-变压器容性数据导出
 * @author Administrator
 *
 */
@Data
@EqualsAndHashCode(callSuper = false)
public class BusiMonitorCapacitiveDataVo implements Serializable {
	
	private static final long serialVersionUID = 1L;
	
	@ApiModelProperty(name = "equipmentType", value = "变电设备类型")
    @ExcelAnnotation(exportName="变电设备类型")
    private String equipmentType;
    
    
    @ApiModelProperty(name = "siteTreename", value = "变电设备")
    @ExcelAnnotation(exportName="变电设备类型")
    private String siteTreename;
    
    
    @ApiModelProperty(name = "subEquipmentType", value = "监测装置类型")
    @ExcelAnnotation(exportName="监测装置类型")
    private String subEquipmentType;
    
    
    @ApiModelProperty(name = "subTreeName", value = "监测装置")
    @ExcelAnnotation(exportName="监测装置")
    private String subTreeName;
    
    @ApiModelProperty(name = "sensorName", value = "传感器名称")
    @ExcelAnnotation(exportName="传感器名称")
    private String  sensorName;
    
    @ApiModelProperty(name = "sensorInstallLocation", value = "安装位置")
    @ExcelAnnotation(exportName="安装位置")
    private String  sensorInstallLocation;
    
    @ApiModelProperty(name = "sensorposition", value = "安装相位")
    @ExcelAnnotation(exportName="安装相位")
    private String  sensorposition;
    
    @ApiModelProperty(name = "sensorBrand", value = "标牌")
    @ExcelAnnotation(exportName="标牌")
    private String  sensorBrand;
    
    @ApiModelProperty(name = "totalCurrent", value = "泄露电流")
    @ExcelAnnotation(exportName="泄露电流")
	private String totalCurrent;
    
    @ApiModelProperty(name = "capacitanceStability", value = "稳定性-电容")
    @ExcelAnnotation(exportName="稳定性-电容")
	private String capacitanceStability;
    
    
    @ApiModelProperty(name = "lossFactorStability", value = "稳定性-介质损耗因数(tg)")
    @ExcelAnnotation(exportName="稳定性-介质损耗因数(tg)")
	private String lossFactorStability;
    
    
    @ApiModelProperty(name = "lossFactor", value = "介质损耗因数(tgθ)")
    @ExcelAnnotation(exportName="介质损耗因数(tgθ)")
	private String lossFactor;
    

    @ApiModelProperty(name = "day", value = "日期")
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    @ExcelAnnotation(exportName="采集日期")
    private LocalDate day;

    /**
     * 数据缺失率
     */
    @ApiModelProperty(name = "lossRate", value = "数据缺失率")
    @ExcelAnnotation(exportName="数据缺失率")
    private String lossRate;
    
    /**
     * 误报率
     */
    @ApiModelProperty(name = "falseAlarmRate", value = "误报率")
    @ExcelAnnotation(exportName="误报率")
    private String falseAlarmRate;
    
    
    
    /**
     * 三相不平衡电流(mA)
     */
    @ApiModelProperty(name = "unbalanceCurrent", value = "三相不平衡电流(mA)")
    @ExcelAnnotation(exportName="三相不平衡电流(mA)")
    private String unbalanceCurrent;
    
    
    
    
    /**
     * 三相不平衡电压(mA)
     */
    @ApiModelProperty(name = "unbalanceVoltage", value = "三相不平衡电压(mA)")
    @ExcelAnnotation(exportName="三相不平衡电压(mA)")
    private String unbalanceVoltage;
    
    
    /**
     * 系统电压
     */
    @ApiModelProperty(name = "totalCurrent", value = "系统电压")
    @ExcelAnnotation(exportName="系统电压")
    private String systemVoltage;

    /**
     * 维修次数
     */
    @ApiModelProperty(name = "repairCount", value = "维修次数")
    @ExcelAnnotation(exportName="维修次数")
    private String repairCount;
    
    
    @ApiModelProperty(name = "sensorManufactor", value = "生产厂家")
    @ExcelAnnotation(exportName="生产厂家")
    private String  sensorManufactor;
    
    
    @ApiModelProperty(name = "sensorUseDate", value = "投运时间")
    @ExcelAnnotation(exportName="投运时间")
    private String  sensorUseDate;
}
