package com.huatek.busi.vo.monitor;

import java.io.Serializable;
import java.time.LocalDate;

import org.springframework.format.annotation.DateTimeFormat;

import com.huatek.busi.common.annotation.ExcelAnnotation;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;


/**
 * 变压器-铁芯夹件导出VO
 * @author Administrator
 *
 */
@Data
@EqualsAndHashCode(callSuper = false)
public class BusiMonitorIcgeDataVo implements Serializable {

	private static final long serialVersionUID = 1L;
	
    @ApiModelProperty(name = "equipmentType", value = "变电设备类型")
    @ExcelAnnotation(exportName="变电设备类型")
    private String equipmentType;
    
    
    @ApiModelProperty(name = "siteTreename", value = "变电设备")
    @ExcelAnnotation(exportName="变电设备")
    private String siteTreename;
    
    
    @ApiModelProperty(name = "subEquipmentType", value = "监测装置类型")
    @ExcelAnnotation(exportName="监测装置类型")
    private String subEquipmentType;
    
    
    @ApiModelProperty(name = "subTreeName", value = "监测装置")
    @ExcelAnnotation(exportName="监测装置")
    private String subTreeName;
    
    @ApiModelProperty(name = "sensorName", value = "传感器名称")
    @ExcelAnnotation(exportName="传感器名称")
    private String  sensorName;
    
    @ApiModelProperty(name = "sensorInstallLocation", value = "安装位置")
    @ExcelAnnotation(exportName="安装位置")
    private String  sensorInstallLocation;
    
    @ApiModelProperty(name = "sensorposition", value = "安装相位")
    @ExcelAnnotation(exportName="安装相位")
    private String  sensorposition;
    
    @ApiModelProperty(name = "sensorBrand", value = "标牌")
    @ExcelAnnotation(exportName="标牌")
    private String  sensorBrand;
    
    
    @ApiModelProperty(name = "runState", value = "工作状态")
    @ExcelAnnotation(exportName="运行状态")
    private String runState;
    
    
    
    @ApiModelProperty(name = "totalCoreCurrent", value = "铁芯电流")
    @ExcelAnnotation(exportName="铁芯电流")
	private String totalCoreCurrent;


    
    @ApiModelProperty(name = "day", value = "日期")
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    @ExcelAnnotation(exportName="采集日期")
    private LocalDate day;

	
    @ApiModelProperty(name = "totalCurrentStability", value = "稳定性")
    @ExcelAnnotation(exportName="稳定性")
	private String totalCurrentStability;
    

    /**
     * 误报率
     */
    @ApiModelProperty(name = "falseAlarmRate", value = "误报率")
    @ExcelAnnotation(exportName="误报率")
    private String falseAlarmRate;
    
    /**
     * 预警值
     */
    @ApiModelProperty(name = "totalCoreCurrentWarningValue", value = "预警值")
    @ExcelAnnotation(exportName="预警值")
    private String totalCoreCurrentWarningValue;
    
    
    @ApiModelProperty(name = "sensorManufactor", value = "生产厂家")
    @ExcelAnnotation(exportName="生产厂家")
    private String  sensorManufactor;
    
    @ApiModelProperty(name = "sensorUseDate", value = "投运时间")
    @ExcelAnnotation(exportName="投运时间")
    private String  sensorUseDate;


}
