package com.huatek.busi.vo.monitor;

import java.io.Serializable;
import java.time.LocalDate;

import org.springframework.format.annotation.DateTimeFormat;

import com.huatek.busi.common.annotation.ExcelAnnotation;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * 在线监测-变压器气象数据导出
 * @author Administrator
 *
 */
@Data
@EqualsAndHashCode(callSuper = false)
public class BusiMonitorMeteorologyDataVo implements Serializable {
	
	private static final long serialVersionUID = 1L;
	
	@ApiModelProperty(name = "equipmentType", value = "变电设备类型")
    @ExcelAnnotation(exportName="变电设备类型")
    private String equipmentType;
    
    
    @ApiModelProperty(name = "siteTreename", value = "变电设备")
    @ExcelAnnotation(exportName="变电设备")
    private String siteTreename;
    
    
    @ApiModelProperty(name = "subEquipmentType", value = "监测装置类型")
    @ExcelAnnotation(exportName="监测装置类型")
    private String subEquipmentType;
    
    
    @ApiModelProperty(name = "subTreeName", value = "监测装置")
    @ExcelAnnotation(exportName="监测装置")
    private String subTreeName;
    
    @ApiModelProperty(name = "sensorName", value = "传感器名称")
    @ExcelAnnotation(exportName="传感器名称")
    private String  sensorName;
    
    @ApiModelProperty(name = "sensorInstallLocation", value = "安装位置")
    @ExcelAnnotation(exportName="安装位置")
    private String  sensorInstallLocation;
    
    @ApiModelProperty(name = "sensorposition", value = "相位")
    @ExcelAnnotation(exportName="相位")
    private String  sensorposition;
    
    @ApiModelProperty(name = "sensorBrand", value = "标牌")
    @ExcelAnnotation(exportName="标牌")
    private String  sensorBrand;
    
    @ApiModelProperty(name = "temperature", value = "温度")
    @ExcelAnnotation(exportName="温度")
	private String temperature;
    
    @ApiModelProperty(name = "humidity", value = "湿度")
    @ExcelAnnotation(exportName="湿度")
	private String humidity;
    
    
    @ApiModelProperty(name = "airPressure", value = "气压")
    @ExcelAnnotation(exportName="气压")
	private String airPressure;
    
    
    @ApiModelProperty(name = "fengsu", value = "风速")
    @ExcelAnnotation(exportName="风速")
	private String fengsu;
    
    
    @ApiModelProperty(name = "precipitation", value = "降雨量")
    @ExcelAnnotation(exportName="降雨量")
	private String precipitation;
    
    
    @ApiModelProperty(name = "precipitationIntensity", value = "降水强度")
    @ExcelAnnotation(exportName="降水强度")
	private String precipitationIntensity;
    
    
    @ApiModelProperty(name = "radiationIntensity", value = "光辐射强度")
    @ExcelAnnotation(exportName="光辐射强度")
	private String radiationIntensity;
    

    @ApiModelProperty(name = "day", value = "日期")
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    @ExcelAnnotation(exportName="采集日期")
    private LocalDate day;

    /**
     * 数据缺失率
     */
    @ApiModelProperty(name = "lossRate", value = "数据缺失率")
    @ExcelAnnotation(exportName="数据缺失率")
    private String lossRate;
    
    /**
     * 误报率
     */
    @ApiModelProperty(name = "falseAlarmRate", value = "误报率")
    @ExcelAnnotation(exportName="误报率")
    private String falseAlarmRate;

    /**
     * 维修次数
     */
    @ApiModelProperty(name = "repairCount", value = "维修次数")
    @ExcelAnnotation(exportName="维修次数")
    private String repairCount;
    
    
    @ApiModelProperty(name = "sensorManufactor", value = "生产厂家")
    @ExcelAnnotation(exportName="生产厂家")
    private String  sensorManufactor;
    
    
    @ApiModelProperty(name = "sensorUseDate", value = "投运时间")
    @ExcelAnnotation(exportName="投运时间")
    private String  sensorUseDate;

}
