package com.huatek.busi.vo.monitor;

import java.io.Serializable;
import java.time.LocalDate;

import org.springframework.format.annotation.DateTimeFormat;

import com.huatek.busi.common.annotation.ExcelAnnotation;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;



/**
 * 在线监测-变压器油色谱数据导出
 * @author Administrator
 *
 */
@Data
@EqualsAndHashCode(callSuper = false)
public class BusiMonitorOilDataVo implements Serializable {
	
	private static final long serialVersionUID = 1L;
	
	@ApiModelProperty(name = "equipmentType", value = "变电设备类型")
    @ExcelAnnotation(exportName="变电设备类型")
    private String equipmentType;
    
    
    @ApiModelProperty(name = "siteTreename", value = "变电设备")
    @ExcelAnnotation(exportName="变电设备")
    private String siteTreename;
    
    
    @ApiModelProperty(name = "subEquipmentType", value = "监测装置类型")
    @ExcelAnnotation(exportName="监测装置类型")
    private String subEquipmentType;
    
    
    @ApiModelProperty(name = "subTreeName", value = "监测装置")
    @ExcelAnnotation(exportName="监测装置")
    private String subTreeName;
    
    @ApiModelProperty(name = "sensorName", value = "传感器名称")
    @ExcelAnnotation(exportName="传感器名称")
    private String  sensorName;
    
    @ApiModelProperty(name = "sensorInstallLocation", value = "安装位置")
    @ExcelAnnotation(exportName="安装位置")
    private String  sensorInstallLocation;
    
    @ApiModelProperty(name = "sensorposition", value = "安装相位")
    @ExcelAnnotation(exportName="安装相位")
    private String  sensorposition;
    
    /**
     * C02-监测值
     */
    @ApiModelProperty(name = "co2", value = "CO2监测值")
    @ExcelAnnotation(exportName="CO2监测值")
    private String  co2;
    
    /**
     * C02-阈值
     */
    @ApiModelProperty(name = "co2Threshold", value = "CO2阈值")
    @ExcelAnnotation(exportName="CO2阈值")
    private String  co2Threshold;
    
    /**
     * CO2-告警值
     */
    @ApiModelProperty(name = "co2AccuracyThreshold", value = "CO2允许精度(%)")
//    @ExcelAnnotation(exportName="CO2允许精度(%)")
    private String co2AccuracyThreshold;
    
    /**
     * CO2-相对增长率
     */
    @ApiModelProperty(name = "co2Increase", value = "CO2相对增长率")
    @ExcelAnnotation(exportName="CO2相对增长率")
    private String co2Increase;
    
    /**
     * CO2-绝对增长率
     */
    @ApiModelProperty(name = "co2AbsIncrease", value = "CO2绝对增长率")
    @ExcelAnnotation(exportName="CO2绝对增长率")
    private String co2AbsIncrease;
    
    /**
     * CH4-监测值
     */
    @ApiModelProperty(name = "ch4", value = "CH4监测值")
    @ExcelAnnotation(exportName="CH4监测值")
    private String  ch4;
    
    /**
     * CH4-阈值
     */
    @ApiModelProperty(name = "ch4Threshold", value = "CH4阈值")
    @ExcelAnnotation(exportName="CH4阈值")
    private String  ch4Threshold;
    
    /**
     * CH4-精度指标
     */
    @ApiModelProperty(name = "ch4AccuracyThreshold", value = "CH4允许精度(%)")
//    @ExcelAnnotation(exportName="CH4允许精度(%)")
    private String ch4AccuracyThreshold;
    
    /**
     * CH4-相对增长率
     */
    @ApiModelProperty(name = "ch4Increase", value = "CH4相对增长率")
    @ExcelAnnotation(exportName="CH4相对增长率")
    private String ch4Increase;
    
    /**
     * CH4-绝对增长率
     */
    @ApiModelProperty(name = "ch4AbsIncrease", value = "CH4绝对增长率")
    @ExcelAnnotation(exportName="CH4绝对增长率")
    private String ch4AbsIncrease;
    
    
    /**
     * C2H6-监测值
     */
    @ApiModelProperty(name = "c2h6", value = "C2H6监测值")
    @ExcelAnnotation(exportName="C2H6监测值")
    private String  c2h6;
    
    /**
     * C2H6-阈值
     */
    @ApiModelProperty(name = "ch4Threshold", value = "C2H6阈值")
    @ExcelAnnotation(exportName="C2H6阈值")
    private String  c2h6Threshold;
    
    /**
     * C2H6-精度指标
     */
    @ApiModelProperty(name = "c2h6AccuracyThreshold", value = "C2H6允许精度(%)")
//    @ExcelAnnotation(exportName="C2H6允许精度(%)")
    private String c2h6AccuracyThreshold;
    
    /**
     * C2H6-相对增长率
     */
    @ApiModelProperty(name = "c2h6Increase", value = "C2H6相对增长率")
    @ExcelAnnotation(exportName="C2H6相对增长率")
    private String c2h6Increase;
    
    /**
     * C2H6-绝对增长率
     */
    @ApiModelProperty(name = "c2h6AbsIncrease", value = "C2H6绝对增长率")
    @ExcelAnnotation(exportName="C2H6绝对增长率")
    private String c2h6AbsIncrease;
    
    
    /**
     * C2H4-监测值
     */
    @ApiModelProperty(name = "c2h4", value = "C2H4监测值")
    @ExcelAnnotation(exportName="C2H4监测值")
    private String  c2h4;
    
    /**
     * C2H4-阈值
     */
    @ApiModelProperty(name = "c2h4Threshold", value = "C2H4阈值")
    @ExcelAnnotation(exportName="C2H4阈值")
    private String  c2h4Threshold;
    
    /**
     * C2H4-精度指标
     */
    @ApiModelProperty(name = "c2h4AccuracyThreshold", value = "C2H4允许精度(%)")
//    @ExcelAnnotation(exportName="C2H4允许精度(%)")
    private String c2h4AccuracyThreshold;
    
    /**
     * C2H4-相对增长率
     */
    @ApiModelProperty(name = "c2h4Increase", value = "C2H4相对增长率")
    @ExcelAnnotation(exportName="C2H4相对增长率")
    private String c2h4Increase;
    
    /**
     * C2H4-绝对增长率
     */
    @ApiModelProperty(name = "c2h4AbsIncrease", value = "C2H4绝对增长率")
    @ExcelAnnotation(exportName="C2H4绝对增长率")
    private String c2h4AbsIncrease;
    
    
    
    /**
     * C2H2-监测值
     */
    @ApiModelProperty(name = "c2h2", value = "C2H2监测值")
    @ExcelAnnotation(exportName="C2H2监测值")
    private String  c2h2;
    
    /**
     * C2H2-阈值
     */
    @ApiModelProperty(name = "c2h2Threshold", value = "C2H2阈值")
    @ExcelAnnotation(exportName="C2H2阈值")
    private String  c2h2Threshold;
    
    /**
     * C2H2-精度指标
     */
    @ApiModelProperty(name = "c2h2AccuracyThreshold", value = "C2H2允许精度(%)")
//    @ExcelAnnotation(exportName="C2H2允许精度(%)")
    private String c2h2AccuracyThreshold;
    
    /**
     * C2H2-相对增长率
     */
    @ApiModelProperty(name = "c2h2Increase", value = "C2H2相对增长率")
    @ExcelAnnotation(exportName="C2H2相对增长率")
    private String c2h2Increase;
    
    /**
     * C2H2-绝对增长率
     */
    @ApiModelProperty(name = "c2h2AbsIncrease", value = "C2H2绝对增长率")
    @ExcelAnnotation(exportName="C2H2绝对增长率")
    private String c2h2AbsIncrease;
    
    
    /**
     * H2O-监测值
     */
    @ApiModelProperty(name = "h2o", value = "H2O监测值")
    @ExcelAnnotation(exportName="H2O监测值")
    private String  h2o;
    
    /**
     * H2O-阈值
     */
    @ApiModelProperty(name = "h2oThreshold", value = "H2O阈值")
    @ExcelAnnotation(exportName="H2O阈值")
    private String  h2oThreshold;
    
    /**
     * H2O-精度指标
     */
    @ApiModelProperty(name = "h2oAccuracyThreshold", value = "H2O允许精度(%)")
//    @ExcelAnnotation(exportName="H2O允许精度(%)")
    private String h2oAccuracyThreshold;
    
    /**
     * H2O-相对增长率
     */
    @ApiModelProperty(name = "h2oIncrease", value = "H2O相对增长率")
    @ExcelAnnotation(exportName="H2O相对增长率")
    private String h2oIncrease;
    
    /**
     * H2O-绝对增长率
     */
    @ApiModelProperty(name = "h2oAbsIncrease", value = "H2O绝对增长率")
    @ExcelAnnotation(exportName="H2O绝对增长率")
    private String h2oAbsIncrease;
    
    
    /**
     * O2-监测值
     */
    @ApiModelProperty(name = "o2", value = "o2监测值")
    @ExcelAnnotation(exportName="O2监测值")
    private String  o2;
    
    /**
     * O2-阈值
     */
    @ApiModelProperty(name = "o2Threshold", value = "O2阈值")
    @ExcelAnnotation(exportName="O2阈值")
    private String  o2Threshold;
    
    /**
     * O2-精度指标
     */
    @ApiModelProperty(name = "o2AccuracyThreshold", value = "O2允许精度(%)")
//    @ExcelAnnotation(exportName="O2允许精度(%)")
    private String o2AccuracyThreshold;
    
    /**
     * O2-相对增长率
     */
    @ApiModelProperty(name = "o2Increase", value = "O2相对增长率")
    @ExcelAnnotation(exportName="O2相对增长率")
    private String o2Increase;
    
    /**
     * O2-绝对增长率
     */
    @ApiModelProperty(name = "o2AbsIncrease", value = "O2绝对增长率")
    @ExcelAnnotation(exportName="O2绝对增长率")
    private String o2AbsIncrease;
    
    
    /**
     * N2-监测值
     */
    @ApiModelProperty(name = "n2", value = "N2监测值")
    @ExcelAnnotation(exportName="N2监测值")
    private String  n2;
    
    /**
     * N2-阈值
     */
    @ApiModelProperty(name = "n2Threshold", value = "N2阈值")
    @ExcelAnnotation(exportName="O2阈值")
    private String  n2Threshold;
    
    /**
     * N2-精度指标
     */
    @ApiModelProperty(name = "n2AccuracyThreshold", value = "N2允许精度(%)")
//    @ExcelAnnotation(exportName="N2允许精度(%)")
    private String n2AccuracyThreshold;
    
    /**
     * N2-相对增长率
     */
    @ApiModelProperty(name = "n2Increase", value = "N2相对增长率")
    @ExcelAnnotation(exportName="O2相对增长率")
    private String n2Increase;
    
    /**
     * N2-绝对增长率
     */
    @ApiModelProperty(name = "n2AbsIncrease", value = "N2绝对增长率")
    @ExcelAnnotation(exportName="N2绝对增长率")
    private String n2AbsIncrease;
       
    
    /**
     * H2-监测值
     */
    @ApiModelProperty(name = "h2", value = "H2监测值")
    @ExcelAnnotation(exportName="H2监测值")
    private String  h2;
    
    /**
     * H2-阈值
     */
    @ApiModelProperty(name = "h2Threshold", value = "H2阈值")
    @ExcelAnnotation(exportName="H2阈值")
    private String  h2Threshold;
    
    /**
     * H2-精度指标
     */
    @ApiModelProperty(name = "h2AccuracyThreshold", value = "H2允许精度(%)")
//    @ExcelAnnotation(exportName="N2允许精度(%)")
    private String h2AccuracyThreshold;
    
    /**
     * H2-相对增长率
     */
    @ApiModelProperty(name = "h2Increase", value = "N2相对增长率")
    @ExcelAnnotation(exportName="H2相对增长率")
    private String h2Increase;
    
    /**
     * H2-绝对增长率
     */
    @ApiModelProperty(name = "h2AbsIncrease", value = "H2绝对增长率")
    @ExcelAnnotation(exportName="H2绝对增长率")
    private String h2AbsIncrease;
    
    /**
     * CO-监测值
     */
    @ApiModelProperty(name = "co", value = "CO监测值")
    @ExcelAnnotation(exportName="CO监测值")
    private String  co;
    
    /**
     * CO-阈值
     */
    @ApiModelProperty(name = "coThreshold", value = "CO阈值")
    @ExcelAnnotation(exportName="CO阈值")
    private String  coThreshold;
    
    /**
     * CO-精度指标
     */
    @ApiModelProperty(name = "coAccuracyThreshold", value = "CO允许精度(%)")
//    @ExcelAnnotation(exportName="CO允许精度(%)")
    private String coAccuracyThreshold;
    
    /**
     * CO-相对增长率
     */
    @ApiModelProperty(name = "coIncrease", value = "CO相对增长率")
    @ExcelAnnotation(exportName="CO相对增长率")
    private String coIncrease;
    
    /**
     * CO-绝对增长率
     */
    @ApiModelProperty(name = "coAbsIncrease", value = "CO绝对增长率")
    @ExcelAnnotation(exportName="CO绝对增长率")
    private String coAbsIncrease;
    
    
    /**
     * 总烃-监测值
     */
    @ApiModelProperty(name = "totalHydrocarbon", value = "总烃监测值")
    @ExcelAnnotation(exportName="总烃监测值")
    private String  totalHydrocarbon;
    
    /**
     * 总烃-阈值
     */
    @ApiModelProperty(name = "totalHydrocarbonThreshold", value = "总烃阈值")
    @ExcelAnnotation(exportName="总烃阈值")
    private String  totalHydrocarbonThreshold;
    
    /**
     * 总烃-精度指标
     */
    @ApiModelProperty(name = "totalHydrocarbonAccuracyThresholds", value = "总烃允许精度(%)")
//    @ExcelAnnotation(exportName="总烃允许精度(%)")
    private String totalHydrocarbonAccuracyThresholds;
    
    /**
     * 总烃-相对增长率
     */
    @ApiModelProperty(name = "totalHydrocarbonIncrease", value = "总烃相对增长率")
    @ExcelAnnotation(exportName="总烃相对增长率")
    private String totalHydrocarbonIncrease;
    
    /**
     * 总烃-绝对增长率
     */
    @ApiModelProperty(name = "totalHydrocarbonAbsIncrease", value = "总烃绝对增长率")
    @ExcelAnnotation(exportName="总烃绝对增长率")
    private String totalHydrocarbonAbsIncrease;
    
    @ApiModelProperty(name = "day", value = "日期")
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    @ExcelAnnotation(exportName="采集日期")
    private LocalDate day;

    
    /**
     * 误报率
     */
    @ApiModelProperty(name = "falseAlarmRate", value = "误报率")
    @ExcelAnnotation(exportName="误报率")
    private String falseAlarmRate;
    
    /**
     * 稳定性
     */
    @ApiModelProperty(name = "stabilityIndex", value = "稳定性")
    @ExcelAnnotation(exportName="稳定性")
    private String stabilityIndex;
    
    
    /**
     * 精度指标
     */
    @ApiModelProperty(name = "accuracyIndex", value = "精度指标")
    @ExcelAnnotation(exportName="精度指标")
    private String accuracyIndex;
    
    
    /**
     * 数据缺失率
     */
    @ApiModelProperty(name = "lossRate", value = "数据缺失率")
    @ExcelAnnotation(exportName="数据缺失率")
    private String lossRate;
    

    /**
     * 维修次数
     */
    @ApiModelProperty(name = "repairCount", value = "维修次数")
    @ExcelAnnotation(exportName="维修次数")
    private String repairCount;
    
    
    @ApiModelProperty(name = "sensorManufactor", value = "生产厂家")
    @ExcelAnnotation(exportName="生产厂家")
    private String  sensorManufactor;
    
    
    @ApiModelProperty(name = "sensorUseDate", value = "投运时间")
    @ExcelAnnotation(exportName="投运时间")
    private String  sensorUseDate;
}
