package com.huatek.busi.vo.monitor;

import com.huatek.busi.common.annotation.ExcelAnnotation;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.time.LocalDate;

/**
 * 在线监测数据-局放导出VO
 * @author Administrator
 *
 */
@Data
@EqualsAndHashCode(callSuper = false)
public class GeneratorPdVo implements Serializable {
	private static final long serialVersionUID = 1L;
	
		@ApiModelProperty(name = "sensorId", value = "传感器编号")
		private String sensorId;
	
		@ApiModelProperty(name = "equipmentType", value = "变电设备类型")
	    @ExcelAnnotation(exportName="变电设备类型")
	    private String equipmentType;
	    
	    
	    @ApiModelProperty(name = "siteTreename", value = "变电设备")
	    @ExcelAnnotation(exportName="变电设备")
	    private String siteTreename;
	    
	    
	    @ApiModelProperty(name = "subEquipmentType", value = "监测装置类型")
	    @ExcelAnnotation(exportName="监测装置类型")
	    private String subEquipmentType;
	    
	    
	    @ApiModelProperty(name = "subTreeName", value = "监测装置")
	    @ExcelAnnotation(exportName="监测装置")
	    private String subTreeName;
	    
	    @ApiModelProperty(name = "sensorName", value = "传感器名称")
	    @ExcelAnnotation(exportName="传感器名称")
	    private String  sensorName;
	    
	    @ApiModelProperty(name = "sensorInstallLocation", value = "安装位置")
	    @ExcelAnnotation(exportName="安装位置")
	    private String  sensorInstallLocation;
	    
	    @ApiModelProperty(name = "PHASE", value = "安装相位")
	    @ExcelAnnotation(exportName="安装相位")
	    private String  PHASE;
	    
	    @ApiModelProperty(name = "sensorBrand", value = "标牌")
	    @ExcelAnnotation(exportName="标牌")
	    private String  sensorBrand;
	    
	    @ApiModelProperty(name = "dischargeCapacity", value = "放电量(mA)")
	    @ExcelAnnotation(exportName="放电量(mA)")
		private String dischargeCapacity;
	    
	    
	    @ApiModelProperty(name = "dischargePosition", value = "放电位置")
	    @ExcelAnnotation(exportName="放电位置")
	    private String dischargePosition;
	    
	    
	    /**
	     * 放电类型
	     */
	    @ApiModelProperty(name = "dschType", value = "放电类型")
	    @ExcelAnnotation(exportName="放电类型")
	    private String dschType;
	    
	    
	    /**
	     * 放电次数
	     */
	    @ApiModelProperty(name = "pulseCount", value = "放电次数")
	    @ExcelAnnotation(exportName="放电次数")
	    private String pulseCount;

	    @ApiModelProperty(name = "day", value = "采集日期")
	    @DateTimeFormat(pattern = "yyyy-MM-dd")
	    @ExcelAnnotation(exportName="采集日期")
	    private LocalDate day;

	    /**
	     * 维修次数
	     */
//	    @ApiModelProperty(name = "repairCount", value = "维修次数")
//	    @ExcelAnnotation(exportName="维修次数")
//	    private String repairCount;
	    
	    
	    @ApiModelProperty(name = "sensorManufactor", value = "生产厂家")
	    @ExcelAnnotation(exportName="生产厂家")
	    private String  sensorManufactor;
	    
	    
	    @ApiModelProperty(name = "sensorUseDate", value = "投运时间")
	    @ExcelAnnotation(exportName="投运时间")
	    private String  sensorUseDate;
}
