package com.huatek.busi.vo.routinetest;

import java.io.Serializable;
import java.time.LocalDateTime;

import org.springframework.format.annotation.DateTimeFormat;

import com.huatek.busi.vo.routinetest.transformer.BushLossTangent;
import com.huatek.busi.vo.routinetest.transformer.BushingCapacitanceMediumLoss;
import com.huatek.busi.vo.routinetest.transformer.CardboardTest;
import com.huatek.busi.vo.routinetest.transformer.ExcitationCharacteristict;
import com.huatek.busi.vo.routinetest.transformer.FurfuralTest;
import com.huatek.busi.vo.routinetest.transformer.InsulationOilTest;
import com.huatek.busi.vo.routinetest.transformer.LowVoltageNoLoad;
import com.huatek.busi.vo.routinetest.transformer.NoloadCurrentAndNoloadLoss;
import com.huatek.busi.vo.routinetest.transformer.SealingTest;
import com.huatek.busi.vo.routinetest.transformer.ShortCircuitImpedanceLoadLoss;
import com.huatek.busi.vo.routinetest.transformer.SoundLevelMeasurement;
import com.huatek.busi.vo.routinetest.transformer.TemperatureRiseTest;
import com.huatek.busi.vo.routinetest.transformer.WindingBushLossTangent;
import com.huatek.busi.vo.routinetest.transformer.WindingBushingDCLeakageCurrent;
import com.huatek.busi.vo.routinetest.transformer.WindingBushingDCResistance;
import com.huatek.busi.vo.routinetest.transformer.WindingInsulationResistanceAndCapacitanceDielectricLoss;
import com.huatek.busi.vo.routinetest.transformer.WindingIronCoreIsulationResistance;
import com.huatek.busi.vo.routinetest.transformer.WindingResistance;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;



/**
  * @ClassName: TransformerTestTmpVo
  * @FullClassPath: com.huatek.busi.vo.routinetest.TransformerTestPageVo
  * @Description: TODO
  * @author: Arno
  * @date: Aug 28, 2019 3:18:11 PM
  * @version: 1.0
  */

@ApiModel(value = "TransformerTestPageVo", description = "变压器例行试验列表")
@Data
@EqualsAndHashCode(callSuper = false)
public class TransformerTestPageVo implements Serializable {

	/** @Fields serialVersionUID : */ 
	private static final long serialVersionUID = -5303969046289513261L;

	/** @Fields id : 变压器例行试验 */
	@ApiModelProperty(name = "id", value = "变压器例行试验ID")
	public String id;
	
	/** @Fields transformerId : 变压器ID */
	@ApiModelProperty(name = "transformerId", value = "变压器ID")
	public String transformerId;


	/** @Fields transformerName : 变压器名称 */
	@ApiModelProperty(name = "transformerName", value = "变压器名称")
	public String transformerName;



	/** @Fields equipmentModel : 设备型号*/ 
	@ApiModelProperty(name = "equipmentModel", value = "设备型号")
	private String equipmentModel;

	
	/** @Fields ratedCapacity : 额定容量*/ 
	@ApiModelProperty(name = "ratedCapacity", value = "额定容量")
	private String ratedCapacity;



	/** @Fields factoryTime : 出厂年月*/ 
	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	@ApiModelProperty(name = "factoryTime", value = "出厂年月")
	private LocalDateTime factoryTime;

	/** @Fields manufacturer : 变压器生产厂家 */
	@ApiModelProperty(name = "manufacturer", value = "变压器生产厂家")
	public String manufacturer;
	

	
	/** @Fields manufacturer : 录入人 */
	@ApiModelProperty(name = "createName", value = "录入人")
	public String createName;
	
	/** @Fields createName : createName*/ 
	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	@ApiModelProperty(name = "createTime", value = "录入时间")
	private LocalDateTime createTime;
	
	
	/** @Fields manufacturer : 修改人 */
	@ApiModelProperty(name = "modifiedName", value = "修改人")
	public String modifiedName;
	
	/** @Fields factoryTime : 修改时间*/ 
	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	@ApiModelProperty(name = "modifiedTime", value = "修改时间")
	private LocalDateTime modifiedTime;
	
	/** @Fields subName : 监测设备*/ 
	@ApiModelProperty(name = "subName", value = "监测设备")
	private String subName;
	
	/** @Fields stName : 变电设备*/ 
	@ApiModelProperty(name = "stName", value = "变电设备")
	private String stName;
	
	/** @Fields windingBushingDCResistance : 测量绕组连同套管的直流电阻*/ 
	public WindingBushingDCResistance  windingBushingDCResistance;
	/**
	 * 实验时间
	 * */ 
	private String testTime;
}
