package com.huatek.busi.vo.routinetest;

import java.io.Serializable;
import java.time.LocalDateTime;

import org.springframework.format.annotation.DateTimeFormat;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
  * @ClassName: TransformerTestTmpDetailVo
  * @FullClassPath: com.huatek.busi.vo.routinetest.TransformerTestTmpDetailVo
  * @Description: TODO
  * @author: Arno
  * @date: Aug 28, 2019 3:20:09 PM
  * @version: 1.0
  */

@ApiModel(value = "TransformerTestTmpDetailVo", description = "变压器例行试验 Vo")
@Data
@EqualsAndHashCode(callSuper = false)
public class TransformerTestTmpDetailVo extends TransformerTestTmpVo implements Serializable {

	/** @Fields serialVersionUID : */
	private static final long serialVersionUID = -1765646997792601513L;

	/** @Fields mainTreeId : 变压器站点树ID */
	@ApiModelProperty(name = "mainTreeId", value = "变压器站点树ID")
	public String mainTreeId;

	
	/** @Fields equipmentModel : 设备型号*/ 
	@ApiModelProperty(name = "equipmentModel", value = "设备型号")
	private String equipmentModel;

	
	/** @Fields ratedCapacity : 额定容量*/ 
	@ApiModelProperty(name = "ratedCapacity", value = "额定容量")
	private String ratedCapacity;

	
	/** @Fields coolingNode : 冷却方式*/ 
	@ApiModelProperty(name = "coolingNode", value = "冷却方式")
	private String coolingNode;

	
	/** @Fields ratedHighVoltage :高压绕组额定电压(kV) */ 
	@ApiModelProperty(name = "ratedHighVoltage", value = ":高压绕组额定电压(kV) ")
	private String ratedHighVoltage;

	
	/** @Fields ratedLowVoltage : 低压绕组额定电压(kV)*/ 
	@ApiModelProperty(name = "ratedLowVoltage", value = "低压绕组额定电压(kV)")
	private String ratedLowVoltage;

	
	/** @Fields ratedHighCurrent : 高压绕组额定电流(A)*/ 
	@ApiModelProperty(name = "ratedHighCurrent", value = "高压绕组额定电流(A)")
	private String ratedHighCurrent;

	
	/** @Fields ratedLowCurrent :低压绕组额定电流(A)*/ 
	@ApiModelProperty(name = "ratedLowCurrent", value = "低压绕组额定电流(A)")
	private String ratedLowCurrent;


	/** @Fields factoryTime : 出厂年月*/ 
	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	@ApiModelProperty(name = "factoryTime", value = "出厂年月")
	private LocalDateTime factoryTime;

	/** @Fields manufacturer : 变压器生产厂家 */
	@ApiModelProperty(name = "manufacturer", value = "变压器生产厂家")
	public String manufacturer;

}
