package com.huatek.busi.vo.routinetest.arrester;

import java.io.Serializable;
import java.time.LocalDate;
import java.time.LocalDateTime;

import org.springframework.format.annotation.DateTimeFormat;

import com.huatek.torch.sql.beans.PageBean;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * 避雷器离线实验报告
 * 
 * @author buck_guo
 * @date 2019/08/23
 */
@Data
@EqualsAndHashCode(callSuper = false)
@ApiModel(value = "ArresterOfflineExperimentReportObj", description = "避雷器离线实验报告对象")
public class ArresterOfflineExperimentReportObj  extends PageBean implements Serializable {
    private static final long serialVersionUID = 1L;
    private String id;
    /**
     * 站点id
     */
    @ApiModelProperty(name = "siteId", value = "站点Id")
    private String siteId;
    /**
     * 设备编码
     */
    @ApiModelProperty(name = "siteEqmCode", value = "设备编码")
    private String siteEqmCode;

    /**
     * 实验日期
     */
    @ApiModelProperty(name = "experimentDate", value = "实验日期")
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    private LocalDate experimentDate;
    /**
     * 环境温度
     */
    @ApiModelProperty(name = "ambientTemperature", value = "环境温度")
    private String ambientTemperature;
    /**
     * 相对湿度
     */
    @ApiModelProperty(name = "relativeHumidity", value = "相对湿度")
    private String relativeHumidity;
    
    /**
     * 测量绝缘电阻（MΩ）
     */
    @ApiModelProperty(name = "insulationResistance", value = "测量绝缘电阻（MΩ）")
    private InsulationResistance insulationResistance;

    /**
     * 直流参考电压UDJM\及175%UDJM测量
     */
    @ApiModelProperty(name = "dcReferenceVoltage", value = "直流参考电压UDJM\\及175%UDJM测量")
    private DCReferenceVoltage dcReferenceVoltage;

    /**
     * 放电计数器动作情况
     */
    @ApiModelProperty(name = "dischargeCountingAction", value = "放电计数器动作情况")
    private DischargeCountingAction dischargeCountingAction;

    /**
     * 结论及备注
     */
    @ApiModelProperty(name = "conclusionNotes", value = "结论及备注")
    private String conclusionNotes;

    /**
     * 校核者
     */
    @ApiModelProperty(name = "checker", value = "校核者")
    private String checker;

    /**
     * 实验者
     */
    @ApiModelProperty(name = "experimenter", value = "实验者")
    private String experimenter;

    /**
     * 签名1
     */
    @ApiModelProperty(name = "signature1", value = "签名1")
    private String signature1;

    /**
     * 签名2
     */
    @ApiModelProperty(name = "signature2", value = "签名2")
    private String signature2;

    /**
     * 创建人ID
     */
    @ApiModelProperty(name = "createUser", value = "创建人ID")
    private String createUser;

    /**
     * 创建时间
     */
    @ApiModelProperty(name = "createTime", value = "创建时间")
    private LocalDateTime createTime;

    /**
     * 创建人名称
     */
    @ApiModelProperty(name = "createName", value = "创建人名称")
    private String createName;

    /**
     * 修改人ID
     */
    @ApiModelProperty(name = "modifiedUser", value = "修改人ID")
    private String modifiedUser;

    /**
     * 修改时间
     */
    @ApiModelProperty(name = "modifiedTime", value = "修改时间")
    private LocalDateTime modifiedTime;

    /**
     * 修改人名称
     */
    @ApiModelProperty(name = "modifiedName", value = "修改人名称")
    private String modifiedName;
}