package com.huatek.busi.vo.routinetest.gis;

import java.io.Serializable;
import java.time.LocalDateTime;

import com.huatek.torch.sql.beans.PageBean;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * Gis离线试验报告Vo
 * 
 * @author anker_cheng
 * @date 2019/08/23
 */
@ApiModel(value = "GisOfflineExperimentReportVo", description = "Gis离线试验报告Vo", parent = PageBean.class)
@Data
@EqualsAndHashCode(callSuper = false)
public class GisOfflineExperimentReportVo extends PageBean implements Serializable {
    private static final long serialVersionUID = 7808293961255209311L;

    /** 主键ID */
    @ApiModelProperty(name = "id", value = "主键ID")
    private String id;

    /** 站点ID */
    @ApiModelProperty(name = "siteId", value = "站点ID")
    private String siteId;

    /** GIS设备ID */
    @ApiModelProperty(name = "gisId", value = "GIS设备ID")
    private String gisId;

    @ApiModelProperty(name = "equipmentName", value = "GIS设备名称")
    private String gisName;

    @ApiModelProperty(name = "systemCode", value = "设备编码")
    private String systemCode;

    @ApiModelProperty(name = "lowVoltageActionPart", value = "测量低电压动作值")
    private LowVoltageActionPart lowVoltageActionPart;

    @ApiModelProperty(name = "dcResistorPart", value = "测量导电回路的直流电阻")
    private DcResistorPart dcResistorPart;

    @ApiModelProperty(name = "actionFeaturePart", value = "动作特性试验（单位：ms 操作电压110V DC）")
    private ActionFeaturePart actionFeaturePart;

    @ApiModelProperty(name = "sf6RelayAccuracyPart", value = "SF6气体密度继电器精度测试报告")
    private Sf6RelayAccuracyPart sf6RelayAccuracyPart;

    @ApiModelProperty(name = "sf6GasWaterContentPart", value = "SF6气体微水含量测试报告")
    private Sf6GasWaterContentPart sf6GasWaterContentPart;

    /** 创建时间 */
    @ApiModelProperty(name = "createdTime", value = "创建时间")
    private LocalDateTime createdTime;

    /** 修改时间 */
    @ApiModelProperty(name = "modifiedTime", value = "修改时间")
    private LocalDateTime modifiedTime;

    /** 创建人 */
    @ApiModelProperty(name = "creator", value = "创建人")
    private String creator;

    /** 修改人 */
    @ApiModelProperty(name = "modifier", value = "修改人")
    private String modifier;
    
    @ApiModelProperty(name = "stName ", value = "监测设备")
    private String stName;
    
    /**
     * 实验时间
     */
    private String testTime;
}
