package com.huatek.busi.vo.warning;

import java.io.Serializable;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * 避雷器告警详情二级页面数据Vo
 * 
 * @author anker_cheng
 * @date 2019/08/12
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@ApiModel(value = "BusiArresterItemVo", description = "避雷器告警详情二级页面数据Vo")
public class BusiArresterItemVo implements Serializable {
    private static final long serialVersionUID = -5541441850547128421L;

    @ApiModelProperty(name = "phase", value = "相位")
    private String phase;

    @ApiModelProperty(name = "name", value = "全电流（mA）; 阻性电流（mA）")
    private String name;

    @ApiModelProperty(name = "collectValue", value = "采集数据")
    private String collectValue;

    @Builder.Default
    @ApiModelProperty(name = "alarmValue", value = "报警值")
    private String alarmValue = "-";

    @ApiModelProperty(name = "thresholdValue", value = "阈值")
    private String thresholdValue;

    @ApiModelProperty(name = "warningValue", value = "预警值")
    private String warningValue;

    @ApiModelProperty(name = "equipmentStatus", value = "设备状态")
    private String equipmentStatus;

    @Builder.Default
    @ApiModelProperty(name = "stabilityIndex", value = "稳定性指标")
    private String stabilityIndex = "-";

    @ApiModelProperty(name = "totalActionCount", value = "累计雷击次数")
    private String totalActionCount;
}
