package com.huatek.busi.vo.warning;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.huatek.torch.sql.beans.Pojo;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;
import java.time.LocalDateTime;
import java.util.Date;

/**
 * 设备预警表 Vo
 *
 * @author anker_cheng
 * @date Jul 18, 2019 2:45:39 PM
 */
@ApiModel(value = "BusiEqmWarningVo", description = "设备预警表 Vo")
@Data
@EqualsAndHashCode(callSuper = false)
public class BusiEqmWarningTaskVo extends Pojo implements Serializable {
    private static final long serialVersionUID = 1L;
    /**
     * 主键ID
     */
    @ApiModelProperty(name = "id", value = "主键ID")
    private String id;


    /**
     * sensor编码
     */
    @ApiModelProperty(name = "sensorId", value = "sensor编码")
    private String sensorId;

    /**
     * 故障大类1：变压器，2：gis，3：避雷器，4：测温柜
     */
    @ApiModelProperty(name = "eqType", value = "故障大类1：变压器，2：gis，3：避雷器，4：测温柜")
    private String eqType;

    /**
     * 故障小类
     */
    @ApiModelProperty(name = "gzType", value = "故障小类")
    private String gzType;


    /**
     * 传感器安装位置
     */
    @ApiModelProperty(name = "sensorInstallLocation", value = "故障小类")
    private String sensorInstallLocation;

    /**
     * 预警时间
     */
    @ApiModelProperty(name = "warningTime", value = "预警时间")
    private String warningTime;

    /**
     * 告警id
     */
    @ApiModelProperty(name = "warningId", value = "告警id")
    private String warningId;

    /**
     * 告警信息
     */
    @ApiModelProperty(name = "warningInfo", value = "告警信息")
    private String warningInfo;

    /**
     * 故障编码
     */
    @ApiModelProperty(name = "threeRatio", value = "告警信息")
    private String threeRatio;


}