package com.huatek.busi.vo.warning;

import java.io.Serializable;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * GIS-SF6告警详情二级页面数据Vo
 * 
 * @author anker_cheng
 * @date 2019/08/12
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@ApiModel(value = "BusiGisSf6ItemVo", description = "GIS-SF6告警详情二级页面数据Vo")
public class BusiGisSf6ItemVo implements Serializable {
    private static final long serialVersionUID = -7123680532581148716L;
    
    @ApiModelProperty(name = "equipmentName", value = "监测装置名称")
    private String equipmentName;

    @ApiModelProperty(name = "phase", value = "相位")
    private String phase;

    @ApiModelProperty(name = "collectValue", value = "采集数据")
    private String collectValue;
    
    @ApiModelProperty(name = "name", value = "温度（℃）；微水（μL/L）；压力（MPa）")
    private String name;

    @Builder.Default
    @ApiModelProperty(name = "alarmValue", value = "报警值")
    private String alarmValue = "-";

    @ApiModelProperty(name = "thresholdValue", value = "阈值")
    private String thresholdValue;

    @ApiModelProperty(name = "warningValue", value = "预警值")
    private String warningValue;

    @ApiModelProperty(name = "equipmentSensitivity", value = "装置灵敏度")
    private String equipmentSensitivity;

    @ApiModelProperty(name = "daylyLeakageRate", value = "日泄漏率(%)")
    private String daylyLeakageRate;

    @ApiModelProperty(name = "monthlyLeakageRate", value = "月泄漏率(%)")
    private String monthlyLeakageRate;

    @ApiModelProperty(name = "montylyGrowthRate", value = "增长率(%/月)")
    private String montylyGrowthRate;
}
