package com.huatek.busi.where;

import com.huatek.torch.sql.beans.PageBean;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.time.LocalDate;

/**
 * 查询条件：根据设备编号（1#。。。）、报告名称、报告参数、上传日期（起始日期与截止日期）
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value = "labReportBasisDataSelectVo", description = "离线实验报告基础数据条件查询")
public class LabReportBasisDataSelectVo extends PageBean implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "mainEquId", name = "主设备编号")
    private String mainEquId;

    @ApiModelProperty(value = "mainEquName", name = "主设备名称")
    private String mainEquName;

    @ApiModelProperty(value = "equLittleId", name = "设备Id")
    private String equLittleId;

    @ApiModelProperty(value = "equLittleType", name = "小类Id")
    private String equLittleType;

    @ApiModelProperty(value = "sheetName", name = "sheet页名称")
    private String sheetName;

    @ApiModelProperty(value = "testItem", name = "试验项目")
    private String testItem;

    @ApiModelProperty(value = "offlineParam", name = "离线参数")
    private String offlineParam;

    @ApiModelProperty(value = "equType", name = "设备类型")
    private String equType;

    @ApiModelProperty(value = "refId", name = "关联附件编号")
    private String refId;

    @DateTimeFormat(pattern = "yyyy-MM-dd")
    @ApiModelProperty(value = "startDate", name = "试验起始日期")
    private LocalDate startDate;

    @DateTimeFormat(pattern = "yyyy-MM-dd")
    @ApiModelProperty(value = "endDate", name = "试验截止日期")
    private LocalDate endDate;

    @ApiModelProperty(value = "deleted",name = "是否删除 0否 1是")
    private String deleted;

    @ApiModelProperty(value = "fileType",name = "文件类型 模板 附件")
    private String fileType;

    @ApiModelProperty(value = "orderBy",name = "排序规则字段")
    private String orderBy;

    @ApiModelProperty(value = "orderWay",name = "升序或降序")
    private String orderWay;
}
