package com.huatek.busi.where;

import com.huatek.torch.sql.beans.PageBean;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.time.LocalDate;

@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value = "simulateResultSelectVo", description = "仿真结果实体类条件查询")
public class SimulateResultSelectVo extends PageBean implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "equipmentType", name = "设备类型")
    private String equipmentType;

    @ApiModelProperty(value = "pId", name = "树形关联编号")
    private String pId;

    @ApiModelProperty(value = "dataItemId", name = "输入项编号")
    private String dataItemId;

    @ApiModelProperty(value = "mainTreeId", name = "设备编号")
    private String mainTreeId;

    @DateTimeFormat(pattern = "yyyy-MM-dd")
    @ApiModelProperty(value = "simulateDate", name = "起始日期")
    private LocalDate startDate;

    @DateTimeFormat(pattern = "yyyy-MM-dd")
    @ApiModelProperty(value = "simulateDate", name = "截止日期")
    private LocalDate endDate;
}
