package com.huatek.busi.service;

import com.huatek.busi.common.SiteConstants.ExternalTypeEnum;
import com.huatek.busi.common.SiteConstants.SiteTreeEnum;

/**
 * 通用业务接口Service
 * 
 * @author anker_cheng
 * @date 2019/09/16
 */
public interface BusiCommonService {

    /**
     * 获取设备半年的维修次数
     * 
     * @param externalTypeEnum
     *            类型
     * @param subEquipmentId
     *            外挂设备ID
     * @return 维修次数
     */
    Integer getEquipHalfYearRepairCount(ExternalTypeEnum externalTypeEnum, String subEquipmentId);

    /**
     * 获取传感器半年的维修次数
     * 
     * @param siteTreeEnum
     *            类型
     * @param sensorCode
     *            传感器编码
     * @return 维修次数
     */
    Integer getSensorHalfYearRepairCount(SiteTreeEnum siteTreeEnum, String sensorCode);
}
