package com.huatek.busi.service;

import java.time.LocalDateTime;
import java.util.Map;

import com.github.pagehelper.PageInfo;
import com.huatek.busi.dto.BusiOutlineGisExperimentDataDto;
import com.huatek.busi.entity.BusiOutlineGisExperimentData;
import com.huatek.busi.vo.BusiOutlineGisExperimentDataVo;

/**
 * 离线数据--GIS开关试验数据 Service
 *
 * @author anker_cheng
 * @date Jul 4, 2019 2:15:37 PM
 */
public interface BusiOutlineGisExperimentDataService {

    /**
     * 分页查找查找 离线数据--GIS开关试验数据
     *
     * @param busiOutlineGisExperimentDataDto 离线数据--GIS开关试验数据Dto
     * @return PageInfo<BusiOutlineGisExperimentDataVo> 离线数据--GIS开关试验数据List
     */
    PageInfo<BusiOutlineGisExperimentDataVo> findBusiOutlineGisExperimentDataPage(String mainTreeId, LocalDateTime start, LocalDateTime end , Integer page, Integer limit);


    /**
     * 添加 离线数据--GIS开关试验数据
     *
     * @param token token
     * @param busiOutlineGisExperimentDataDto 离线数据--GIS开关试验数据Dto
     * @return int 影响的行数
     */
    int addBusiOutlineGisExperimentData(String token,BusiOutlineGisExperimentDataDto busiOutlineGisExperimentDataDto);

    /**
     *  通过id查找 离线数据--GIS开关试验数据
     *
     * @param id 主键
     * @return BusiOutlineGisExperimentData 离线数据--GIS开关试验数据
     */
    BusiOutlineGisExperimentData findBusiOutlineGisExperimentData(String id);

    /**
     * 修改 离线数据--GIS开关试验数据
     *
     * @param token token
     * @param busiOutlineGisExperimentDataDto 离线数据--GIS开关试验数据Dto
     * @return int 影响的行数
     */
    int updateBusiOutlineGisExperimentData(String token, BusiOutlineGisExperimentDataDto busiOutlineGisExperimentDataDto);

    /**
     * 删除 离线数据--GIS开关试验数据
     *
     * @param token token
     * @param busiOutlineGisExperimentDataDto 离线数据--GIS开关试验数据Dto
     * @return int 影响的行数
    */
    void deleteBusiOutlineGisExperimentData(String [] ids);
    
    /**
     * 查看例行实验
     * @param equipmentId
     * @param siteId
     * @return
     */
    BusiOutlineGisExperimentData findBusiOutlineDataByEquip(String equipmentId, String siteId);
    
	public Map<String, Object> exportGisExperimentData(String mainTreeId, LocalDateTime startTime, LocalDateTime endTime);
}
