package com.huatek.busi.service;

import java.time.LocalDateTime;
import java.util.Date;
import java.util.List;

import com.github.pagehelper.PageInfo;
import com.huatek.busi.dto.curve.IecBydworkParamPointDto;
import com.huatek.busi.entity.IecBydworkParam;
import com.huatek.busi.vo.curve.IecBydworkParamPointVo;
import org.apache.ibatis.annotations.Param;


/**
  * @ClassName: IecBydworkParamService
  * @Description: TODO.
  * @author: arno
  * @Email : arno_fu@huatek.com
  * @date: 2018-09-18 15:50:29
  * @version: 1.0
  */
public interface IecBydworkParamService{

	/** 
	* @Title: getOneData 
	* @Description: 获取一天的负荷 
	* @createDate: Sep 18, 2018 4:00:49 PM
	* @param   
	* @return   List<IecBydworkParam>    
	* @throws 
	*/ 
	List<IecBydworkParam> getOneData(String siteId, String eqmCode, Integer stype, Date start, Date end, String type);
	
	
	/** 
	* @Title: getIecType 
	* @Description: 获取电站状态 
	* @createDate: Aug 1, 2019 2:26:58 PM
	* @param    mainTreeId  站点设备数ID
	* @param    cacDate  CAC 采集时间
	* @return   String    
	*/ 
	public String getIecType(String mainTreeId, LocalDateTime cacDate);


	/**
	 * @Title: getIecType
	 * @Description: 获取电站状态
	 * @createDate: Aug 1, 2019 2:26:58 PM
	 * @param    mainTreeId  站点设备数ID
	 * @param    cacDate  CAC 采集时间
	 * @return   String
	 */
	public String geCabletIecType(String mainTreeId, LocalDateTime cacDate);
	
	
	List<IecBydworkParam> getWorks (String type , String siteId ,String eqmCode,Date startTime,
			Date endTime );
	
	List<IecBydworkParam> getIecBydworkParamWorks(String siteId ,String eqmCode,Date startTime,
			Date endTime );
	
    /**
     * 查询${equipmentId}在${time}时刻时候的状态和电压电流信息
     * 
     * @param equipmentId
     *            变压器设备ID
     * @param time
     *            时间
     * @return
     */
    IecBydworkParam getIecBydworkParam(String equipmentId, LocalDateTime time);

    /**
     * 获取变压器一天的工作状态数据列表，按时间升序排列
     * 
     * @param param
     * @return
     */
    PageInfo<IecBydworkParamPointVo> queryIecBydworkParamPointList(IecBydworkParamPointDto param);

	/**
	 * 根据主变id查询数据
	 *
	 * @param eqmCode
	 * @return
	 */
	List<IecBydworkParamPointVo> getdworkParamByEqmCode(String eqmCode);
}
