package com.huatek.busi.service;

import java.util.List;

import com.github.pagehelper.PageInfo;
import com.huatek.busi.dto.IecPointsConfDto;
import com.huatek.busi.vo.IecPointsConfVo;

/**
 * IEC104-业务点表配置表 Service
 *
 * @author anker_cheng
 * @date 2019-8-1 16:15:46
 */
public interface IecPointsConfService {

    /**
     * 分页查找查找 IEC104-业务点表配置表
     *
     * @param iecPointsConfDto IEC104-业务点表配置表Dto
     * @return Page<IecPointsConfVo> IEC104-业务点表配置表List
     */
    PageInfo<IecPointsConfVo> findIecPointsConfPage(IecPointsConfDto iecPointsConfDto);


    /**
     * 添加 IEC104-业务点表配置表
     * @param iecPointsConfDto IEC104-业务点表配置表Dto
     * @return int 影响的行数
     */
    int addIecPointsConf(IecPointsConfDto iecPointsConfDto);

    /**
     *  通过id查找 IEC104-业务点表配置表
     *
     * @param id 主键
     * @return IecPointsConf IEC104-业务点表配置表
     */
    IecPointsConfVo findIecPointsConfVo(String id);

    /**
     * 修改 IEC104-业务点表配置表
     * @param iecPointsConfDto IEC104-业务点表配置表Dto
     * @return int 影响的行数
     */
    int updateIecPointsConf(IecPointsConfDto iecPointsConfDto);

    /**
     * 删除 IEC104-业务点表配置表
     * @param iecPointsConfDto IEC104-业务点表配置表Dto
     * @return int 影响的行数
    */
    int deleteIecPointsConf(List<String> ids);
}
