package com.huatek.busi.service;

import java.util.Map;

import com.huatek.busi.dto.SysConfigDTO;
import com.huatek.busi.entity.SysConfig;

/**
 * 系统配置 Service
 *
 * @author edward_luo
 * @date Jun 25, 2019 16:58:12 PM
 */
public interface SysConfigService {

    /**
     * 分页查找系统配置数据
     *
     * @param sysConfigDto 系统配置Dto
     * @return Page<SysConfigVO> 系统配置List
     */
	Map<String, Object> findSysConfigPage(SysConfigDTO sysConfigDto);


    /**
     * 添加 系统配置
     *
     * @param token token
     * @param sysConfigDto 系统配置Dto
     * @return int 影响的行数
     */
    int addSysConfig(SysConfigDTO sysConfigDto);

    /**
     *  通过id查找 系统配置
     *
     * @param id 主键
     * @return BusiSite 站点表
     */
    SysConfig findSysConfig(String id);

    /**
     * 修改系统配置
     *
     * @param token token
     * @param sysConfigDto 系统配置Dto
     * @return int 影响的行数
     */
    int updateSysConfig( SysConfigDTO sysConfigDto);

    /**
     * 删除系统配置
     *
     * @param token token
     * @param busiSiteDto 站点表Dto
     * @return int 影响的行数
    */
    int deleteSysConfig(String[] ids);
}
