package com.huatek.busi.service.arrester;

import java.util.List;

import com.huatek.busi.dto.BusiOfflineArresterBrandDto;
import com.huatek.busi.entity.BusiOfflineArresterBrand;
import com.huatek.busi.vo.BusiOfflineArresterBrandVo;

/**
 * 避雷器 Service
 * 
 * @author edward_luo
 * @date Jul 04, 2019 14:00:23 PM
 */
public interface BusiOfflineArresterBrandService {

    /**
     * 获取避雷器标牌信息
     * 
     * @param siteId
     *            站点ID
     * @param mainEquipmentId
     *            主设备ID
     * @return BusiOfflineArresterBrandVo
     */
    BusiOfflineArresterBrandVo getBusiOfflineArresterBrandInfo(String siteId, String mainEquipmentId);

    /**
     * 保存或更新主设备信息
     * 
     * @param siteId
     *            站点ID
     * @param mainEquipmentId
     *            主设备ID
     * @param name
     *            主设备名称
     * @return
     */
    int saveOrUpdateBrand(String siteId, String mainEquipmentId, String name);

    /**
     * 避雷器标牌更新保存
     * 
     * @param token
     *            token
     * @param busiOfflineArresterBrandDto
     *            busiOfflineArresterBrandDto
     * @return
     */
    int saveBusiOfflineArresterBrand(String token, BusiOfflineArresterBrandDto busiOfflineArresterBrandDto);

    List<BusiOfflineArresterBrand> findAll();

}
