package com.huatek.busi.service.arrester;

import com.github.pagehelper.PageInfo;
import com.huatek.busi.dto.BusiOfflineArresterCheckDto;
import com.huatek.busi.vo.BusiOfflineArresterCheckVo;


/**
 * 避雷器例行实验 Service
 *
 * @author edward_luo
 * @date Jul 04, 2019 18:00:23 PM
 */
public interface BusiOfflineArresterCheckService {
	
	
	 /**
     *  通过设备编号查询避雷器最新一条例行实验
     *
     * @param eqmCode 设备编号
     * @return ArresterThresholdVo 避雷器最新例行实验数据
     */
	BusiOfflineArresterCheckVo findArresterCheckInfo(String eqmCode);
	
	/**
	 * 新增避雷器例行实验
	 * @param busiOfflineArresterCheckDto  例行实验DTO
	 */
    int saveBusiOfflineArresterCheck(BusiOfflineArresterCheckDto busiOfflineArresterCheckDto);

	/**
     * 分页查找查找避雷器例行实验列表
     *
     * @param BusiOfflineArresterCheckDto 避雷器例行实验Dto
     * @return Page<BusiOfflineArresterCheckVo> 避雷器例行实验List
     */
    PageInfo<BusiOfflineArresterCheckVo> findBusiOfflineArresterCheckPage(BusiOfflineArresterCheckDto busiOfflineArresterCheckDto);

}