package com.huatek.busi.service.arrester;

import com.github.pagehelper.Page;
import com.huatek.busi.dto.RptAretMonitorDto;
import com.huatek.busi.entity.LightningrodIm;
import com.huatek.busi.vo.RptAretMonitorVo;
import com.huatek.busi.vo.monitor.BusiRptArresterMonitorVo;

/**
 * 避雷器-界面实时监测基础信息 Service
 *
 * @author anker_cheng
 * @date Jul 1, 2019 2:17:43 PM
 */
public interface RptAretMonitorService {

    /**
     * 分页查找查找 避雷器-界面实时监测基础信息
     *
     * @param rptAretMonitorDto 避雷器-界面实时监测基础信息Dto
     * @return Page<RptAretMonitorVo> 避雷器-界面实时监测基础信息List
     */
    Page<RptAretMonitorVo> findRptAretMonitorPage(RptAretMonitorDto rptAretMonitorDto);

    /**
     * 保存避雷器-绝缘监测实时数据
     * 
     * @param cacEntity 数据实体
     * @return
     */
    int saveRptAretMonitor(LightningrodIm cacEntity);
    
    /** 
	* @Title: findByTreeId 
	* @Description: 获取铁芯、夹件实时数据
	* @createDate: Oct 28, 2019 10:25:15 AM
	* @param    mainTreeId  站点树ID
	* @param    subTreeId   外挂设备树ID
	* @param    sensorId    传感器ID
	* @return   BusiRptArresterMonitorVo
	*/
    BusiRptArresterMonitorVo getUptoDateRptAretMonitor(RptAretMonitorDto rptAretMonitorDto);
}
