package com.huatek.busi.service.cable;

import com.github.pagehelper.Page;
import com.huatek.busi.dto.EquipmentInfoDto;
import com.huatek.busi.dto.cable.BusiCableCirculationCacheDto;
import com.huatek.busi.entity.BusiCableCirculation;
import com.huatek.busi.entity.BusiCableCirculationCache;
import com.huatek.busi.vo.cable.BusiCableCirculationCacheVo;

/**
 * @author Bobi_huo
 * @date 2020-11-24 10:52
 */
public interface BusiCableCirculationCacheService {

    /**
     * 分页查找查找 其他——电缆环流电流暂存数据(类型编码 ：028001)
     *
     * @param dto
     * @return
     */
    Page<BusiCableCirculationCacheVo> findCableCirculationCachePage(BusiCableCirculationCacheDto dto);

    /**
     * 保存或更新实时数据
     *
     * @param cacEntity
     * @return
     */
    int saveCableCirculationCache(BusiCableCirculation cacEntity, EquipmentInfoDto equipmentInfo);

    /**
     * 根据树ID获取
     *
     * @param mainTreeId
     * @param subTreeId
     * @param type
     * @return
     */
    BusiCableCirculationCache findByTreeId(String mainTreeId, String subTreeId, String type);

//    /**
//     * @Title: findByTreeId
//     * @Description: 获取铁芯、夹件实时数据
//     * @createDate: Oct 28, 2019 10:25:15 AM
//     * @param    mainTreeId  站点树ID
//     * @param    subTreeId   外挂设备树ID
//     * @param    sensorId    传感器ID
//     * @param    type 		 类别: 1铁芯；2夹件
//     * @return   TransformerIcgeCache
//     */
//    BusiIcgeVo getFirstTransformerIcgeCacheInfo(TransformerIcgeCacheDto transformerIcgeCacheDto);
}
