package com.huatek.busi.service.gis;

import java.util.List;

import com.github.pagehelper.PageInfo;
import com.huatek.busi.dto.BusiOfflineGisCheckDto;
import com.huatek.busi.vo.BusiOfflineGisCheckVo;

/**
 * GIS投运验收结论 Service
 *
 * @author anker_cheng
 * @date Jul 4, 2019 2:15:37 PM
 */
public interface BusiOfflineGisCheckService {

    /**
     * 分页查找查找 GIS投运验收结论
     *
     * @param busiOfflineGisCheckDto GIS投运验收结论Dto
     * @return PageInfo<BusiOfflineGisCheckVo> GIS投运验收结论List
     */
    PageInfo<BusiOfflineGisCheckVo> findBusiOfflineGisCheckPage(BusiOfflineGisCheckDto busiOfflineGisCheckDto);

    /**
     *  通过id查找 GIS投运验收结论
     *
     * @param id 主键
     * @return BusiOfflineGisCheck GIS投运验收结论
     */
    BusiOfflineGisCheckVo findBusiOfflineGisCheckVo(String id);

    /**
     * 删除 GIS投运验收结论
     *
     * @param token token
     * @param ids GIS投运验收结论id数组
     * @return int 影响的行数
    */
    int deleteBusiOfflineGisCheck(String token, List<String> ids);

    /**
     * 保存或者更新
     * 
     * @param token
     * @param busiOfflineGisCheckDto
     * @return
     */
    int saveOrUpdate(String token, BusiOfflineGisCheckDto busiOfflineGisCheckDto);
}
