package com.huatek.busi.service.gis;

import com.github.pagehelper.PageInfo;
import com.huatek.busi.entity.GisAssessmentResult;
import com.huatek.busi.entity.TransformerLoadRate;
import com.huatek.busi.vo.GisAssessmentResultVo;

import java.time.LocalDate;
import java.util.List;
import java.util.Map;

/**
 * Gis评估
 *
 * @author buck_guo
 * @date 2019/08/31
 */
public interface GisAssessmentResultService {

    /**
     * 保存数据
     * @param gisAssessmentResult
     * @return
     */
    int saveGisAssessmentResult(GisAssessmentResult gisAssessmentResult);

    /**
     * 根据主设备Id获取最新记录
     * @param mainTreeId
     * @return
     */
    PageInfo<GisAssessmentResultVo> findGisAssessmentByMainTreeId(String siteId, String mainTreeId, Integer page, Integer limit, LocalDate startTime, LocalDate endTime, String type);

    Map<String, Object> findCalculateStep(String pid,String type);

    Map<String, Object> syncParams(String token, String siteId, String mainTreeId, String number);

    List<TransformerLoadRate> findGisLoadRate();
}
