package com.huatek.busi.service.gis;

import java.util.List;
import java.util.Map;

import com.huatek.busi.dto.GisMechanicalPropertiesDto;
import com.huatek.busi.entity.GisMechanicalProperties;
import com.huatek.busi.vo.GisMechanicalPropertiesVo;

/**
 * gis机械特性 Service
 *
 * @author anker_cheng
 * @date Jul 4, 2019 2:15:37 PM
 */
public interface GisMechanicalPropertiesService {

    /**
     * 分页查找查找 gis机械特性
     *
     * @param gisMechanicalPropertiesDto gis机械特性Dto
     * @return Page<GisMechanicalPropertiesVo> gis机械特性List
     */
	 Map<String, Object> findGisMechanicalPropertiesPage(GisMechanicalPropertiesDto gisMechanicalPropertiesDto);


    /**
     * 添加 gis机械特性
     *
     * @param token token
     * @param gisMechanicalPropertiesDto gis机械特性Dto
     * @return int 影响的行数
     */
    int addGisMechanicalProperties(String token,GisMechanicalPropertiesDto gisMechanicalPropertiesDto);

    /**
     *  通过id查找 gis机械特性
     *
     * @param id 主键
     * @return GisMechanicalPropertiesVo gis机械特性
     */
    GisMechanicalPropertiesVo findGisMechanicalPropertiesVo(String id);

    /**
     * 获取最新一条GIS机械特性数据记录
     * 
     * @param siteId
     *            站点ID
     * @param mainEquipmentId
     *            主设备ID
     * @return GisMechanicalPropertiesVo gis机械特性
     */
    GisMechanicalPropertiesVo lastGisMechanicalProperties(String siteId, String mainEquipmentId);
    
    /**
     * 根据 equipmentId查询机械特性
     * @param eqmId
     * @return
     */
    List<GisMechanicalPropertiesVo> findByEquipmentId(String siteId,String equipmentId);
}
