package com.huatek.busi.service.gis;

import com.github.pagehelper.Page;
import com.huatek.busi.dto.SubstationMicGisNowDto;
import com.huatek.busi.entity.TransformerMeteorological;
import com.huatek.busi.vo.MeteorologicalVo;
import com.huatek.busi.vo.SubstationMicGisNowVo;

/**
 * GIS气象实时数据展示 Service
 *
 * @author anker_cheng
 * @date Jun 28, 2019 4:19:37 PM
 */
public interface SubstationMicGisNowService {

    /**
     * 分页查找查找 GIS气象实时数据展示
     *
     * @param substationMicGisNowDto GIS气象实时数据展示Dto
     * @return Page<SubstationMicGisNowVo> GIS气象实时数据展示List
     */
    Page<SubstationMicGisNowVo> findSubstationMicGisNowPage(SubstationMicGisNowDto substationMicGisNowDto);

    /**
     * 保存GIS气象实时数据
     * 
     * @param cacEntity
     * @return
     */
    int saveSubstationMicGisNow(TransformerMeteorological cacEntity);
    
    MeteorologicalVo queryMeteorologicalInfo(String sensorCode);
}
