package com.huatek.busi.service.monitor;

import java.time.LocalDate;
import java.util.List;

import com.github.pagehelper.PageInfo;
import com.huatek.busi.dto.monitor.BusiOnlineMonitorDataDto;
import com.huatek.busi.service.ParameterizedTypeService;
import com.huatek.busi.vo.monitor.BusiOnlineMonitorDataVo;

/**
 * 在线监测——监测数据每日统计Service接口
 * 
 * @author anker_cheng
 * @date 2019/09/16
 */
public interface BaseMonitorDataTaskService extends ParameterizedTypeService{

    /**
     * 定时任务统计方法
     * 
     * @param day
     *            日期
     */
    void doDailyMonitorDataStatistics(LocalDate day);

    /**
     * 分页查询
     * 
     * @param param
     *            参数
     * @return 分页数据
     */
    PageInfo<BusiOnlineMonitorDataVo> findBusiOnlineMonitorDataPage(BusiOnlineMonitorDataDto param);
    
    
    /**
     * 分页查询
     * 
     * @param param
     *            参数
     * @return 分页数据
     */
    List<BusiOnlineMonitorDataVo> exportBusiOnlineMonitorDataPage(BusiOnlineMonitorDataDto param);
    
}
