package com.huatek.busi.service.param;

import java.util.List;

import com.huatek.busi.entity.BusiParamGis;
import com.huatek.busi.vo.BusiParamGisVo;
import com.huatek.busi.vo.BusiParamTransformerVo;

/**
 * gis的权重系数维护表 Service
 *
 * @author anker_cheng
 * @date Jul 12, 2019 2:57:26 PM
 */
public interface BusiParamGisService {

    /**
     * 初始化设备分析参数
     *
     * @param token
     *            token
     * @param siteId
     *            站点ID
     * @param mainEquipmentId
     *            主设备编码
     */
    void initBusiParams(String token, String siteId, String mainEquipmentId);

    /**
     * 获取设备的分析参数列表
     *
     * @param siteId
     *            站点ID
     * @param mainEquipmentId
     *            主设备ID
     * @return 分析参数列表
     */
    List<BusiParamTransformerVo> findBusiParamGis(String siteId, String mainEquipmentId);

    /**
     * 获取设备的分析参数列表(无具体值)
     *
     * @param siteId
     *            站点ID
     * @param mainEquipmentId
     *            主设备ID
     * @return 分析参数列表
     */
    List<BusiParamTransformerVo> findNotValueBusiParamGis(String siteId, String mainEquipmentId);


    /**
     * 保存分析参数列表
     *
     * @param token
     * @param busiParams
     * @return
     */
    int updateBusiParamGis(String token, List<BusiParamGis> busiParams);

    /**
     * 获取分析参数权重值
     *
     * @param siteId
     *            站点ID
     * @param mainEquipmentId
     *            主设备ID
     * @return 分析参数列表
     */
    List<BusiParamTransformerVo> findBusiParamGisWeights(String siteId, String mainEquipmentId);

    List<BusiParamTransformerVo> findBusiParamGisManual(String siteId, String mainTreeId);

    int updateCalculateBusiParam(String token, List<BusiParamGis> busiParams);
}
