package com.huatek.busi.service.substation;

import com.github.pagehelper.Page;
import com.huatek.busi.dto.SubstationMicMidDto;
import com.huatek.busi.entity.SubstationMicMid;
import com.huatek.busi.vo.SubstationMicMidVo;

/**
 * 变电站微气象中间表 Service
 *
 * @author anker_cheng
 * @date Jul 17, 2019 10:21:40 AM
 */
public interface SubstationMicMidService {

    /**
     * 分页查找查找 变电站微气象中间表
     *
     * @param substationMicMidDto 变电站微气象中间表Dto
     * @return Page<SubstationMicMidVo> 变电站微气象中间表List
     */
    Page<SubstationMicMidVo> findSubstationMicMidPage(SubstationMicMidDto substationMicMidDto);


    /**
     * 添加 变电站微气象中间表
     *
     * @param token token
     * @param substationMicMidDto 变电站微气象中间表Dto
     * @return int 影响的行数
     */
    int addSubstationMicMid(String token,SubstationMicMidDto substationMicMidDto);

    /**
     *  通过id查找 变电站微气象中间表
     *
     * @param id 主键
     * @return SubstationMicMid 变电站微气象中间表
     */
    SubstationMicMid findSubstationMicMid(String id);

    /**
     * 修改 变电站微气象中间表
     *
     * @param token token
     * @param substationMicMidDto 变电站微气象中间表Dto
     * @return int 影响的行数
     */
    int updateSubstationMicMid(String token, SubstationMicMidDto substationMicMidDto);

    /**
     * 删除 变电站微气象中间表
     *
     * @param token token
     * @param substationMicMidDto 变电站微气象中间表Dto
     * @return int 影响的行数
    */
    int deleteSubstationMicMid(String token, SubstationMicMidDto substationMicMidDto);
}
