package com.huatek.busi.service.temperature;

import com.huatek.busi.dto.BusiOfflineGeneratorBrandDto;
import com.huatek.busi.dto.BusiOfflineSwitchgearBrandDto;
import com.huatek.busi.entity.BusiOfflineSwitchgearBrand;
import com.huatek.busi.vo.BusiOfflineSwitchgearBrandVo;

import java.util.List;
import java.util.Map;

/**
 * Switchgear标牌信息表 Service
 *
 * @author walker_wang
 * @date Jul 4, 2019 1:50:14 PM
 */
public interface BusiOfflineSwitchgearBrandService {

    /**
     * 修改 Switchgear标牌信息表
     *
     * @param token token
     * @param busiOffllineSwitchgearBrandDto Switchgear标牌信息表Dto
     */
    Map<String, Object> updateBusiOfflineSwitchgearBrand(String token, BusiOfflineSwitchgearBrandDto busiOffllineSwitchgearBrandDto);

    /**
     * 保存或更新主设备信息
     *
     * @param siteId
     *            站点ID
     * @param mainEquipmentId
     *            主设备ID
     * @param name
     *            主设备名称
     * @return
     */
    int saveOrUpdateBrand(String siteId, String mainEquipmentId, String name);

    /**
     * 通过systemCode查找 Switchgear标牌信息
     * @param systemCode
     * @return
     */
    BusiOfflineSwitchgearBrandVo findBusiOfflineSwitchgearBrand(String siteId, String mainEquipmentId);

    BusiOfflineSwitchgearBrandVo findBusiOfflineSwitchgearBrand(String siteId, String equLittleId, String equTypeId);

    List<BusiOfflineSwitchgearBrand> findAll();

    int insert(BusiOfflineSwitchgearBrand busiOfflineSwitchgearBrand);

    int update(BusiOfflineSwitchgearBrand busiOfflineSwitchgearBrand);
}
