package com.huatek.busi.service.threshold;

import java.util.List;

import com.huatek.busi.dto.ArresterInsulationMonitorThresholdDto;
import com.huatek.busi.entity.ArresterInsulationMonitorThreshold;
import com.huatek.busi.vo.ArresterInsulationMonitorThresholdVo;

/**
 * 避雷器-绝缘监测-阈值表：023001 Service
 *
 * @author anker_cheng
 * @date Aug 5, 2019 5:29:26 PM
 */
public interface ArresterInsulationMonitorThresholdService {

    /**
     * 获取阈值
     * 
     * @param mainTreeId
     *            站点设备树ID
     * @param state
     *            设备状态
     * @param sensorCode
     *            传感器编码
     * @return
     */
    ArresterInsulationMonitorThreshold getArresterInsulationMonitorThreshold(String mainTreeId, String state,
        String sensorCode);

    ArresterInsulationMonitorThresholdVo getThresholdVo(String state, String sensorCode);
    
    List<ArresterInsulationMonitorThresholdVo> getThresholdVoBysensorCode(String sensorCode);

    int addSensorInsertInsulation(String token,String sensorCode,String type);


    int saveOrUpdate(String token, ArresterInsulationMonitorThresholdDto arresterInsulationMonitorThresholdDto);
}
