package com.huatek.busi.service.threshold;

import java.util.List;

import com.github.pagehelper.PageInfo;
import com.huatek.busi.dto.TransformerTgThresholdDto;
import com.huatek.busi.vo.TransformerTgThresholdVo;

/**
 * 变压器套管阈值 Service
 *
 * @author anker_cheng
 * @date 2019-8-8 19:26:26
 */
public interface TransformerTgThresholdService {

    /**
     * 分页查找查找 变压器套管阈值
     *
     * @param transformerTgThresholdDto 变压器套管阈值Dto
     * @return Page<TransformerTgThresholdVo> 变压器套管阈值List
     */
    PageInfo<TransformerTgThresholdVo> findTransformerTgThresholdPage(TransformerTgThresholdDto transformerTgThresholdDto);


    /**
     * 添加 变压器套管阈值
     *
     * @param token token
     * @param transformerTgThresholdDto 变压器套管阈值Dto
     * @return int 影响的行数
     */
    int saveTransformerTgThreshold(String token,TransformerTgThresholdDto transformerTgThresholdDto);

    /**
     *  查找变压器套管阈值详情
     *
     * @param transformerTgThresholdDto 变压器套管阈值Dto
     * @return TransformerTgThreshold 变压器套管阈值
     */
    TransformerTgThresholdVo findTransformerTgThreshold(TransformerTgThresholdDto transformerTgThresholdDto);


    List<TransformerTgThresholdVo> findTransformerTgThresholdList(TransformerTgThresholdDto transformerTgThresholdDto);

    
    /**
     * 删除 变压器套管阈值
     *
     * @param token token
     * @param transformerTgThresholdDto 变压器套管阈值Dto
     * @return int 影响的行数
    */
    int deleteTransformerTgThreshold(String token, TransformerTgThresholdDto transformerTgThresholdDto);
    
    
    /**
     * 根据sensor编码更新变压器套管阈值
     */
    int  updateTransformerTgThresholdBySensorCode(String oldSensorCode,String newSensorCode);
    
    /**
     * 根据sensor编码删除变压器套管阈值
     */
    int deleteTransformerTgThresholdBySensorCode(String sensorCode);
}
