package com.huatek.busi.service.transformer;

import com.huatek.busi.dto.BusiOfflineTransformerBrandDto;
import com.huatek.busi.entity.BusiOfflineTransformerBrand;
import com.huatek.busi.vo.BusiOfflineTransformerBrandVo;

import java.util.List;

/**
 * 变压器标牌信息 Service
 * 
 * @author walker_wang
 *
 */
public interface BusiOfflineTransformerBrandService {

    /**
     * 保存变压器标牌信息
     *
     * @param token
     *            token
     * @param busiOfflineTransformerBrandDto
     *            变压器标牌信息Dto
     */
    int saveBusiOfflineTransformerBrand(String token, BusiOfflineTransformerBrandDto busiOfflineTransformerBrandDto);

    /**
     * 保存或更新主设备信息
     * 
     * @param siteId
     *            站点ID
     * @param mainEquipmentId
     *            主设备ID
     * @param name
     *            主设备名称
     * @return
     */
    int saveOrUpdateBrand(String siteId, String mainEquipmentId, String name);

    /**
     * 获取变压器标牌信息
     * 
     * @param siteId
     *            站点ID
     * @param mainEquipmentId
     *            主设备ID
     * @return 变压器标牌
     */
    BusiOfflineTransformerBrandVo getBusiOfflineTransformerBrandVo(String siteId, String mainEquipmentId);

    /**
     * 查询所有
     * 
     * @return
     */
    List<BusiOfflineTransformerBrand> findAll();

	void deleteByMainEquipmentId(String mainEquipmentId);
	
	
    BusiOfflineTransformerBrand getByPK(String pk);

    /**
     * 更新标变压器牌信息
     * @param equipmentId
     */
    void updateBrand(String equipmentId);

//    int saveBusiOfflineTransformerBrandSort(String token, BusiOfflineTransformerBrandDto busiOfflineTransformerBrandDto);
}
