package com.huatek.busi.service.transformer;

import java.time.LocalDateTime;
import java.util.List;

import com.huatek.busi.entity.TransformerEpaData;
import com.huatek.busi.entity.TransformerEpaDeviation;
import com.huatek.busi.vo.epa.EpaDeviationOneDataVo;

/**
 * 变压器油色谱数据偏差率（实时数据） Service
 *
 * @author anker_cheng
 * @date Jul 15, 2019 11:49:05 AM
 */
public interface TransformerEpaDeviationService {

    /**
     * 保存偏差率
     * 
     * @param entity
     * @return
     */
    int saveTransformerEpaDeviation(TransformerEpaDeviation entity);

    int saveTransformerEpaDeviation(TransformerEpaDeviation entity, TransformerEpaData cacEntity);

    List<EpaDeviationOneDataVo> getOneData(LocalDateTime startTime, LocalDateTime endTime);
    
    
	
	/**
	 * 获取油色谱偏差率
	 */
    TransformerEpaDeviation getEpaDeviation(String sensorCode);
}
