package com.huatek.busi.service.transformer;

import java.time.LocalDate;
import java.time.LocalDateTime;
import java.util.List;
import java.util.Map;

import com.huatek.busi.vo.TransformerIcgeCountVo;
import com.huatek.busi.vo.stability.IcgeStabilityVo;

/**
 * 变压器/电抗器——铁芯接地电流：021004 Service
 *
 * @author anker_cheng
 * @date Jun 26, 2019 1:11:47 PM
 */
public interface TransformerIcgeService{
    /**
     * 获取铁芯夹件一天的数据
     * 
     * @param day
     * @param cacMonitorTypeCode
     * @return
     */
    TransformerIcgeCountVo getListEquInfo(LocalDate day, String cacMonitorTypeCode, String sensorCode);

    List<IcgeStabilityVo> getByStatus(String sensorCode, String status, String type, LocalDateTime begin,
        LocalDateTime end);
    
    List<Map<String,Object>> queryHistory(String sensorCode,  LocalDateTime begin, LocalDateTime end);
}