package com.huatek.busi.service.transformer;

import com.github.pagehelper.Page;
import com.huatek.busi.dto.TransformerMeteorologicalCacheDto;
import com.huatek.busi.entity.TransformerMeteorological;
import com.huatek.busi.vo.MeteorologicalVo;
import com.huatek.busi.vo.TransformerMeteorologicalCacheVo;

/**
 * 变压器气象实时数据 Service
 *
 * @author anker_cheng
 * @date Jun 28, 2019 4:19:37 PM
 */
public interface TransformerMeteorologicalCacheService {

    /**
     * 分页查找查找 变压器气象实时数据
     *
     * @param transformerMeteorologicalCacheDto 变压器气象实时数据Dto
     * @return Page<TransformerMeteorologicalCacheVo> 变压器气象实时数据List
     */
    Page<TransformerMeteorologicalCacheVo> findTransformerMeteorologicalCachePage(
            TransformerMeteorologicalCacheDto transformerMeteorologicalCacheDto);

    /**
     * 保存变压器气象实时数据
     * 
     * @param cacEntity
     * @return
     */
    int saveTransformerMeteorologicalCache(TransformerMeteorological cacEntity);
    
    MeteorologicalVo queryMeteorologicalInfo(String sensorCode);
}
