/**
 * 
 */
package com.huatek.busi.service.transformer;

import java.time.LocalDate;
import java.util.List;

import com.github.pagehelper.PageInfo;
import com.huatek.busi.entity.TransformerOfflineExperimentReport;
import com.huatek.busi.vo.routinetest.TransformerTestPageVo;
import com.huatek.busi.vo.routinetest.TransformerTestTmpDetailVo;
import com.huatek.busi.vo.routinetest.TransformerTestTmpVo;
import com.huatek.busi.vo.routinetest.TransformerTestVo;

/**
  * @ClassName: transformerOfflineExperimentReportService
  * @Description: 变压器例行试验服务.
  * @author: Arno
  * @date: Aug 27, 2019 5:47:38 PM
  * @version: 1.0
  */

public interface TransformerOfflineExperimentReportService {

	
	/** 
	* @Title: findByPk 
	* @Description: 根据主键获取 
	* @createDate: Aug 27, 2019 5:51:45 PM
	* @param    pk  --- 主键
	* @return   TransformerOfflineExperimentReport    
	*/ 
	public TransformerOfflineExperimentReport findByPk(String pk);
	
	
	
	/** 
	* @Title: info 
	* @Description: 获取详情 
	* @createDate: Aug 27, 2019 5:53:08 PM
	* @param    String id
	* @return   TransformerTestVo    
	*/ 
	public TransformerTestVo info(String id);
	
	
	
	/** 
	* @Title: add 
	* @Description: 新增 
	* @createDate: Aug 27, 2019 6:01:12 PM
	* @param    vo
	* @return   Boolean    
	*/ 
	public Boolean add(String token, TransformerTestVo vo);
	
	/** 
	* @Title: update 
	* @Description: 修改 
	* @createDate: Aug 27, 2019 6:01:14 PM
	* @param    vo
	* @return   Boolean    
	*/ 
	public Boolean update(String token, TransformerTestVo vo );


	/** 
	* @Title: delete 
	* @Description: 删除例行试验 
	* @createDate: Aug 28, 2019 3:30:02 PM
	* @param    ids 主键id
	* @return   int    
	*/ 
	public int delete(String token, List<String> ids);
	

	/** 
	* @Title: getTransformerList 
	* @Description:  变压器列表 
	* @createDate: Aug 28, 2019 3:14:14 PM
	* @param   
	* @return   List<TransformerTestTmpVo>    
	*/ 
	public List<TransformerTestTmpVo> getTransformerList();



	/** 
	* @Title: getTransformerInfo 
	* @Description: TODO 
	* @createDate: Aug 28, 2019 3:14:16 PM
	* @param    transformerId   变压器id
	* @return   TransformerTestTmpDetailVo    
	*/ 
	public TransformerTestTmpDetailVo getTransformerInfo(String transformerId);



	/** 
	* @Title: page 
	* @Description: 分页 
	* @createDate: Aug 28, 2019 4:21:23 PM
	* @param   
	* @return   PageInfo<TransformerTestPageVo>    
	*/ 
	public PageInfo<TransformerTestPageVo> page(String name, Integer page, Integer limit,LocalDate timeStampStart,LocalDate timeStampEnd);



	/** 
	* @Title: getByTreeId 
	* @Description: 根据站点树ID获取 
	* @createDate: Aug 28, 2019 4:20:55 PM
	* @param    mainTreeId  站点树ID
	* @return   TransformerTestVo    
	*/ 
	public TransformerTestVo getByTreeId(String mainTreeId);
	
	
	
	/** 
	* @Title: 根据TransformerId获取例行试验
	* @Description: 根据TransformerId获取 
	* @createDate: Aug 27, 2019 5:51:45 PM
	* @param    transformerId  --- 变压器设备ID
	* @return   TransformerOfflineExperimentReport    
	*/ 
	public int findByTransformerId(String transformerId);

	/**
	 * 获取例行实验TransformerId
	 */
	public String getTransformerId(String sensorCode);

	
	
}
