package com.huatek.busi.service.transformer;

import com.github.pagehelper.PageInfo;
import com.huatek.busi.dto.TransformerInfraredMonitoringCacheDto;
import com.huatek.busi.dto.TransformerWindingTemperatureCacheDto;
import com.huatek.busi.entity.TransformerInfraredTemperature;
import com.huatek.busi.entity.TransformerWindingTemperature;
import com.huatek.busi.vo.TransformerInfraredMonitoringCacheVo;
import com.huatek.busi.vo.TransformerWindingTemperatureCacheVo;

/**
 * 变压器绕组测温暂存数据 Service
 *
 * @author anker_cheng
 * @date Jun 28, 2019 1:21:02 PM
 */
public interface TransformerWindingTemperatureCacheService {

    /**
     * 分页查找查找 变压器绕组测温暂存数据
     *
     * @param transformerWindingTemperatureCacheDto 变压器红外监测暂存数据Dto
     * @return Page<TransformerWindingTemperatureCacheVo> 变压器红外监测暂存数据List
     */
    PageInfo<TransformerWindingTemperatureCacheVo> findTransformerWindingTemperatureCachePage(
            TransformerWindingTemperatureCacheDto transformerWindingTemperatureCacheDto);

    /**
     * 保存变压器绕组测温实时数据
     *
     * @param cacEntity
     * @return
     */
    int saveTransformerWindingTemperatureCache(TransformerWindingTemperature cacEntity);
}
