package com.huatek.busi.mapper;

import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import com.github.pagehelper.Page;
import com.huatek.busi.dto.ArresterMeteorologicalCacheDto;
import com.huatek.busi.entity.ArresterMeteorologicalCache;
import com.huatek.busi.vo.ArresterMeteorologicalCacheVo;
import com.huatek.busi.vo.MeteorologicalVo;

/**
 * 避雷器气象实时数据表 Mapper
 *
 * @author anker_cheng
 * @date Jun 28, 2019 4:19:34 PM
 */
@Repository
public interface ArresterMeteorologicalCacheMapper {

    /**
     * 分页查询 避雷器气象实时数据表
     *
     * @param arresterMeteorologicalCacheDto 避雷器气象实时数据表Dto
     * @return Page 避雷器气象实时数据表List
     */
    Page<ArresterMeteorologicalCacheVo> selectArresterMeteorologicalCachePage(
            ArresterMeteorologicalCacheDto arresterMeteorologicalCacheDto);

    /**
     * 获取避雷器气象实时数据
     * 
     * @param siteId
     * @param siteEqmCode
     * @return
     */
    ArresterMeteorologicalCache getArresterMeteorologicalCache(@Param("siteId") String siteId,
            @Param("siteEqmCode") String siteEqmCode);
    
    MeteorologicalVo queryMeteorologicalInfo(@Param("sensorCode") String sensorCode);
    
    MeteorologicalVo defaultMeteorologicalInfo();
}
