package com.huatek.busi.mapper;

import java.time.LocalDateTime;
import java.util.List;
import java.util.Map;

import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import com.github.pagehelper.Page;
import com.huatek.busi.dto.ArresterReadTableDto;
import com.huatek.busi.mapper.curve.BaseCurveSensorMapper;
import com.huatek.busi.mapper.monitor.BaseMonitorDataMapper;
import com.huatek.busi.vo.ArresterReadTableVo;
import com.huatek.busi.vo.ReadTableCountVo;

/**
 * 避雷器读表、拍照数据 Mapper
 *
 * @author anker_cheng
 * @date 2019-8-22 16:34:49
 */
@Repository
public interface ArresterReadTableMapper extends BaseCurveSensorMapper, BaseMonitorDataMapper {

    /**
     * 分页查询 避雷器读表、拍照数据
     *
     * @param arresterReadTableDto
     *            避雷器读表、拍照数据Dto
     * @return Page 避雷器读表、拍照数据List
     */
    Page<ArresterReadTableVo> selectArresterReadTablePage(ArresterReadTableDto arresterReadTableDto);

    Page<Map<String, Object>> findArresterReadTablePageData(Map<String, Object> params);

    List<ArresterReadTableVo> exportPointTableData(Map<String, Object> params);

    /**
     * 获取传感器时间段统计信息
     * 
     * @return
     */
    ReadTableCountVo getListEquInfo(Map<String, Object> params);
    
    List<Map<String, Object>> queryHistory(@Param("sensorCode")String sensorCode,@Param("startTime") LocalDateTime startTime, @Param("endTime") LocalDateTime endTime);   
}
