package com.huatek.busi.mapper;

import java.util.List;

import com.huatek.busi.entity.BusiGisSubTree;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import com.huatek.busi.entity.BusiArresterSubTree;
import com.huatek.busi.vo.BusiHomePageVo;

/**
 * @ClassName: BusiArresterSubTreeMapper
 * @FullClassPath: com.huatek.busi.mapper.BusiArresterSubTreeMapper
 * @Description: 避雷器外挂设备节点树Mapper
 * @author: Arno
 * @date: Jun 26, 2019 3:12:02 PM
 * @version: 1.0
 */
@Repository
public interface BusiArresterSubTreeMapper {

   
    
    /** 
    * @Title: findByEquipmentIdAndType 
    * @Description:  
    * @createDate: Jul 17, 2019 7:11:37 PM
    * @param   
    * @return   BusiTransfromerSubTree    
    * @throws 
    */ 
	BusiArresterSubTree findByEquipmentIdAndType(@Param("equipmentId") String equipmentId, @Param("equipmentType") String equipmentType);

    /**
     * 获取避雷器外挂设备列表
     * 
     * @param equipmentType
     *            设备类型
     * @return
     */
	List<BusiHomePageVo> findArresterlist(@Param("equipmentType")String equipmentType);
	
    List<BusiArresterSubTree> findByEquipmentId(@Param("equipmentId") String equipmentId);

    BusiHomePageVo  findBySensorId(@Param("sensorId")String sensorId);

    List<BusiArresterSubTree> findListByEquipmentIdAndType(@Param("equipmentId") String mainTreeId, @Param("equipmentType") String deviceType);
}
