package com.huatek.busi.mapper;

import com.github.pagehelper.Page;
import com.huatek.busi.dto.CwzzTemperatureStatisticsDto;
import com.huatek.busi.dto.GeneratorAmplStatisticsDto;
import com.huatek.busi.dto.TransformerInfraredTemperatureDto;
import com.huatek.busi.dto.curve.CircleCurveSensorRequestDto;
import com.huatek.busi.mapper.curve.BaseCurveSensorMapper;
import com.huatek.busi.mapper.monitor.BaseMonitorDataMapper;
import com.huatek.busi.vo.*;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.time.LocalDateTime;
import java.util.List;
import java.util.Map;

/**
 * 变压器/电抗器——红外测温：021010、022002、023002、024007 Mapper
 *
 * @author anker_cheng
 * @date Jun 25, 2019 5:35:32 PM
 */
@Repository
public interface BusiGeneratorAmplMapper extends BaseCurveSensorMapper, BaseMonitorDataMapper{

	/**
	 * 分页查询 变压器/电抗器——红外测温：021010、022002、023002、024007
     *
	 * @param transformerInfraredTemperatureDto 变压器/电抗器——红外测温：021010、022002、023002、024007Dto
	 * @return Page 变压器/电抗器——红外测温：021010、022002、023002、024007List
	 */
	Page<TransformerInfraredTemperatureVo> selectTransformerInfraredTemperaturePage(TransformerInfraredTemperatureDto transformerInfraredTemperatureDto);
	
	/**
	 * 查询CAC红外原始数据
	 * @param params
	 * @return
	 */
	Page<Map<String, Object>> findCACPageData(Map<String, Object> params);
	
	/**
	 * 导出CAC测温装置原始数据
	 */
	List<CwzzTemperatureVo> exportCacMonitorData(Map<String, Object> params);


	List<BusiGeneratorAmplVo1> exportCacMonitorData1(Map<String, Object> params);

	List<BusiGeneratorAmplVo2> exportCacMonitorData2(Map<String, Object> params);


	List<GeneratorAmplStatisticsVo> getListEquInfo(GeneratorAmplStatisticsDto param);
	
	List<BusiGeneratorAmplVo2> queryHistory(@Param("sensorCode") String sensorCode, @Param("startTime") LocalDateTime startTime,@Param("endTime")  LocalDateTime endTime);


	List<BusiGeneratorAmplBaiDuVo> findCircleTrendList(@Param("dto")CircleCurveSensorRequestDto param);

	List<BusiGeneratorAmplVo> selectByParams(@Param("sensorCode") String sensorCode,@Param("start") LocalDateTime start, @Param("end") LocalDateTime end);
}