package com.huatek.busi.mapper;

import java.util.List;

import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import com.huatek.busi.entity.BusiOfflineArresterBrand;
import com.huatek.busi.vo.BusiOfflineArresterBrandVo;

/**
 * 避雷器标牌信息表 Mapper
 *
 * @author edward_luo
 * @date Jul 4, 2019 16:59:01 PM
 */
@Repository
public interface BusiOfflineArresterBrandMapper {

    /**
     * 获取避雷器标牌信息VO
     * 
     * @param siteId
     *            站点id
     * @param mainEquipmentId
     *            主设备id
     * @return BusiOfflineArresterBrandVo
     */
    BusiOfflineArresterBrandVo getBusiOfflineArresterBrandInfo(@Param("siteId") String siteId,
        @Param("mainEquipmentId") String mainEquipmentId);

    /**
     * 获取避雷器标牌信息
     * 
     * @param siteId
     *            站点id
     * @param mainEquipmentId
     *            主设备id
     * @return BusiOfflineArresterBrand
     */
    BusiOfflineArresterBrand getBusiOfflineArresterBrand(@Param("siteId") String siteId,
        @Param("mainEquipmentId") String mainEquipmentId);

    /**
     * 新增避雷器标牌信息
     * 
     * @param BusiOfflineArresterBrand
     * @return int 更新影响条数
     */
    int insertSelective(BusiOfflineArresterBrand record);

    /**
     * 更新避雷器标牌信息
     * 
     * @param BusiOfflineArresterBrand
     * @return int 更新影响条数
     */
    int updateByPrimaryKeySelective(BusiOfflineArresterBrand record);

    /**
     * 获取所有避雷器标牌
     * 
     * @return
     */
    List<BusiOfflineArresterBrand> findAll();
}