package com.huatek.busi.mapper;

import org.springframework.stereotype.Repository;

import com.github.pagehelper.Page;
import com.huatek.busi.dto.BusiOfflineArresterCheckDto;
import com.huatek.busi.entity.BusiOfflineArresterCheck;
import com.huatek.busi.vo.BusiOfflineArresterCheckVo;

/**
 * 避雷器例行实验信息表 Mapper
 *
 * @author edward_luo
 * @date Jul 5, 2019 18:51:01 PM
 */
@Repository
public interface BusiOfflineArresterCheckMapper {


    /**
     * 根据设备编码查询最新例行实验数据
     */
    BusiOfflineArresterCheck selectByeqmCode(String eqmCode);
    
	/**
	 * 分页查询 避雷器例行实验
     *
	 * @param busiOfflineGisCheckDto 避雷器例行实验Dto
	 * @return Page 避雷器例行实验List
	 */
	Page<BusiOfflineArresterCheckVo> selectBusiOfflineGisCheckPage(BusiOfflineArresterCheckDto busiOfflineArresterCheckDto);
	
	/**
	 * 新增避雷器例行实验
	 * @param busiOfflineArresterCheck
	 */
	int insertBusiOfflineArresterCheck(BusiOfflineArresterCheck busiOfflineArresterCheck);
}