package com.huatek.busi.mapper;

import java.time.LocalDate;
import java.util.List;

import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import com.github.pagehelper.Page;
import com.huatek.busi.dto.monitor.BusiOnlineMonitorDataDto;
import com.huatek.busi.entity.BusiOnlineMonitorData;
import com.huatek.busi.vo.monitor.BusiOnlineMonitorDataVo;

/**
 * 在线监测——监测数据(每日统计) Mapper
 *
 * @author anker_cheng
 * @date Sep 16, 2019 3:21:23 PM
 */
@Repository
public interface BusiOnlineMonitorDataMapper {

    /**
     * 分页查询 在线监测——监测数据(每日统计)
     *
     * @param busiOnlineMonitorDataDto
     *            在线监测——监测数据(每日统计)Dto
     * @return Page 在线监测——监测数据(每日统计)List
     */
    Page<BusiOnlineMonitorDataVo> selectBusiOnlineMonitorDataPage(BusiOnlineMonitorDataDto busiOnlineMonitorDataDto);
    
    Page<BusiOnlineMonitorDataVo> selectCWBusiOnlineMonitorDataPage(BusiOnlineMonitorDataDto busiOnlineMonitorDataDto);
    

    int deleteBusiOnlineMonitorDataInfo(@Param("refId") String refId);

    BusiOnlineMonitorData getBusiOnlineMonitorData(@Param("day") LocalDate day, @Param("sensorCode") String sensorCode,  @Param("runState") String runState);
    
    List<BusiOnlineMonitorDataVo> exportBusiOnlineMonitorDataPage(BusiOnlineMonitorDataDto busiOnlineMonitorDataDto);
    
    List<BusiOnlineMonitorDataVo> exportCWBusiOnlineMonitorDataPage(BusiOnlineMonitorDataDto busiOnlineMonitorDataDto);
}
