package com.huatek.busi.mapper;

import java.time.LocalDateTime;
import java.util.List;

import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import com.github.pagehelper.Page;
import com.huatek.busi.dto.BusiOutlineGisExperimentDataDto;
import com.huatek.busi.entity.BusiOutlineGisExperimentData;
import com.huatek.busi.vo.BusiOutlineGisExperimentDataVo;

/**
 * 离线数据--GIS开关试验数据 Mapper
 *
 * @author anker_cheng
 * @date Jul 4, 2019 2:00:05 PM
 */
@Repository
public interface  BusiOutlineGisExperimentDataMapper {

	/**
	 * 分页查询 离线数据--GIS开关试验数据
     *
	 * @param busiOutlineGisExperimentDataDto 离线数据--GIS开关试验数据Dto
	 * @return Page 离线数据--GIS开关试验数据List
	 */
	Page<BusiOutlineGisExperimentDataVo> selectBusiOutlineGisExperimentDataPage(@Param("mainTreeId")String mainTreeId ,@Param("startTime")LocalDateTime startTime, @Param("endTime")LocalDateTime endTime);

	/**
	 * 批量删除-GIS开关试验数据
	 * @param idList
	 */
	void batchDel(List<String> idList);
	

	/**
	 * 查找例行试验
	 * @param equipmentId
	 * @param siteId
	 * @return
	 */
	BusiOutlineGisExperimentData findBusiOutlineDataByEquip(@Param("equipmentId")String equipmentId, @Param("siteId")String siteId);
	
	/**
	 * 导出--GIS开关试验数据
	 * @return GIS开关试验数据List
	 */
	List<BusiOutlineGisExperimentDataVo> exportGisExperimentData(@Param("equipmentId")String equipmentId ,@Param("startTime")LocalDateTime startTime, @Param("endTime")LocalDateTime endTime);
}

