package com.huatek.busi.mapper;

import java.util.List;

import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;
import com.github.pagehelper.Page;

import com.huatek.busi.dto.BusiOutlineTransformerExperimentDataDto;
import com.huatek.busi.entity.BusiOutlineTransformerExperimentData;
import com.huatek.busi.vo.BusiOutlineTransformerExperimentDataVo;

/**
 * 离线数据--变压器试验数据 Mapper
 *
 * @author walker_wang
 * @date Jul 4, 2019 4:54:03 PM
 */
@Repository
public interface  BusiOutlineTransformerExperimentDataMapper {

	/**
	 * 分页查询 离线数据--变压器试验数据
     *
	 * @param busiOutlineTransformerExperimentDataDto 离线数据--变压器试验数据Dto
	 * @return Page 离线数据--变压器试验数据List
	 */
	Page<BusiOutlineTransformerExperimentDataVo> selectBusiOutlineTransformerExperimentDataPage(BusiOutlineTransformerExperimentDataDto busiOutlineTransformerExperimentDataDto);

	/**
	 * 批量删除-变压器试验数据
	 * @param idList
	 * @return
	 */
	void batchDel(@Param("idList") List<String> idList);
	
	/**
	 * 查找例行试验
	 * @param equipmentId
	 * @param siteId
	 * @return
	 */
	BusiOutlineTransformerExperimentData findBusiOutlineDataByEquip(@Param("equipmentId")String equipmentId, @Param("siteId")String siteId);
}

