package com.huatek.busi.mapper;

import java.util.List;

import com.huatek.busi.entity.BusiTransformerSensor;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import com.github.pagehelper.Page;
import com.huatek.busi.dto.BusiSensorQueryParamDto;
import com.huatek.busi.vo.BusiSensorVo;

/**
 * @ClassName: BusiTransformerSensorMapper
 * @FullClassPath: com.huatek.busi.mapper.busi.tansformer.BusiTransformerSensorMapper
 * @Description: 变压器外挂设备传感器Mapper
 * @author: Arno
 * @date: Jun 27, 2019 10:14:49 AM
 * @version: 1.0
 */
@Repository
public interface BusiTransformerSensorMapper {

    /**
     * @Title: page @Description: 分页 @createDate: Jul 18, 2019 3:41:03 PM @param equipmentId 外挂设备树ID @return
     * Page<BusiSensorVo> @throws
     */
    public Page<BusiSensorVo> page(@Param("equipmentId") String equipmentId);

    public List<BusiSensorVo> querySensorByEquipmentId(@Param("equipmentId") String equipmentId);

    /**
     * 统计sensor个数
     * 
     * @param siteId
     *            站点ID
     * @param equipmentId
     *            外挂设备树ID
     * @return
     */
    Integer getSenerCount(@Param("siteId") String siteId, @Param("equipmentId") String equipmentId);

    /**
     * 校验当前sensor是否存在
     */
    Integer checkSensorCode(@Param("sensorCode") String sensorCode, @Param("id") String id);

    BusiSensorVo getBusiSensorVo(@Param("sensorCode") String sensorCode);

    BusiSensorVo getBusiSensorVoById(@Param("id") String id);

    /**
     * sensor查询方法
     * 
     * @param param
     *            参数
     * @return sensor列表
     */
    List<BusiSensorVo> findSensorList(BusiSensorQueryParamDto param);
    
    int findSensorCount(@Param("equipmentType") String equipmentType);
 
    List<BusiSensorVo> findOilSensor(@Param("equipmentId") String equipmentId, @Param("status") String status, @Param("oilType") String oilType);

    BusiTransformerSensor findSensorType1(@Param("oilType") String oilType, @Param("deleted") String deleted, @Param("type") String type, @Param("equipmentId") String equipmentId);
}
