package com.huatek.busi.mapper;

import java.time.LocalDateTime;
import java.util.List;
import java.util.Map;

import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import com.github.pagehelper.Page;
import com.huatek.busi.dto.CapacitanceEquipmentImStatisticsDto;
import com.huatek.busi.mapper.curve.BaseCurveSensorMapper;
import com.huatek.busi.mapper.monitor.BaseMonitorDataMapper;
import com.huatek.busi.vo.CapacitanceEquipmentImStatisticsVo;
import com.huatek.busi.vo.CapacitanceEquipmentImVo;
import com.huatek.busi.vo.stability.CapacitanceEquipmentImStabilityVo;

/**
 * 电容型设备——绝缘监测：022001 Mapper
 *
 * @author anker_cheng
 * @date Jun 25, 2019 5:35:32 PM
 */
@Repository
public interface CapacitanceEquipmentImMapper extends BaseCurveSensorMapper, BaseMonitorDataMapper{
	/**
	 * 查询变压器CAC容性原始数据
	 * @param params
	 * @return
	 */
	Page<Map<String, Object>> findTransformerCACPageData(Map<String, Object> params);
	
	/**
	 * 查询避雷器CAC容性原始数据
	 * @param params
	 * @return
	 */
	Page<Map<String, Object>> findArresterCACPageData(Map<String, Object> params);
	
	/**
	 * 导出变压器CAC容性原始数据
	 */
	List<CapacitanceEquipmentImVo> exportTransformerCacMonitorData(Map<String, Object> params);
	
	/**
	 * 导出避雷器CAC容性原始数据
	 */
	List<CapacitanceEquipmentImVo> exportArresterCacMonitorData(Map<String, Object> params);

	
	List<CapacitanceEquipmentImStabilityVo> selectByStatus(@Param("sensorCode")String sensorCode, @Param("status")String status, 
			@Param("beginTime")LocalDateTime beginTime,
			@Param("endTime")LocalDateTime endTime);

	List<CapacitanceEquipmentImStatisticsVo> getListEquInfo(CapacitanceEquipmentImStatisticsDto param);
}
