package com.huatek.busi.mapper;

import java.util.List;

import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import com.github.pagehelper.Page;
import com.huatek.busi.dto.GisMechanicalPropertiesDto;
import com.huatek.busi.entity.GisMechanicalProperties;
import com.huatek.busi.vo.GisMechanicalPropertiesVo;

/**
 * gis机械特性 Mapper
 *
 * @author anker_cheng
 * @date Jul 4, 2019 2:00:06 PM
 */
@Repository
public interface  GisMechanicalPropertiesMapper {

	/**
	 * 分页查询 gis机械特性
     *
	 * @param gisMechanicalPropertiesDto gis机械特性Dto
	 * @return Page gis机械特性List
	 */
	Page<GisMechanicalPropertiesVo> selectGisMechanicalPropertiesPage(GisMechanicalPropertiesDto gisMechanicalPropertiesDto);

	GisMechanicalPropertiesVo getGisMechanicalPropertiesVo(String id);

    /**
     * 获取最新一条GIS机械特性数据记录
     * 
     * @param siteId
     *            站点ID
     * @param mainEquipmentId
     *            主设备ID
     * @return GisMechanicalPropertiesVo gis机械特性
     */
    GisMechanicalPropertiesVo lastGisMechanicalProperties(@Param("siteId") String siteId,
        @Param("mainEquipmentId") String mainEquipmentId);
    

    List<GisMechanicalPropertiesVo> findByEquipmentId(@Param("siteId") String siteId,
            @Param("mainEquipmentId") String mainEquipmentId);
}

