package com.huatek.busi.mapper;

import java.time.LocalDateTime;
import java.util.List;
import java.util.Map;

import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import com.github.pagehelper.Page;
import com.huatek.busi.dto.GisSf6PressureStatisticsDto;
import com.huatek.busi.entity.GisSf6Pressure;
import com.huatek.busi.mapper.curve.BaseCurveSensorMapper;
import com.huatek.busi.mapper.monitor.BaseMonitorDataMapper;
import com.huatek.busi.vo.GisSf6PressureStatisticsVo;
import com.huatek.busi.vo.GisSf6PressureVo;
import com.huatek.busi.vo.stability.SF6StabilityVo;

/**
 * 断路器/GIS——SF6气体压力：024004、024005 Mapper
 *
 * @author anker_cheng
 * @date Jun 25, 2019 5:35:32 PM
 */
@Repository
public interface GisSf6PressureMapper extends BaseMonitorDataMapper, BaseCurveSensorMapper{

    Page<Map<String, Object>> findCACPageData(Map<String, Object> params);
    
    List<GisSf6PressureVo> exportCacMonitorData(Map<String, Object> params);
    
    List<Map<String,Object>> exportReportData(Map<String, Object> params);

	List<SF6StabilityVo> selectByStatus(@Param("sensorCode")String sensorCode, @Param("status")String status, 
			@Param("beginTime")LocalDateTime beginTime,
			@Param("endTime")LocalDateTime endTime);

    List<GisSf6PressureStatisticsVo> getListEquInfo(GisSf6PressureStatisticsDto param);
    
    List<Map<String, Object>> getRecordBySensorCode(@Param("sensorCode") String sensorCode,@Param("startTime") LocalDateTime startTime,
            @Param("endTime") LocalDateTime endTime);
    
    List<GisSf6Pressure> queryAll();
    
    void updateData(GisSf6Pressure gisSf6Pressure);
}
