package com.huatek.busi.mapper;

import java.util.Date;
import java.util.List;
import java.util.Map;

import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import com.huatek.busi.entity.IecBreakerParam;
import com.huatek.busi.vo.epa.IecBreakerParamEvaluateVo;

@Repository
public interface IecBreakerParamMapper {
	List<IecBreakerParam> findIecBreakerParam(@Param("siteId") String siteId, @Param("mainTreeId") String mainTreeId);

	public Map<String, Object> findYxdl(@Param("siteId") String siteId, @Param("eqmCode") String eqmCode,
			@Param("sTime") String sTime, @Param("eTime") String eTime);

	/**
	 * @Title: getEvaluateData
	 * @Description: 获取评测是短路数据
	 * @createDate: Sep 11, 2019 1:50:35 PM
	 * @param mainTreeId 站点树ID
	 * @return List<IecBreakerParamEvaluateVo>
	 */
	public List<IecBreakerParamEvaluateVo> getEvaluateData(@Param("mainTreeId") String mainTreeId,
			@Param("startTime") Date startTime, @Param("endTime") Date endTime);

	List<Map<String, Object>> findIecBreakerParamByDay(@Param("sTime") String sTime, @Param("eTime") String eTime);

	List<IecBreakerParam> findIecBreakerParamNow(@Param("siteId") String siteId, @Param("mainTreeId") String mainTreeId,
			@Param("sTime") String sTime, @Param("eTime") String eTime);

}