package com.huatek.busi.mapper;

import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import com.huatek.busi.vo.IecOriginDataVo;
/**
 * IEC104原始数据
 * @author buck_guo
 * @date 2019/08/15
 */
@Repository
public interface IecOriginDataMapper {
    /**
     *  根据避雷器的sensorCode查询主设备状态 1-发电状态 2：抽水状态 3：空闲状态
     * @param sensorCode
     * @return
     */
    public IecOriginDataVo selectByArresterSensorCode(@Param("sensorCode") String sensorCode);

    /**
     *   根据GIS的sensorCode查询主设备状态 1-发电状态 2：抽水状态 3：空闲状态
     * @param sensorCode
     * @return
     */
    public IecOriginDataVo selectByGisSensorCode(@Param("sensorCode") String sensorCode);

    /**
     *  根据变压器的sensorCode查询主设备状态 1-发电状态 2：抽水状态 3：空闲状态
     * @param sensorCode
     * @return
     */
    public IecOriginDataVo selectBytransformerSensorCode(@Param("sensorCode") String sensorCode);    
}