package com.huatek.busi.mapper;

import java.time.LocalDateTime;
import java.util.List;
import java.util.Map;

import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import com.github.pagehelper.Page;
import com.huatek.busi.dto.LightningrodImStatisticsDto;
import com.huatek.busi.mapper.curve.BaseCurveSensorMapper;
import com.huatek.busi.mapper.monitor.BaseMonitorDataMapper;
import com.huatek.busi.vo.LightningrodImStatisticsVo;
import com.huatek.busi.vo.LightningrodImVo;
import com.huatek.busi.vo.stability.LightningrodImStabilityVo;

/**
 * 金属氧化物避雷器——绝缘监测：023001 Mapper
 *
 * @author anker_cheng
 * @date Jun 25, 2019 5:35:32 PM
 */
@Repository
public interface  LightningrodImMapper extends BaseMonitorDataMapper, BaseCurveSensorMapper{

	/**
	 * 查询CAC落雷监测数据
	 * @param params
	 * @return
	 */
	Page<Map<String, Object>> findCACPageData(Map<String, Object> params);
	
	List<LightningrodImVo>  exportCacMonitorData(Map<String, Object> params);

	List<LightningrodImStabilityVo> selectByStatus(@Param("sensorCode")String sensorCode, @Param("status")String status, 
			@Param("beginTime")LocalDateTime beginTime,
			@Param("endTime")LocalDateTime endTime);

	List<LightningrodImStatisticsVo> getListEquInfo(LightningrodImStatisticsDto param);
	
	/**
	 * 统计落雷次数
	 */
    /**
     * 统计缺失率
     * 
     * @param param
     * @return
     */
   String getActionCount(Map<String, Object> param);
}