package com.huatek.busi.mapper;

import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import com.github.pagehelper.Page;
import com.huatek.busi.dto.RptAretMonitorDto;
import com.huatek.busi.entity.RptAretMonitor;
import com.huatek.busi.vo.RptAretMonitorVo;

/**
 * 避雷器-界面实时监测基础信息 Mapper
 *
 * @author anker_cheng
 * @date Jul 1, 2019 2:17:40 PM
 */
@Repository
public interface RptAretMonitorMapper {

    /**
     * 分页查询 避雷器-界面实时监测基础信息
     *
     * @param rptAretMonitorDto 避雷器-界面实时监测基础信息Dto
     * @return Page 避雷器-界面实时监测基础信息List
     */
    Page<RptAretMonitorVo> selectRptAretMonitorPage(RptAretMonitorDto rptAretMonitorDto);

    /**
     * 获取避雷器-绝缘监测实时数据
     * 
     * @param subTreeId      外挂设备树ID
     * @return
     */
    RptAretMonitor getRptAretMonitor(@Param("subTreeId") String subTreeId);
    
    /**
     * 获取避雷器实时监测数据
     * @param rptAretMonitorDto
     * @return
     */
    RptAretMonitorVo getUptoDateRptAretMonitor(RptAretMonitorDto rptAretMonitorDto);
    
}
