package com.huatek.busi.mapper;

import com.github.pagehelper.Page;
import com.huatek.busi.dto.CwzzTemperatureStatisticsDto;
import com.huatek.busi.dto.TransformerInfraredTemperatureDto;
import com.huatek.busi.mapper.curve.BaseCurveSensorMapper;
import com.huatek.busi.mapper.monitor.BaseMonitorDataMapper;
import com.huatek.busi.vo.*;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.time.LocalDateTime;
import java.util.List;
import java.util.Map;

/**
 * SF6环境监测
 *
 * @author vent
 * @date 2023-04-17
 */
@Repository
public interface Sf6EnvMapper extends BaseCurveSensorMapper, BaseMonitorDataMapper{


	/**
	 * 查询CAC红外原始数据
	 * @param params
	 * @return
	 */
	Page<Map<String, Object>> findCACPageData(Map<String, Object> params);
	
	/**
	 * 导出CACS F6环境监测原始数据
	 */
	List<Sf6EnvVo> exportCacMonitorData(Map<String, Object> params);
	
	List<Sf6EnvStatisticsVo> getListEquInfo(CwzzTemperatureStatisticsDto param);
	
	List<Map<String, Object>> queryHistory(@Param("sensorCode") String sensorCode, @Param("startTime") LocalDateTime startTime,@Param("endTime")  LocalDateTime endTime);
}