package com.huatek.busi.mapper;

import java.time.LocalDate;
import java.util.Map;

import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import com.huatek.busi.entity.TransformerEpaAbsIncreaseStatistics;

/**
 * 变压器油色谱绝对产气速率统计 Mapper
 *
 * @author anker_cheng
 * @date Sep 26, 2019 8:59:01 PM
 */
@Repository
public interface TransformerEpaAbsIncreaseStatisticsMapper {

    TransformerEpaAbsIncreaseStatistics
        getTransformerEpaAbsIncreaseStatistics(TransformerEpaAbsIncreaseStatistics param);

    /**
     * 获取传感器某一天的绝对增长率
     * 
     * @param sensorCode
     * @param day
     * @return
     */
    Map<String, Object> getGrowthRateMap(@Param("sensorCode") String sensorCode, @Param("day") LocalDate day);
}
