package com.huatek.busi.mapper;

import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import com.huatek.busi.dto.TransformerEpaDataCacheDto;
import com.huatek.busi.entity.TransformerEpaDataCache;
import com.huatek.busi.vo.TransformerEpaDataCacheVo;

/**
 * 变压器油色谱暂存数据（类型编码 ：021002） Mapper
 *
 * @author anker_cheng
 * @date Jul 15, 2019 1:48:57 PM
 */
@Repository
public interface TransformerEpaDataCacheMapper {

    TransformerEpaDataCache findBySubEquipmentId(@Param("siteId") String siteId,
        @Param("sensorCode") String subEquipmentId);
    
    /**
     * 分页查询 变压器-油色谱实时数据汇总表
     *
     * @param transformerEpaDataCacheDto 变压器-油色谱实时数据Dto
     * @return 变压器-油色谱实时数据汇总表VO
     */
    TransformerEpaDataCacheVo selectTransformerEpaDataCachePage(TransformerEpaDataCacheDto transformerEpaDataCacheDto);
}
