package com.huatek.busi.mapper;

import java.util.List;
import java.util.Map;

import com.huatek.busi.vo.TransformerEpaDataType2Vo;
import com.huatek.busi.vo.TransformerEpaDataType3Vo;
import com.huatek.busi.vo.TransformerEpaDataType4Vo;
import org.springframework.stereotype.Repository;

import com.github.pagehelper.Page;
import com.huatek.busi.mapper.curve.BaseCurveSensorMapper;
import com.huatek.busi.mapper.monitor.BaseMonitorDataMapper;
import com.huatek.busi.vo.TransformerEpaDataVo;

/**
 * 变压器/电抗器——油中溶解气体：021002 Mapper
 *
 * @author anker_cheng
 * @date Jun 25, 2019 5:35:32 PM
 */
@Repository
public interface TransformerEpaDataMapper extends BaseCurveSensorMapper, BaseMonitorDataMapper{

	/** 
	* @Title: findBySensorId 
	* @Description: 根据传感器编码获取 
	* @createDate: Aug 8, 2019 11:14:39 AM
	* @param    sensorId 传感器编码
	* @return   TransformerEpaDataVo    
	*/ 
	TransformerEpaDataVo findBySensorId(String sensorId);
	
	/**
	 * 查询变压器油色谱历史数据
	 * @param params
	 * @return
	 */
	Page<Map<String, Object>> findCACPageData(Map<String, Object> params);
	
	List<TransformerEpaDataVo> exportCacMonitorData(Map<String, Object> params);

	List<TransformerEpaDataType2Vo> exportCacType2MonitorData(Map<String, Object> mapParams);

	List<TransformerEpaDataType3Vo> exportCacType3MonitorData(Map<String, Object> mapParams);

	List<TransformerEpaDataType4Vo> exportCacType4MonitorData(Map<String, Object> mapParams);
}
