package com.huatek.busi.mapper;

import java.time.LocalDate;
import java.util.Map;

import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import com.huatek.busi.entity.TransformerEpaIncreaseStatistics;

/**
 * 变压器油色谱增长率统计 Mapper
 *
 * @author anker_cheng
 * @date Jul 15, 2019 11:49:00 AM
 */
@Repository
public interface TransformerEpaIncreaseStatisticsMapper {

    TransformerEpaIncreaseStatistics getTransformerEpaIncreaseStatistics(TransformerEpaIncreaseStatistics param);

    /**
     * 获取传感器某一天的相对增长率
     * 
     * @param sensorCode
     * @param day
     * @return
     */
    Map<String, Object> getGrowthRateMap(@Param("sensorCode") String sensorCode, @Param("day") LocalDate day);
}
