package com.huatek.busi.mapper;

import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import com.github.pagehelper.Page;
import com.huatek.busi.dto.TransformerIcgeCacheDto;
import com.huatek.busi.entity.TransformerIcgeCache;
import com.huatek.busi.vo.TransformerIcgeCacheVo;
import com.huatek.busi.vo.warning.BusiIcgeVo;

/**
 * 变压器铁芯接地电流暂存数据(类型编码 ：021004) Mapper
 *
 * @author anker_cheng
 * @date Jun 27, 2019 6:53:45 PM
 */
@Repository
public interface TransformerIcgeCacheMapper {

    /**
     * 分页查询 变压器铁芯接地电流暂存数据(类型编码 ：021004)
     *
     * @param transformerIcgeCacheDto 变压器铁芯接地电流暂存数据(类型编码 ：021004)Dto
     * @return Page 变压器铁芯接地电流暂存数据(类型编码 ：021004)List
     */
    Page<TransformerIcgeCacheVo> selectTransformerIcgeCachePage(TransformerIcgeCacheDto transformerIcgeCacheDto);

	/** 
	* @Title: findByTreeId 
	* @Description: 根据树ID获取 
	* @createDate: Aug 2, 2019 4:39:15 PM
	* @param    mainTreeId  站点树ID
	* @param    subTreeId   外挂设备树ID
	* @param    type 		类别: 1铁芯；2夹件
	* @return   TransformerIcgeCache    
	*/ 
    TransformerIcgeCache  selectByTreeId(@Param("mainTreeId") String mainTreeId,
            @Param("subTreeId") String subTreeId, @Param("type") String type);
    
    /**
     * 获取铁芯、夹件最新实时数据
     * @param transformerIcgeCacheDto
     * @return
     */
    BusiIcgeVo getFirstTransformerIcgeCacheInfo(TransformerIcgeCacheDto transformerIcgeCacheDto);
}
