package com.huatek.busi.mapper;

import org.springframework.stereotype.Repository;

import com.github.pagehelper.Page;
import com.huatek.busi.dto.TransformerInfraredMonitoringCacheDto;
import com.huatek.busi.entity.TransformerInfraredMonitoringCache;
import com.huatek.busi.entity.TransformerInfraredTemperature;
import com.huatek.busi.vo.TransformerInfraredMonitoringCacheVo;

/**
 * 变压器红外监测暂存数据 Mapper
 *
 * @author anker_cheng
 * @date Jun 28, 2019 1:21:00 PM
 */
@Repository
public interface TransformerInfraredMonitoringCacheMapper {

    /**
     * 分页查询 变压器红外监测暂存数据
     *
     * @param param
     *            变压器红外监测暂存数据Dto
     * @return Page 变压器红外监测暂存数据List
     */
    Page<TransformerInfraredMonitoringCacheVo>
        selectTransformerInfraredMonitoringCachePage(TransformerInfraredMonitoringCacheDto param);

    /**
     * 获取变压器红外检测实时数据
     * 
     * @param cacEntity
     * @return
     */
    TransformerInfraredMonitoringCache getTransformerInfraredMonitoringCache(TransformerInfraredTemperature cacEntity);
}
