package com.huatek.busi.mapper;

import java.time.LocalDate;
import java.util.List;

import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import com.github.pagehelper.Page;
import com.huatek.busi.entity.TransformerOfflineExperimentReport;
import com.huatek.busi.vo.routinetest.TransformerTestPageVo;
import com.huatek.busi.vo.routinetest.TransformerTestTmpDetailVo;
import com.huatek.busi.vo.routinetest.TransformerTestTmpVo;

/**
  * @ClassName: TransformerOfflineExperimentReportMapper
  * @FullClassPath: com.huatek.busi.mapper.TransformerOfflineExperimentReportMapper
  * @Description: TODO
  * @author: Arno
  * @date: Aug 28, 2019 3:17:19 PM
  * @version: 1.0
  */

@Repository
public interface TransformerOfflineExperimentReportMapper {

	/** 
	* @Title: getTransformerList 
	* @Description:  变压器列表 
	* @createDate: Aug 28, 2019 3:14:14 PM
	* @param   
	* @return   List<TransformerTestTmpVo>    
	*/ 
	public List<TransformerTestTmpVo> getTransformerList();



	/** 
	* @Title: getTransformerInfo 
	* @Description: TODO 
	* @createDate: Aug 28, 2019 3:14:16 PM
	* @param    transformerId   变压器id
	* @return   TransformerTestTmpDetailVo    
	*/ 
	public TransformerTestTmpDetailVo getTransformerInfo(@Param("transformerId")String transformerId);



	/** 
	* @Title: delete 
	* @Description: 删除 
	* @createDate: Aug 28, 2019 3:32:50 PM
	* @param   
	* @return   int    
	*/ 
	public int delete(List<String> ids);


	public  Page<TransformerTestPageVo> page(@Param("name")String name,@Param("timeStamp")LocalDate timeStamp, @Param("timeStampEnd")LocalDate timeStampEnd);


	public TransformerOfflineExperimentReport selectByTreeId(@Param("mainTreeId")String mainTreeId);
	
	/**
	 * 根据变压器设备ID获取例行试验数量
	 */
	public int findByTransformerId(@Param("mainTreeId")String mainTreeId);
	
	/**
	 * 根据传感器编号获取TransformerId
	 */
	public String getTransformerId(@Param("sensorCode")String sensorCode);
}
