package com.huatek.busi.mapper;

import com.huatek.busi.vo.epa.*;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.Date;

@Repository
public interface TransformerOnlineMapper {


    /**
     * 油色谱在线数据
     */
    EpaEvaluateDataVo getYspEvaluateData(@Param("mainEquipmentId") String mainEquipmentId,
                                         @Param("startDate") Date startDate, @Param("endDate") Date endDate);

    /**
     * 局放在线数据
     */
    EpaPdDataVo getPdEvaluateData(@Param("mainTreeId") String mainTreeId, @Param("startDate") Date startDate, @Param("endDate") Date endDate);

    /**
     * 声级振动在线数据
     */
    EpaSoundVibrationVo getSoundEvaluateData(@Param("mainTreeId") String mainTreeId,
                                             @Param("startDate") Date startDate, @Param("endDate") Date endDate);
    /**
     * 铁芯接地在线数据
     * */
    EpaIcgeDataVo getIcgeEvaluateData(@Param("mainEquipmentId") String mainEquipmentId,
                                      @Param("startDate") Date startDate, @Param("endDate") Date endDate);

    /**
     * 运行工况在线数据
     * */
    EpaRunStatusDataVo getRunStatusEvaluateData(@Param("mainTreeId") String mainTreeId, @Param("startDate") Date startDate, @Param("endDate") Date endDate);

    /**
     * 外温度℃在线数据
     * */
    EpaInfraredMonitorDataVo geInfraredMonitorEvaluateData(@Param("mainTreeId") String mainTreeId, @Param("startDate") Date startDate, @Param("endDate") Date endDate);

    /**
     * 环境温度在线数据
     * */
    EpaEnvironmentDataVo getEnvironmentEvaluateData(@Param("mainTreeId") String mainTreeId, @Param("startDate") Date startDate, @Param("endDate") Date endDate);

    /**
     * 绝缘介质在线数据
     * */
    EpaCapacitanceDataVo getCapacitanceEvaluateData(@Param("mainTreeId") String mainTreeId, @Param("startDate") Date startDate, @Param("endDate") Date endDate);
}
