package com.huatek.busi.mapper;

import java.time.LocalDateTime;
import java.util.List;
import java.util.Map;

import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import com.github.pagehelper.Page;
import com.huatek.busi.mapper.curve.BaseCurveSensorMapper;
import com.huatek.busi.mapper.monitor.BaseMonitorDataMapper;
import com.huatek.busi.vo.ReadTableCountVo;
import com.huatek.busi.vo.TransformerReadTableVo;

/**
 * 变压器运读表数据图片信息
 * 
 * @author buck_guo
 * @date 2019/08/22
 */
@Repository
public interface TransformerReadTableMapper extends BaseCurveSensorMapper, BaseMonitorDataMapper {

    Page<Map<String, Object>> queryTransformerReadTablePage(Map<String, Object> params);

    List<TransformerReadTableVo> exportPointTableData(Map<String, Object> params);

    /**
          * 获取传感器时间段统计信息
     * 
     * @return
     */
    ReadTableCountVo getListEquInfo(Map<String, Object> params);
    
    List<Map<String, Object>> queryHistory(@Param("sensorCode")String sensorCode,@Param("startTime") LocalDateTime startTime, @Param("endTime") LocalDateTime endTime);
}