package com.huatek.busi.service.impl.dataoutput.impls;

import com.google.common.collect.Lists;
import com.huatek.busi.common.CacMonitorTypeCode;
import com.huatek.busi.dto.SimulateResultDto;
import com.huatek.busi.service.impl.dataoutput.helper.OptSimulatExecutor;
import com.huatek.busi.service.impl.dataoutput.helper.OptWarningEqmExecutor;
import com.huatek.busi.vo.warning.BusiEqmWarningTaskVo;
import org.springframework.stereotype.Component;

import java.time.LocalDate;
import java.util.List;
import java.util.Map;

/**
 * 局放输出
 *
 * @author anker_cheng
 * @date 2019/10/14
 */
@Component
@OptWarningEqmExecutor( eqType = "变压器",gzType = "油色谱")
public class WarningEqmExecutor extends AbstractDataWarningOutputExecutor {

    @Override
    protected Map<String, Object> getParams(BusiEqmWarningTaskVo vo, LocalDate day) {
        Map<String, Object> params = super.getParams(vo, day);
//        if (vo.getEquipmentType().equals()) {
//            params.put("cacMonitorTypeCode", CacMonitorTypeCode.TRANSFORMER_PD.getCode());
//        } else if (SiteTreeEnum.GIS_HL_EQM.getValue().equals(vo.getMainEquipmentType())) {
//            params.put("cacMonitorTypeCode", CacMonitorTypeCode.GIS_PD.getCode());
//        } else if (SiteTreeEnum.OTHER_EQM.getValue().equals(vo.getMainEquipmentType())) {
//            params.put("cacMonitorTypeCode", CacMonitorTypeCode.ELE_PD.getCode());
//        }
                params.put("cacMonitorTypeCode", CacMonitorTypeCode.WarningEqpmec.getCode());
            return params;
    }

    @Override
    protected List<String> getKeys() {
        return Lists.newArrayList("sensorId", "timeStamp", "phase", "dischargeCapacity", "dischargePosition",
            "pulseCount","dschType","paDschAlm");
    }
}
