package com.huatek.frame.base.dto;

import com.huatek.torch.sql.annotation.FieldName;
import com.huatek.torch.sql.beans.PageBean;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * 模型 Dto
 *
 * @date 2023-2-7 17:03:45
 */
@Setter
@Getter
public class ModelDTO extends PageBean implements Serializable {
	private static final long serialVersionUID = 1L;
	/**
	 * 模型id
	 */
	@ApiModelProperty(value="模型id",name="id",required=true)
	private String modelId;
	/**
	 * 模型名称
	 */
	@ApiModelProperty(value="模型名称",name="name",required=true)
	private String name;

	@ApiModelProperty(value = "模型文件名")
	private String originalName;

	/**
	 * 启用状态 1 启用 0未启用
	 */
	@ApiModelProperty(value="启用状态 1 启用 0未启用",name="status",required=true)
	private String status;
	/**
	 * 所属站点
	 */
	@ApiModelProperty(value="所属站点",name="siteId",required=true)
	private String siteId;
	/**
	 * 模型类型
	 */
	@ApiModelProperty(value="模型类型",name="modelType",required=true)
	private String modelType;

	/**
	 * modelParams
	 */

	@ApiModelProperty(value = "model_params",name = "modelParams")
	private String modelParams;

}