package com.huatek.frame.base.entity;

import com.huatek.torch.sql.annotation.FieldName;
import com.huatek.torch.sql.annotation.Id;
import com.huatek.torch.sql.annotation.TableName;
import com.huatek.torch.sql.beans.Pojo;
import lombok.Data;
import lombok.ToString;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.time.LocalDateTime;


/**
  * @ClassName: BusiArresterSubTree
  * @FullClassPath: com.huatek.busi.entity.BusiArresterSubTree
  * @Description: 避雷器外挂设备节点树
  * @author: Arno
  * @date: Jun 21, 2019 10:11:17 AM
  * @version: 1.0
  */
@Data
@ToString
@TableName("busi_arrester_sub_tree")
public class BusiArresterSubTree extends Pojo implements Serializable {


	/** @Fields serialVersionUID : */ 
	private static final long serialVersionUID = 1L;


	/** @Fields id : */ 
	@FieldName("id")
	@Id(value = "id")
	private String id; 
	
	
	/** @Fields parentId : 父类别 id*/ 
	@FieldName("parent_id")
	private String parentId; 
	
	
	/** @Fields name : 名称*/ 
	@FieldName("name")
	private String name;

	/** @Fields status :类别状态 1-正常 ， 2-删除*/ 
	@FieldName("status")
	private String status;

	/** @Fields equipmentId :GIS设备树id  --主设备ID*/ 
	@FieldName("equipment_id")
	private String equipmentId;

	/** @Fields equipmentType : 设备类型  0：主设备
										 01：绝缘监测类型  
										 02：红外套管监测类型
										 03：容性设备监测类型
										 04：气象装置监测类型  
										 05： 图片数据监测类型   
										
										 011：绝缘设备  
										 021：红外套管设备
										 031：容性设备设备
										 041：气象装置设备  
										 051： 图片数据设备 
	 *  */ 
	@FieldName("equipment_type")
	private String equipmentType;


	/** @Fields idsystemCode :系统编码 */ 
	@FieldName("system_code")
	private String systemCode;
	
	/** @Fields siteId : 站点id*/ 
	@FieldName("site_id")
	private String siteId;

	
    /** @Fields createTime :创建时间 */ 
    @FieldName("create_time")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime createTime;
}