package com.huatek.frame.base.entity;

import com.huatek.torch.sql.annotation.FieldName;
import com.huatek.torch.sql.annotation.Id;
import com.huatek.torch.sql.annotation.TableName;
import com.huatek.torch.sql.beans.Pojo;
import lombok.Data;
import lombok.ToString;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.time.LocalDateTime;


/**
  * @ClassName: BusiTransfromerSubTree
  * @FullClassPath: com.huatek.busi.entity.BusiTransfromerSubTree
  * @Description: GIS外挂设备节点树
  * @author: Arno
  * @date: Jun 21, 2019 10:11:17 AM
  * @version: 1.0
  */
@Data
@TableName("busi_gis_sub_tree")
public class BusiGisSubTree extends Pojo implements Serializable {


	/** @Fields serialVersionUID : */ 
	private static final long serialVersionUID = 1L;


	/** @Fields id : */ 
	@FieldName("id")
	@Id(value = "id")
	private String id; 
	
	
	/** @Fields parentId : 父类别 id*/ 
	@FieldName("parent_id")
	private String parentId; 
	
	
	/** @Fields name : 名称*/ 
	@FieldName("name")
	private String name;

	/** @Fields status :类别状态 1-正常 ， 2-删除*/ 
	@FieldName("status")
	private String status;

	/** @Fields equipmentId :GIS设备树id*/ 
	@FieldName("equipment_id")
	private String equipmentId;

	/** @Fields equipmentType : 设备类型  0：主设备
										 01：GIS局放监测类型  
										 02：SF6微水，压力， 温度监测类型
										 03：GIS机械特性监测类型
										 04：气象装置类型  
										 05：红外监测类型 
										 06： 图片数据类型   
										 011：GIS局放监测设备  
										 021：SF6微水，压力， 温度监测设备  
										 031：GIS机械特性监测设备  
										 041：气象装置设备  
										 051：红外监测设备  
										 061：图片数据设备 

	 *  */ 
	@FieldName("equipment_type")
	private String equipmentType;


	/** @Fields idsystemCode :系统编码 */ 
	@FieldName("system_code")
	private String systemCode;
	
	/** @Fields siteId : 站点id*/ 
	@FieldName("site_id")
	private String siteId;

	
    /** @Fields createTime :创建时间 */ 
    @FieldName("create_time")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime createTime;
}