package com.huatek.frame.base.entity;

import com.huatek.torch.sql.annotation.FieldName;
import com.huatek.torch.sql.annotation.Id;
import com.huatek.torch.sql.annotation.TableName;
import com.huatek.torch.sql.annotation.TempField;
import com.huatek.torch.sql.beans.Pojo;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.time.LocalDateTime;
import java.util.ArrayList;
import java.util.List;

@Data
@TableName("busi_site_tree")
public class BusiSiteTree extends Pojo implements Serializable {

	private static final long serialVersionUID = 2795515894400275201L;

	@FieldName("id")
	@Id(value = "id")
	private String id;


	/** @Fields parentId : 父类别 id 当id=0时说明是根节点*/
	@FieldName("parent_id")
	private String parentId;

	/** @Fields name : 类别名称*/
	@FieldName("name")
	private String name;

	/** @Fields status :类别状态 1-正常 ， 2-删除*/
	@FieldName("status")
	private String status;

	/** @Fields siteId : 站点id*/
	@FieldName("site_id")
	private String siteId;

	/** @Fields equipmentType : 设备类型  -1：根节点   0:站点  1：变压器   2:GIS  3:测温   4：避雷器  6：电缆环流
	 *  							   21:GIS回路；31:测温柜回路  41：避雷器回路
	 *  							   111: 变压器设备  211：GIS设备 311：测温设备  411：避雷器设备 611：电缆环流设备
	 *  */
	@FieldName("equipment_type")
	private String equipmentType;


	/** @Fields idsystemCode :系统编码 */
	@FieldName("system_code")
	private String systemCode;

    /** @Fields createTime :创建时间 */
    @FieldName("create_time")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime createTime;
}
