package com.huatek.frame.base.entity;

import java.io.Serializable;

import com.huatek.torch.frame.validate.KerCheck;
import com.huatek.torch.frame.validate.KerMode;
import com.huatek.torch.sql.annotation.FieldName;
import com.huatek.torch.sql.annotation.Id;
import com.huatek.torch.sql.annotation.TableName;
import com.huatek.torch.sql.beans.Pojo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;
/**
 * 系统_字典 entity
 *
 * @author key_dong
 * @date 2018-7-11 12:37:46
 */
@Setter
@Getter
@TableName("sys_dictionnaire")
public class Dictionnaire extends Pojo implements Serializable  {
	
   
    /**
	 * 
	 */
	private static final long serialVersionUID = -1396663417602100176L;
	
	/**
     * 字典名称
     */
	@ApiModelProperty(value="字典名称",name="name",required=true)
	@KerCheck(rule = KerMode.NOT_BLANK, ruleMessage = "DICTIONNAIRE.NAME.NOTBLANK",max=16,maxMessage="DICTIONNAIRE.NAME.LENGTH")
    @FieldName("name")
    private String name;
    
    /**
     * 字典code
     */
	@ApiModelProperty(value="字典编码",name="code",required=true)
	@KerCheck(rule = KerMode.NOT_BLANK, ruleMessage = "DICTIONNAIRE.CODE.NOTBLANK",max=16,maxMessage="DICTIONNAIRE.CODE.LENGTH")
    @FieldName("code")
    private String code;
    
    /**
     * 是否删除0否 1是
     */
	@ApiModelProperty(value="是否删除0否 1是",name="deleted",required=true)
    @FieldName("deleted")
    private String deleted;
    
    /**
     * 
     */
	@ApiModelProperty(value="id",name="id",required=true)
	@Id("id")
    private String id;
}