package com.huatek.frame.base.entity;

import java.io.Serializable;
import java.time.LocalDateTime;

import com.huatek.torch.sql.annotation.FieldName;
import com.huatek.torch.sql.annotation.Id;
import com.huatek.torch.sql.annotation.TableName;
import com.huatek.torch.sql.annotation.TempField;
import com.huatek.torch.sql.beans.Pojo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

/**
 * @author key 操作日志
 */
@Setter
@Getter
@TableName("sys_request_log")
public class RequestLog extends Pojo implements Serializable {
	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;

	@ApiModelProperty(value="id",name="id",required=true)
	@Id("id")
	private String id;

	@ApiModelProperty(value="操作时间",name="createDate",required=true)
	@FieldName("create_date")
	private LocalDateTime createDate;

	@ApiModelProperty(value="ip",name="ipAddress",required=true)
	@FieldName("ip_address")
	private String ipAddress;

	@ApiModelProperty(value="功能",name="methodName",required=true)
	@FieldName("method_name")
	private String methodName;

	@ApiModelProperty(value="模块",name="modelName",required=true)
	@FieldName("model_name")
	private String modelName;

	@ApiModelProperty(value="项目",name="projectName",required=true)
	@FieldName("project_name")
	private String projectName;

	@ApiModelProperty(value="请求方式",name="requestMethod",required=true)
	@FieldName("request_method")
	private String requestMethod;

	@ApiModelProperty(value="类对象",name="requestName",required=true)
	@FieldName("request_name")
	private String requestName;

	@ApiModelProperty(value="url",name="requestUrl",required=true)
	@FieldName("request_url")
	private String requestUrl;

	@ApiModelProperty(value="用户id",name="userId",required=true)
	@FieldName("user_id")
	private String userId;

	@ApiModelProperty(value="参数",name="param",required=true)
	@FieldName("param")
	private String param;

	@ApiModelProperty(value="用户名",name="userName",required=true)
	@FieldName("user_name")
	private String userName;

	
	/**
	 * 页码
	 */
	@TempField
	private Integer page;
	/**
	 * 每页显示数量
	 */
	@TempField
	private Integer limit;
}