package com.huatek.frame.base.entity;

import java.io.Serializable;

import com.huatek.torch.frame.validate.KerCheck;
import com.huatek.torch.frame.validate.KerMode;
import com.huatek.torch.sql.annotation.FieldName;
import com.huatek.torch.sql.annotation.Id;
import com.huatek.torch.sql.annotation.TableName;
import com.huatek.torch.sql.beans.Pojo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

/**
 * 系统_角色 entity
 *
 * @author key_dong
 * @date 2018-7-11 12:37:46
 */
@Setter
@Getter
@TableName("sys_role")
public class Role extends Pojo implements Serializable {

	/**
	 * 
	 */
	private static final long serialVersionUID = 2952625494442879242L;

	/**
	 * 是否删除(0 否 1是)
	 */
	@ApiModelProperty(value="是否删除(0 否 1是)",name="deleted",required=true)
	@FieldName("deleted")
	private String deleted;

	/**
	 * 备注
	 */
	@ApiModelProperty(value="备注",name="comment",required=true)
	@KerCheck(max=128,maxMessage="ROLE.COMMENT.LENGTH")
	@FieldName("comment")
	private String comment;

	/**
	 * 角色
	 */
	@ApiModelProperty(value="角色",name="role",required=true)
	@KerCheck(rule = KerMode.NOT_BLANK, ruleMessage = "ROLE.ROLE.NOTBLANK",max=16,maxMessage="ROLE.ROLE.LENGTH")
	@FieldName("role")
	private String role;

	/**
	 * 
	 */
	@ApiModelProperty(value="id",name="id",required=true)
	@Id("id")
	private String id;

	/**
	 * 父组织
	 */
	@ApiModelProperty(value="父组织",name="groupId",required=true)
	@FieldName("group_id")
	private String groupId;

}