package com.huatek.frame.base.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * 模型 Vo
 *
 * @date 2023-2-7 17:03:45
 */
@Setter
@Getter
public class ModelVO  implements Serializable {
	private static final long serialVersionUID = 1L;
	/**
	 * 模型id
	 */
	@ApiModelProperty(value="模型id",name="id",required=true)
	private String modelId;
	/**
	 * 模型名称
	 */
	@ApiModelProperty(value="模型名称",name="name",required=true)
	private String name;
	/**
	 * 模型原始名称
	 */
	@ApiModelProperty(value="模型原始名称",name="originalName",required=true)
	private String originalName;
	/**
	 * 启用状态 0 启用 1未启用
	 */
	@ApiModelProperty(value="启用状态 0 启用 1未启用",name="status",required=true)
	private String status;
	/**
	 * 所属站点
	 */
	@ApiModelProperty(value="站点id",name="siteId",required=true)
	private String siteId;

	@ApiModelProperty(value = "站点名称")
	private String siteName;

	/**
	 * 上传时间
	 */
	@ApiModelProperty(value="上传时间",name="time",required=true)
	private LocalDateTime time;
	/**
	 * 模型类型
	 */
	@ApiModelProperty(value="模型类型",name="modelType",required=true)
	private String modelType;

	@ApiModelProperty(value="http路径",name="filePath")
	private String filePath;

	@ApiModelProperty(value="modelParams",name="modelParams")
	private String modelParams;


}