package com.huatek.frame.base.mapper;

import java.util.List;
import java.util.Map;

import org.springframework.stereotype.Repository;

import com.github.pagehelper.Page;
import com.huatek.frame.base.dto.RoleDTO;
import com.huatek.frame.base.vo.RoleUserVO;
import com.huatek.frame.base.vo.RoleVO;

/**
 * 系统_角色 Mapper
 *
 * @author key_dong
 * @date 2018-7-11 14:03:45
 */

@Repository
public interface RoleMapper{

	/**
	 * 分页查询 系统_角色
     *
	 * @param dto dto
	 * @return Page Page
	 */
	Page<RoleVO> selectRolePage(RoleDTO dto);
	
	/**
	 * 角色集合
	 *  @param where where
	 * @return
	 */
	List<RoleUserVO> findRoles(Map<String, Object> where);
	
	
	/**
	 * 根据用户查询角色集合
	 * @param map
	 * @return
	 */
	List<RoleVO> findUserRoles(Map<String, Object> map);
	
	
}

